## 下拉框组件

### 用法
##### 引入
```bash
yarn add @udesk-webapp/popover
```

##### 使用
```jsx
import Popover from '@udesk-webapp/popover';
<Popover />
```
### options

|名称|类型|描述|
----|----|----
components|object|该object可以传入两个属性，Control和PopContent，Control控制触发按钮，PopContent下拉框
allowBlank|bool|是否显示【为空】按钮
allowNotBlank|bool|是否显示【不为空】按钮

### components用法示例
```
import Popover from '@udesk-webapp/popover';
<Popover components={{
    Control: ({isOpen,...props})=>{
        return <div {...props}>触发按钮{isOpen?'打开':'关闭'}</div>
    },
    PopContent: ({closePopContent, ...props})=>{
        return <div {...props}>下拉内容<button onClick={closePopContent}>关闭下拉框</button></div>  
    }
}}/>
```
