## 数字区间下拉框

下拉框里输入两个数组，触发onChange方法，获取这两个数字

### 用法
##### 引入
```bash
yarn add @udesk-webapp/number-range-dropdown
```

##### 使用
```jsx
import NumberRangeDropdown from '@udesk-webapp/number-range-dropdown';
<NumberRangeDropdown
        controlClassName='control'
        prefix='前缀:'
        placeholder='全部'
        onChange={value => wrapper.setProps({value})}
        unitLabel='秒'/>
```
### options

|名称|类型|描述|
----|----|----
value|array|
onChange(value)|function|新的值作为该方法的参数，需要在该方法里修改value的值
onEnter(event)|function|当按下Enter键时触发
prefix|string|
placeholder|string|
unitLabel|string|单位，例如秒，有值将显示为大于xx秒，小于xx秒或者xx-xx秒
controlClassName|string|