const yargs = require("yargs/yargs");
const commands = require('./commands');

function Command(args) {
    // create command
    let yarg = yargs(args);
    console.log("args",args)
    // 注册命令
    if (commands) {
        commands.forEach(command => {
            if(!Reflect.ownKeys(command) || !Reflect.ownKeys(command).length){
                console.error(`command配置为空，请检查配置!`);
            }
            yarg.command(command.cmd, command.desc, command.builder, command.handler)
        })
    }
    return yarg.alias('h', 'help').argv;
}

module.exports = Command;