const path = require('path');
const fs = require('fs');

const appDirectory = fs.realpathSync(process.cwd());
const resolveApp = relativePath => path.resolve(appDirectory, relativePath);

module.exports = {
    appIndexJs: resolveApp('src/index'),
    appSrc: resolveApp('src'),
    appBuild: resolveApp('dist'),
    appPackageJson: resolveApp('package.json')
}