function getCamelCase2(str) {
    return str
        .toLowerCase()
        .replace(/(\s|^)[a-z]/g, function (char) {
            return (char && char.toUpperCase()) || "";
        })
        .replace(/-|_([a-z])/g, function (keb, item) {
            return (item && item.toUpperCase()) || "";
        });
}
function toHump(str) {
    return str.replace(/\_|-([a-zA-Z\d])/g, function (match, letter, index) {
        return (letter && letter.toUpperCase()) || "";
    });
}
function toBigHump(str) {
    let hump = toHump(str);
    return hump.replace(/^[a-z]/, function (match, index) {
        return (match && match.toUpperCase()) || "";
    });
}
module.exports = {
    getCamelCase2,
    toHump,
    toBigHump,
};
