"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _find = _interopRequireDefault(require("lodash-es/find"));

var _react2 = require("@emotion/react");

var Control = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(Control, _Component);

  function Control() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Control.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        value = _this$props.value,
        prefix = _this$props.prefix,
        getOptionLabel = _this$props.getOptionLabel,
        getOptionValue = _this$props.getOptionValue,
        isOpen = _this$props.isOpen,
        placeholder = _this$props.placeholder,
        options = _this$props.options;
    return (0, _react2.jsx)(_react.Fragment, null, (0, _react2.jsx)("span", null, prefix, ' ', value ? getOptionLabel((0, _find["default"])(options, function (i) {
      return getOptionValue(i) === value;
    })) : placeholder), (0, _react2.jsx)("div", {
      style: {
        marginRight: 0
      }
    }, (0, _react2.jsx)("i", {
      className: 'icon icon-caret-' + (isOpen ? 'up' : 'down')
    })));
  };

  return Control;
}(_react.Component);

Control.propTypes = {
  value: _propTypes["default"].any,
  prefix: _propTypes["default"].string,
  getOptionLabel: _propTypes["default"].func,
  getOptionValue: _propTypes["default"].func,
  isOpen: _propTypes["default"].bool,
  placeholder: _propTypes["default"].string,
  t: _propTypes["default"].func,
  options: _propTypes["default"].array
};
Control.defaultProps = {};
var _default = Control;
exports["default"] = _default;