var _channelNodeTypeMap;
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import { Narrator } from "../components/Narrator";
import { RobotNode } from "../components/RobotNode";
import { UserNode } from "../components/UserNode";
var NodeTypes = /*#__PURE__*/function (NodeTypes) {
  NodeTypes[NodeTypes["NarratorNode"] = 0] = "NarratorNode";
  NodeTypes[NodeTypes["userNode"] = 1] = "userNode";
  NodeTypes[NodeTypes["robotNode"] = 2] = "robotNode";
  return NodeTypes;
}(NodeTypes || {});
export var channelNodeTypeMap = (_channelNodeTypeMap = {}, _defineProperty(_channelNodeTypeMap, NodeTypes.NarratorNode, Narrator), _defineProperty(_channelNodeTypeMap, NodeTypes.userNode, UserNode), _defineProperty(_channelNodeTypeMap, NodeTypes.robotNode, RobotNode), _channelNodeTypeMap);

/**
 * @param nodeType 0:旁白 1:用户说话 2:机器人说话
 * @returns
 */
export var getChannelComponent = function getChannelComponent(nodeType) {
  return nodeType ? Reflect.get(channelNodeTypeMap, nodeType) : Narrator;
};