var _excluded = ["bottomRender"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useImperativeHandle, useMemo } from 'react';
import styled from 'styled-components';
import { getChannelBottomRender } from "./channelNodeDefaultBottomRenderMap";
import { getChannelComponent } from "./channelNodeTypeMap";
var ItemWrap = styled.div.withConfig({
  displayName: "ItemWrap",
  componentId: "udesk-llm-fe__sc-jevw9e-0"
})(["margin-bottom:24px;opacity:", ";"], function (props) {
  return props.opacity;
});
// import Locales from 'UdeskLocales';
/* cover?: string;

customerTags?: IntelligentPartnerTagGroup[];

desc?: string;

flowId?: number;

id?: number;

name?: string; */
export var Item = /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(function (props, ref) {
  var bottomRender = props.bottomRender,
    componentProps = _objectWithoutProperties(props, _excluded);
  var align = useMemo(function () {
    return props.channel === 2 ? 'right' : 'left';
  }, [props.channel]);
  var Component = useMemo(function () {
    return getChannelComponent(props.nodeType);
  }, [props.nodeType]);
  var BottomRenderComponent = useMemo(function () {
    var _ref;
    return (_ref = bottomRender !== null && bottomRender !== void 0 ? bottomRender : getChannelBottomRender) === null || _ref === void 0 ? void 0 : _ref(props.nodeType);
  }, [props.nodeType, bottomRender]);
  useImperativeHandle(ref, function () {
    return {};
  });
  if (Component) {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(ItemWrap, {
      opacity: componentProps.isPreview ? 0.6 : 1
    }, /*#__PURE__*/React.createElement(Component, _extends({
      align: align
    }, componentProps)), /*#__PURE__*/React.createElement(BottomRenderComponent, _extends({
      align: align
    }, componentProps))));
  }
  return null;
}));