import React from 'react';
declare const _default: React.MemoExoticComponent<(props: any) => React.JSX.Element>;
export default _default;
export interface Request {
    /**
     * 回答
     */
    answer: string;
    /**
     * 反馈意见
     */
    content: string;
    /**
     * 问题
     */
    question: string;
    /**
     * 标签
     */
    tag: string;
    /**
     * 1点赞 2点踩
     */
    type: number;
    [property: string]: any;
}
export declare enum tag {
    /**
     * 答案错误
     */
    WRONG = 0,
    /**
     * 没找到正确答案
     */
    NOT_FOUND = 1,
    /**
     * 答案缺失
     */
    MISSING = 2,
    /**
     * 其他
     */
    OTHER = 3
}
