import { useMemo } from 'react';
export var useFormattedDialogueSentenceList = function useFormattedDialogueSentenceList(dialogueSentenceListProps) {
  var formatItemRenderProps = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function (props) {
    return props;
  };
  return useMemo(function () {
    return dialogueSentenceListProps === null || dialogueSentenceListProps === void 0 ? void 0 : dialogueSentenceListProps.map(function (sentence) {
      return formatItemRenderProps(sentence);
    });
  }, [dialogueSentenceListProps, formatItemRenderProps]);
};