"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _numberInput = _interopRequireDefault(require("@udesk/number-input"));

var _map = _interopRequireDefault(require("lodash-es/map"));

var _isNil = _interopRequireDefault(require("lodash-es/isNil"));

var Dropdown = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(Dropdown, _Component);

  function Dropdown(props) {
    var _this;

    _this = _Component.call(this, props) || this;
    _this._ref = /*#__PURE__*/(0, _react.createRef)();
    _this.state = {
      value: props.value || []
    };
    return _this;
  }

  var _proto = Dropdown.prototype;

  _proto.render = function render() {
    var _this2 = this;

    var _this$props = this.props,
        _this$props$t = _this$props.t,
        t = _this$props$t === void 0 ? function (v) {
      return v;
    } : _this$props$t,
        unitLabel = _this$props.unitLabel,
        onChange = _this$props.onChange,
        style = _this$props.style;
    var value = this.state.value;
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: "dropdown-menu scrollbar",
      style: style
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "form-group"
    }, /*#__PURE__*/_react["default"].createElement("label", null, t('label.great_than')), /*#__PURE__*/_react["default"].createElement("div", {
      className: "input-group input-group-sm"
    }, /*#__PURE__*/_react["default"].createElement(_numberInput["default"], {
      className: "form-control",
      value: (0, _isNil["default"])(value[0]) ? '' : value[0] + '',
      ref: this._ref,
      onChange: function onChange(v) {
        return _this2.setState({
          value: [v, value[1]]
        });
      },
      onEnter: function onEnter() {
        return onChange((0, _map["default"])(value, function (i) {
          return i && parseFloat(i);
        }));
      }
    }), /*#__PURE__*/_react["default"].createElement("span", {
      className: "input-group-addon"
    }, unitLabel))), /*#__PURE__*/_react["default"].createElement("div", {
      className: "form-group"
    }, /*#__PURE__*/_react["default"].createElement("label", null, t('label.less_than')), /*#__PURE__*/_react["default"].createElement("div", {
      className: "input-group input-group-sm"
    }, /*#__PURE__*/_react["default"].createElement(_numberInput["default"], {
      className: "form-control",
      value: (0, _isNil["default"])(value[1]) ? '' : value[1] + '',
      onChange: function onChange(v) {
        return _this2.setState({
          value: [value[0], v]
        });
      },
      onEnter: function onEnter() {
        return onChange((0, _map["default"])(value, function (i) {
          return i && parseFloat(i);
        }));
      }
    }), /*#__PURE__*/_react["default"].createElement("span", {
      className: "input-group-addon"
    }, unitLabel))), /*#__PURE__*/_react["default"].createElement("button", {
      className: "btn btn-sm btn-default",
      type: "button",
      onClick: function onClick() {
        return onChange((0, _map["default"])(value, function (i) {
          return i && parseFloat(i);
        }));
      }
    }, t('label.confirm')), /*#__PURE__*/_react["default"].createElement("button", {
      className: "btn btn-sm btn-link",
      type: "button",
      onClick: function onClick() {
        _this2.setState({
          value: []
        });

        onChange([]);
      }
    }, t('label.clear')));
  };

  _proto.componentDidMount = function componentDidMount() {
    this._ref.current.focus();
  };

  return Dropdown;
}(_react.Component);

Dropdown.propTypes = {
  t: _propTypes["default"].func,
  value: _propTypes["default"].arrayOf(_propTypes["default"].number),
  unitLabel: _propTypes["default"].string,
  onClearValue: _propTypes["default"].func,
  onChange: _propTypes["default"].func,
  style: _propTypes["default"].object
};
var _default = Dropdown;
exports["default"] = _default;