var _excluded = ["tag", "children", "show"],
  _excluded2 = ["fields", "customRender"];
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
/* eslint-disable @typescript-eslint/no-this-alias */
/* eslint-disable @typescript-eslint/no-use-before-define */

import { Form } from 'antd';
import React, { createElement } from 'react';
var init = function init(item, customRender) {
  var createFunction = item.createFunction;
  var renderFunction = (customRender === null || customRender === void 0 ? void 0 : customRender[createFunction]) || tplFunction[createFunction];
  var tag = item.tag,
    props = item.props,
    children = item.children;
  if (renderFunction) {
    return renderFunction(item, customRender);
  } else {
    return /*#__PURE__*/createElement(tag, props, Array.isArray(children) ? children === null || children === void 0 ? void 0 : children.map(function (child) {
      return child.tag ? init(child, customRender) : child;
    }) : children !== null && children !== void 0 && children.tag ? init(children, customRender) : children);
  }
};
var tplFunction = {
  comp: function comp(item, customRender) {
    var tag = item.tag,
      children = item.children,
      show = item.show,
      otherProps = _objectWithoutProperties(item, _excluded);
    var props = Object.assign({
      style: {}
    }, otherProps);
    if (show && !show()) {
      props.style.display = 'none';
    }
    return init({
      tag: tag,
      props: props,
      children: children
    }, customRender);
  }
};
var FormBuilder = function FormBuilder(props) {
  var fields = props.fields,
    customRender = props.customRender,
    otherProps = _objectWithoutProperties(props, _excluded2);
  return /*#__PURE__*/React.createElement(Form, otherProps, fields.map(function (field) {
    return init(field, customRender);
  }));
};
export default FormBuilder;