function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { PageHeader, Pagination, Spin, Tabs } from 'antd';
import React, { useEffect, useMemo, useState } from 'react';
import styled from 'styled-components';
import History from "../History";
import { APPLICATION, SESSION } from "../LLM/components/HistoryTop10";
import { useRouteContext } from "../LLM/context/route";
import { getAntClass } from "../utils/core";
import { useGet } from "../utils/fetch";
import { useSdkOptionsContext } from "../utils/fetch/context";
import Locales from "../locales";
var Div = styled.div.withConfig({
  displayName: "Div",
  componentId: "udesk-llm-fe__sc-1keo7ie-0"
})(["", "{width:100%;}.history-item{cursor:pointer;}"], getAntClass('spin-nested-loading'));
var SESSION_TAB = 'session';
var APPLICATION_TAB = 'application';
var items = [{
  key: SESSION_TAB,
  label: /* 聊天对话 */Locales['current'].historyPage.index.chatConversation
}, {
  key: APPLICATION_TAB,
  label: /* 应用 */Locales['current'].historyPage.index.application
}];
var AppManagement = function AppManagement() {
  var _useState5;
  var _useRouteContext = useRouteContext(),
    pop = _useRouteContext.pop;
  var _useSdkOptionsContext = useSdkOptionsContext(),
    antPrefixCls = _useSdkOptionsContext.antPrefixCls;
  var _useState = useState(SESSION_TAB),
    _useState2 = _slicedToArray(_useState, 2),
    currentTab = _useState2[0],
    setCurrentTab = _useState2[1];
  var _useState3 = useState((_useState5 = {}, _defineProperty(_useState5, SESSION_TAB, {
      current: 1,
      pageSize: 20,
      total: 0
    }), _defineProperty(_useState5, APPLICATION_TAB, {
      current: 1,
      pageSize: 20,
      total: 0
    }), _useState5)),
    _useState4 = _slicedToArray(_useState3, 2),
    page = _useState4[0],
    setPage = _useState4[1];
  var _useGet = useGet("/session/history?pageNum=".concat(page[SESSION_TAB].current), {
      applicationId: 99999999
    }),
    session = _useGet.data,
    sessionLoading = _useGet.isLoading;
  var _useGet2 = useGet("/session/application/history/all?pageNum=".concat(page[SESSION_TAB].current), {
      applicationId: 99999999
    }),
    application = _useGet2.data,
    applicationLoading = _useGet2.isLoading;
  var onChange = function onChange(key) {
    setCurrentTab(key);
    setPage(function (prev) {
      var _ref;
      return _ref = {}, _defineProperty(_ref, SESSION_TAB, _objectSpread(_objectSpread({}, prev[SESSION_TAB]), {}, {
        current: 1
      })), _defineProperty(_ref, APPLICATION_TAB, _objectSpread(_objectSpread({}, prev[APPLICATION_TAB]), {}, {
        current: 1
      })), _ref;
    });
  };
  var dataMap = useMemo(function () {
    var _ref2;
    return _ref2 = {}, _defineProperty(_ref2, SESSION_TAB, session === null || session === void 0 ? void 0 : session.data.map(function (item) {
      return _objectSpread(_objectSpread({}, item), {}, {
        name: item.showTitle,
        time: item.updateTime,
        type: SESSION
      });
    })), _defineProperty(_ref2, APPLICATION_TAB, application === null || application === void 0 ? void 0 : application.data.map(function (item) {
      return _objectSpread(_objectSpread({}, item), {}, {
        name: item.applicationName,
        time: item.createTime,
        type: APPLICATION
      });
    })), _ref2;
  }, [session, application]);
  useEffect(function () {
    setPage(function (prev) {
      var _paging$total, _paging, _paging$total2, _paging2, _ref3;
      return _ref3 = {}, _defineProperty(_ref3, SESSION_TAB, _objectSpread(_objectSpread({}, prev[SESSION_TAB]), {}, {
        total: (_paging$total = session === null || session === void 0 || (_paging = session.paging) === null || _paging === void 0 ? void 0 : _paging.total) !== null && _paging$total !== void 0 ? _paging$total : 0
      })), _defineProperty(_ref3, APPLICATION_TAB, _objectSpread(_objectSpread({}, prev[APPLICATION_TAB]), {}, {
        total: (_paging$total2 = application === null || application === void 0 || (_paging2 = application.paging) === null || _paging2 === void 0 ? void 0 : _paging2.total) !== null && _paging$total2 !== void 0 ? _paging$total2 : 0
      })), _ref3;
    });
  }, [session, application]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(PageHeader, {
    className: "site-page-header-responsive pt-3 pb-3 hidden md:block bg-white shadow-sm",
    ghost: false,
    onBack: function onBack() {
      return pop();
    },
    title: /* 历史记录 */Locales['current'].historyPage.index.history
  }), /*#__PURE__*/React.createElement(Div, {
    antPrefixCls: antPrefixCls,
    className: "container mr-auto ml-auto w-[min(48rem,100%)] md:w-[min(47rem,100%)] lg:w-[min(64rem,100%)] p-7 md:p-0"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex flex-col items-center"
  }, /*#__PURE__*/React.createElement(Tabs, {
    defaultActiveKey: currentTab,
    onChange: onChange
  }, items.map(function (item) {
    return /*#__PURE__*/React.createElement(Tabs.TabPane, {
      tab: item.label,
      key: item.key
    });
  })), /*#__PURE__*/React.createElement(Spin, {
    spinning: sessionLoading || applicationLoading
  }, /*#__PURE__*/React.createElement(History, {
    list: dataMap[currentTab]
  })), /*#__PURE__*/React.createElement(Pagination, _extends({}, page[currentTab], {
    onChange: function onChange(page, pageSize) {
      setPage(function (prev) {
        return _objectSpread(_objectSpread({}, prev), {}, _defineProperty({}, currentTab, _objectSpread(_objectSpread({}, prev[currentTab]), {}, {
          current: page,
          pageSize: pageSize
        })));
      });
    },
    hideOnSinglePage: true
  })))));
};
export default AppManagement;