function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { PauseCircleFilled } from '@ant-design/icons';
import { Button } from 'antd';
import React, { useCallback, useEffect, useMemo, useRef, useState } from 'react';
import { Dialogue, Input } from "../..";
import { getLocaleDateTimeString } from "../../utils/core";
import { request, useStream } from "../../utils/fetch";
import Locales from "../../locales";
var Narrator = /*#__PURE__*/React.memo(function () {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h1", null, /* 我是你的企业知识助手 */Locales['current'].kcsSession.components.session.iAmYourCor14eAssistant), /*#__PURE__*/React.createElement("h3", null, /* 我可以针对企业内部知识回答你的问题，前提是需要提前把知识上传到知识库中哦~ */Locales['current'].kcsSession.components.session.iCanAnswer114eInAdvance));
});
var narratorNode = {
  nodeType: 0,
  content: /*#__PURE__*/React.createElement(Narrator, null),
  ossKey: '',
  startSecond: Date.now(),
  isSync: 2,
  id: -1,
  closeTextAnimation: true
};
var SessionCard = /*#__PURE__*/React.memo(function (props) {
  var docData = props.docData,
    setDocData = props.setDocData,
    active = props.active,
    defaultSearch = props.defaultSearch,
    extra = props.extra,
    findAllSession = props.findAllSession,
    setActive = props.setActive,
    setDocSegment = props.setDocSegment;
  var _useState = useState(active === null || active === void 0 ? void 0 : active.chatId),
    _useState2 = _slicedToArray(_useState, 2),
    sessionId = _useState2[0],
    setSessionId = _useState2[1];
  var _useState3 = useState([narratorNode]),
    _useState4 = _slicedToArray(_useState3, 2),
    list = _useState4[0],
    setList = _useState4[1];
  var _useState5 = useState(false),
    _useState6 = _slicedToArray(_useState5, 2),
    loading = _useState6[0],
    setLoading = _useState6[1];
  var _useState7 = useState(false),
    _useState8 = _slicedToArray(_useState7, 2),
    isScrollBottom = _useState8[0],
    setIsScrollBottom = _useState8[1];
  var _useState9 = useState(false),
    _useState10 = _slicedToArray(_useState9, 2),
    isChange = _useState10[0],
    setIsChange = _useState10[1];
  var requestStream = useStream();
  var dialogueRef = useRef(null);
  useEffect(function () {
    setSessionId(active === null || active === void 0 ? void 0 : active.chatId);
  }, [active === null || active === void 0 ? void 0 : active.chatId]);
  var _onTextAnimationPlaying = useCallback(function (item, isLast) {
    if (!item.closeTextAnimation && isLast && isScrollBottom) {
      var _dialogueRef$current;
      var isScrollBottomForNow = !!((_dialogueRef$current = dialogueRef.current) !== null && _dialogueRef$current !== void 0 && _dialogueRef$current.isScrollBottom());
      if (!isScrollBottomForNow) {
        var _dialogueRef$current2;
        (_dialogueRef$current2 = dialogueRef.current) === null || _dialogueRef$current2 === void 0 || _dialogueRef$current2.scrollToBottom();
      }
    }
  }, [isScrollBottom]);
  var isHistory = useMemo(function () {
    return !!(active !== null && active !== void 0 && active.id);
  }, [active === null || active === void 0 ? void 0 : active.id]);
  var formatChatData = function formatChatData(content) {
    var _JSON$parse = JSON.parse(content),
      keyword = _JSON$parse.keyword,
      wdId = _JSON$parse.wdId,
      _JSON$parse$message = _JSON$parse.message,
      message = _JSON$parse$message === void 0 ? /* 无相关性文本 */Locales['current'].kcsSession.components.session.unrelatedText : _JSON$parse$message,
      sources = _JSON$parse.sources,
      specifyDocuments = _JSON$parse.specifyDocuments;
    var docSegment = null;
    if (specifyDocuments) {
      var _active = sources.find(function (item) {
        return item.sourceParam.id === specifyDocuments.sourceParam.id;
      });
      if (_active) {
        docSegment = _active.sourceParam.docSegment;
        _active.checked = true;
      }
    }
    return {
      keyword: keyword,
      wdId: wdId,
      message: message,
      sources: sources,
      docSegment: docSegment
    };
  };
  var getSessionId = useCallback(function () {
    return new Promise(function (resolve, reject) {
      if (sessionId) {
        resolve(sessionId);
      } else if (active !== null && active !== void 0 && active.chatId) {
        resolve(active.chatId);
      } else {
        request('/llmChat/createSession', {
          method: 'post'
        }).then(function (resp) {
          setActive({
            chatId: resp.data.chatId
          });
          setTimeout(findAllSession, 1000);
          resolve(resp.data.chatId);
        }).catch(reject);
      }
    });
  }, [sessionId, active === null || active === void 0 ? void 0 : active.chatId]);
  var onChange = useCallback(function (value) {
    var _dialogueRef$current4;
    var next = {
      channel: 1,
      nodeType: 2,
      loading: true,
      content: '',
      ossKey: '',
      startSecond: getLocaleDateTimeString(),
      isSync: 2,
      sessionId: sessionId
    };
    var text = [];
    getSessionId().then(function (sessionId) {
      setList(function (list) {
        next.id = list.length + 1;
        return [].concat(_toConsumableArray(list), [{
          channel: 2,
          nodeType: 1,
          content: value,
          ossKey: '',
          startSecond: getLocaleDateTimeString(),
          isSync: 2,
          id: list.length
        }, next]);
      });
      var params = new URLSearchParams();
      params.append('keyword', value);
      params.append('chatId', sessionId + '');
      if (docData !== null && docData !== void 0 && docData.type) {
        var _docData$type;
        params.append('type', docData === null || docData === void 0 || (_docData$type = docData.type) === null || _docData$type === void 0 ? void 0 : _docData$type.toString());
      }
      if (docData !== null && docData !== void 0 && docData.itemId) {
        var _docData$itemId;
        params.append('itemId', docData === null || docData === void 0 || (_docData$itemId = docData.itemId) === null || _docData$itemId === void 0 ? void 0 : _docData$itemId.toString());
      }
      requestStream("/llmChat?".concat(params.toString()), 'post', {}, {
        onmessage: function onmessage(resp) {
          var eventTypeList = ["bussHeartbeat", "answerFinish", "bussinessError"];
          console.log("message::", resp);
          if (resp.event === eventTypeList[1]) {
            next.id = parseInt(resp.data) || null;
          }
          if (resp.event === eventTypeList[2]) {
            text.push(resp.data);
          }
          if (!eventTypeList.includes(resp.event) && resp.data) {
            var _formatChatData = formatChatData(resp.data),
              keyword = _formatChatData.keyword,
              wdId = _formatChatData.wdId,
              message = _formatChatData.message,
              sources = _formatChatData.sources,
              docSegment = _formatChatData.docSegment;
            text.push(message);
            next.sources = sources;
            next.keyword = keyword;
            next.wdId = wdId;
            setDocSegment(docSegment);
          }
        },
        onclose: function onclose() {
          next.loading = false;
          next.content = text.join('');
          setList(function (list) {
            return _toConsumableArray(list);
          });
        },
        onerror: function onerror(err) {
          throw err;
        }
      });
    });
    setTimeout(function () {
      var _dialogueRef$current3;
      (_dialogueRef$current3 = dialogueRef.current) === null || _dialogueRef$current3 === void 0 || _dialogueRef$current3.scrollToBottom();
    }, 100);
    setIsChange(true);
    setIsScrollBottom(!!((_dialogueRef$current4 = dialogueRef.current) !== null && _dialogueRef$current4 !== void 0 && _dialogueRef$current4.isScrollBottom()));
  }, [getSessionId, docData]);
  var onReload = useCallback(function (data) {
    var active = null;
    setList(function (list) {
      return list.map(function (item, index) {
        if (index === data.index) {
          return active = _objectSpread(_objectSpread({}, item), {}, {
            content: '',
            loading: true,
            sources: []
          });
        }
        return item;
      });
    });
    getSessionId().then(function (sessionId) {
      var text = [];
      var params = new URLSearchParams();
      params.append('keyword', data.keyword);
      params.append('wdId', data.wdId);
      params.append('chatId', sessionId + '');
      if (docData !== null && docData !== void 0 && docData.type) {
        var _docData$type2;
        params.append('type', docData === null || docData === void 0 || (_docData$type2 = docData.type) === null || _docData$type2 === void 0 ? void 0 : _docData$type2.toString());
      }
      if (docData !== null && docData !== void 0 && docData.itemId) {
        var _docData$itemId2;
        params.append('itemId', docData === null || docData === void 0 || (_docData$itemId2 = docData.itemId) === null || _docData$itemId2 === void 0 ? void 0 : _docData$itemId2.toString());
      }
      requestStream("/llmChat/reanswer?".concat(params.toString()), 'post', {}, {
        onmessage: function onmessage(resp) {
          var eventTypeList = ["bussHeartbeat", "answerFinish", "bussinessError"];
          console.log("message::", resp);
          if (resp.event === eventTypeList[1]) {
            active.id = parseInt(resp.data) || null;
          }
          if (resp.event === eventTypeList[2]) {
            text.push(resp.data);
          }
          if (!eventTypeList.includes(resp.event) && resp.data) {
            var _formatChatData2 = formatChatData(resp.data),
              keyword = _formatChatData2.keyword,
              wdId = _formatChatData2.wdId,
              message = _formatChatData2.message,
              sources = _formatChatData2.sources,
              docSegment = _formatChatData2.docSegment;
            text.push(message);
            active.sources = sources;
            active.keyword = keyword;
            active.wdId = wdId;
            active.closeTextAnimation = false;
            setDocSegment(docSegment);
          }
        },
        onclose: function onclose() {
          active.loading = false;
          active.content = text.join('');
          setList(function (list) {
            return _toConsumableArray(list);
          });
        },
        onerror: function onerror(err) {
          throw err;
        }
      });
    });
  }, [getSessionId, docData]);
  var onFeedback = useCallback(function () {
    console.log('feedback????');
  }, []);
  var onScroll = useCallback(function (event) {
    if (isChange && event.deltaY < 0) {
      setIsChange(false);
      setIsScrollBottom(false);
    }
  }, [isChange]);
  useEffect(function () {
    if (!isHistory && defaultSearch) {
      setTimeout(function () {
        return onChange(defaultSearch);
      }, 1000);
    }
  }, []);
  useEffect(function () {
    if (sessionId) {
      if (isHistory) {
        setLoading(true);
        request("/llmChat/historyLogs", {
          method: 'get',
          params: {
            chatId: sessionId,
            pageSize: 9999,
            anchorId: undefined
          }
        }).then(function (resp) {
          var docSegment = null;
          setList([].concat(narratorNode, resp.data.map(function (item, index) {
            var content = item.content;
            var sources = null;
            var keyword = null;
            var wdId = null;
            if (item.userRole === 'SYSTEM') {
              var _formatChatData3 = formatChatData(content),
                chatDataKeyword = _formatChatData3.keyword,
                chatDataWdId = _formatChatData3.wdId,
                message = _formatChatData3.message,
                chatDataSources = _formatChatData3.sources,
                chatDocSegment = _formatChatData3.docSegment;
              content = message;
              keyword = chatDataKeyword;
              wdId = chatDataWdId;
              sources = chatDataSources;
              sources = chatDataSources;
              docSegment = chatDocSegment;
            }
            return {
              keyword: keyword,
              wdId: wdId,
              sessionId: sessionId,
              channel: item.userRole === 'USER' ? 2 : 1,
              nodeType: item.userRole === 'USER' ? 1 : 2,
              content: content,
              sources: sources,
              ossKey: '',
              startSecond: '',
              isSync: 2,
              id: item.wdId || index,
              closeTextAnimation: true // 是否关闭文本动画
            };
          }).reverse()));
          setDocSegment(docSegment);
        }).finally(function () {
          setLoading(false);
          setTimeout(function () {
            var _dialogueRef$current5;
            (_dialogueRef$current5 = dialogueRef.current) === null || _dialogueRef$current5 === void 0 || _dialogueRef$current5.scrollToBottom();
          }, 1000);
        });
      }
    } else {
      setList([narratorNode]);
    }
  }, [sessionId, isHistory]);
  return /*#__PURE__*/React.createElement("div", {
    className: "relative md:p-5 h-full flex-[6_1_0%] flex flex-col overflow-y-auto"
  }, /*#__PURE__*/React.createElement(Dialogue, {
    ref: dialogueRef,
    loading: loading,
    dialogueSentenceList: list,
    onScroll: onScroll,
    itemRender: function itemRender(props, index) {
      return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Dialogue.Item, _extends({}, props, {
        extra: extra,
        index: index,
        chatId: active === null || active === void 0 ? void 0 : active.chatId,
        onDocClick: setDocData,
        onFeedback: onFeedback,
        onReload: onReload,
        onTextRunning: function onTextRunning(isRunning) {
          if (!isRunning) {
            setIsChange(false);
            setIsScrollBottom(false);
            props.closeTextAnimation = true;
          }
        },
        onTextAnimationPlaying: function onTextAnimationPlaying() {
          _onTextAnimationPlaying(props, index === list.length - 1);
        }
      })));
    }
  }), /*#__PURE__*/React.createElement("div", {
    className: "hidden absolute opacity-70 left-1/2\tbottom-24 -translate-x-1/2"
  }, /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    icon: /*#__PURE__*/React.createElement(PauseCircleFilled, null)
  }, Locales['current'].kcsSession.components.session.stopOutput)), /*#__PURE__*/React.createElement("div", {
    className: "py-3 w-full"
  }, /*#__PURE__*/React.createElement(Input, {
    disabled: list.some(function (item) {
      return item.loading;
    }),
    rows: 6,
    multiple: true,
    onSend: onChange
  })));
});
export default SessionCard;