import React, { FC } from 'react';
export type DocumentCardType = {
    open: boolean;
    docData: any;
    docSegment: string | null;
    setDocData: React.Dispatch<React.SetStateAction<DocDataType>>;
    setDocSegment: React.Dispatch<React.SetStateAction<null | string>>;
};
export type DocDataType = {
    type?: 9 | 6 | 7 | 8;
    itemId?: number;
    historyId?: number;
    knowledgeBaseId?: number;
    docSegment?: string;
    templateId?: number;
    url?: string;
} | null;
declare const KcsApp: FC<any>;
export default KcsApp;
