function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { CloseOutlined, DeleteOutlined, DoubleLeftOutlined, DoubleRightOutlined, MinusOutlined } from '@ant-design/icons';
import { Breadcrumb, Button, Card, List } from 'antd';
import styled from 'styled-components';
import React, { useCallback, useEffect, useImperativeHandle, useRef, useState } from 'react';
import { createClassName, getAntClass, inspect } from "../utils/core";
import { SvgRobot } from "./img/robot";
import { SvgChart } from "./img/chart";
import { isKcsSdk, request } from "../utils/fetch";
import { useRouteContext } from "../LLM/context/route";
import { useSdkOptionsContext } from "../utils/fetch/context";
import { KcsHomeRouteName } from "../LLM/routes/routeMap";
import { Toast } from "../Toast";
import { DEFAULT_KNOWLEDGE } from "../KcsTemplateView/components/DefaultTemplateView";
import DocView from "../DocView";
import SessionCard from "./components/session";
import Locales from "../locales";
import TemplateView from "../KcsTemplateView";
import classNames from 'classnames';
var Div = styled.div.withConfig({
  displayName: "Div",
  componentId: "udesk-llm-fe__sc-zz632t-0"
})([".new-session-btn{background:linear-gradient(90deg,#1B6DFF 0%,#40AFFF 100%),linear-gradient(90deg,#4085FF 0%,#40AFFF 100%);border-image-source:linear-gradient(90deg,#1B6DFF 0%,#40AFFF 100%);&:hover{opacity:0.8;}}", "{height:", ";overflow:auto;&::-webkit-scrollbar{background-color:initial;}&::-webkit-scrollbar{width:0.375rem!important;}&::-webkit-scrollbar{height:0.375rem!important;}&::-webkit-scrollbar-thumb{background-color:rgb(222 222 222)!important;}&::-webkit-scrollbar-thumb{border-radius:0.25rem!important;}&::-webkit-scrollbar-track{background-color:rgb(241 245 249)!important;}&::-webkit-scrollbar-track{border-radius:0.25rem!important;}}", "{padding-bottom:0.25rem;}"], getAntClass('list-items'), function (props) {
  return props.isShowPagination ? props.locale === 'zh' ? 'calc(100vh - 290px)' : 'calc(100vh - 320px)' : props.locale === 'zh' ? 'calc(100vh - 250px)' : 'calc(100vh - 290px)';
}, getAntClass('list-header'));
var Link = /*#__PURE__*/React.memo(function (props) {
  var data = props.data;
  return inspect((data === null || data === void 0 ? void 0 : data.length) > 0, function () {
    return /*#__PURE__*/React.createElement(Breadcrumb, {
      className: "px-2 pt-2 pb-3",
      separator: ">"
    }, data === null || data === void 0 ? void 0 : data.map(function (item) {
      return /*#__PURE__*/React.createElement(Breadcrumb.Item, {
        className: "text-zinc-500",
        key: item
      }, item);
    }));
  });
});
var DocumentCard = /*#__PURE__*/React.memo(function (props) {
  var open = props.open,
    docSegment = props.docSegment,
    docData = props.docData,
    setDocData = props.setDocData,
    setDocSegment = props.setDocSegment;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    loading = _useState2[0],
    setLoading = _useState2[1];
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    readHtml = _useState4[0],
    setReadHtml = _useState4[1];
  var _useState5 = useState(),
    _useState6 = _slicedToArray(_useState5, 2),
    transformHtml = _useState6[0],
    setTransformHtml = _useState6[1];
  var _useState7 = useState([]),
    _useState8 = _slicedToArray(_useState7, 2),
    breadcrumbData = _useState8[0],
    setBreadcrumbData = _useState8[1];
  var _ref = docData || {},
    type = _ref.type,
    itemId = _ref.itemId,
    knowledgeBaseId = _ref.knowledgeBaseId,
    historyId = _ref.historyId,
    url = _ref.url,
    templateId = _ref.templateId;
  useEffect(function () {
    console.log('docData::', docData);
    if (docData) {
      setDocSegment(docData === null || docData === void 0 ? void 0 : docData.docSegment);
    }
  }, [docData]);
  useEffect(function () {
    console.log('docSegment::', docSegment);
  }, [docSegment]);
  var _useState9 = useState([]),
    _useState10 = _slicedToArray(_useState9, 2),
    styleInfo = _useState10[0],
    setStyleInfo = _useState10[1];
  var _useState11 = useState([]),
    _useState12 = _slicedToArray(_useState11, 2),
    templateDetailInfo = _useState12[0],
    setTemplateDetailInfo = _useState12[1];
  useEffect(function () {
    if (type === 8) {
      setLoading(true);
      request("/knowledgeBases/".concat(knowledgeBaseId, "/documentItems/").concat(itemId), {
        method: 'get',
        params: {
          editionId: historyId
        },
        headers: isKcsSdk() ? {} : {
          knowledgeBaseId: knowledgeBaseId
        }
      }).then(function (resp) {
        setTransformHtml(resp.data.content);
        setBreadcrumbData([resp.data.knowledgeBaseName, resp.data.categoryPath, resp.data.title]);
      }).finally(function () {
        setLoading(false);
      });
    }
    if (type === 7) {
      setLoading(true);
      if (templateId !== DEFAULT_KNOWLEDGE) {
        request("/itemTemplates/".concat(templateId), {
          method: 'get',
          headers: isKcsSdk() ? {} : {
            knowledgeBaseId: knowledgeBaseId
          }
        }).then(function (resp) {
          setStyleInfo(resp.data.styleJson);
        });
      }
      request("/knowledgeItems/".concat(itemId), {
        method: 'get',
        params: {
          historyId: historyId,
          knowledgeBaseId: knowledgeBaseId
        },
        headers: isKcsSdk() ? {} : {
          knowledgeBaseId: knowledgeBaseId
        }
      }).then(function (resp) {
        resp.data = resp.data || {};
        if (resp.data.relevances) {
          resp.data.relevances.forEach(function (item) {
            item.name = item.relevantItemName;
            item.historyId = item.relevantItemHistoryId;
            item.id = item.relevantItemId;
          });
        }
        setBreadcrumbData([resp.data.knowledgeBaseName, resp.data.categoryName, resp.data.name]);
        setTemplateDetailInfo(resp.data);
      }).finally(function () {
        setLoading(false);
      });
    }
    if (type === 6) {
      setLoading(true);
      request("/knowledgeItems/".concat(itemId), {
        method: 'get',
        params: {
          historyId: -1,
          knowledgeBaseId: knowledgeBaseId
        },
        headers: isKcsSdk() ? {} : {
          knowledgeBaseId: knowledgeBaseId
        }
      }).then(function (resp) {
        setReadHtml(resp.data.content);
        setBreadcrumbData([resp.data.knowledgeBaseName, resp.data.categoryName, resp.data.name]);
      }).finally(function () {
        setLoading(false);
      });
    }
  }, [type, knowledgeBaseId, itemId]);
  return /*#__PURE__*/React.createElement("div", {
    className: createClassName({
      'bg-slate-300': true,
      'overflow-auto': true,
      'flex-[5_1_0%]': open,
      'transition-all': true,
      'w-0': !open,
      'hidden': isKcsSdk()
    })
  }, /*#__PURE__*/React.createElement(Card, {
    size: "small",
    bordered: false,
    className: createClassName({
      'w-full	h-full shadow': true,
      'hidden': !open
    }),
    bodyStyle: {
      height: 'calc(100% - 40px)',
      overflow: 'auto'
    },
    loading: loading,
    title: /*#__PURE__*/React.createElement("h4", {
      className: "font-semibold mb-0"
    }, Locales['current'].kcsSession.index.preview),
    extra: /*#__PURE__*/React.createElement(Button, {
      onClick: function onClick() {
        return setDocData(null);
      },
      size: "small",
      icon: /*#__PURE__*/React.createElement(CloseOutlined, null)
    })
  }, inspect(type === 9, function () {
    return /*#__PURE__*/React.createElement("iframe", {
      seamless: true,
      allowFullScreen: true,
      src: url,
      style: {
        width: '100%',
        height: 'calc(100% - 6px)',
        border: 'none'
      }
    });
  }), inspect(type === 6, function () {
    return /*#__PURE__*/React.createElement("div", {
      className: "h-full overflow-auto"
    }, /*#__PURE__*/React.createElement(Link, {
      data: breadcrumbData
    }), /*#__PURE__*/React.createElement(DocView, {
      readHtml: readHtml,
      search: docSegment || undefined
    }));
  }), inspect(type === 7, function () {
    return /*#__PURE__*/React.createElement("div", {
      className: "h-full overflow-auto"
    }, /*#__PURE__*/React.createElement(Link, {
      data: breadcrumbData
    }), /*#__PURE__*/React.createElement(TemplateView, {
      styleInfo: styleInfo,
      detailInfo: templateDetailInfo,
      search: docSegment || undefined
    }));
  }), inspect(type === 8, function () {
    return /*#__PURE__*/React.createElement("div", {
      className: "h-full overflow-auto"
    }, /*#__PURE__*/React.createElement(Link, {
      data: breadcrumbData
    }), /*#__PURE__*/React.createElement(DocView, {
      transformHtml: transformHtml,
      search: docSegment || undefined
    }));
  })));
});
var HistoryCard = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var _useSdkOptionsContext = useSdkOptionsContext(),
    antPrefixCls = _useSdkOptionsContext.antPrefixCls,
    locale = _useSdkOptionsContext.locale;
  var active = props.active,
    createSession = props.createSession,
    setActive = props.setActive,
    setDocData = props.setDocData;
  var _useState13 = useState(true),
    _useState14 = _slicedToArray(_useState13, 2),
    open = _useState14[0],
    setOpen = _useState14[1];
  var _useState15 = useState({
      current: 1,
      pageSize: 20,
      total: 0,
      simple: true,
      onChange: function onChange(current, pageSize) {
        setPagination(function (pagination) {
          return _objectSpread(_objectSpread({}, pagination), {}, {
            current: current,
            pageSize: pageSize
          });
        });
      }
    }),
    _useState16 = _slicedToArray(_useState15, 2),
    pagination = _useState16[0],
    setPagination = _useState16[1];
  var _useState17 = useState([]),
    _useState18 = _slicedToArray(_useState17, 2),
    data = _useState18[0],
    setData = _useState18[1];
  var _useState19 = useState(false),
    _useState20 = _slicedToArray(_useState19, 2),
    loading = _useState20[0],
    setLoading = _useState20[1];
  var isActive = useCallback(function (item) {
    return (active === null || active === void 0 ? void 0 : active.chatId) === item.chatId;
  }, [active]);
  var findAllSession = useCallback(function () {
    setLoading(true);
    request('/llmChat/findALlSession', {
      method: 'get',
      params: {
        pageNum: pagination.current,
        pageSize: pagination.pageSize
      }
    }).then(function (resp) {
      setData(function () {
        return resp.data.map(function (item) {
          return _objectSpread(_objectSpread({}, item), {}, {
            name: item.showTitle || /* 新的话题 */Locales['current'].kcsSession.index.newTopics
          });
        });
      });
      setPagination(function (pagination) {
        var _resp$paging;
        return _objectSpread(_objectSpread({}, pagination), {}, {
          total: resp === null || resp === void 0 || (_resp$paging = resp.paging) === null || _resp$paging === void 0 ? void 0 : _resp$paging.total
        });
      });
    }).finally(function () {
      setLoading(false);
    });
  }, [pagination.current, pagination.pageSize]);
  var onDelete = useCallback(function (item) {
    request("/llmChat/deleteSession/".concat(item.id), {
      method: 'delete'
    }).then(function () {
      findAllSession();
      setActive(null);
      Toast({
        message: /* 删除成功 */Locales['current'].kcsSession.index.successfullyDeleted,
        type: 'success'
      });
    });
  }, []);
  useEffect(findAllSession, []);
  useImperativeHandle(ref, function () {
    return {
      findAllSession: findAllSession
    };
  }, []);
  return /*#__PURE__*/React.createElement(Div, {
    locale: locale,
    antPrefixCls: antPrefixCls,
    isShowPagination: pagination.total > pagination.pageSize,
    className: createClassName({
      'absolute': isKcsSdk(),
      'right-0': isKcsSdk(),
      'pb-4': isKcsSdk(),
      'shadow-md': isKcsSdk(),
      'relative': !isKcsSdk(),
      'fixed': isKcsSdk(),
      'top-1': isKcsSdk(),
      'flex-none': true,
      'transition-all': true,
      'rounded-l-2xl': true,
      'bg-white': true,
      'w-52': open,
      'w-0': !open
    })
  }, /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      return setOpen(function (open) {
        return !open;
      });
    },
    className: createClassName({
      'absolute': true,
      'top-10': true,
      'text-slate-400': true,
      '-translate-x-1/2': true
    }),
    shape: open ? 'circle' : 'round'
  }, inspect(open, /*#__PURE__*/React.createElement(DoubleRightOutlined, null), /*#__PURE__*/React.createElement(DoubleLeftOutlined, {
    className: "relative -left-2"
  }))), /*#__PURE__*/React.createElement("div", {
    className: createClassName({
      'flex flex-col items-center': true,
      'hidden': !open
    })
  }, /*#__PURE__*/React.createElement(SvgRobot, {
    className: "my-3"
  }), /*#__PURE__*/React.createElement("h4", {
    className: "font-semibold text-center"
  }, Locales['current'].kcsSession.index.enterpriseKnowledgeAssistant), /*#__PURE__*/React.createElement("div", {
    className: "w-full px-1.5 my-2"
  }, /*#__PURE__*/React.createElement(Button, {
    className: "w-full new-session-btn",
    type: "primary",
    shape: "round",
    onClick: function onClick() {
      return createSession();
    }
  }, Locales['current'].kcsSession.index.newTopic)), /*#__PURE__*/React.createElement(List, {
    size: "small",
    className: "w-full",
    bordered: false,
    split: false,
    loading: loading,
    pagination: pagination.total > pagination.pageSize ? pagination : false,
    header: /*#__PURE__*/React.createElement("div", {
      className: "flex px-1"
    }, /*#__PURE__*/React.createElement(MinusOutlined, {
      rotate: 90,
      className: "text-sky-500"
    }), /*#__PURE__*/React.createElement("h4", {
      className: "font-semibold mb-0"
    }, Locales['current'].kcsSession.index.historicalTopics)),
    dataSource: data,
    renderItem: function renderItem(item) {
      return /*#__PURE__*/React.createElement(List.Item, {
        style: {
          margin: '0.25rem 0.5rem',
          padding: 0
        },
        className: createClassName({
          'cursor-pointer h-8 rounded-lg text-xs': true,
          'bg-neutral-100': !isActive(item),
          'bg-sky-100': isActive(item)
        }),
        extra: inspect(isActive(item) && item.id, function () {
          return /*#__PURE__*/React.createElement(Button, {
            type: "link",
            icon: /*#__PURE__*/React.createElement(DeleteOutlined, null),
            onClick: function onClick() {
              return onDelete(item);
            }
          });
        })
      }, /*#__PURE__*/React.createElement("div", {
        onClick: function onClick() {
          setActive(item);
          setDocData(null);
        },
        className: createClassName({
          'truncate text-gray-600 pl-2': true,
          'w-full h-full': true
        })
      }, /*#__PURE__*/React.createElement(SvgChart, {
        className: "relative top-1.5 mx-1.5"
      }), /*#__PURE__*/React.createElement("span", {
        title: item.name
      }, item.name)));
    }
  })));
});
var Session = /*#__PURE__*/React.memo(function (props) {
  var _useState21 = useState(false),
    _useState22 = _slicedToArray(_useState21, 2),
    open = _useState22[0],
    setOpen = _useState22[1];
  var _useState23 = useState(null),
    _useState24 = _slicedToArray(_useState23, 2),
    active = _useState24[0],
    setActive = _useState24[1];
  var _useState25 = useState(null),
    _useState26 = _slicedToArray(_useState25, 2),
    docData = _useState26[0],
    setDocData = _useState26[1];
  var _useState27 = useState(null),
    _useState28 = _slicedToArray(_useState27, 2),
    docSegment = _useState28[0],
    setDocSegment = _useState28[1];
  var _useRouteContext = useRouteContext(),
    push = _useRouteContext.push;
  var historyRef = useRef(null);
  var createSession = useCallback(function () {
    var active = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    setActive(active);
    push(KcsHomeRouteName);
  }, []);
  useEffect(function () {
    setOpen(!!docData);
  }, [docData]);
  useEffect(function () {
    setDocData(props !== null && props !== void 0 && props.type && props !== null && props !== void 0 && props.itemId ? {
      type: props.type,
      itemId: props.itemId,
      historyId: props.historyId,
      knowledgeBaseId: props.knowledgeBaseId,
      url: props === null || props === void 0 ? void 0 : props.url
    } : null);
  }, [props === null || props === void 0 ? void 0 : props.type, props === null || props === void 0 ? void 0 : props.itemId, props === null || props === void 0 ? void 0 : props.historyId, props === null || props === void 0 ? void 0 : props.url]);
  return /*#__PURE__*/React.createElement("div", {
    className: classNames({
      "flex flex-row overflow-hidden	h-full bg-[#ebf9fd]": true,
      "pl-4 pr-4": isKcsSdk()
    })
  }, /*#__PURE__*/React.createElement(DocumentCard, {
    open: open,
    docData: docData,
    docSegment: docSegment,
    setDocSegment: setDocSegment,
    setDocData: setDocData
  }), /*#__PURE__*/React.createElement(SessionCard, {
    docData: docData,
    setDocSegment: setDocSegment,
    setDocData: setDocData,
    active: active,
    setActive: setActive,
    findAllSession: function findAllSession() {
      var _historyRef$current;
      (_historyRef$current = historyRef.current) === null || _historyRef$current === void 0 || _historyRef$current.findAllSession();
    },
    defaultSearch: props.defaultSearch
  }), /*#__PURE__*/React.createElement(HistoryCard, {
    ref: historyRef,
    active: active,
    setActive: setActive,
    setDocData: setDocData,
    createSession: createSession
  }));
});
var KcsApp = function KcsApp() {
  var _useRouteContext2 = useRouteContext(),
    currentRoute = _useRouteContext2.currentRoute,
    updateCurrentRoute = _useRouteContext2.updateCurrentRoute;
  var _useSdkOptionsContext2 = useSdkOptionsContext(),
    session = _useSdkOptionsContext2.session;
  var _ref2 = currentRoute || {},
    params = _ref2.params;
  var _ref3 = params || {},
    type = _ref3.type,
    itemId = _ref3.itemId,
    knowledgeBaseId = _ref3.knowledgeBaseId,
    historyId = _ref3.historyId,
    url = _ref3.url,
    _ref3$defaultSearch = _ref3.defaultSearch,
    defaultSearch = _ref3$defaultSearch === void 0 ? '' : _ref3$defaultSearch;
  useEffect(function () {
    if (defaultSearch && params) {
      updateCurrentRoute(function (route, save) {
        if (params) {
          params.defaultSearch = undefined;
        }
        save === null || save === void 0 || save();
      });
    }
  }, [defaultSearch]);
  return /*#__PURE__*/React.createElement(Session, {
    extra: session === null || session === void 0 ? void 0 : session.extra,
    type: type,
    itemId: itemId,
    knowledgeBaseId: knowledgeBaseId,
    historyId: historyId,
    url: url,
    defaultSearch: defaultSearch
  });
};
export default KcsApp;