"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _filter = _interopRequireDefault(require("lodash-es/filter"));

var _includes = _interopRequireDefault(require("lodash-es/includes"));

var _map = _interopRequireDefault(require("lodash-es/map"));

/*
 * @Author: your name
 * @Date: 2020-09-02 13:50:08
 * @LastEditTime: 2021-10-30 16:47:12
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /udesk_webapp_cc/Users/amyliang/Documents/udesk_webapp_public/packages/multi-select/src/Options.js
 */
var Options = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(Options, _Component);

  function Options() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Options.prototype;

  _proto.render = function render() {
    var _this = this;

    var _this$props = this.props,
        options = _this$props.options,
        _this$props$getOption = _this$props.getOptionLabel,
        getOptionLabel = _this$props$getOption === void 0 ? function (v) {
      return JSON.stringify(v);
    } : _this$props$getOption,
        _this$props$getOption2 = _this$props.getOptionValue,
        getOptionValue = _this$props$getOption2 === void 0 ? function (v) {
      return v;
    } : _this$props$getOption2,
        _this$props$value = _this$props.value,
        value = _this$props$value === void 0 ? [] : _this$props$value;
    return /*#__PURE__*/_react["default"].createElement(_react.Fragment, null, (0, _map["default"])(options, function (i, index) {
      return /*#__PURE__*/_react["default"].createElement("li", {
        key: index
      }, /*#__PURE__*/_react["default"].createElement("label", null, /*#__PURE__*/_react["default"].createElement("input", {
        value: getOptionValue(i),
        type: "checkbox",
        checked: (0, _includes["default"])(value, getOptionValue(i)),
        onChange: function onChange(e) {
          return _this.onChange(i, e.target.checked);
        }
      }), getOptionLabel(i)));
    }));
  }
  /**
   * 当选项被点击时触发
   * @param {any} option - 选项
   * @param {boolean} isChecked - 选中状态
   */
  ;

  _proto.onChange = function onChange(option, isChecked) {
    var _this$props2 = this.props,
        _this$props2$value = _this$props2.value,
        value = _this$props2$value === void 0 ? [] : _this$props2$value,
        _this$props2$getOptio = _this$props2.getOptionValue,
        getOptionValue = _this$props2$getOptio === void 0 ? function (v) {
      return v;
    } : _this$props2$getOptio;

    if (isChecked) {
      this.props.onChange([].concat(value, [getOptionValue(option)]));
    } else {
      this.props.onChange((0, _filter["default"])(value, function (i) {
        return i !== getOptionValue(option);
      }));
    }
  };

  return Options;
}(_react.Component);

Options.propTypes = {
  options: _propTypes["default"].arrayOf(_propTypes["default"].any),
  getOptionLabel: _propTypes["default"].func,
  getOptionValue: _propTypes["default"].func,
  value: _propTypes["default"].arrayOf(_propTypes["default"].any),
  onChange: _propTypes["default"].func
};
var _default = Options;
exports["default"] = _default;