function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["menu", "children", "disabled"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { Menu, MenuItem, useClick } from '@szhsin/react-menu';
import '@szhsin/react-menu/dist/index.css';
import '@szhsin/react-menu/dist/transitions/slide.css';
import { Space } from 'antd';
import React, { useMemo, useRef, useState } from 'react';
import { Popconfirm } from "../Popconfirm";
import { fire, inspect } from "../utils/core";
var PopupBatchedActions = function PopupBatchedActions(props) {
  var _props$menu = props.menu,
    menuProps = _props$menu === void 0 ? [] : _props$menu,
    children = props.children,
    disabled = props.disabled,
    node = _objectWithoutProperties(props, _excluded);
  var ref = useRef(null);
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isOpen = _useState2[0],
    setOpen = _useState2[1];
  var anchorProps = useClick(isOpen, setOpen);
  var menu = useMemo(function () {
    return menuProps.map(function (item) {
      var disabled = fire(item.disabled, node);
      return /*#__PURE__*/React.createElement(MenuItem, {
        disabled: disabled,
        key: item.label,
        onClick: item.danger || item.confirm ? null : item.onClick
      }, inspect(!item.danger, function () {
        return /*#__PURE__*/React.createElement(Space
        // onClick={(e) => e.stopPropagation()}
        , {
          style: {
            width: '100%',
            cursor: 'pointer'
          }
        }, /*#__PURE__*/React.createElement("span", null, item === null || item === void 0 ? void 0 : item.icon), /*#__PURE__*/React.createElement("span", null, item.label));
      }, function () {
        return /*#__PURE__*/React.createElement(Popconfirm, {
          title: "\u786E\u8BA4\u8981\u5220\u9664\u5417\uFF1F",
          onConfirm: item.onClick,
          okText: "\u5220\u9664",
          cancelText: "\u53D6\u6D88",
          okButtonProps: {
            danger: true
          }
        }, /*#__PURE__*/React.createElement(Space
        // onClick={(e) => e.stopPropagation()}
        , {
          style: {
            color: item.danger ? '#ff4d4f' : 'rgba(0, 0, 0, 0.85)',
            width: '100%',
            cursor: 'pointer'
          }
        }, /*#__PURE__*/React.createElement("span", null, item === null || item === void 0 ? void 0 : item.icon), /*#__PURE__*/React.createElement("span", null, item.label)));
      }));
    });
  }, [menuProps, node]);
  if (!menu.length) {
    return null;
  }
  return (
    /*#__PURE__*/
    // @ts-ignore
    React.createElement(Menu, {
      menuButton: /*#__PURE__*/React.cloneElement(children, _objectSpread(_objectSpread({}, anchorProps), {}, {
        ref: ref
      })),
      transition: true
    }, menu)
    // <Dropdown
    //   placement={placement}
    //   disabled={disabled}
    //   overlay={menu}
    //   trigger={trigger}
    //   className="batched-actions-dropdown"
    // >
    //   {children}
    // </Dropdown>
  );
};

export default PopupBatchedActions;