function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { PauseCircleFilled } from '@ant-design/icons';
import { Button, message } from 'antd';
import React, { useCallback, useEffect, useMemo, useRef, useState } from 'react';
import { Dialogue, Input } from "./..";
import { SESSION } from "../LLM/components/HistoryTop10";
import { useChatHistoryContext } from "../LLM/context/chatHistory";
import { getLocaleDateTimeString } from "../utils/core";
import { request, useStream } from "../utils/fetch";
import { useSdkOptionsContext } from "../utils/fetch/context";
import { useOnce } from "../utils/hook";
import Locales from "../locales";
var Narrator = /*#__PURE__*/React.memo(function () {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h1", null, Locales['current'].session.index.iAmYourExc16tAssistant), /*#__PURE__*/React.createElement("h3", null, Locales['current'].session.index.iCanAnswerAnyOfYourQuestions), /*#__PURE__*/React.createElement("h3", null, Locales['current'].session.index.whetherYou90Assistance));
});
var narratorNode = {
  nodeType: 0,
  content: /*#__PURE__*/React.createElement(Narrator, null),
  ossKey: '',
  startSecond: Date.now(),
  isSync: 2,
  id: -1,
  closeTextAnimation: true
};
var Session = /*#__PURE__*/React.memo(function (props) {
  var extra = props.extra;
  var _useChatHistoryContex = useChatHistoryContext(),
    active = _useChatHistoryContex.active,
    setActive = _useChatHistoryContex.setActive,
    refresh = _useChatHistoryContex.refresh;
  var _useState = useState((active === null || active === void 0 ? void 0 : active.type) === SESSION ? active === null || active === void 0 ? void 0 : active.id : props.sessionId),
    _useState2 = _slicedToArray(_useState, 2),
    sessionId = _useState2[0],
    setSessionId = _useState2[1];
  var _useState3 = useState([narratorNode]),
    _useState4 = _slicedToArray(_useState3, 2),
    list = _useState4[0],
    setList = _useState4[1];
  var _useState5 = useState(false),
    _useState6 = _slicedToArray(_useState5, 2),
    loading = _useState6[0],
    setLoading = _useState6[1];
  var _useState7 = useState(false),
    _useState8 = _slicedToArray(_useState7, 2),
    isScrollBottom = _useState8[0],
    setIsScrollBottom = _useState8[1];
  var _useState9 = useState(false),
    _useState10 = _slicedToArray(_useState9, 2),
    isChange = _useState10[0],
    setIsChange = _useState10[1];
  var sdkOptions = useSdkOptionsContext();
  var requestStream = useStream();
  var refreshChatHistory = useOnce(refresh);
  var dialogueRef = useRef(null);
  useEffect(function () {
    setSessionId((active === null || active === void 0 ? void 0 : active.type) === SESSION ? active === null || active === void 0 ? void 0 : active.id : props.sessionId);
  }, [active === null || active === void 0 ? void 0 : active.type, active === null || active === void 0 ? void 0 : active.id, props.sessionId]);
  var _onTextAnimationPlaying = useCallback(function (item, isLast) {
    if (!item.closeTextAnimation && isLast && isScrollBottom) {
      var _dialogueRef$current;
      var isScrollBottomForNow = !!((_dialogueRef$current = dialogueRef.current) !== null && _dialogueRef$current !== void 0 && _dialogueRef$current.isScrollBottom());
      if (!isScrollBottomForNow) {
        var _dialogueRef$current2;
        (_dialogueRef$current2 = dialogueRef.current) === null || _dialogueRef$current2 === void 0 || _dialogueRef$current2.scrollToBottom();
      }
    }
  }, [isScrollBottom]);
  useEffect(function () {
    setTimeout(function () {
      var _dialogueRef$current3;
      (_dialogueRef$current3 = dialogueRef.current) === null || _dialogueRef$current3 === void 0 || _dialogueRef$current3.scrollToBottom();
    }, 200);
  }, [sessionId]);
  var isHistory = useMemo(function () {
    if (!!props.defaultSearch) {
      return false;
    }
    return (active === null || active === void 0 ? void 0 : active.type) === SESSION ? !!(active !== null && active !== void 0 && active.id) : !!props.sessionId;
  }, [active === null || active === void 0 ? void 0 : active.type, active === null || active === void 0 ? void 0 : active.id, props.sessionId]);
  var getSessionId = useCallback(function () {
    return new Promise(function (resolve, reject) {
      if (sessionId) {
        resolve(sessionId);
      } else if (props.sessionId) {
        resolve(props.sessionId);
      } else {
        request('/v2/initClient', {
          method: 'post',
          data: _objectSpread(_objectSpread({}, sdkOptions), {}, {
            applicationId: 99999999
          })
        }).then(function (resp) {
          setSessionId(resp.data.sessionId);
          setActive({
            type: SESSION,
            id: resp.data.sessionId
          });
          resolve(resp.data.sessionId);
        }).catch(reject);
      }
    });
  }, [sessionId, props.sessionId]);
  var onChange = useCallback(function (value) {
    var _dialogueRef$current5;
    var next = {
      channel: 1,
      nodeType: 2,
      loading: true,
      content: '',
      ossKey: '',
      startSecond: getLocaleDateTimeString(),
      isSync: 2,
      sessionId: sessionId
    };
    setList(function (list) {
      next.id = list.length + 1;
      return [].concat(_toConsumableArray(list), [{
        channel: 2,
        nodeType: 1,
        content: value,
        ossKey: '',
        startSecond: getLocaleDateTimeString(),
        isSync: 2,
        id: list.length
      }, next]);
    });
    var text = [];
    getSessionId().then(function (sessionId) {
      requestStream('/v2/chat', 'post', {
        content: value,
        sessionId: sessionId
      }, {
        onmessage: function onmessage(resp) {
          if (resp.event === 'complete') {
            next.id = parseInt(resp.id) || null;
          }
          text.push(resp.data);
        },
        onclose: function onclose() {
          next.loading = false;
          next.content = text.join('');
          setList(function (list) {
            return _toConsumableArray(list);
          });
          if (!isHistory) {
            refreshChatHistory();
          }
        },
        onerror: function onerror(err) {
          throw err;
        }
      });
    });
    setTimeout(function () {
      var _dialogueRef$current4;
      (_dialogueRef$current4 = dialogueRef.current) === null || _dialogueRef$current4 === void 0 || _dialogueRef$current4.scrollToBottom();
    }, 100);
    setIsChange(true);
    setIsScrollBottom(!!((_dialogueRef$current5 = dialogueRef.current) !== null && _dialogueRef$current5 !== void 0 && _dialogueRef$current5.isScrollBottom()));
  }, [getSessionId, isHistory]);
  var onReload = useCallback(function (data) {
    setList(function (list) {
      return list.map(function (item, index) {
        if (index === data.index) {
          return _objectSpread(_objectSpread({}, item), {}, {
            content: '',
            loading: true
          });
        }
        return item;
      });
    });
    setTimeout(function () {
      setList(function (list) {
        return list.map(function (item, index) {
          if (index === data.index) {
            return _objectSpread(_objectSpread({}, item), {}, {
              content: data.content,
              loading: false,
              closeTextAnimation: false
            });
          }
          return item;
        });
      });
    }, 2000);
  }, []);
  var onFeedback = useCallback(function () {
    console.log('feedback!!!!');
  }, []);
  var onDelete = useCallback(function (active) {
    request("/session/history/".concat(sessionId, "/").concat(active.id), {
      method: 'delete'
    }).then(function () {
      message.success( /* 删除成功 */Locales['current'].session.index.successfullyDeleted);
      setList(function (list) {
        return list.filter(function (item, index) {
          return index !== active.index;
        });
      });
    });
  }, [sessionId]);
  var onScroll = useCallback(function (event) {
    if (isChange && event.deltaY < 0) {
      setIsChange(false);
      setIsScrollBottom(false);
    }
  }, [isChange]);
  useEffect(function () {
    if (!isHistory) {
      if (props.defaultSearch) {
        onChange(props.defaultSearch);
      }
    }
  }, [isHistory]);
  useEffect(function () {
    if (isHistory) {
      setLoading(true);
      request("/session/history/".concat(sessionId), {
        method: 'get',
        params: {
          pageSize: 9999,
          anchorId: undefined
        }
      }).then(function (resp) {
        setList([].concat(narratorNode, resp.data.map(function (item, index) {
          return {
            sessionId: sessionId,
            channel: item.role === 'USER' ? 2 : 1,
            nodeType: item.role === 'USER' ? 1 : 2,
            content: item.content,
            ossKey: '',
            startSecond: item.createTime,
            isSync: 2,
            id: item.id || index,
            closeTextAnimation: true // 是否关闭文本动画
          };
        }).reverse()));
      }).finally(function () {
        var _dialogueRef$current6;
        setLoading(false);
        (_dialogueRef$current6 = dialogueRef.current) === null || _dialogueRef$current6 === void 0 || _dialogueRef$current6.scrollToBottom();
      });
    }
  }, [sessionId, isHistory]);
  return /*#__PURE__*/React.createElement("div", {
    className: "relative md:p-5 flex flex-1 flex-col overflow-y-auto"
  }, /*#__PURE__*/React.createElement(Dialogue, {
    ref: dialogueRef,
    loading: loading,
    dialogueSentenceList: list,
    onScroll: onScroll,
    itemRender: function itemRender(props, index) {
      return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Dialogue.Item, _extends({}, props, {
        extra: extra,
        index: index,
        onDelete: onDelete,
        onReload: onReload,
        onFeedback: onFeedback,
        onTextRunning: function onTextRunning(isRunning) {
          if (!isRunning) {
            setIsChange(false);
            setIsScrollBottom(false);
            props.closeTextAnimation = true;
          }
        },
        onTextAnimationPlaying: function onTextAnimationPlaying() {
          _onTextAnimationPlaying(props, index === list.length - 1);
        }
      })));
    }
  }), /*#__PURE__*/React.createElement("div", {
    className: "hidden absolute opacity-70 left-1/2\tbottom-24 -translate-x-1/2"
  }, /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    icon: /*#__PURE__*/React.createElement(PauseCircleFilled, null)
  }, Locales['current'].session.index.stopOutput)), /*#__PURE__*/React.createElement("div", {
    className: "py-3"
  }, /*#__PURE__*/React.createElement(Input, {
    onSend: onChange
  })));
});
export default Session;