"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_i18next_1 = require("react-i18next");
var PlusOutlined_1 = tslib_1.__importDefault(require("@ant-design/icons/PlusOutlined"));
var AddToCustomerMenuItem = function (_a) {
    var tels = _a.tels, emails = _a.emails, isExpand = _a.isExpand, onSelectTel = _a.onSelectTel, onSelectEmail = _a.onSelectEmail;
    var t = (0, react_i18next_1.useTranslation)().t;
    if ((tels.length + emails.length) > 1) {
        return react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("button", null, t('page.im.log.addToCustomerInfo')),
            isExpand && tels.map(function (i) { return react_1.default.createElement("button", { key: i, onClick: function () { return onSelectTel === null || onSelectTel === void 0 ? void 0 : onSelectTel(i); } },
                react_1.default.createElement(PlusOutlined_1.default, null),
                i); }),
            isExpand && emails.map(function (i) { return react_1.default.createElement("button", { key: i, onClick: function () { return onSelectEmail === null || onSelectEmail === void 0 ? void 0 : onSelectEmail(i); } },
                react_1.default.createElement(PlusOutlined_1.default, null),
                i); }));
    }
    else if ((tels.length + emails.length) === 1) {
        var tel_1 = tels[0];
        var email_1 = emails[0];
        return react_1.default.createElement("button", { onClick: function () { return tel_1 ? onSelectTel === null || onSelectTel === void 0 ? void 0 : onSelectTel(tel_1) : onSelectEmail === null || onSelectEmail === void 0 ? void 0 : onSelectEmail(email_1); } }, t('page.im.log.addToCustomerInfo'));
    }
    return null;
};
exports.default = AddToCustomerMenuItem;
