import { TreeSelect } from 'udesk-ui';
import React, { ComponentProps, ContextType, ReactNode } from 'react';
import { RepositoryWidgetContext } from './utilities';
export declare function buildTreeNodes(catalogs: ICatalog[], customCatalogOrder: NonNullable<ContextType<typeof RepositoryWidgetContext>['public_knowledge_configs']>['useful_expression_catalog']): ReactNode;
interface Props {
    data: ICatalog[];
    onChange: ComponentProps<typeof TreeSelect>['onChange'];
    value: number;
    prependTreeNodes: Array<ReactNode>;
}
declare const CatalogSelect: React.FC<Props>;
export default CatalogSelect;
