"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var old_1 = __importDefault(require("./old"));
var cascader_1 = __importDefault(require("./cascader"));
/**
 * 级联组件
 * @param props
 * props.view_type   1 代表老级联  2 代表新级联(antd)
 */
var ChainedRroplist = function (props) {
    return react_1.default.createElement(react_1.default.Fragment, null, props.viewType === 0 ? (react_1.default.createElement(old_1.default, __assign({ switchFlag: props.switchFlag }, props))) : (react_1.default.createElement(cascader_1.default, __assign({ switchFlag: props.switchFlag }, props))));
};
exports.default = ChainedRroplist;
