"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var copy_1 = __importDefault(require("../../copy"));
var Option = udesk_ui_1.Select.Option;
function Filed_droplistRadio(props) {
    var _a = props.switchFlag, switchFlag = _a === void 0 ? false : _a;
    var onChange = props.onChange, _b = props.options, options = _b === void 0 ? [] : _b;
    //选择的选项值
    var _c = (0, react_1.useState)(''), selectValue = _c[0], setSelectValue = _c[1];
    var _d = (0, react_1.useState)(''), copyText = _d[0], setCopyText = _d[1];
    (0, react_1.useEffect)(function () {
        var value = Array.isArray(selectValue) ? selectValue.join(',') : selectValue;
        options.forEach(function (item) {
            if (item.value === value) {
                setCopyText(item.title);
            }
        });
    }, [options, selectValue]);
    // 监听道选项改变 处理数据   取出其中默认选项  复制给Radio.Group的value  主要是外部新建字段  改变默认选项时触发  改变展示效果
    (0, react_1.useEffect)(function () {
        // 如果有值传进来 优先使用传进来的值  否则从选项中找道默认选项
        if (props.value) {
            setSelectValue(props.value);
        }
        else {
            //如果禁止使用默认值，直接不进行默认值处理
            if (props.notUseDefault)
                return;
            options.forEach(function (item) {
                if (item.default)
                    setSelectValue(item.value);
            });
        }
    }, [options, props.notUseDefault, props.value]);
    var selectOnChange = (0, react_1.useCallback)(function (e) {
        setSelectValue(e);
        if (onChange)
            onChange(e);
    }, [onChange]);
    return (react_1.default.createElement(copy_1.default, { text: copyText, switchFlag: switchFlag },
        react_1.default.createElement(udesk_ui_1.Select, { value: selectValue, onChange: selectOnChange, style: { width: '100%' }, getPopupContainer: function (triggerNode) { return triggerNode; }, disabled: props.disabled, showSearch: options.length > 8, filterOption: function (input, option) { return option.label.toLowerCase().includes(input.toLowerCase()); }, allowClear: true }, options.map(function (item) {
            return (react_1.default.createElement(Option, { key: item.value, value: item.value, label: item.title },
                react_1.default.createElement("span", { className: "".concat(index_module_scss_1.default['select-item'], " ").concat(item.color ? index_module_scss_1.default['select-item-hascolor'] : ''), style: {
                        background: item.color ? item.color : '',
                    } },
                    item.icon ? react_1.default.createElement("img", { alt: "", src: item.icon, className: index_module_scss_1.default['setting-img'] }) : '',
                    item.title)));
        }))));
}
exports.default = Filed_droplistRadio;
