"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_color_1 = require("react-color");
var udesk_ui_1 = require("udesk-ui");
var colorPicker_module_scss_1 = __importDefault(require("./colorPicker.module.scss"));
function ColorPicker(props) {
    var _a = (0, react_1.useState)(props.color), color = _a[0], setColor = _a[1];
    function handleChangeComplete(value) {
        setColor(value.hex);
    }
    return (react_1.default.createElement("div", { className: colorPicker_module_scss_1.default['color-picker-wrapper'] },
        react_1.default.createElement(react_color_1.SketchPicker, { color: color, onChangeComplete: handleChangeComplete }),
        react_1.default.createElement("div", { className: colorPicker_module_scss_1.default['btn-list'] },
            react_1.default.createElement(udesk_ui_1.Button, { onClick: function () { return props.confirmPicler(''); } }, "\u6E05\u7A7A"),
            react_1.default.createElement(udesk_ui_1.Button, { onClick: function () { return props.confirmPicler(color); } }, "\u786E\u5B9A"))));
}
exports.default = ColorPicker;
