"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var drop_down_1 = __importStar(require("../drop-down"));
var customer_auto_complete_1 = __importDefault(require("../customer-auto-complete"));
var react_i18next_1 = require("react-i18next");
var icon_1 = require("../icon/icon");
var CustomerDropDown = function (props) {
    var onConfirm = props.onConfirm;
    var t = (0, react_i18next_1.useTranslation)().t;
    var _a = (0, react_1.useState)(false), visible = _a[0], setVisible = _a[1];
    var _b = (0, react_1.useState)(), selectCustomer = _b[0], setSelectCustomer = _b[1];
    var onChange = (0, react_1.useCallback)(function (value) {
        setSelectCustomer(value);
    }, []);
    var onConfirmed = (0, react_1.useCallback)(function () {
        onConfirm && onConfirm(selectCustomer);
        setVisible(false);
    }, [onConfirm, selectCustomer]);
    var onCancel = (0, react_1.useCallback)(function () {
        setVisible(false);
    }, []);
    var onVisibleChange = (0, react_1.useCallback)(function (value) {
        setVisible(value);
    }, []);
    return (react_1.default.createElement(drop_down_1.default, { className: index_module_scss_1.default["customer-drop-down"], visible: visible, onVisibleChange: onVisibleChange },
        react_1.default.createElement(drop_down_1.Trigger, null,
            t("components.customerDropDown.customer"),
            react_1.default.createElement(icon_1.CareDown, null)),
        react_1.default.createElement(drop_down_1.Menu, { className: index_module_scss_1.default["menu"] },
            react_1.default.createElement(drop_down_1.Menu.Item, null,
                react_1.default.createElement("div", { className: index_module_scss_1.default["customer-select"] },
                    react_1.default.createElement(customer_auto_complete_1.default, { value: selectCustomer, onChange: onChange })),
                react_1.default.createElement("div", { className: index_module_scss_1.default["buttons"] },
                    react_1.default.createElement(udesk_ui_1.Button, { onClick: onConfirmed, type: "primary", size: "small" }, t("confirm")),
                    react_1.default.createElement(udesk_ui_1.Button, { onClick: onCancel, size: "small" }, t("cancel")))))));
};
exports.default = CustomerDropDown;
