"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var utilities_1 = require("../utilities");
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
var LocationType = react_1.default.memo(function (_a) {
    var _b;
    var msg = _a.msg;
    var curMap = (0, react_1.useMemo)(function () { return (0, utilities_1.getTencentMap)(msg.content) || {}; }, [msg]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: index_module_less_1.default['location-name'] }, (_b = msg.content) === null || _b === void 0 ? void 0 : _b.split(';')[3]),
        react_1.default.createElement("a", { href: curMap.map_src, target: "_blank", rel: "noopener noreferrer" },
            react_1.default.createElement("div", { className: index_module_less_1.default['location-img'], style: { background: 'url(' + curMap.img_src + ')' } }))));
});
exports.default = LocationType;
