import React, { ComponentProps } from 'react';
import RobotAutoSugs from './robot-auto-sugs';
declare type Props = {
    msg: Pick<IMessage, 'auto' | 'is_welcome' | 'msg_id' | 'id' | 'translation' | 'font' | 'im_sub_session_id' | 'open_robot_recommends' | 'date' | 'is_receive' | 'content' | 'twemoji'>;
    trans_text?: {
        content: string;
        from: string;
    };
    real_time_translation?: {
        translate_to?: string;
        enabled?: boolean;
    };
    chatPlatform: IPlatform;
    robotBaseURL: string;
    kcsSdk?: any;
} & Partial<Pick<ComponentProps<typeof RobotAutoSugs>, 'onSelectSuggestion' | 'smart_assistance_enabled'>>;
declare const MessageType: React.FC<Props>;
export default MessageType;
