import React, { ContextType } from "react";
import { RepositoryWidgetContext } from "./utilities";
interface Props {
    companyId: number;
    email: string;
    subdomain: string;
    onSpaceChange?: (space: number) => void;
    onCatalogChange?: (catalog: number) => void;
    expandKeys?: string[];
    scrollTop?: number;
    onUse?: ContextType<typeof RepositoryWidgetContext>["onUse"];
    onSend?: ContextType<typeof RepositoryWidgetContext>["onSend"];
    allowSendQuestion?: boolean;
    showRobotQuestionTab?: boolean;
    kmApiBase: string;
    selectionStateKey?: string;
    showPublicScope?: boolean;
    previewUrl: string;
    customer?: Customer;
    ticket?: ITicket;
    agent?: IAgent;
    ticketCustomFields?: CustomField[];
    customerCustomFields?: CustomField[];
}
declare const RepositoryWidget: React.FC<Props>;
export default RepositoryWidget;
