"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var react_i18next_1 = require("react-i18next");
var FileTextTwoTone_1 = __importDefault(require("@ant-design/icons/FileTextTwoTone"));
var dompurify_1 = __importDefault(require("dompurify"));
var utilities_1 = require("../../../utilities");
var style_module_scss_1 = __importDefault(require("../style.module.scss"));
var RobotQuestionItem = function (_a) {
    var _b, _c;
    var data = _a.data;
    var t = (0, react_i18next_1.useTranslation)().t;
    var _d = (0, react_1.useContext)(utilities_1.RepositoryWidgetContext), onUse = _d.onUse, allowSendQuestion = _d.allowSendQuestion, onSend = _d.onSend;
    var onUseClick = (0, react_1.useCallback)(function () {
        onUse === null || onUse === void 0 ? void 0 : onUse("question", (0, utilities_1.robotToCommonQuestion)(data));
    }, [data, onUse]);
    var onSendClick = (0, react_1.useCallback)(function () {
        onSend === null || onSend === void 0 ? void 0 : onSend("question", (0, utilities_1.robotToCommonQuestion)(data));
    }, [data, onSend]);
    return (react_1.default.createElement(udesk_ui_1.Popover, { content: react_1.default.createElement("div", { dangerouslySetInnerHTML: {
                __html: dompurify_1.default.sanitize((_c = (_b = data.answer) === null || _b === void 0 ? void 0 : _b.content) !== null && _c !== void 0 ? _c : ""),
            } }), overlayStyle: { maxWidth: "300px" }, overlayClassName: style_module_scss_1.default.robotQuestionItemPopover, placement: "left" },
        react_1.default.createElement(udesk_ui_1.List.Item, { className: style_module_scss_1.default["align-justify"] },
            react_1.default.createElement("div", null,
                react_1.default.createElement(FileTextTwoTone_1.default, null),
                data.content),
            react_1.default.createElement("div", { className: style_module_scss_1.default["nowrap"] },
                allowSendQuestion ? (react_1.default.createElement(udesk_ui_1.Button, { size: "small", type: "link", onClick: onSendClick }, t("label.send"))) : null,
                react_1.default.createElement(udesk_ui_1.Button, { size: "small", type: "link", onClick: onUseClick }, t("label.use"))))));
};
exports.default = RobotQuestionItem;
