"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var react_i18next_1 = require("react-i18next");
var style_module_scss_1 = __importDefault(require("./style.module.scss"));
var utilities_1 = require("./utilities");
var ScopeSwitch = function (_a) {
    var _b = _a.value, value = _b === void 0 ? "public" : _b, _c = _a.enableRobot, enableRobot = _c === void 0 ? false : _c, onChange = _a.onChange;
    var t = (0, react_i18next_1.useTranslation)().t;
    var _d = (0, react_1.useState)(value), _value = _d[0], _setValue = _d[1];
    var showPublicScope = (0, react_1.useContext)(utilities_1.RepositoryWidgetContext).showPublicScope;
    (0, react_1.useEffect)(function () {
        _setValue(value);
    }, [value]);
    return (react_1.default.createElement("div", { className: style_module_scss_1.default.scopeSwitch },
        react_1.default.createElement(udesk_ui_1.Radio.Group, { onChange: function (e) { return onChange && onChange(e.target.value); }, value: _value },
            showPublicScope ? (react_1.default.createElement(udesk_ui_1.Radio.Button, { value: "public" }, t("page.im.km.scope.public"))) : null,
            enableRobot ? (react_1.default.createElement(udesk_ui_1.Radio.Button, { value: "robot" }, t("page.im.km.scope.robot"))) : null,
            react_1.default.createElement(udesk_ui_1.Radio.Button, { value: "personal" }, t("page.im.km.scope.personal")))));
    // <div className={css.scopeSwitch}>
    //     <Button size='small' className={classNames({active: _value === 'public'})}
    //             onClick={() => {
    //                 _setValue('public');
    //                 onChange?.('public');
    //             }}>{t('page.im.km.scope.public')}</Button>
    //     <Button size='small' className={classNames({active: _value === 'personal'})}
    //             onClick={() => {
    //                 _setValue('personal');
    //                 onChange?.('personal');
    //             }}>{t('page.im.km.scope.personal')}</Button>
    // </div>
};
exports.default = ScopeSwitch;
