"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var SearchOutlined_1 = __importDefault(require("@ant-design/icons/SearchOutlined"));
var useDebounce_1 = __importDefault(require("react-use/esm/useDebounce"));
var style_module_scss_1 = __importDefault(require("./style.module.scss"));
var react_i18next_1 = require("react-i18next");
var SearchInput = function (_a) {
    var onSearch = _a.onSearch, defaultValue = _a.defaultValue;
    var _b = (0, react_1.useState)(''), keyword = _b[0], setKeyword = _b[1];
    var onChange = (0, react_1.useCallback)(function (e) { return setKeyword(e.target.value); }, []);
    var t = (0, react_i18next_1.useTranslation)().t;
    (0, react_1.useEffect)(function () {
        setKeyword(defaultValue || '');
    }, [defaultValue]);
    (0, useDebounce_1.default)(function () {
        onSearch(keyword);
    }, 500, [onSearch, keyword]);
    var suffix = (0, react_1.useMemo)(function () {
        if (keyword) {
            return null;
        }
        else {
            return react_1.default.createElement(SearchOutlined_1.default, null);
        }
    }, [keyword]);
    return react_1.default.createElement(udesk_ui_1.Input, { value: keyword, onChange: onChange, suffix: suffix, allowClear: true, placeholder: t('label.input_keyword'), className: style_module_scss_1.default['mgb-15'] });
};
exports.default = SearchInput;
