"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var dompurify_1 = tslib_1.__importDefault(require("dompurify"));
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
dompurify_1.default.setConfig({
    ALLOWED_ATTR: ['target', 'class', 'style', 'alt', 'src', 'href', 'border', 'width', 'rowspan', 'colspan'],
    ADD_TAGS: ['iframe'],
    FORBID_ATTR: ['position'],
    FORBID_TAGS: ['position'],
});
var RichType = react_1.default.memo(function (_a) {
    var msg = _a.msg;
    var res = dompurify_1.default.sanitize(msg.content);
    return react_1.default.createElement("div", { className: index_module_less_1.default['rich-wrapper'], dangerouslySetInnerHTML: { __html: res } });
});
exports.default = RichType;
