"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var ajax_1 = require("../ajax");
var utilities_1 = require("../utilities");
var qs_1 = tslib_1.__importDefault(require("qs"));
var RobotAutoSugItem = react_1.default.memo(function (_a) {
    var _b, _c, _d;
    var index = _a.index, data = _a.data, id = _a.id, content = _a.content, onClick = _a.onClick;
    // let timeStamp:number = 0
    var _e = (0, react_1.useState)(0), timeStamp = _e[0], setTimeStamp = _e[1];
    var saveUseAnswer = (0, react_1.useCallback)(function (type) {
        var params = {
            content: content,
            message_id: id,
            answer_type: data.resolutionType || 'faq',
            answer_name: data.content,
            answer_id: data.id,
            agent_operation: type
        };
        (0, ajax_1.postJSON)('/smart_assistance/record', { data: params }, {
            transformRequest: [
                function (data) {
                    return qs_1.default.stringify(data, { arrayFormat: 'brackets' });
                }
            ]
        });
    }, [content, data.content, data.id, data.resolutionType, id]);
    var use = (0, react_1.useCallback)(function () {
        var _a, _b;
        setTimeStamp(0);
        saveUseAnswer('click');
        onClick === null || onClick === void 0 ? void 0 : onClick((0, utilities_1.removeHTMLTag)((_b = (_a = data.answer) === null || _a === void 0 ? void 0 : _a.content) !== null && _b !== void 0 ? _b : ''), data);
    }, [(_b = data.answer) === null || _b === void 0 ? void 0 : _b.content, onClick, saveUseAnswer]);
    //如果
    var handlePopoverChange = (0, react_1.useCallback)(function (visible) {
        if (visible) {
            setTimeStamp(new Date().getTime());
        }
        else {
            if (timeStamp) {
                var curTime = new Date().getTime();
                curTime - timeStamp > 1000 && saveUseAnswer('hover');
            }
        }
    }, [saveUseAnswer, timeStamp]);
    return (react_1.default.createElement(udesk_ui_1.Popover, { placement: "right", title: '', content: react_1.default.createElement("div", { dangerouslySetInnerHTML: { __html: (_d = (_c = data.answer) === null || _c === void 0 ? void 0 : _c.content) !== null && _d !== void 0 ? _d : '' } }), trigger: "hover", onVisibleChange: function (visible) { return handlePopoverChange(visible); }, overlayClassName: "popover-wrapper" },
        react_1.default.createElement("li", null,
            index,
            ". ",
            react_1.default.createElement("span", { style: { color: '#337ab7', cursor: 'pointer' }, onClick: use }, data.content))));
});
exports.default = RobotAutoSugItem;
