import React from 'react';
interface RobotData {
    answer: Answer;
    content: string;
    type: number;
}
interface Answer {
    content: string;
}
interface RobotProps {
    id: number;
    title: string;
    trans_text: any;
    langto: any;
    titleStyle?: string;
    im_sub_session_id: number;
    open: boolean;
    date: any;
    chatPlatform: IPlatform;
    onSelectSuggestion?: (content: string, data: RobotData) => void;
    smart_assistance_enabled: boolean;
    robotBaseURL: string;
    kcsSdk?: any;
    twemoji?: any;
}
declare const RobotAutoSugs: React.FC<RobotProps>;
export default RobotAutoSugs;
