"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
var react_i18next_1 = require("react-i18next");
var ShopOrderType = react_1.default.memo(function (_a) {
    var msg = _a.msg;
    var t = (0, react_i18next_1.useTranslation)().t;
    return (react_1.default.createElement("div", { className: index_module_less_1.default['im-msg-product-shop'] },
        react_1.default.createElement("div", { className: index_module_less_1.default['media-left'] },
            react_1.default.createElement("img", { src: msg.content.image_url, alt: '' })),
        react_1.default.createElement("div", { className: index_module_less_1.default['media-body'] },
            react_1.default.createElement("div", { className: index_module_less_1.default['title'] },
                react_1.default.createElement("label", null,
                    t('product.orderId'),
                    ":"),
                msg.content.order_id),
            react_1.default.createElement("div", { className: index_module_less_1.default['title'] },
                react_1.default.createElement("label", null,
                    t('product.commoditName'),
                    ":"),
                msg.content.product_titles),
            react_1.default.createElement("div", { className: index_module_less_1.default['title'] },
                react_1.default.createElement("label", null,
                    t('product.priceWording'),
                    ":"),
                " ",
                msg.content.price_wording),
            react_1.default.createElement("div", { className: index_module_less_1.default['title'] },
                react_1.default.createElement("label", null,
                    t('product.state'),
                    ":"),
                " ",
                msg.content.state),
            react_1.default.createElement("div", { className: index_module_less_1.default['title'] },
                react_1.default.createElement("label", null,
                    t('product.shopNickname'),
                    ":"),
                " ",
                msg.content.shop_nickname))));
});
exports.default = ShopOrderType;
