"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
var udesk_ui_1 = require("udesk-ui");
var TextArea = udesk_ui_1.Input.TextArea;
var UnsatisfiedType = react_1.default.memo(function (_a) {
    var msg = _a.msg;
    var content = (0, react_1.useMemo)(function () {
        var reasonList = JSON.parse(msg.data.unsatisfied_tags_result.tags).filter(function (item) { return item.enable; });
        if (!reasonList.length)
            return;
        var _content = [];
        for (var i = 0; i < reasonList.length; i++) {
            var item = reasonList[i];
            var active = ('' + item.id) === ('' + msg.data.unsatisfied_tags_result.tag_id);
            _content.push(react_1.default.createElement("div", { className: "".concat(index_module_less_1.default['no-reason-item'], " ").concat(active ? index_module_less_1.default['active'] : '') }, item.content));
        }
        return _content;
    }, [msg]);
    return (react_1.default.createElement("div", { className: index_module_less_1.default['unsatisfied-wrapper'] },
        react_1.default.createElement("div", { className: index_module_less_1.default['no-reason-title'] }, "\u610F\u89C1\u53CD\u9988"),
        content,
        msg.data.unsatisfied_tags_result.reason ?
            react_1.default.createElement(TextArea, { className: index_module_less_1.default['text-area'], value: msg.data.unsatisfied_tags_result.reason, disabled: true }) : null,
        react_1.default.createElement("div", { className: index_module_less_1.default['sub-btn'] }, "\u5DF2\u6536\u5230\u60A8\u7684\u53CD\u9988\uFF01")));
});
exports.default = UnsatisfiedType;
