var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/features/config/config.ts
var config_exports = {};
__export(config_exports, {
  getConfig: () => getConfig
});
module.exports = __toCommonJS(config_exports);
var import_pluginWebpack5 = __toESM(require("vue-loader/dist/pluginWebpack5.js"));
var import_assetRules = require("./assetRules");
function getConfig(config, api) {
  config.module.noParse(/^(vue|vue-router|vuex|vuex-router-sync)$/);
  config.module.rule("esm").test(/\.m?jsx?$/).resolve.set("fullySpecified", false);
  config.resolve.extensions.merge([".vue"]).end();
  config.module.rule("vue").test(/\.vue$/).use("vue-loader").loader(require.resolve("vue-loader")).options({
    babelParserPlugins: ["jsx", "classProperties", "decorators-legacy"]
  });
  config.plugin("vue-loader-plugin").use(import_pluginWebpack5.default);
  config.module.rule("vue-style").test(/\.vue$/).resourceQuery(/type=style/).sideEffects(true);
  config.module.rule("fix-element-ui-plus").test(/\.mjs$/).include.add(/node_modules/).end().type("javascript/auto").resolve.fullySpecified(false);
  (0, import_assetRules.addAssetRules)({ api, config });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getConfig
});
