"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var utils_1 = require("../../utils");
var imSubSession_1 = __importDefault(require("./imSubSession"));
var ticket_1 = __importDefault(require("./ticket"));
var ccConversation_1 = __importDefault(require("./ccConversation"));
var style_module_scss_1 = __importDefault(require("./style.module.scss"));
var react_i18next_1 = require("react-i18next");
var udesk_ui_1 = require("udesk-ui");
var react_loaders_1 = __importDefault(require("react-loaders"));
require("loaders.css/src/animations/ball-beat.scss");
var cloneDeep_1 = __importDefault(require("lodash-es/cloneDeep"));
var pick_1 = __importDefault(require("lodash-es/pick"));
var useDebounce_1 = __importDefault(require("react-use/esm/useDebounce"));
var ticket_2 = require("../../common/enums/ticket");
var Option = udesk_ui_1.Select.Option;
var ImContact = function (_a) {
    var createdTicket = _a.createdTicket, props = __rest(_a, ["createdTicket"]);
    var roleCan = props.roleCan, chat = props.chat, _b = props.agents, agents = _b === void 0 ? [] : _b, event = props.event;
    var customerId = chat.customer_id;
    var t = (0, react_i18next_1.useTranslation)().t;
    var _agents = agents.map(function (agent) {
        return {
            id: agent.id + '',
            nick_name: agent.nick_name,
        };
    });
    var allAgents = [{ id: 'all', nick_name: t('page.im.imContact.allAgent') }].concat(_agents);
    var _c = (0, react_1.useState)(1), page = _c[0], setPage = _c[1];
    var _d = (0, react_1.useState)({}), setMeta = _d[1];
    var _e = (0, react_1.useState)(chat.contact_agent_id || 'all'), imContactAgentId = _e[0], setImContactAgentId = _e[1];
    var _f = (0, react_1.useState)([]), feeds = _f[0], setFeeds = _f[1];
    var _g = (0, react_1.useState)(true), loading = _g[0], setLoading = _g[1];
    var _h = (0, react_1.useState)(true), loaded = _h[0], setLoaded = _h[1];
    var _j = (0, react_1.useState)('all'), selectFilterKey = _j[0], setSelectFilterKey = _j[1];
    var _k = (0, react_1.useState)(false), loadMore = _k[0], setLoadMore = _k[1];
    var _l = (0, react_1.useState)(false), hasMore = _l[0], setHasMore = _l[1];
    var _m = (0, react_1.useState)({
        All: 0,
        Ticket: 0,
        UnsolveTicket: 0,
        CcConversation: 0,
        ImSubSession: 0,
        Video: 0,
    }), allCount = _m[0], setAllCount = _m[1];
    var scrollRef = (0, react_1.useRef)(null);
    (0, react_1.useEffect)(function () {
        if (createdTicket) {
            setFeeds(function (v) { return __spreadArray([
                __assign(__assign({}, (0, pick_1.default)(createdTicket, [
                    'id',
                    'priority_id',
                    'priority',
                    'status_id',
                    'status',
                    'subject',
                    'content',
                    'created_at',
                ])), { type: 'Ticket', agent: (0, pick_1.default)(createdTicket, [
                        'assignee_id',
                        'assignee_name',
                        'agent_group_id',
                        'agent_group_name',
                    ]) })
            ], v, true); });
            setAllCount(function (v) {
                var isCreatedTicketResolved = createdTicket.status_id === ticket_2.TICKET_STATUS.CLOSED;
                return __assign(__assign({}, v), { Ticket: v.Ticket + 1, UnsolveTicket: isCreatedTicketResolved ? v.UnsolveTicket : v.UnsolveTicket + 1 });
            });
        }
    }, [createdTicket]);
    var params = (0, react_1.useMemo)(function () {
        return {
            agent_id: imContactAgentId === 'all' ? '' : imContactAgentId,
            feed_type: selectFilterKey === 'all' ? '' : selectFilterKey,
            page: page,
            customer_id: customerId,
        };
    }, [customerId, imContactAgentId, page, selectFilterKey]);
    (0, react_1.useEffect)(function () {
        var customer_id = params.customer_id;
        var agent_id = params.agent_id;
        if (!customer_id)
            return;
        var sizeParams = {
            customer_id: customer_id,
        };
        if (agent_id) {
            sizeParams.agent_id = agent_id;
        }
        (0, utils_1.getJSON)('/im/customer_feeds_size', sizeParams)
            .then(function (res) {
            if (res && res.code === 1000) {
                setAllCount({
                    All: res.All,
                    Ticket: res.Ticket,
                    UnsolveTicket: res.UnsolveTicket,
                    CcConversation: res.CcConversation,
                    ImSubSession: res.ImSubSession,
                    Video: res.VideoRecord || 0,
                });
            }
        })
            .catch(function (err) {
            console.log(err);
        });
    }, [params.agent_id, params.customer_id]);
    (0, useDebounce_1.default)(function () {
        if (!params.customer_id)
            return;
        var _params = (0, cloneDeep_1.default)(params);
        if (!_params.agent_id) {
            delete _params.agent_id;
        }
        if (!_params.customer_id) {
            delete _params.customer_id;
        }
        var _isAdd = _params.page > 1;
        (0, utils_1.getJSON)('/im/customer_feeds', _params)
            .then(function (res) {
            if (res === void 0) { res = {}; }
            if (res.code === 1000) {
                res.feeds.forEach(function (item) { return (item.type = item.type ? item.type : _params.feed_type); });
                setMeta(__assign({}, res.meta));
                if (_isAdd) {
                    setFeeds(function (prevFeeds) {
                        return __spreadArray(__spreadArray([], prevFeeds, true), res.feeds, true);
                    });
                }
                else {
                    setFeeds(res.feeds);
                }
                setLoading(false);
                setLoaded(true);
                setLoadMore(false);
                setHasMore(res.meta.total_pages > res.meta.current_page);
            }
        })
            .catch(function () {
            udesk_ui_1.message.error('加载失败');
        });
    }, 500, [params]);
    var handleChangeAgent = (0, react_1.useCallback)(function (value) {
        if (value !== imContactAgentId) {
            if (scrollRef.current) {
                scrollRef.current.scrollTop = 0;
            }
            setLoading(true);
            setFeeds([]);
            setPage(1);
            setImContactAgentId(value);
            event === null || event === void 0 ? void 0 : event.updateChat({
                chat: chat,
                key: 'contact_agent_id',
                value: value,
            });
        }
    }, [chat, imContactAgentId, event === null || event === void 0 ? void 0 : event.updateChat]);
    var handleSwitchType = (0, react_1.useCallback)(function (type) {
        if (type !== selectFilterKey) {
            if (scrollRef.current) {
                scrollRef.current.scrollTop = 0;
            }
            setLoading(true);
            setFeeds([]);
            setPage(1);
            setSelectFilterKey(type);
        }
    }, [selectFilterKey]);
    var showTotal = (0, react_1.useCallback)(function (type) {
        var text = '';
        switch (type) {
            case 'All':
                text = (allCount.All || 0) + '';
                break;
            case 'ImSubSession':
                text = allCount.ImSubSession + '';
                break;
            case 'CcConversation':
                text = allCount.CcConversation + '';
                break;
            case 'Video':
                text = allCount.Video + '';
                break;
            case 'Ticket':
                text = allCount.UnsolveTicket + '/' + allCount.Ticket + '';
                break;
        }
        return "(".concat(text, ")");
    }, [
        allCount.All,
        allCount.CcConversation,
        allCount.ImSubSession,
        allCount.Ticket,
        allCount.UnsolveTicket,
        allCount.Video,
    ]);
    var handleScroll = (0, react_1.useCallback)(function () {
        if (scrollRef.current && hasMore) {
            var $El = scrollRef.current;
            var allHeight = $El.scrollHeight;
            var scrollTop = $El.scrollTop;
            var contentHeight = $El.clientHeight || $El.offsetHeight;
            // 滚动到底部时, 且没有在加载数据时
            if (scrollTop + contentHeight + 50 >= allHeight && loaded) {
                // 判断是否有更多页
                setLoadMore(true);
                setLoaded(false);
                setPage(function (prevPage) {
                    return prevPage + 1;
                });
            }
        }
    }, [hasMore, loaded]);
    return (react_1.default.createElement("div", { className: "".concat(style_module_scss_1.default['im-contact'], " ").concat(roleCan.only_show_self_customer_feed ? style_module_scss_1.default.noSearch : '') },
        roleCan.only_show_self_customer_feed ? null : (react_1.default.createElement("div", { className: style_module_scss_1.default.searchDiv },
            react_1.default.createElement("label", null, t('agent')),
            react_1.default.createElement("div", { className: style_module_scss_1.default.searchMenu },
                react_1.default.createElement(udesk_ui_1.Select, { showSearch: true, size: 'small', style: { width: 120 }, placeholder: '\u8BF7\u9009\u62E9', value: imContactAgentId, optionFilterProp: 'children', onChange: handleChangeAgent, dropdownClassName: style_module_scss_1.default['drop-box'], maxTagCount: 10, filterOption: function (input, option) {
                        return option.children.toLowerCase().indexOf(input.toLowerCase()) >= 0;
                    } }, allAgents.map(function (agent) {
                    return (react_1.default.createElement(Option, { value: agent.id, key: agent.id }, agent.nick_name));
                }))))),
        react_1.default.createElement("div", { className: style_module_scss_1.default['feed-filter-box'] },
            react_1.default.createElement("div", null,
                react_1.default.createElement("span", { className: "".concat(style_module_scss_1.default['filter-span-text'], " ").concat(selectFilterKey === 'all' ? style_module_scss_1.default['active'] : ''), onClick: function () { return handleSwitchType('all'); } },
                    t('label.all'),
                    showTotal('All')),
                react_1.default.createElement("span", { className: style_module_scss_1.default['filter-span-separator'] }, "|")),
            react_1.default.createElement("div", null,
                react_1.default.createElement("span", { className: "".concat(style_module_scss_1.default['filter-span-text'], " ").concat(selectFilterKey === 'Ticket' ? style_module_scss_1.default['active'] : ''), onClick: function () { return handleSwitchType('Ticket'); } },
                    t('ticket'),
                    showTotal('Ticket')),
                react_1.default.createElement("span", { className: style_module_scss_1.default['filter-span-separator'] }, "|")),
            react_1.default.createElement("div", null,
                react_1.default.createElement("span", { className: "".concat(style_module_scss_1.default['filter-span-text'], " ").concat(selectFilterKey === 'CcConversation' ? style_module_scss_1.default['active'] : ''), onClick: function () { return handleSwitchType('CcConversation'); } },
                    t('call'),
                    showTotal('CcConversation')),
                react_1.default.createElement("span", { className: style_module_scss_1.default['filter-span-separator'] }, "|")),
            react_1.default.createElement("div", null,
                react_1.default.createElement("span", { className: "".concat(style_module_scss_1.default['filter-span-text'], " ").concat(selectFilterKey === 'ImSubSession' ? style_module_scss_1.default['active'] : ''), onClick: function () { return handleSwitchType('ImSubSession'); } },
                    t('im'),
                    showTotal('ImSubSession')),
                react_1.default.createElement("span", { className: style_module_scss_1.default['filter-span-separator'] }, "|")),
            react_1.default.createElement("div", null,
                react_1.default.createElement("span", { className: "".concat(style_module_scss_1.default['filter-span-text'], " ").concat(selectFilterKey === 'Video' ? style_module_scss_1.default['active'] : ''), onClick: function () { return handleSwitchType('Video'); } },
                    "\u89C6\u9891",
                    showTotal('Video')),
                react_1.default.createElement("span", { className: style_module_scss_1.default['filter-span-separator'] }, "|"))),
        loading ? (react_1.default.createElement("div", { className: style_module_scss_1.default.pl20 },
            react_1.default.createElement(react_loaders_1.default, { type: 'ball-beat', active: true }))) : (react_1.default.createElement("div", { className: "".concat(style_module_scss_1.default['scroll-contact'], " scrollbar"), ref: scrollRef, onScroll: handleScroll },
            feeds.length > 0 ? (react_1.default.createElement(udesk_ui_1.Timeline, null, feeds.map(function (item, index) {
                var Element;
                switch (item.type) {
                    case 'ImSubSession':
                        Element = imSubSession_1.default;
                        break;
                    case 'Ticket':
                        Element = ticket_1.default;
                        break;
                    case 'CcConversation':
                        Element = ccConversation_1.default;
                        break;
                    case 'Video':
                        Element = ccConversation_1.default;
                        break;
                    default:
                        Element = ccConversation_1.default;
                }
                return (react_1.default.createElement(udesk_ui_1.Timeline.Item, { dot: react_1.default.createElement("span", { className: style_module_scss_1.default['timeline-dot'] }), key: item.id, className: "".concat(style_module_scss_1.default['contact-timeline']) },
                    react_1.default.createElement("div", { className: "".concat(style_module_scss_1.default['contact-record'], " ").concat(style_module_scss_1.default['contact-' + item.type]), key: item.index }, Element && (react_1.default.createElement(Element, __assign({ feed: item }, props, { key: item.id }))))));
            }))) : (react_1.default.createElement("div", null, t('page.im.imContact.noFeed'))),
            loadMore && react_1.default.createElement("div", { className: style_module_scss_1.default['text-center'] }, "loading...")))));
};
exports.default = ImContact;
