"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable react/prop-types */
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var react_i18next_1 = require("react-i18next");
var includes_1 = __importDefault(require("lodash-es/includes"));
var isEqual_1 = __importDefault(require("lodash-es/isEqual"));
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var UpOutlined_1 = __importDefault(require("@ant-design/icons/UpOutlined"));
var DownOutlined_1 = __importDefault(require("@ant-design/icons/DownOutlined"));
var store_hook_1 = require("../../store/store-hook");
var Panel = udesk_ui_1.Collapse.Panel;
var AccessInfo = function (_a) {
    var accessInfo = _a.accessInfo, imNewPlatforms = _a.imNewPlatforms;
    var PLATFORM_ARR = ['wechat', 'weibo', 'ios', 'android', 'weixin_mini', 'web'];
    var initData = (0, store_hook_1.useSelector)(function (state) { return state.initData; });
    var t = (0, react_i18next_1.useTranslation)().t;
    var _b = (0, react_1.useState)('open'), key = _b[0], setKey = _b[1];
    var handleChange = function (key) {
        setKey(key);
    };
    return (react_1.default.createElement("div", { className: index_module_scss_1.default['visit-info'] },
        react_1.default.createElement(udesk_ui_1.Collapse, { bordered: false, activeKey: key, expandIconPosition: "right", onChange: handleChange, expandIcon: function (_a) {
                var isActive = _a.isActive;
                return (isActive ? react_1.default.createElement(UpOutlined_1.default, null) : react_1.default.createElement(DownOutlined_1.default, null));
            } },
            react_1.default.createElement(Panel, { showArrow: true, header: react_1.default.createElement("h3", { className: index_module_scss_1.default['visit-info-title'] }, t('page.im.customerInfo.device.title')), key: 'open' },
                (0, isEqual_1.default)(initData.page, 'im') && accessInfo && (react_1.default.createElement("div", { className: index_module_scss_1.default['info-list'] },
                    accessInfo.session_code && (react_1.default.createElement(udesk_ui_1.Row, null,
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.DialogueID')),
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.session_code))),
                    accessInfo.menu_names && (0, includes_1.default)(PLATFORM_ARR, accessInfo.platform) && (react_1.default.createElement(udesk_ui_1.Row, null,
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.menu')),
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.menu_names))),
                    (accessInfo.platform === 'web' || accessInfo.platform === 'mchat') && (react_1.default.createElement(react_1.default.Fragment, null,
                        accessInfo.accessUrl && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.curUrl')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 },
                                react_1.default.createElement("a", { href: accessInfo.cur_url, rel: "noopener noreferrer", target: '_blank', title: accessInfo.cur_url },
                                    react_1.default.createElement("span", null, accessInfo.cur_url_desc),
                                    accessInfo.cur_url_show)))),
                        accessInfo.accessUrl && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.preUrl')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 },
                                react_1.default.createElement("a", { href: accessInfo.accessUrl, rel: "noopener noreferrer", target: '_blank', title: accessInfo.accessUrl },
                                    react_1.default.createElement("span", null, accessInfo.accessUrl_desc),
                                    accessInfo.accessUrl_show)))),
                        accessInfo.src && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.searchType')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 },
                                react_1.default.createElement("a", { href: accessInfo.src_url, rel: "noopener noreferrer", target: '_blank', title: accessInfo.src_url },
                                    react_1.default.createElement("span", null, accessInfo.src),
                                    accessInfo.src_url_show)))),
                        accessInfo.web_plugin_name && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.web_plugin')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.web_plugin_name))),
                        accessInfo.keyword && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('label.keyword')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.keyword))),
                        accessInfo.sysInfo && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.os')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.sysInfo))),
                        accessInfo.bowserInfo && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.browser')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.bowserInfo))),
                        accessInfo.channel && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.customChannel')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.channel))),
                        accessInfo.ip && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.IP')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.ip))),
                        accessInfo.session_key && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, "session_key"),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.session_key))))),
                    (accessInfo.platform === 'mchat' ||
                        accessInfo.platform === 'weibo' ||
                        accessInfo.platform === 'wechat' ||
                        accessInfo.platform === 'weixin_mini' ||
                        accessInfo.platform === 'qywx') &&
                        accessInfo.src && (react_1.default.createElement(udesk_ui_1.Row, null,
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('label.source')),
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.src))),
                    (accessInfo.platform === 'android' || accessInfo.platform === 'ios') && (react_1.default.createElement(react_1.default.Fragment, null,
                        react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.phoneModal')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.phoneModal)),
                        react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.phoneVersion')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.phoneVersion)),
                        react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('label.source')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.src)),
                        react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.netWorkStatus')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.netWorkStatus)),
                        react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.carrier')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.carrier)),
                        react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.scaleScreen')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.scaleScreen)),
                        accessInfo.channel && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.customChannel')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.channel))))),
                    accessInfo.platform === 'mchat' && (react_1.default.createElement(react_1.default.Fragment, null,
                        // 设备型号
                        accessInfo.phoneModal && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.phoneModal')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.phoneModal))),
                        // 系统版本号
                        accessInfo.phoneVersion && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.phoneVersion')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.phoneVersion))),
                        // 来源
                        accessInfo.src && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('label.source')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.src))),
                        // 网络状态
                        accessInfo.networkStatus && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.networkStatus')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.networkStatus))),
                        // 运营商
                        accessInfo.carrier && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.carrier')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.carrier))),
                        // 分辨率
                        accessInfo.scaleScreen && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.scaleScreen')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.scaleScreen))),
                        //自定义渠道信息
                        accessInfo.channel && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.customChannel')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.channel))))),
                    accessInfo.platform === 'api' && (react_1.default.createElement(react_1.default.Fragment, null,
                        react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('label.source')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.src)),
                        accessInfo.channel && (react_1.default.createElement(udesk_ui_1.Row, null,
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.customChannel')),
                            react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.channel))))),
                    imNewPlatforms &&
                        imNewPlatforms.filter(function (item) {
                            return item.platform === 'channel_name';
                        }).length > 0 && (react_1.default.createElement(udesk_ui_1.Row, null,
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('label.source')),
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.src))),
                    accessInfo.day_sub_session_count && (react_1.default.createElement(udesk_ui_1.Row, null,
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.chatTimes')),
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.day_sub_session_count))),
                    accessInfo.queue_name && (react_1.default.createElement(udesk_ui_1.Row, { style: { minHeight: '20px' } },
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, t('page.im.customerInfo.device.queueList')),
                        react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo.queue_name))))),
                (0, isEqual_1.default)(initData.page, 'mpv') && accessInfo && (react_1.default.createElement("div", { className: index_module_scss_1.default['info-list'] }, accessInfo.sdkName && (react_1.default.createElement(udesk_ui_1.Row, null,
                    react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-title'] }, accessInfo === null || accessInfo === void 0 ? void 0 : accessInfo.sdkType),
                    react_1.default.createElement(udesk_ui_1.Col, { className: index_module_scss_1.default['info-content'], span: 16 }, accessInfo === null || accessInfo === void 0 ? void 0 : accessInfo.sdkName)))))))));
};
exports.default = AccessInfo;
