"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var copy_1 = __importDefault(require("../../../components/copy"));
var NameField = function (props) {
    var _a = (0, react_1.useState)(props.value || ""), value = _a[0], setValue = _a[1];
    (0, react_1.useEffect)(function () {
        setValue(props.value || "");
    }, [props.value]);
    var handleChange = function (e) {
        setValue(e.target.value);
    };
    var handleBlur = function (e) {
        // props.onChange && props.onChange(e.target.value);
        if (props.value !== e.target.value) {
            var changeFunction = props[props.trigger];
            if (changeFunction) {
                changeFunction(value);
            }
        }
    };
    return (react_1.default.createElement(copy_1.default, { text: value, switchFlag: true },
        react_1.default.createElement(udesk_ui_1.Input, { value: value, onChange: handleChange, onBlur: handleBlur })));
};
exports.default = NameField;
