"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var udesk_ui_1 = require("udesk-ui");
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var icon_1 = require("../../../../components/icon/icon");
var PlatformList = function (_a) {
    var customer = _a.customer;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        customer.weixins &&
            customer.weixins.length > 0 &&
            customer.weixins.map(function (item, index) {
                return (react_1.default.createElement(udesk_ui_1.Form.Item, { key: index, className: index_module_scss_1.default["platform-form-item"], label: react_1.default.createElement("div", { className: index_module_scss_1.default["wx-icon"] }) },
                    react_1.default.createElement("div", { className: index_module_scss_1.default["customer-info-content"] },
                        item.avatar && react_1.default.createElement("img", { src: item.avatar, alt: "avatar" }),
                        react_1.default.createElement("span", null, item.nick_name))));
            }),
        customer.qywxes &&
            customer.qywxes.length > 0 &&
            customer.qywxes.map(function (item) {
                return (react_1.default.createElement(udesk_ui_1.Form.Item, { className: index_module_scss_1.default["platform-form-item"], label: react_1.default.createElement(icon_1.QiYeWeiXin, { style: { fontSize: "16px", color: "#1afa29" } }) },
                    react_1.default.createElement("div", { className: index_module_scss_1.default["customer-info-content"] },
                        item.avatar && react_1.default.createElement("img", { src: item.avatar, alt: "avatar" }),
                        react_1.default.createElement("span", null, item.nick_name))));
            }),
        customer.weibos &&
            customer.weibos.length > 0 &&
            customer.weibos.map(function (item) {
                return (react_1.default.createElement(udesk_ui_1.Form.Item, { className: index_module_scss_1.default["platform-form-item"], label: react_1.default.createElement(icon_1.WeiBo, { style: { fontSize: "16px", color: "#1afa29" } }) },
                    react_1.default.createElement("div", { className: index_module_scss_1.default["customer-info-content"] },
                        item.avatar && react_1.default.createElement("img", { src: item.avatar, alt: "avatar" }),
                        react_1.default.createElement("span", null, item.nick_name))));
            }),
        customer.weixin_minis &&
            customer.weixin_minis.length > 0 &&
            customer.weixin_minis.map(function (item, index) {
                return (react_1.default.createElement(udesk_ui_1.Form.Item, { key: index, className: index_module_scss_1.default["platform-form-item"], label: react_1.default.createElement("div", { className: index_module_scss_1.default["wxmini-icon"] }) },
                    react_1.default.createElement("div", { className: index_module_scss_1.default["customer-info-content"] },
                        item.avatar && react_1.default.createElement("img", { src: item.avatar, alt: "avatar" }),
                        react_1.default.createElement("span", null, item.nick_name))));
            }),
        customer.source_channel && customer.source_channel === "mcchat" && (react_1.default.createElement(udesk_ui_1.Form.Item, { className: index_module_scss_1.default["platform-form-item"], label: react_1.default.createElement(icon_1.Weixin, { style: { fontSize: "16px", color: "#1afa29" } }) },
            react_1.default.createElement("div", null))),
        customer.contact_im_channels &&
            customer.contact_im_channels.length > 0 &&
            customer.contact_im_channels.map(function (item) {
                return (react_1.default.createElement(udesk_ui_1.Form.Item, { className: index_module_scss_1.default["platform-form-item"], label: react_1.default.createElement(icon_1.Weixin, { style: { fontSize: "16px", color: "#1afa29" } }) },
                    react_1.default.createElement("div", { className: index_module_scss_1.default["customer-info-content"] },
                        item.avatar && react_1.default.createElement("img", { src: item.avatar, alt: "avatar" }),
                        react_1.default.createElement("span", null, item.nick_name))));
            })));
};
exports.default = PlatformList;
