"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_i18next_1 = require("react-i18next");
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var Improduct = function (props) {
    var t = (0, react_i18next_1.useTranslation)().t;
    var product = props.product;
    var needShow = product && (product.image || product.title || product.product_params);
    return (react_1.default.createElement(react_1.default.Fragment, null, needShow && (react_1.default.createElement("div", { className: index_module_scss_1.default['product_page'] },
        react_1.default.createElement("h6", { className: index_module_scss_1.default['visit-info-title'] }, t('page.im.customerInfo.device.consultObj')),
        react_1.default.createElement("div", { className: "".concat(index_module_scss_1.default['media'], " ").concat(index_module_scss_1.default['product-media']) },
            react_1.default.createElement("div", { className: index_module_scss_1.default['media-left'] }, product.image &&
                react_1.default.createElement("a", { href: product.url, rel: "noopener noreferrer", target: "_blank" },
                    react_1.default.createElement("img", { alt: ' ', src: product.image }))),
            react_1.default.createElement("div", { className: index_module_scss_1.default['word-break'] },
                product.title &&
                    react_1.default.createElement(react_1.default.Fragment, null,
                        product.url &&
                            react_1.default.createElement("a", { href: product.url, rel: "noopener noreferrer", target: "_blank" }, product.title),
                        !product.url &&
                            react_1.default.createElement("a", { href: product.url, rel: "noopener noreferrer", target: "_blank" }, product.title)),
                react_1.default.createElement("div", { className: index_module_scss_1.default['details'] }, product.product_params && Object.keys(product.product_params).map(function (item, index) {
                    return (react_1.default.createElement("div", { key: index },
                        item,
                        ":",
                        product.product_params[item]));
                }))))))));
};
exports.default = Improduct;
