"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var repository_widget_1 = __importDefault(require("../../components/repository-widget"));
var pick_1 = __importDefault(require("lodash-es/pick"));
var store_hook_1 = require("../../store/store-hook");
var ImKnowledge = function (props) {
    var company = props.company, user = props.user, event = props.event, roleCan = props.roleCan, chat = props.chat;
    var _a = (0, store_hook_1.useSelector)(function (state) {
        return (0, pick_1.default)(state, "currentUser", "fields");
    }), agent = _a.currentUser, fields = _a.fields;
    return (react_1.default.createElement(repository_widget_1.default, { companyId: company.company_id, email: user.email, selectionStateKey: "chat_".concat(chat.im_sub_session_id), onUse: event === null || event === void 0 ? void 0 : event.onUse, onSend: event === null || event === void 0 ? void 0 : event.onSend, kmApiBase: props === null || props === void 0 ? void 0 : props.kmrobot_url, previewUrl: props === null || props === void 0 ? void 0 : props.previewUrl, allowSendQuestion: true, showRobotQuestionTab: true, showPublicScope: roleCan === null || roleCan === void 0 ? void 0 : roleCan.knowledge_view_public, subdomain: company.company_subdomain, agent: agent, customer: chat.customer, customerCustomFields: fields.customerFieldsv2 }));
};
exports.default = ImKnowledge;
