"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var icon_1 = require("../../../components/icon/icon");
//  msgItem={item}
var ImageType = function (props) {
    var msgItem = props.msgItem;
    var contentObject = JSON.parse(msgItem.content);
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("img", { className: index_module_scss_1.default["image-show"], src: contentObject.data.content || msgItem.origin_url, alt: "img" }),
        !contentObject.data.content && msgItem.origin_url && (react_1.default.createElement("a", { href: msgItem.origin_url, target: "_blank", rel: "noopener noreferrer" },
            react_1.default.createElement(icon_1.Link, null)))));
};
exports.default = ImageType;
