"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var store_hook_1 = require("../../../store/store-hook");
var LocationType = function (props) {
    var msgItem = props.msgItem;
    var contentObject = JSON.parse(msgItem.content);
    var initData = (0, store_hook_1.useSelector)(function (state) { return state.initData; });
    // const udeskWebappContext: any = useContext(UdeskContext); //ember传进来的参数
    var getTencentMap = initData.getTencentMap;
    var curMap = getTencentMap(contentObject.data.content);
    var img_src = curMap.img_src;
    var map_src = curMap.map_src;
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("a", { href: map_src, target: "_blank", rel: "noopener noreferrer", className: index_module_scss_1.default["im-localtion-msg"] },
            react_1.default.createElement("div", { className: index_module_scss_1.default["msg-location-img"], style: {
                    background: "url(".concat(img_src, ")"),
                    width: "200px",
                    height: "150px",
                } }))));
};
exports.default = LocationType;
