"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var util_1 = require("../../../utils/util");
var dompurify_1 = __importDefault(require("dompurify"));
function Richtype(props) {
    var msgItem = props.msgItem, keyword = props.keyword;
    var _a = (0, react_1.useState)(""), content = _a[0], setContent = _a[1];
    (0, react_1.useEffect)(function () {
        var contentObject = JSON.parse(msgItem.content);
        if (keyword) {
            //避免keyword包含正则的符号，例如左花括号“{”，将转换为“\{”
            var _keyword = keyword.replace(/[-/\\^$*+?.()|[\]{}]/g, "\\$&");
            var regex = new RegExp(_keyword, "g");
            setContent(contentObject.data.content.replace(regex, '<em class="text-danger">$&</em>'));
        }
        else {
            if (contentObject.type === "rich") {
                setContent(contentObject.data.content);
                // setContent('<div style="color:red">11111</div>')
            }
            else {
                //渲染message
                var messageContent = (0, util_1.replaceLinks)(contentObject.data.content);
                setContent(messageContent.replace(/\[(emoji\d+)]/g, '<span class="emoji $1"></span>'));
            }
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    //少个xss
    return (react_1.default.createElement("div", { dangerouslySetInnerHTML: { __html: dompurify_1.default.sanitize(content) } }));
}
exports.default = Richtype;
