"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable array-callback-return */
var react_1 = __importStar(require("react"));
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var react_i18next_1 = require("react-i18next");
var udesk_ui_1 = require("udesk-ui");
function StructType(props) {
    var msgItem = props.msgItem;
    var t = (0, react_i18next_1.useTranslation)().t;
    var _a = (0, react_1.useState)(false), showModal = _a[0], setShowModal = _a[1];
    var _b = (0, react_1.useState)(''), showPhone = _b[0], setShowPhone = _b[1];
    var item = typeof (msgItem.content) === 'string' ? JSON.parse(msgItem.content) : msgItem.content;
    if (item.data) {
        item = item.data.content;
    }
    var buttonTypes = {
        link: "link",
        phone: "phone"
    };
    var showTel = (0, react_1.useCallback)(function (phone) {
        setShowModal(!showModal);
        setShowPhone(phone);
    }, [showModal]);
    console.log('StructType', item);
    return (react_1.default.createElement("div", { className: index_module_scss_1.default['im-struct'] },
        react_1.default.createElement("ul", { className: index_module_scss_1.default['list-group'] },
            item.img_url &&
                react_1.default.createElement("li", { className: index_module_scss_1.default["list-group-item"] },
                    react_1.default.createElement("img", { alt: "", src: item.img_url, className: index_module_scss_1.default["list-group-item-img"] })),
            (item.title || item.description) &&
                react_1.default.createElement("li", { className: "".concat(index_module_scss_1.default['list-group-item'], " ").concat(index_module_scss_1.default['text-left']) },
                    item.title && react_1.default.createElement("label", null, item.title),
                    item.description && react_1.default.createElement("p", { className: index_module_scss_1.default["text-muted"] }, item.description)),
            item.buttons && item.buttons.map(function (item) {
                if (item) {
                    if (item.type === buttonTypes.link) {
                        return (react_1.default.createElement("li", { className: index_module_scss_1.default["list-group-item"] },
                            react_1.default.createElement("a", { href: item.value, target: "_blank", rel: "noopener noreferrer" }, item.text)));
                    }
                    else if (item.type === buttonTypes.phone) {
                        return (react_1.default.createElement("li", { className: index_module_scss_1.default["list-group-item"] },
                            react_1.default.createElement("a", { href: "tel:".concat(item.value), onClick: function () { return showTel(item.value); } }, item.text)));
                    }
                }
            })),
        react_1.default.createElement(udesk_ui_1.Modal, { title: t('page.im.record.callNum'), visible: showModal },
            react_1.default.createElement("p", null,
                t('page.im.record.pleaseCall'),
                ":",
                showPhone))));
}
exports.default = StructType;
