"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var utilities_1 = require("../../../../im-panel/ticket/utilities");
function RecevierField(props) {
    var onChange = props.onChange;
    var _a = (0, react_1.useState)(), value = _a[0], setValue = _a[1];
    var _b = (0, react_1.useState)([]), options = _b[0], setOptions = _b[1];
    var agent = (0, react_1.useContext)(utilities_1.TicketContext).agent;
    var cascaderOnChange = (0, react_1.useCallback)(function (value, selectedOptions) {
        setValue(value);
        onChange && onChange(value);
    }, [onChange]);
    var filter = (0, react_1.useCallback)(function (inputValue, path) {
        return path.some(function (option) {
            return option.label.toLowerCase().indexOf(inputValue.toLowerCase()) > -1;
        });
    }, []);
    (0, react_1.useEffect)(function () {
        setOptions(agent);
    }, [agent]);
    (0, react_1.useEffect)(function () {
        setValue(props.value);
    }, [props.value]);
    return (react_1.default.createElement("div", { className: index_module_scss_1.default["cascader-wrapper"] },
        react_1.default.createElement(udesk_ui_1.Cascader, { value: value, options: options, onChange: cascaderOnChange, placeholder: "", changeOnSelect: true, showSearch: { filter: filter } })));
}
exports.default = RecevierField;
