"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var react_i18next_1 = require("react-i18next");
var upload_box_1 = __importDefault(require("../../../../components/upload-box"));
var icons_1 = require("@ant-design/icons");
var index_1 = require("../../../../utils/index");
function UploadFile(props) {
    var t = (0, react_i18next_1.useTranslation)().t; //多语言
    // const udeskWebappContext: any = useContext(UdeskContext);
    var onChange = (0, react_1.useCallback)(function (fileList) {
        var _a;
        console.log(fileList);
        (_a = props === null || props === void 0 ? void 0 : props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, fileList);
    }, [props === null || props === void 0 ? void 0 : props.onChange]);
    function createMarkup() {
        var tip = (0, index_1.r)(t("page.im.ticket.uploaderTip"), "<span style=\"color:#e80000\" >".concat(props.ticketTab.singleTicketAttachmentLimit, "M</span>"), "<span style=\"color:#e80000\" >".concat(props.ticketTab.totalTicketAttachmentLimit, "M</span>"));
        return { __html: tip };
    }
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(upload_box_1.default, __assign({}, props, { marking: "web.ts.ticket_reply", onChange: onChange, single: props.ticketTab.singleTicketAttachmentLimit * 1024 * 1024, total: props.ticketTab.totalTicketAttachmentLimit * 1024 * 1024, noAttachment: true }),
            react_1.default.createElement(udesk_ui_1.Button, null,
                react_1.default.createElement(icons_1.UploadOutlined, null),
                t("page.im.ticket.uploadFile"))),
        react_1.default.createElement("div", { style: { color: "rgba(0, 0, 0, 0.45)", marginTop: "5px" }, dangerouslySetInnerHTML: createMarkup() })));
}
exports.default = UploadFile;
