interface FileObject {
    createTime: string;
    createUserId: number;
    deleteFlag: 1 | 0;
    historyId: number;
    id: number;
    name: string;
    percent: number;
    previewUrl: string;
    size: number;
    uid: string;
    updateTime: string;
    updateUserId: number;
    url: string;
}
interface Options {
    buttonsAuthority: string[];
    company: any;
    onButtonClick: (data: {
        title: string;
        content: string;
    }, buttonType: string) => void;
    onFileButtonClick: (file: FileObject, buttonType: string) => void;
}
declare const useKcsSDK: (props: Options) => void | UdeskKcsSDK | undefined;
export default useKcsSDK;
