"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Control = _interopRequireDefault(require("./Control"));

var _Dropdown = _interopRequireDefault(require("./Dropdown"));

var _popover = _interopRequireDefault(require("@udesk-webapp/popover"));

var _excluded = ["onChange", "className", "popContentStyle", "style"],
    _excluded2 = ["closePopContent"];

var Index = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(Index, _Component);

  function Index(props) {
    return _Component.call(this, props) || this;
  }

  var _proto = Index.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        _this$props$onChange = _this$props.onChange,
        _onChange = _this$props$onChange === void 0 ? function (v) {
      return v;
    } : _this$props$onChange,
        className = _this$props.className,
        popContentStyle = _this$props.popContentStyle,
        style = _this$props.style,
        props = (0, _objectWithoutPropertiesLoose2["default"])(_this$props, _excluded);

    return /*#__PURE__*/_react["default"].createElement(_popover["default"], (0, _extends2["default"])({}, props, {
      className: className,
      style: style,
      components: {
        Control: _Control["default"],
        PopContent: function PopContent(_ref) {
          var closePopContent = _ref.closePopContent,
              props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded2);
          return /*#__PURE__*/_react["default"].createElement(_Dropdown["default"], (0, _extends2["default"])({}, props, {
            style: popContentStyle,
            onChange: function onChange(v) {
              _onChange(v);

              closePopContent();
            }
          }));
        }
      }
    }));
  };

  return Index;
}(_react.Component);

Index.propTypes = {
  t: _propTypes["default"].func,
  controlClassName: _propTypes["default"].string
};
Index.defaultProps = {
  className: 'select-with-search',
  popContentStyle: {
    minWidth: '200px',
    display: 'block',
    padding: '15px'
  }
};
var _default = Index;
exports["default"] = _default;