"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _pagination = _interopRequireDefault(require("@udesk/pagination"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var WebappPagination = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(WebappPagination, _Component);

  function WebappPagination(props) {
    return _Component.call(this, props) || this;
  }

  var _proto = WebappPagination.prototype;

  _proto.render = function render() {
    return /*#__PURE__*/_react["default"].createElement(_pagination["default"], {
      page: this.props.page,
      pageCount: this.props.pageCount,
      recordCount: this.props.recordCount,
      perPage: this.props.perPage,
      onPageChange: this.props.onPageChange,
      onPerPageChange: this.props.onPerPageChange,
      className: "ud-pagination clearfix",
      pageCountClassName: "pull-left",
      pageHandlerClassName: "pull-right",
      pageBtnsClassName: "pages",
      jumpToClassName: "go-page",
      jumpToInputClassName: "input-go form-control",
      pageBtnsInnerClassName: "pagination",
      currentPageClassName: "current",
      perPageClassName: "form-control",
      maxPageBtnCount: this.props.maxPageBtnCount,
      lang: this.props.lang
    });
  };

  return WebappPagination;
}(_react.Component);

WebappPagination.propTypes = {
  page: _propTypes["default"].number.isRequired,
  pageCount: _propTypes["default"].number,
  recordCount: _propTypes["default"].number,
  perPage: _propTypes["default"].number,
  onPageChange: _propTypes["default"].func,
  onPerPageChange: _propTypes["default"].func,
  maxPageBtnCount: _propTypes["default"].number,
  lang: _propTypes["default"].string
};
var _default = WebappPagination;
exports["default"] = _default;