"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = exports.NoStyle = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _taggedTemplateLiteralLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteralLoose"));

var _core = require("@emotion/core");

var _react = _interopRequireDefault(require("react"));

var _udeskTable = _interopRequireDefault(require("./udeskTable"));

var _templateObject;

var style = (0, _core.css)(_templateObject || (_templateObject = (0, _taggedTemplateLiteralLoose2["default"])(["\n    thead {\n        &.dragging {\n            user-select: none;\n            & .drag-target-element .dnd-mask {\n                display: block;\n                z-index: -1;\n            }\n            & .dragging-element {\n                display: block;\n                position: fixed;\n                opacity: 0.8;\n                left: 0;\n                box-sizing: border-box;\n            }\n        }\n        &:not(.dragging) th,\n        & .dragging-element {\n            &:hover,\n            &.dragging-element {\n                color: #333;\n                background: #EFEFEF;\n                & .dnd-handler {\n                    opacity: 1;\n                    color: #333;\n                }\n            }\n        }\n        & th {\n            position: relative;\n            &.dnd {\n                cursor: move;\n            }\n            .dnd-handler {\n                opacity: 0;\n                cursor: move;\n                padding: 0 1px;\n                position: absolute;\n                left: 5px;\n            }\n            .dnd-mask {\n                display: none;\n                position: absolute;\n                left: 0;\n                top: 0;\n                right: 0;\n                bottom: 0;\n                background-color: #fff;\n                border: 1px dashed #00B38B;\n            }\n            &.sortable {\n                .sort-btn-wrapped {\n                    cursor: pointer;\n                    position: absolute;\n                    top: 5px;\n                    display: inline-flex;\n                    flex-direction: column;\n                    margin-left: 5px;\n                }\n            }\n        }\n    }\n"])));

var UdeskTableWithStyle = function UdeskTableWithStyle(props) {
  return (0, _core.jsx)(_udeskTable["default"], (0, _extends2["default"])({
    css: style
  }, props));
};

var NoStyle = _udeskTable["default"];
exports.NoStyle = NoStyle;
var _default = UdeskTableWithStyle;
exports["default"] = _default;