(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "react", "udesk-ui/es/select"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    var react_1 = tslib_1.__importStar(require("react"));
    var select_1 = tslib_1.__importDefault(require("udesk-ui/es/select"));
    var AgentSelect = function (_a) {
        var agents = _a.agents, props = tslib_1.__rest(_a, ["agents"]);
        var options = react_1.useMemo(function () { return agents.map(function (i) { return (tslib_1.__assign(tslib_1.__assign({}, i), { value: i.id, label: i.nick_name })); }); }, []);
        return react_1.default.createElement(select_1.default, tslib_1.__assign({}, props, { options: options }));
    };
    AgentSelect.defaultProps = {
        showSearch: true,
        allowClear: true
    };
    exports.default = AgentSelect;
});
