export default {
  appConfig: {
    components: {
      variableItem: {
        index: {
          successfullyCopied: "Successfully copied",
          copyFailed: "copy failed",
          title: "title",
          pleaseEnterATitle: "Please enter a title",
          copyVariableName: "Copy variable name",
          required: "Required",
          wordLimit: "Word limit",
          hintLanguage: "Hint language"
        }
      }
    },
    index: {
      successfullyPublished: "Successfully published",
      successfullySaved: "Successfully saved",
      preserve: "preserve",
      publishAsAPublicApplication: "Publish as a public application",
      publishAsPrivateApplication: "Publish as Private Application",
      editingApplications: "Editing Applications",
      createANewApplication: "Create a new application",
      basicInformation: "Basic information",
      applyName: "apply name",
      pleaseEnterAnApplicationName: "Please enter an application name",
      describe: "describe",
      classification: "classification",
      pleaseEnterAClassification: "Please enter a classification",
      requirementForm: "Requirement Form",
      createAtLeastOneFormItem: "Create at least one form item",
      areYouSureYouWantToDeleteIt: "Are you sure you want to delete it?",
      delete: "delete",
      cancel: "cancel",
      addFormFields: "Add Form Fields",
      promptConfiguration: "Prompt Configuration",
      pleaseEnterPrompt: "Please enter prompt"
    }
  },
  appManagement: {
    index: {
      aIIntelligentAssistant: "AI Intelligent Assistant",
      application: "application",
      edit: "edit",
      delete: "delete"
    }
  },
  appPage: {
    index: {
      successfullyCopied: "Successfully copied",
      copyFailed: "copy failed",
      areYouSureToDeleteTheContent: "Are you sure to delete the content?",
      deletingCo52erDeletion: "Deleting content is an irreversible operation and cannot be restored after deletion",
      copy: "copy",
      delete: "delete",
      successfullyDeleted: "Successfully deleted",
      aICreation: "AI Creation",
      followTheP66entYouNeed: "Follow the prompts to fill out the form below and automatically generate the creative content you need",
      confirm: "confirm",
      newContentCreation: "New Content Creation"
    },
    feedback: {
      WRONG: 'WRONG',
      NOT_FOUND: 'NOT FOUND',
      MISSING: 'MISSING',
      OTHER: 'OTHER',
      submit: 'Submit',
      feedbackBtn: 'Give Feedback',
      likeMessage: 'Glad you liked this answer!',
      dislikeMessage: 'Why wasn’t this helpful?',
      thank: 'Tanks!'
    }
  },
  classifysManagement: {
    index: {
      newCategory: "New Category",
      classificationName: "Classification name"
    }
  },
  dialogue: {
    components: {
      batchedActions: {
        successfullyCopied: "Successfully copied",
        copyFailed: "copy failed",
        copy: "copy",
        delete: "delete",
        deletingCo52erDeletion: "Deleting content is an irreversible operation and cannot be restored after deletion"
      },
      robotNode: {
        source: "source",
        documentRetrieval: "Document retrieval:",
        associatedDocuments: "Associated Documents"
      }
    }
  },
  errorBoundaryTest: {
    index: {
      refresh: "Refresh"
    }
  },
  history: {
    index: {
      thereAreCu15sAvailable: "There are currently no records available"
    }
  },
  historyPage: {
    index: {
      chatConversation: "Chat conversation",
      application: "application",
      history: "History"
    }
  },
  home: {
    index: {
      application: "application"
    }
  },
  input: {
    index: {
      letsStartTheConversation: "Let's start the conversation"
    }
  },
  kcsHome: {
    index: {
      popularArticles: "Popular articles",
      consultYourDocumentation: "consult your documentation",
      quickAnswer: "Quick answer",
      helloIAmTh19eAssistant: "Hello, I am the Enterprise Knowledge Assistant",
      iCanAnswer46meAndAskMe: "I can answer your questions about the enterprise knowledge base. Come and ask me"
    }
  },
  kcsSession: {
    components: {
      session: {
        iAmYourCor14eAssistant: "I am your corporate knowledge assistant",
        iCanAnswer114eInAdvance: "I can answer your question regarding the internal knowledge of the enterprise, provided that the knowledge needs to be uploaded to the knowledge base in advance~",
        iAmYourExc16tAssistant: "I am your exclusive intelligent assistant.",
        iCanAnswerAnyOfYourQuestions: "I can answer any of your questions.",
        whetherYou90Assistance: "Whether you need to acquire knowledge in life, work, history, science, technology, or other fields, I can do my best to provide assistance.",
        unrelatedText: "Unrelated Text",
        stopOutput: "Stop Output"
      }
    },
    index: {
      preview: "preview",
      successfullyDeleted: "Successfully deleted",
      documentPreview: "Document Preview",
      newTopics: "New topics",
      enterpriseKnowledgeAssistant: "Enterprise Knowledge Assistant",
      newTopic: "New Topic",
      historicalTopics: "Historical topics"
    }
  },
  llm: {
    components: {
      dynamicRouting: {
        components: {
          errorPage: {
            index: {
              thereSeems11omeMistake: "There seems to have been some mistake",
              pleaseCont65Technology: "Please contact the administrator or contact the after-sales support personnel of Wofeng Technology"
            }
          }
        }
      },
      navbar: {
        index: {
          lLMQA: "LLM Q&A"
        }
      },
      sideBar: {
        index: {
          createANewApplication: "Create a new application",
          applicationManagement: "Application Management",
          viewAllHistory: "View All History"
        }
      }
    }
  },
  session: {
    index: {
      iAmYourExc16tAssistant: "I am your exclusive intelligent assistant.",
      iCanAnswerAnyOfYourQuestions: "I can answer any of your questions.",
      whetherYou90Assistance: "Whether you need to acquire knowledge in life, work, history, science, technology, or other fields, I can do my best to provide assistance.",
      successfullyDeleted: "Successfully deleted",
      stopOutput: "Stop Output"
    }
  },
  sessionPage: {
    index: {
      aIIntelligentAssistant: "AI Intelligent Assistant"
    }
  },
  components: {
    appGrid: {
      index: {
        thereAreCu20sAvailable: "There are currently no applications available"
      }
    },
    appItem: {
      index: {
        areYouSureYouWantToDeleteIt: "Are you sure you want to delete it?",
        delete: "delete",
        cancel: "cancel"
      }
    }
  },
  kcsTemplateView: {
    components: {
      defaultTemplateView: {
        index: {
          zero: "zero",
          one: "one",
          two: "two",
          three: "three",
          four: "four",
          five: "five",
          six: "six",
          seven: "seven",
          eight: "eight",
          nine: "nine",
          ten: "ten",
          hundred: "hundred",
          thousand: "thousand",
          tenThousand: "ten thousand",
          billion: "Billion",
          zeroZero: "zero zero",
          billions: "Billions",
          defaultAnswer: "Default answer",
          answer: "answer",
          knowledgeValidationChannels: "Knowledge validation channels:",
          oneQuestionMultipleAnswers: "One question, multiple answers:",
          rule: "rule",
          applicableRobots: "Applicable robots:",
          attachment: "Attachment:"
        }
      },
      fileShowList: {
        index: {
          download: "download"
        }
      },
      templateView: {
        index: {
          download: "download"
        }
      }
    }
  }
};