"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var locale_1 = require("@udesk-webapp/locale");
var utilities_1 = require("./utilities");
var style_module_scss_1 = tslib_1.__importDefault(require("./style.module.scss"));
// import { Scope } from './types';
var lodash_1 = require("lodash");
var ScopeSwitch = react_1.default.memo(function (_a) {
    var _b = _a.value, value = _b === void 0 ? 'public' : _b, _c = _a.enableRobot, enableRobot = _c === void 0 ? false : _c, onChange = _a.onChange;
    var t = (0, locale_1.useTranslation)().t;
    var isWorkbench = (0, react_1.useContext)(utilities_1.RepositoryWidgetContext).isWorkbench;
    var _d = (0, react_1.useState)(value), _value = _d[0], _setValue = _d[1];
    (0, react_1.useEffect)(function () {
        _setValue(value);
    }, [value]);
    return react_1.default.createElement("div", { className: style_module_scss_1.default.scopeSwitch },
        react_1.default.createElement(udesk_ui_1.Radio.Group, { onChange: function (e) { return onChange && onChange(e.target.value); }, value: _value },
            react_1.default.createElement(udesk_ui_1.Radio.Button, { value: "public" }, t('page.im.km.scope.public')),
            enableRobot && isWorkbench ? react_1.default.createElement(udesk_ui_1.Radio.Button, { value: "robot" }, t('page.im.km.scope.robot')) : null,
            react_1.default.createElement(udesk_ui_1.Radio.Button, { value: "personal" }, t('page.im.km.scope.personal'))));
    // <div className={css.scopeSwitch}>
    //     <Button size='small' className={classNames({active: _value === 'public'})}
    //             onClick={() => {
    //                 _setValue('public');
    //                 onChange?.('public');
    //             }}>{t('page.im.km.scope.public')}</Button>
    //     <Button size='small' className={classNames({active: _value === 'personal'})}
    //             onClick={() => {
    //                 _setValue('personal');
    //                 onChange?.('personal');
    //             }}>{t('page.im.km.scope.personal')}</Button>
    // </div>
}, lodash_1.isEqual);
ScopeSwitch.displayName = 'ScopeSwitch';
exports.default = ScopeSwitch;
