"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.store = void 0;
var toolkit_1 = require("@reduxjs/toolkit");
var root_reducer_1 = require("./root-reducer");
// import { createLogger } from "redux-logger";
var store = (0, toolkit_1.configureStore)({
    reducer: root_reducer_1.rootReducer,
    middleware: (0, toolkit_1.getDefaultMiddleware)({
        thunk: true,
        immutableCheck: false,
        serializableCheck: false,
    }).concat([]
    // process.env.NODE_ENV !== "production"
    //   ? [
    //       createLogger({
    //         duration: true,
    //         collapsed: true,
    //         predicate: (getState, action) =>
    //           !["mineChats/updateChatStatus", "clock/updateClock"].includes(
    //             action.type
    //           ),
    //       }),
    //     ]
    //   : []
    ),
});
exports.store = store;
