"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.spliceIvitationQueues = exports.pushIvitationQueues = void 0;
var toolkit_1 = require("@reduxjs/toolkit");
var _a = (0, toolkit_1.createSlice)({
    name: 'invitationQueues',
    initialState: [],
    reducers: {
        pushIvitationQueues: function (state, action) {
            state.push(action.payload);
        },
        spliceIvitationQueues: function (state, action) {
            state.splice(action.payload, 1);
        }
    }
}), actions = _a.actions, reducer = _a.reducer;
exports.pushIvitationQueues = actions.pushIvitationQueues, exports.spliceIvitationQueues = actions.spliceIvitationQueues;
exports.default = reducer;
