"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var Th = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(Th, _Component);

  function Th() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _Component.call.apply(_Component, [this].concat(args)) || this;
    _this._ref = /*#__PURE__*/_react["default"].createRef();
    return _this;
  }

  var _proto = Th.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        children = _this$props.children,
        dnd = _this$props.dnd,
        columnIndex = _this$props.columnIndex,
        onDndMouseDown = _this$props.onDndMouseDown,
        sortDirection = _this$props.sortDirection,
        sortable = _this$props.sortable,
        onSort = _this$props.onSort;
    var thProps = {};
    var dndNode = null;

    if (dnd) {
      dndNode = /*#__PURE__*/_react["default"].createElement(_react.Fragment, null, /*#__PURE__*/_react["default"].createElement("span", {
        className: "dnd-handler"
      }, /*#__PURE__*/_react["default"].createElement("i", {
        className: "icon icon-tuodong"
      })), /*#__PURE__*/_react["default"].createElement("div", {
        className: "dnd-mask"
      })); //thProps.onMouseDown = (e) => this._dndMouseDown && onDndMouseDown(e);

      thProps.onMouseDown = function (e) {
        onDndMouseDown(e);
      };

      thProps['data-column-index'] = columnIndex;
    }

    var sortNode = null;

    if (sortable) {
      // if (sortDirection === 'desc' || sortDirection === 'asc') {
      //     sortNode = (
      //         <span>
      //             <i className={`text-success icon icon-caret-${sortDirection === 'asc' ? 'up' : 'down'}`}/>
      //         </span>
      //     );
      // }
      sortNode = /*#__PURE__*/_react["default"].createElement("span", {
        className: "sort-btn-wrapped"
      }, /*#__PURE__*/_react["default"].createElement("i", {
        className: "icon icon-caret-up " + (sortDirection === 'asc' ? 'text-success active' : '')
      }), /*#__PURE__*/_react["default"].createElement("i", {
        className: "icon icon-caret-down " + (sortDirection === 'desc' ? 'text-success active' : '')
      }));

      thProps.onClick = function () {
        console.log('sort-btn-click');
        typeof onSort === 'function' && onSort(sortDirection === 'asc' ? 'desc' : 'asc');
      };
    }

    return /*#__PURE__*/_react["default"].createElement("th", (0, _extends2["default"])({
      ref: this._ref,
      className: (dnd ? 'dnd' : '') + " " + (sortable ? 'sortable' : '')
    }, thProps), dndNode, children, sortNode);
  } // _onMouseUp = () => {
  //     this._dndMouseDown = false;
  // };
  // componentDidMount() {
  //     document.addEventListener("mouseup", this._onMouseUp);
  // }
  // componentWillUnmount() {
  //     document.removeEventListener("mouseup", this._onMouseUp);
  // }
  ;

  return Th;
}(_react.Component);

var _default = Th;
exports["default"] = _default;