import React from 'react';
export var domain = {
  current: ''
};
export var Context = /*#__PURE__*/React.createContext(undefined);
export var SdkOptionsProvider = function SdkOptionsProvider(_ref) {
  var children = _ref.children,
    value = _ref.value;
  domain.current = value.domain;
  return /*#__PURE__*/React.createElement(Context.Provider, {
    value: value
  }, children);
};
export var useSdkOptionsContext = function useSdkOptionsContext() {
  var context = React.useContext(Context);
  if (context === undefined) {
    throw new Error('useSdkOptionsContext must be used within a SdkOptionsProvider');
  }
  return context;
};