"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.update_sdk_url = exports.imageThumbnail = void 0;
function imageThumbnail(url, policy) {
    if (policy === void 0) { policy = ''; }
    if (!url) {
        return '';
    }
    if (!policy) {
        policy = getUrlBacket(url);
    }
    if (policy === 'qiniu') {
        url = (url.split('?')[0] + '?imageMogr2/auto-orient/thumbnail/300x300>');
    }
    else if (policy === 'ali') {
        if (url.indexOf('Signature') === -1) {
            if (/\.gif$/.test(url)) { // gif 图片添加旋转纠正参数后不动了
                url = url.split('?')[0]; // gif 不加后缀
            }
            else {
                url = url.split('?')[0] + '?x-oss-process=image/auto-orient,0';
            }
        }
        // eslint-disable-next-line no-empty
    }
    else if (policy === 'minio') {
    }
    return url;
}
exports.imageThumbnail = imageThumbnail;
function update_sdk_url(url, obj) {
    obj = obj || {};
    var is_receive = obj.is_receive, platform = obj.platform;
    var result = url;
    if (is_receive && (platform === "ios" || platform === "android")) {
        if (url.match(/qn-im\.udesk\.cn/)) {
            result = url.replace('qn-im.udesk.cn', 'dn-udeskim.qbox.me');
        }
        else if (url.match(/qn-public\.udesk\.cn/)) {
            result = url.replace('qn-public.udesk.cn', 'dn-udeskpub.qbox.me');
        }
    }
    return result;
}
exports.update_sdk_url = update_sdk_url;
function getUrlBacket(url) {
    if (!url)
        return;
    var qiniuReg = /qn-im\.udesk\.cn|qn-public\.udesk\.cn|qn-private\.udesk\.cn/i;
    var qiniuRegNew = /qbox\.me/i;
    var aliReg = /aliyuncs\.com/i;
    var aliRegNew = /kefutoutiao\.com/i;
    var minioReg = /47\.94\.16\.154:9000/i; // 暂定,本地化需修改这个值
    if (qiniuReg.test(url) || qiniuRegNew.test(url)) {
        return 'qiniu';
    }
    else if (aliReg.test(url) || aliRegNew.test(url)) {
        return 'ali';
    }
    else if (minioReg.test(url)) {
        return 'minio';
    }
    else {
        return null;
    }
}
