import React from 'react';
import { useTranslation } from 'react-i18next';
import PlusOutlined from '@ant-design/icons/PlusOutlined';
var AddToCustomerMenuItem = function (_a) {
    var tels = _a.tels, emails = _a.emails, isExpand = _a.isExpand, onSelectTel = _a.onSelectTel, onSelectEmail = _a.onSelectEmail;
    var t = useTranslation().t;
    if ((tels.length + emails.length) > 1) {
        return React.createElement(React.Fragment, null,
            React.createElement("button", null, t('page.im.log.addToCustomerInfo')),
            isExpand && tels.map(function (i) { return React.createElement("button", { key: i, onClick: function () { return onSelectTel === null || onSelectTel === void 0 ? void 0 : onSelectTel(i); } },
                React.createElement(PlusOutlined, null),
                i); }),
            isExpand && emails.map(function (i) { return React.createElement("button", { key: i, onClick: function () { return onSelectEmail === null || onSelectEmail === void 0 ? void 0 : onSelectEmail(i); } },
                React.createElement(PlusOutlined, null),
                i); }));
    }
    else if ((tels.length + emails.length) === 1) {
        var tel_1 = tels[0];
        var email_1 = emails[0];
        return React.createElement("button", { onClick: function () { return tel_1 ? onSelectTel === null || onSelectTel === void 0 ? void 0 : onSelectTel(tel_1) : onSelectEmail === null || onSelectEmail === void 0 ? void 0 : onSelectEmail(email_1); } }, t('page.im.log.addToCustomerInfo'));
    }
    return null;
};
export default AddToCustomerMenuItem;
