import React from 'react';
interface Props {
    content: string;
    msg: Pick<IMessage, 'type' | 'data' | 'is_receive' | 'filename' | 'filesize' | 'filetype' | 'randomFileName'>;
    onClick?: (data: {
        [key: string]: any;
        type: KNOWLEDGE_TYPE;
    }) => void;
}
export declare enum KNOWLEDGE_TYPE {
    ATTACHMENT = "attachment",
    QUESTION = "question",
    USEFUL_LINK = "useful_link"
}
declare const AddToKnowledgeMenuItem: React.FC<Props>;
export default AddToKnowledgeMenuItem;
