import elGR from './el-GR';
import { createIntl, intlMapKeys, // pro-provider 多语言key列表
intlMap // pro-provider 多语言map
 } from '@ant-design/pro-provider';
// 扩展的语言包map
var expandLanguageMap = {
    'el-GR': elGR,
    'el': elGR
};
// 查找ant pro 支持的语言是否包含language，
// 如不支持则 create对应语言包之后 添加到 and导出的全局变量里
function ExpandAndLanguage(language) {
    if (!intlMapKeys.includes(language) && expandLanguageMap[language]) {
        var intl = createIntl(language, expandLanguageMap[language]);
        if (intl) {
            intlMapKeys.push(language);
            intlMap[language] = intl;
        }
    }
}
export default ExpandAndLanguage;
