import React from 'react';
import type { CheckboxGroupProps } from 'antd/es/checkbox/Group';
/** AutoComplete 组件输入/出的值类型 */
declare type DirectionMode = 'horizon' | 'vertical';
export interface UdeskCheckboxGroupProps extends CheckboxGroupProps {
    /**
     * checkbox的排列方式
     *
     * @default "horizon"
     *
     * @type {string}
     * @memberof UdeskCheckboxGroupProps
     */
    direction?: DirectionMode;
}
export * from '../_utils/type';
declare const _default: React.ForwardRefExoticComponent<UdeskCheckboxGroupProps & React.RefAttributes<HTMLDivElement>> & Omit<React.MemoExoticComponent<React.ForwardRefExoticComponent<import("antd/lib/checkbox").CheckboxGroupProps & React.RefAttributes<HTMLDivElement>>>, keyof React.ForwardRefExoticComponent<CheckboxGroupProps>>;
export default _default;
