var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import OldCascader from './old';
import NewCascader from './cascader';
/**
 * 级联组件
 * @param props
 * props.view_type   1 代表老级联  2 代表新级联(antd)
 */
var ChainedRroplist = function (props) {
    return React.createElement(React.Fragment, null, props.viewType === 0 ? (React.createElement(OldCascader, __assign({ switchFlag: props.switchFlag }, props))) : (React.createElement(NewCascader, __assign({ switchFlag: props.switchFlag }, props))));
};
export default ChainedRroplist;
