import React, { useEffect, useState } from 'react';
import { Select } from 'udesk-ui';
import cssObj from './index.module.scss';
import CopyComponent from '../../copy';
var Option = Select.Option;
function Filed_droplistRadio(props) {
    var onChange = props.onChange, _a = props.options, options = _a === void 0 ? [] : _a, _b = props.switchFlag, switchFlag = _b === void 0 ? false : _b;
    //选择的选项值
    var _c = useState(), selectValue = _c[0], setSelectValue = _c[1];
    // 监听道选项改变 处理数据   取出其中默认选项  复制给Radio.Group的value  主要是外部新建字段  改变默认选项时触发  改变展示效果
    useEffect(function () {
        //如果有传value  说明在formitem里   优先使用value
        if (props.value) {
            //value  类型 是[] 或 string
            if (typeof props.value === 'string') {
                // 将value转数组  存值
                setSelectValue(props.value.split(','));
            }
        }
        else {
            var valueList_1 = [];
            options.forEach(function (item) {
                if (item.default)
                    valueList_1.push(item.value);
            });
            setSelectValue(valueList_1);
        }
    }, [options, props.value]);
    useEffect(function () {
        setSelectValue(typeof props.value === 'string' ? props.value.split(',') : props.value);
    }, [props.value]);
    function selectOnChange(e) {
        setSelectValue(e);
        if (onChange)
            onChange(e.join(','));
    }
    return (React.createElement(CopyComponent, { text: (selectValue && selectValue.join(',')) || '', switchFlag: switchFlag },
        React.createElement(Select, { value: selectValue, onChange: selectOnChange, style: { width: '100%' }, mode: "multiple", getPopupContainer: function (triggerNode) { return triggerNode; }, disabled: props.disabled }, options.map(function (item) {
            return (React.createElement(Option, { key: item.value, value: item.value },
                React.createElement("span", { className: "".concat(cssObj['select-item'], " ").concat(item.color ? cssObj['select-item-hascolor'] : ''), style: {
                        background: item.color ? item.color : '',
                    } },
                    item.icon ? React.createElement("img", { alt: "", src: item.icon, className: cssObj['setting-img'] }) : '',
                    item.title)));
        }))));
}
export default Filed_droplistRadio;
