import React from 'react';
var FieldCommon = function (props) {
    return (React.createElement(React.Fragment, null,
        props.children,
        props.errMsg && !props.isFormItem && (React.createElement("div", { className: 'err-text', style: { color: '#ff5e5b' } }, props.errMsg)),
        props.explain && props.explainShow && (React.createElement("div", { className: 'explain-rich', style: {
                maxHeight: '200px',
                overflow: 'auto',
                color: 'rgba(0, 0, 0, 0.45)',
                paddingLeft: '5px'
            }, dangerouslySetInnerHTML: { __html: props.explain } }))));
};
export default FieldCommon;
