import React from 'react';
declare type Props = {
    msg: Pick<IMessage, 'auto' | 'is_welcome' | 'msg_id' | 'id' | 'translation' | 'font' | 'im_sub_session_id' | 'open_robot_recommends' | 'date' | 'is_receive' | 'content' | 'twemoji'>;
    trans_text?: {
        content: string;
        from: string;
    };
    real_time_translation?: {
        translate_to?: string;
        enabled?: boolean;
    };
    chatPlatform: IPlatform;
    robotBaseURL: string;
    kcsSdk?: any;
    openRecordCb: (content: IContent) => void;
};
declare const ChatRecordType: React.FC<Props>;
export default ChatRecordType;
