var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useMemo } from "react";
import { Dropdown } from "udesk-ui";
import { Menu } from "./menu";
var Trigger = React.forwardRef(function (props, ref) {
    return (React.createElement("div", __assign({ ref: ref }, props), props.children));
});
var DropDownClass = function (props) {
    var children = props.children, _a = props.trigger, trigger = _a === void 0 ? ["click"] : _a, _b = props.text, text = _b === void 0 ? "" : _b, others = __rest(props, ["children", "trigger", "text"]);
    var showChild = function (children, child) { return React.Children.toArray(children).filter(function (c) { return c.type === child; })[0]; };
    var menu = useMemo(function () { return showChild(children, Menu); }, [children]);
    var triggerElement = useMemo(function () {
        var child = showChild(children, Trigger);
        if (child) {
            return child;
        }
        else {
            return (React.createElement("span", null, text));
        }
    }, [children, text]);
    return (React.createElement(Dropdown, __assign({ overlay: menu, trigger: trigger }, others), triggerElement));
};
export default DropDownClass;
export { Menu, Trigger };
