import React, { useMemo } from 'react';
var MapType = function (_a) {
    var msg = _a.msg;
    var _b = useMemo(function () { return JSON.parse(msg.content); }, [msg.content]), address = _b.address, name = _b.name, location = _b.location;
    return React.createElement("a", { href: "https://uri.amap.com/marker?position=".concat(location, "&name=").concat(name), rel: "noreferrer noopener", target: "_blank" },
        React.createElement("p", null,
            name,
            React.createElement("br", null),
            React.createElement("small", null, address)),
        React.createElement("img", { alt: "map", src: "https://restapi.amap.com/v3/staticmap?location=".concat(location, "&zoom=12&size=240*94&markers=,,:").concat(location, "&key=db5a6f6037d44f9056293e9e41b02c71") }));
};
export default MapType;
