var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useMemo } from "react";
import css from './style.module.scss';
import classNames from "classnames";
var Highlight = function (_a) {
    var content = _a.content, className = _a.className, props = __rest(_a, ["content", "className"]);
    var result = useMemo(function () {
        var _content = content.replace(/<(\/?)em>/g, '{-$1em-}');
        var div = window.document.createElement('div');
        div.innerText = _content;
        var divInnerHtml = div.innerHTML;
        return divInnerHtml.replace(/{-(\/?)em-}/g, '<$1em>');
    }, [content]);
    return React.createElement("span", __assign({ className: classNames(css['highlight'], className) }, props, { dangerouslySetInnerHTML: { __html: result } }));
};
export default Highlight;
