import React, { useCallback, useState } from 'react';
import { Popover } from 'udesk-ui';
import { postJSON } from '../ajax';
import { removeHTMLTag } from '../utilities';
import Qs from 'qs';
var RobotAutoSugItem = React.memo(function (_a) {
    var _b, _c, _d;
    var index = _a.index, data = _a.data, id = _a.id, content = _a.content, onClick = _a.onClick;
    // let timeStamp:number = 0
    var _e = useState(0), timeStamp = _e[0], setTimeStamp = _e[1];
    var saveUseAnswer = useCallback(function (type) {
        var params = {
            content: content,
            message_id: id,
            answer_type: data.resolutionType || 'faq',
            answer_name: data.content,
            answer_id: data.id,
            agent_operation: type
        };
        postJSON('/smart_assistance/record', { data: params }, {
            transformRequest: [
                function (data) {
                    return Qs.stringify(data, { arrayFormat: 'brackets' });
                }
            ]
        });
    }, [content, data.content, data.id, data.resolutionType, id]);
    var use = useCallback(function () {
        var _a, _b;
        setTimeStamp(0);
        saveUseAnswer('click');
        onClick === null || onClick === void 0 ? void 0 : onClick(removeHTMLTag((_b = (_a = data.answer) === null || _a === void 0 ? void 0 : _a.content) !== null && _b !== void 0 ? _b : ''), data);
    }, [(_b = data.answer) === null || _b === void 0 ? void 0 : _b.content, onClick, saveUseAnswer]);
    //如果
    var handlePopoverChange = useCallback(function (visible) {
        if (visible) {
            setTimeStamp(new Date().getTime());
        }
        else {
            if (timeStamp) {
                var curTime = new Date().getTime();
                curTime - timeStamp > 1000 && saveUseAnswer('hover');
            }
        }
    }, [saveUseAnswer, timeStamp]);
    return (React.createElement(Popover, { placement: "right", title: '', content: React.createElement("div", { dangerouslySetInnerHTML: { __html: (_d = (_c = data.answer) === null || _c === void 0 ? void 0 : _c.content) !== null && _d !== void 0 ? _d : '' } }), trigger: "hover", onVisibleChange: function (visible) { return handlePopoverChange(visible); }, overlayClassName: "popover-wrapper" },
        React.createElement("li", null,
            index,
            ". ",
            React.createElement("span", { style: { color: '#337ab7', cursor: 'pointer' }, onClick: use }, data.content))));
});
export default RobotAutoSugItem;
