import React from 'react';
import style from './index.module.less';
import { useTranslation } from 'react-i18next';
var ShopOrderType = React.memo(function (_a) {
    var msg = _a.msg;
    var t = useTranslation().t;
    return (React.createElement("div", { className: style['im-msg-product-shop'] },
        React.createElement("div", { className: style['media-left'] },
            React.createElement("img", { src: msg.content.image_url, alt: '' })),
        React.createElement("div", { className: style['media-body'] },
            React.createElement("div", { className: style['title'] },
                React.createElement("label", null,
                    t('product.orderId'),
                    ":"),
                msg.content.order_id),
            React.createElement("div", { className: style['title'] },
                React.createElement("label", null,
                    t('product.commoditName'),
                    ":"),
                msg.content.product_titles),
            React.createElement("div", { className: style['title'] },
                React.createElement("label", null,
                    t('product.priceWording'),
                    ":"),
                " ",
                msg.content.price_wording),
            React.createElement("div", { className: style['title'] },
                React.createElement("label", null,
                    t('product.state'),
                    ":"),
                " ",
                msg.content.state),
            React.createElement("div", { className: style['title'] },
                React.createElement("label", null,
                    t('product.shopNickname'),
                    ":"),
                " ",
                msg.content.shop_nickname))));
});
export default ShopOrderType;
