import React from 'react';
import style from './index.module.less';
import { useTranslation } from 'react-i18next';
var ShopProductType = React.memo(function (_a) {
    var msg = _a.msg;
    var t = useTranslation().t;
    return (React.createElement("div", { className: style['im-msg-product-shop'] },
        React.createElement("div", { className: style['media-left'] },
            React.createElement("img", { src: msg.content.head_image, alt: '' })),
        React.createElement("div", { className: style['media-body'] },
            React.createElement("div", { className: style['title'] }, msg.content.title),
            React.createElement("div", { className: style['title'] },
                React.createElement("label", null,
                    t('product.productID'),
                    ":"),
                msg.content.product_id),
            React.createElement("div", { className: style['title'] },
                React.createElement("label", null,
                    t('product.salesPrice'),
                    ":"),
                " ",
                msg.content.sales_price),
            React.createElement("div", { className: style['title'] },
                React.createElement("label", null,
                    t('product.shopNickname'),
                    ":"),
                " ",
                msg.content.shop_nickname))));
});
export default ShopProductType;
