import React, { Component, ErrorInfo } from "react";
interface Props {
    type?: "message";
}
interface State {
    hasError: boolean;
}
declare class SimpleErrorBoundary extends Component<Props, State> {
    constructor(props: Props);
    static getDerivedStateFromError(error: Error): {
        hasError: boolean;
    };
    componentDidCatch(error: Error, errorInfo: ErrorInfo): void;
    render(): React.ReactNode;
}
export default SimpleErrorBoundary;
