import React from 'react';
import css from './index.module.less';
import { useTranslation } from "react-i18next";
var whatsAppButtons = function (_a) {
    var _b, _c, _d, _e, _f;
    var msg = _a.msg;
    var t = useTranslation().t;
    var content = JSON.parse(((_b = msg === null || msg === void 0 ? void 0 : msg.data) === null || _b === void 0 ? void 0 : _b.content) || '{}');
    var header = (function () {
        var _a, _b, _c, _d, _e, _f, _g;
        switch ((_a = content === null || content === void 0 ? void 0 : content.header) === null || _a === void 0 ? void 0 : _a.type) {
            case 'TEXT':
                return React.createElement("div", null, (_b = content === null || content === void 0 ? void 0 : content.header) === null || _b === void 0 ? void 0 : _b.text);
            case 'VIDEO':
                return React.createElement("video", { src: (_c = content === null || content === void 0 ? void 0 : content.header) === null || _c === void 0 ? void 0 : _c.mediaUrl, style: { maxWidth: '100%' }, controls: true },
                    t('page.im.log.videoAddress'),
                    "\uFF1A", (_d = content === null || content === void 0 ? void 0 : content.header) === null || _d === void 0 ? void 0 :
                    _d.mediaUrl);
            case 'IMAGE':
                return React.createElement("img", { className: "image-show", src: (_e = content === null || content === void 0 ? void 0 : content.header) === null || _e === void 0 ? void 0 : _e.mediaUrl });
            case 'DOCUMENT':
                return React.createElement("a", { href: (_f = content === null || content === void 0 ? void 0 : content.header) === null || _f === void 0 ? void 0 : _f.mediaUrl, target: "_blank" }, (_g = content === null || content === void 0 ? void 0 : content.header) === null || _g === void 0 ? void 0 : _g.filename);
            default:
                return '';
        }
    })();
    return React.createElement(React.Fragment, null,
        React.createElement("div", { className: css['whats-app-buttons-header'] }, header),
        React.createElement("div", { className: css['whats-app-buttons-body'] }, (_c = content === null || content === void 0 ? void 0 : content.body) === null || _c === void 0 ? void 0 : _c.text),
        React.createElement("div", { className: css['whats-app-buttons-footer'] }, (_d = content === null || content === void 0 ? void 0 : content.footer) === null || _d === void 0 ? void 0 : _d.text),
        React.createElement("div", { className: css['whats-app-buttons-buttons'] }, (_f = (_e = content === null || content === void 0 ? void 0 : content.action) === null || _e === void 0 ? void 0 : _e.buttons) === null || _f === void 0 ? void 0 : _f.map(function (item) {
            return React.createElement("div", { key: item.id, className: css['whats-app-buttons-button-item'] }, item === null || item === void 0 ? void 0 : item.title);
        })));
};
export default whatsAppButtons;
