import { ConfigProvider } from 'udesk-ui';
import type { UdeskConfigProviderProps, UdeskContext } from 'udesk-ui/es/config-provider';
import { Locale } from '../locale-provider';
import './style/index';
interface GmConfigProviderProps extends Omit<UdeskConfigProviderProps, 'locale'> {
    locale: Locale;
}
export type { GmConfigProviderProps, UdeskContext };
declare const GmConfigProvider: (props: GmConfigProviderProps) => JSX.Element;
type GmConfigProviderType = typeof GmConfigProvider & typeof ConfigProvider;
declare const ExportComponent: GmConfigProviderType;
export default ExportComponent;
