export namespace dropDownOptionDefaultPropsName {
    const dataSourceValueField: string;
    const dataSourceNameField: string;
    const dataSourceSearchField: string;
    const defaultValueField: string;
    const defaultNameField: string;
    const defaultSearchField: string;
    const defaultOutputValueMode: string;
}
export default AntdSelectComponent;
declare class AntdSelectComponent extends React.Component<any, any, any> {
    static getDerivedStateFromProps(nextProps: any, prevState: any): {
        dataSourceProps: any;
        dataSource: any;
    } | {
        dataSourceProps?: undefined;
        dataSource?: undefined;
    };
    constructor(props: any);
    state: {
        dataSource: any;
        dataSourceProps: any;
        params: {};
        fetching: boolean;
    };
    catchEmptySearchOption: any[];
    handleSelectChange: (value: any) => any;
    onSearched: (value: any) => void;
    selectOnFocus: () => void;
    onPopupScroll: (event: any) => void;
    render(): JSX.Element;
}
declare namespace AntdSelectComponent {
    const defaultProps: {
        value: null;
        onChanged: null;
        attributes: {};
        dataSource: never[];
        disabled: boolean;
        operator: {};
        field: {};
        name: null;
        isValid: boolean;
        errors: never[];
        runtimeAttributes: {};
    } & {
        dataSourceValueField: string;
        dataSourceNameField: string;
        dataSourceSearchField: string;
        defaultValueField: string;
        defaultNameField: string;
        defaultSearchField: string;
        defaultOutputValueMode: string;
    };
    namespace propTypes {
        export const value: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
        export const onChanged: PropTypes.Requireable<(...args: any[]) => any>;
        export const attributes: PropTypes.Requireable<object>;
        export const dataSource: PropTypes.Requireable<any[]>;
        export const disabled: PropTypes.Requireable<boolean>;
        export const isValid: PropTypes.Requireable<boolean>;
        export const operator: PropTypes.Requireable<object>;
        export const field: PropTypes.Requireable<object>;
        export const name: PropTypes.Requireable<string>;
        export const errors: PropTypes.Requireable<any[]>;
        export const runtimeAttributes: PropTypes.Requireable<object>;
        const dataSourceValueField_1: PropTypes.Requireable<string>;
        export { dataSourceValueField_1 as dataSourceValueField };
        const dataSourceNameField_1: PropTypes.Requireable<string>;
        export { dataSourceNameField_1 as dataSourceNameField };
        const dataSourceSearchField_1: PropTypes.Requireable<string>;
        export { dataSourceSearchField_1 as dataSourceSearchField };
        const defaultValueField_1: PropTypes.Requireable<string>;
        export { defaultValueField_1 as defaultValueField };
        const defaultNameField_1: PropTypes.Requireable<string>;
        export { defaultNameField_1 as defaultNameField };
        const defaultSearchField_1: PropTypes.Requireable<string>;
        export { defaultSearchField_1 as defaultSearchField };
        const defaultOutputValueMode_1: PropTypes.Requireable<string>;
        export { defaultOutputValueMode_1 as defaultOutputValueMode };
    }
}
import React from "react";
import PropTypes from "prop-types";
