import Calculate from '@udesk-webapp/custom-field-calculate';
import ChainedDroplist from '@udesk-webapp/custom-field-chained-droplist';
import Cascader from '@udesk-webapp/custom-field-cascader';
import Checkbox from '@udesk-webapp/custom-field-checkbox';
import CheckboxDroplist from '@udesk-webapp/custom-field-checkbox-droplist';
import DateComponent from '@udesk-webapp/custom-field-date';
import DateTime from '@udesk-webapp/custom-field-datetime';
import Link from '@udesk-webapp/custom-field-link';
import Location from '@udesk-webapp/custom-field-location';
import NumberComponent from '@udesk-webapp/custom-field-number';
import Numeric from '@udesk-webapp/custom-field-numeric';
import Radio from '@udesk-webapp/custom-field-radio';
import RadioDroplist from '@udesk-webapp/custom-field-radio-droplist';
import TagTree from '@udesk-webapp/custom-field-tag-tree';
import TextArea from '@udesk-webapp/custom-field-text-area';
import Time from '@udesk-webapp/custom-field-time';
import Text from '@udesk-webapp/custom-field-text';
import StaffComponent from '@udesk-webapp/custom-field-staff';
import { Upload } from '@udesk-webapp/custom-form-components';
// @ts-ignore
export default {
    calculate: Calculate,
    cascade: ChainedDroplist,
    cascader: Cascader,
    chained_droplist: ChainedDroplist,
    checkbox: Checkbox,
    droplistMulti: CheckboxDroplist,
    droplist: RadioDroplist,
    radio_droplist: RadioDroplist,
    date: DateComponent,
    datetime: DateTime,
    link: Link,
    location: Location,
    number: NumberComponent,
    numeric: Numeric,
    radio: Radio,
    tag_tree: TagTree,
    textarea: TextArea,
    area_text: TextArea,
    time: Time,
    text: Text,
    staff: StaffComponent,
    file: Upload,
};
