import React, { ComponentProps } from 'react';
import { Checkbox } from 'udesk-ui';
import { CopyProps } from '../copy';
declare type Option = {
    value: string;
    label: string;
    disabled?: boolean;
    is_hide?: boolean;
    isUsed?: boolean;
};
declare type Props = Omit<ComponentProps<typeof Checkbox.Group>, 'onChange' | 'options' | 'value'> & {
    sort_type?: 'x' | 'y';
    notUseDefault?: boolean;
    hiddenLabelPath?: string;
    id?: string;
    isRadio?: boolean;
    labelInValue?: boolean;
    isCheckAll?: boolean;
    readOnly?: boolean;
    options: Option[];
    value?: string | string[];
    copyProps?: CopyProps;
    onChange?: (v: any) => void;
    onValueBlur?: (id: string, v: any) => void;
};
declare const FormCheckbox: React.FC<Props>;
export default FormCheckbox;
