import React from 'react';
import { ImageFileIcon, WordFileIcon, PdfFileIcon, PptFileIcon, TxtFileIcon, ExcelFileIcon, AudioFileIcon, VideoFileIcon, ZipFileIcon, UnknowFileIcon } from '@udesk-webapp/icon';
var IMAGE_TYPE = ['gif', 'jpeg', 'jpg', 'png', 'gif', 'bmp', 'psd', 'tig'];
var WORD_TYPE = ['doc', 'docx'];
var PDF_TYPE = ['pdf'];
var PPT_TYPE = ['ppt', 'pptx'];
var TXT_TYPE = ['txt'];
var EXCEL_TYPE = ['xls', 'xlsx'];
var AUDIO_TYPE = ['mp3', 'amr', 'flac', 'ape', 'wma', 'wav', 'aac', 'm4a', 'au', 'ram', 'mmf', 'aif'];
var VIDEO_TYPE = ['mp4', 'mkv', 'avi', 'swf', 'wmv', 'rmvb', 'mov', 'mpg', 'webm', 'ogg'];
var ZIP_TYPE = ['rar', 'zip', '7z', 'gz', 'arj', 'z'];
var FormFileIcon = function (props) {
    var type = props.type;
    if (IMAGE_TYPE.indexOf(type) > -1) {
        return (React.createElement(ImageFileIcon, null));
    }
    else if (WORD_TYPE.indexOf(type) > -1) {
        return (React.createElement(WordFileIcon, null));
    }
    else if (PDF_TYPE.indexOf(type) > -1) {
        return (React.createElement(PdfFileIcon, null));
    }
    else if (PPT_TYPE.indexOf(type) > -1) {
        return (React.createElement(PptFileIcon, null));
    }
    else if (TXT_TYPE.indexOf(type) > -1) {
        return (React.createElement(TxtFileIcon, null));
    }
    else if (EXCEL_TYPE.indexOf(type) > -1) {
        return React.createElement(ExcelFileIcon, null);
    }
    else if (AUDIO_TYPE.indexOf(type) > -1) {
        return (React.createElement(AudioFileIcon, null));
    }
    else if (VIDEO_TYPE.indexOf(type) > -1) {
        return (React.createElement(VideoFileIcon, null));
    }
    else if (ZIP_TYPE.indexOf(type) > -1) {
        return (React.createElement(ZipFileIcon, null));
    }
    return (React.createElement(UnknowFileIcon, null));
};
export default FormFileIcon;
