import { __assign, __rest } from "tslib";
import React from 'react';
import FormText from '../text';
import { GlobalOutlined } from '@ant-design/icons';
// 自定义字段链接
var FormLink = function (props) {
    var goLinkIcon = props.goLinkIcon, restProps = __rest(props, ["goLinkIcon"]);
    var handleSuffix = function (localValue) {
        localValue && window.open(localValue, '_blank');
    };
    return (React.createElement(FormText, __assign({}, restProps, { addonAfterRender: React.createElement(GlobalOutlined, null), addonAfterClick: handleSuffix })));
};
export default FormLink;
