import { __assign, __rest } from "tslib";
import React, { useEffect, useState } from 'react';
import { Input } from 'udesk-ui';
import CopyText from '../copy';
var TextArea = Input.TextArea;
// 自定义字段 多行文本
var FormTextArea = function (props) {
    var value = props.value, copyProps = props.copyProps, restProps = __rest(props, ["value", "copyProps"]);
    var _a = useState(value), localValue = _a[0], setLocalValue = _a[1];
    var _b = useState(2), row = _b[0], setRow = _b[1];
    useEffect(function () {
        var _a;
        setLocalValue(value);
        if (value) {
            var vl = ((_a = (value.toLocaleString()).split('\n')) === null || _a === void 0 ? void 0 : _a.length) || 0;
            var r = vl + 1;
            setRow(r < 6 && r > 2 ? r : 2);
        }
    }, [value]);
    var onValueChange = function (e) {
        var _a;
        var targetValue = e.target.value;
        setLocalValue(targetValue);
        (_a = props === null || props === void 0 ? void 0 : props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, targetValue);
    };
    return (React.createElement(CopyText, __assign({}, copyProps, { text: localValue }),
        React.createElement(TextArea, __assign({ rows: row }, restProps, { value: localValue, onChange: function (data) { return onValueChange(data); }, onBlur: function () {
                var onValueBlur = props.onValueBlur, _a = props.id, id = _a === void 0 ? '' : _a;
                onValueBlur === null || onValueBlur === void 0 ? void 0 : onValueBlur(id, localValue);
            } }))));
};
export default FormTextArea;
