import React from 'react';
declare type PreviewFile = {
    id: number;
    file_name?: string;
    name?: string;
    url: string;
    percent: number;
    status: string;
};
declare type Props = {
    file: PreviewFile;
    previewUrl?: string;
    udeskVersion?: string;
    remove?: Function;
    download?: Function;
    disabled: boolean;
};
declare const FileItem: React.FC<Props>;
export default FileItem;
