export default {
  Input: function Input() {
    return import("../../input");
  },
  TextArea: function TextArea() {
    return import("../../input").then(function (res) {
      return {
        "default": res["default"].TextArea
      };
    });
  },
  Select: function Select() {
    return import("../../select");
  },
  InputNumber: function InputNumber() {
    return import("../../input-number");
  },
  Radio: function Radio() {
    return import("../../radio");
  },
  RadioGroup: function RadioGroup() {
    return import("../../radio").then(function (res) {
      return {
        "default": res["default"].Group
      };
    });
  },
  Checkbox: function Checkbox() {
    return import("../defalut-components").then(function (res) {
      return {
        "default": res.Checkbox
      };
    });
  },
  CheckboxGroup: function CheckboxGroup() {
    return import("../../checkbox").then(function (res) {
      return {
        "default": res["default"].Group
      };
    });
  },
  TimePicker: function TimePicker() {
    return import("../defalut-components").then(function (res) {
      return {
        "default": res.TimePickerMoment
      };
    });
  },
  Button: function Button() {
    return import("../../button");
  },
  Password: function Password() {
    return import("../../input").then(function (res) {
      return {
        "default": res["default"].Password
      };
    });
  },
  ProxyPassword: function ProxyPassword() {
    return import("../defalut-components").then(function (res) {
      return {
        "default": res.ProxyPassword
      };
    });
  },
  Switch: function Switch() {
    return import("../defalut-components").then(function (res) {
      return {
        "default": res.Switch
      };
    });
  },
  DatePicker: function DatePicker() {
    return import("../defalut-components").then(function (res) {
      return {
        "default": res.DatePickerMoment
      };
    });
  },
  RangePicker: function RangePicker() {
    return import("../defalut-components").then(function (res) {
      return {
        "default": res.RangePickerMoment
      };
    });
  },
  TreeSelect: function TreeSelect() {
    return import("../../tree-select");
  },
  Cascader: function Cascader() {
    return import("../../calendar");
  },
  AutoComplete: function AutoComplete() {
    return import("../../auto-complete");
  }
};
//# sourceMappingURL=component-map-lazy.js.map
