// import { Input, Select, InputNumber, Radio, TimePicker, Button } from '../index';
import Button from "../../button";
import Input from "../../input";
import InputNumber from "../../input-number";
import Radio from "../../radio";
import Select from "../../select";
import Checkbox from "../../checkbox";
import TreeSelect from "../../tree-select";
import Cascader from "../../cascader";
import AutoComplete from "../../auto-complete";
import { DatePickerMoment, RangePickerMoment, TimePickerMoment, ProxyPassword, Switch, Checkbox as FormCheckbox } from "../defalut-components";
var TextArea = Input.TextArea,
    Password = Input.Password;
var defaultFormConfigMap = {
  Input: Input,
  TextArea: TextArea,
  Select: Select,
  InputNumber: InputNumber,
  Radio: Radio,
  RadioGroup: Radio.Group,
  Checkbox: FormCheckbox,
  CheckboxGroup: Checkbox.Group,
  TimePicker: TimePickerMoment,
  Button: Button,
  Password: Password,
  ProxyPassword: ProxyPassword,
  Switch: Switch,
  DatePicker: DatePickerMoment,
  RangePicker: RangePickerMoment,
  TreeSelect: TreeSelect,
  Cascader: Cascader,
  AutoComplete: AutoComplete
};
export default defaultFormConfigMap;
//# sourceMappingURL=component-map.js.map
