import { forwardRef } from 'react';
import Form from "../form";
import defaultFormConfigMap from "./default-component-maps/component-map-lazy";
import creatFormBuilder from "./form-builder";
import useFormContext from "./useFormContext";
import { getFieldComponent } from "./utils/get-field-component";
var Item = Form.Item;
var FormBuilder = creatFormBuilder(getFieldComponent.bind(null, defaultFormConfigMap));
var InternalForm = /*#__PURE__*/forwardRef(FormBuilder);
var RefForm = InternalForm;
RefForm.useForm = useFormContext;
RefForm.Item = Item;
export default RefForm;
//# sourceMappingURL=index-lazy.js.map
