/// <reference types="react" />
import type { FormProps, FormInstance, FormFieldConfig } from './form';
export interface FieldProps {
    field: FormFieldConfig;
    formStore: FormInstance;
    formName: FormProps['name'];
    getFieldComponent: GetFieldComponentInField;
}
export declare type ComponentType<P = {}> = React.ComponentClass<P> | React.FunctionComponent<P>;
export declare type GetFieldComponent = (customComponents: object, type: string) => ComponentType | Promise<ComponentType>;
export declare type GetFieldComponentInField = (type: string) => ComponentType;
