function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }

function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }

function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }

function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }

import React
/* , { useState } */
from 'react';
import Form from "../form";
import { filterEffectFields, refershFieldsMap, getFieldsMapValue, getPrevFieldsValue, buildObjectFromNamePath } from "./utils/effect";
var AForm = Form;

var ContextStore = /*#__PURE__*/_createClass(function ContextStore(formInstance) {
  var _this = this;

  _classCallCheck(this, ContextStore);

  _defineProperty(this, "formFields", []);

  _defineProperty(this, "visibleFieldsMap", new Map());

  _defineProperty(this, "fieldMap", new Map());

  _defineProperty(this, "disableFieldsMap", new Map());

  /**
   * prevFidldsValue
   * 记录上一次form存储的值，用于防止在值联动时重复setFieldsValue
   */
  _defineProperty(this, "prevFidldsValue", {});

  _defineProperty(this, "getForm", function (fromUser) {
    var instance = _objectSpread(_objectSpread({}, _this.formInstance), {}, {
      /**
       * 覆盖的方法
       */
      resetFields: _this.resetFields
    });

    if (fromUser) {
      return instance;
    }

    return _objectSpread(_objectSpread({}, _this.formInstance), {}, {
      /**
       * 覆盖的方法
       */
      resetFields: _this.resetFields,

      /**
       * 扩展的方法
       */
      getInternalHooks: _this.getInternalHooks,
      computedEffecties: _this.computedEffecties,
      registerField: _this.registerField,
      getVisibleFieldsMap: _this.getVisibleFieldsMap,
      getDisableFieldsMap: _this.getDisableFieldsMap,
      getFieldVisible: _this.getFieldVisible,
      getFieldDisable: _this.getFieldDisable,
      setFields: _this.setFields,
      getFormInstance: function getFormInstance() {
        return instance;
      }
    });
  });

  // ================== 实例 API ==================
  _defineProperty(this, "getInternalHooks", function () {
    return {
      /** useForm */
      getAFormInstance: _this.getAFormInstance
    };
  });

  //重算依赖规则
  _defineProperty(this, "computedEffecties", function (skipComputeValues) {
    var effectFields = filterEffectFields(_this.formFields);
    var visibleFieldsMap = new Map();
    var disableFieldsMap = new Map(); // this.oldValueFieldsMap.clear();

    effectFields.forEach(function (field) {
      var _field$effect;

      //是否可见
      refershFieldsMap('visible', field, visibleFieldsMap, _this.formInstance); //是否置灰

      refershFieldsMap('disable', field, disableFieldsMap, _this.formInstance); //值联动

      var valueNameEntries = field !== null && field !== void 0 && (_field$effect = field.effect) !== null && _field$effect !== void 0 && _field$effect.value ? Object.entries(field.effect.value) : []; // 

      !skipComputeValues && valueNameEntries.forEach(function (value) {
        //当前form中field的值
        var fieldValue = _this.formInstance.getFieldValue(field.name); //所有被影响的field的List


        var effectedFields = value[1]; //控制项触发effect的值

        var effectWantedValue = value[0]; //对比当前form中field的值和上一次重算时field的值，防止重复触发造成用户无法修改数据

        if (getPrevFieldsValue(field.name, _this.prevFidldsValue) !== fieldValue) {
          effectedFields.forEach(function (effectedField) {
            if (effectWantedValue == fieldValue) {
              //构建setFieldsValue所需的对象结构体
              var setObj = buildObjectFromNamePath(effectedField);

              _this.formInstance.setFieldsValue(setObj);
            }
          });
        }
      });
    });
    _this.prevFidldsValue = _this.formInstance.getFieldsValue();
    var oldVisibleFieldsMap = _this.visibleFieldsMap;
    var oldDisableFieldsMap = _this.disableFieldsMap;
    _this.visibleFieldsMap = visibleFieldsMap;
    _this.disableFieldsMap = disableFieldsMap; //重新渲染触发了显示隐藏/置灰联动的表单项

    _this.triggerFieldsReRender(oldVisibleFieldsMap, oldDisableFieldsMap);
  });

  //初始化 获取表单配置
  _defineProperty(this, "setFields", function (fields) {
    _this.formFields = fields;
  });

  _defineProperty(this, "getAFormInstance", function () {
    return _this.formInstance;
  });

  //对外提供有显示隐藏依赖的表单项映射
  _defineProperty(this, "getVisibleFieldsMap", function () {
    return _this.visibleFieldsMap;
  });

  //对外提供有置灰依赖的表单项映射
  _defineProperty(this, "getDisableFieldsMap", function () {
    return _this.disableFieldsMap;
  });

  //注册表单项实例
  _defineProperty(this, "registerField", function (name, field) {
    _this.fieldMap.set(name, field);
  });

  //重置表单
  _defineProperty(this, "resetFields", function (fields) {
    _this.formInstance.resetFields(fields);

    _this.computedEffecties(true);
  });

  _defineProperty(this, "getFieldVisible", function (name) {
    return getFieldsMapValue(name, _this.visibleFieldsMap);
  });

  _defineProperty(this, "getFieldDisable", function (name) {
    return getFieldsMapValue(name, _this.disableFieldsMap);
  });

  _defineProperty(this, "triggerFieldsReRender", function (oldVisibleFieldsMap, oldDisableFieldsMap) {
    //使用Set防止重复触发
    var dirtyFields = new Set();

    _this.fieldMap.forEach(function (field, key) {
      //过滤需要重新渲染的表单项
      if (getFieldsMapValue(key, oldVisibleFieldsMap) !== _this.getFieldVisible(key)) {
        dirtyFields.add(field);
      }

      if (getFieldsMapValue(key, oldDisableFieldsMap) !== _this.getFieldDisable(key)) {
        dirtyFields.add(field);
      }
    }); //手动触发重新渲染


    dirtyFields.forEach(function (field) {
      field.reRender();
    });
  });

  this.formInstance = formInstance;
});

export default function useFormContext(formInstance) {
  // const [formRef, setFormRef] = useState<any>(formInstance as FormInstance);
  // setFormRef(()=>{
  //     if(formInstance){
  //         return formInstance;
  //     }
  //     else{
  //         const [aFormInstance] = AForm.useForm();
  //         const contextStore = new ContextStore(aFormInstance);
  //         return contextStore.getForm();
  //     }
  // })
  // return [formRef];
  var formRef = React.useRef(null);

  var _AForm$useForm = AForm.useForm(formInstance ? formInstance.getInternalHooks().getAFormInstance() : undefined),
      _AForm$useForm2 = _slicedToArray(_AForm$useForm, 1),
      aFormInstance = _AForm$useForm2[0];

  if (!formRef.current) {
    if (formInstance) {
      formRef.current = formInstance;
    } else {
      var contextStore = new ContextStore(aFormInstance);
      formRef.current = contextStore.getForm();
    }
  }

  return [formRef.current];
}
//# sourceMappingURL=useFormContext.js.map
