function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }

function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }

function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it["return"] != null) it["return"](); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }

function filterEffectFields(fields) {
  var effectFirlds = fields.filter(function (field) {
    return field.effect;
  });
  return effectFirlds;
} //visibleFieldsMap和disableFieldsMap中存储值刷新的逻辑,不是重新渲染，这里仅改变了Map存储的值


function refershFieldsMap(type, field, fieldsMap, formInstance) {
  // 
  if (field.effect[type] === undefined) {
    return;
  }

  var names = Object.values(field.effect[type]).flat(1);
  names.forEach(function (i) {
    fieldsMap.set(i, false);
  });
  var value = formInstance.getFieldValue(field.name); // 

  if (value !== undefined && field.effect[type][value]) {
    field.effect[type][value].forEach(function (i) {
      // 
      fieldsMap.set(i, true);
    });
  }
} //获取实例中存储映射的对应值


function getFieldsMapValue(name, fieldsMap) {
  if (typeof name === 'string') {
    return fieldsMap.get(name);
  } else {
    var _iterator = _createForOfIteratorHelper(fieldsMap.entries()),
        _step;

    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var _step$value = _slicedToArray(_step.value, 2),
            key = _step$value[0],
            value = _step$value[1];

        if (Array.isArray(key) && key.join(',') === name.join(',')) {
          return value;
        }
      }
    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }
  }

  return undefined;
}

function getPrevFieldsValue(name, prevFidldsValue) {
  if (typeof name === 'string') {
    return prevFidldsValue[name];
  }

  return name.reduce(function (xs, x) {
    return xs && xs[x] ? xs[x] : undefined;
  }, prevFidldsValue);
}

function buildObjectFromNamePath(effectedField) {
  var setObj = _defineProperty({}, effectedField.name, effectedField.output);

  if (Array.isArray(effectedField.name)) {
    setObj = effectedField.name.reduceRight(function (obj, path, index) {
      if (index === effectedField.name.length - 1) {
        obj[path] = effectedField.output;
      } else {
        obj = _defineProperty({}, path, obj);
      }

      return obj;
    }, {});
  }

  return setObj;
}

export { filterEffectFields, refershFieldsMap, getFieldsMapValue, getPrevFieldsValue, buildObjectFromNamePath };
//# sourceMappingURL=effect.js.map
