import { __assign, __rest } from "tslib";
import React, { useMemo } from 'react';
import css from './style.module.scss';
import classNames from 'classnames';
var Highlight = function (_a) {
    var content = _a.content, className = _a.className, props = __rest(_a, ["content", "className"]);
    var result = useMemo(function () {
        var _content = content.replace(/<(\/?)em>/g, '{-$1em-}');
        var div = window.document.createElement('div');
        div.innerText = _content;
        var divInnerHtml = div.innerHTML;
        return divInnerHtml.replace(/{-(\/?)em-}/g, '<$1em>');
    }, [content]);
    return (React.createElement("span", __assign({ className: classNames(css['highlight'], className) }, props, { dangerouslySetInnerHTML: { __html: result } })));
};
export default Highlight;
