export default {
    cancel: 'ألغى',
    uploader: {
        uploadImg: 'تحميل الصور',
        uploadImgIng: 'تحميل الصور',
        uploadImgFail: 'فشل تحميل',
        insertImg: 'إدراج صورة',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    "exceedsTotalSize": "مجموع حجم الملف {0} يتجاوز الحد الأقصى لحجم { 1 }",
                    "exceedsSize": "حجم الملف {0} { 1 }",
                },
            },
        },
    },
    statusbar: { translate: 'ترجمة .' },
    originalPlaceholder: 'الرجاء إدخال النص الأصلي',
    language: {
        chinese: 'الصينية .',
        'zh-cn': 'الصينية ( المبسطة )',
        'zh-tw': 'الصينية ( التقليدية )',
        'en-us': 'إنجليزي',
        fr: 'الفرنسية .',
        de: 'ألماني',
        fil: 'موضوع الفلبينية',
        ja: 'اليابانية .',
        it: 'الايطالية',
        ru: 'روسي',
        ko: 'كوري',
        vi: 'الفيتنامية',
        af: 'اللغة الأفريكانية',
        sq: 'اللغة الألبانية',
        am: 'الأمهرية',
        ar: 'بالعربية',
        hy: 'اللغة الأرمينية',
        as: 'آسام',
        ay: 'أيمارا',
        az: 'اللغة الأذربيجانية',
        bm: 'بامبارا',
        eu: 'الباسك',
        be: 'اللغة البيلاروسية',
        bn: 'البنغالية',
        bho: 'بوجيبور',
        bs: 'اللغة البوسنية',
        bg: 'بلغاري',
        ca: 'كاتالونيا',
        ceb: 'سيبو',
        co: 'كورسيكا',
        hr: 'اللغة الكرواتية',
        cs: 'اللغة التشيكية',
        da: 'الدانماركية',
        dv: 'ديفيشي',
        doi: 'دوغلاس *',
        nl: 'الهولندية',
        eo: 'الاسبرانتو',
        et: 'اللغة الإستونية',
        ee: 'إيفي',
        fi: 'الفنلندية',
        fy: 'فريسلاند',
        gl: 'غاليسيا',
        ka: 'اللغة الجورجية',
        el: 'اللغة اليونانية',
        gn: 'غواراني *',
        gu: 'غوجارات',
        ht: 'الكريول الهايتي',
        ha: 'هوسا',
        haw: 'لغة هاواي',
        he: 'العبرية',
        hi: 'هندي',
        hmn: 'مياو اللغة',
        hu: 'اللغة الهنغارية',
        is: 'اللغة الأيسلندية',
        ig: 'ايبو',
        ilo: 'الإيروكانو *',
        id: 'اللغة الأندونيسية',
        ga: 'الأيرلندية',
        jv: 'الجاوية',
        kn: 'كانادا',
        kk: 'كازاك',
        km: 'الخمير',
        rw: 'اللغة الرواندية',
        gom: 'غونغن',
        kri: 'الكريول *',
        ku: 'الكردية',
        ckb: 'الكردية ( سولاني ) *',
        ky: 'قيرغيزستان',
        lo: 'لغة لاو',
        la: 'اللاتينية',
        lv: 'اللغة اللاتفية',
        ln: 'لغة لينجرا *',
        lt: 'الليتوانية',
        lg: 'لغة لوغاندا *',
        lb: 'لوكسمبورغ',
        mk: 'اللغة المقدونية',
        mai: 'لغة ميتيلي *',
        mg: 'مارغاشي',
        ms: 'الملايو',
        ml: 'مالايا رامون',
        mt: 'المالطية',
        mi: 'الماوري',
        mr: 'مالادي',
        'mni-Mtei': 'ميتي ( مانيبور ) *',
        'mni-lus': 'ميزو',
        mn: 'المغول',
        my: 'بورما',
        ne: 'النيبالية',
        no: 'اللغة النرويجية',
        ny: 'نيانزا ( تشيشوا )',
        or: 'أوريا ( أوريا )',
        om: 'أورومو',
        ps: 'الباشتو',
        fa: 'فارسي',
        pl: 'بولندية',
        pt: 'البرتغالية ( البرتغال ، البرازيل )',
        pa: 'البنجابية',
        qu: 'الكويتشوا',
        ro: 'اللغة الرومانية',
        sm: 'لغة ساموا',
        sa: 'السنسكريتية',
        gd: 'الغالية الاسكتلندية',
        nso: 'سيبيتي',
        sr: 'اللغة الصربية',
        st: 'سيسوتو',
        sn: 'شونا',
        sd: 'الرسالة الألمانية',
        si: 'السنهالية',
        sk: 'السلوفاكية',
        sl: 'اللغة السلوفينية',
        so: 'اللغة الصومالية',
        es: 'إسبانية',
        su: 'سوندا',
        sw: 'السواحلية',
        sv: 'السويدية',
        tl: 'Tagalu ( الفلبينية الكائن )',
        tg: 'الطاجيكية',
        ta: 'التاميل',
        tt: 'التتار',
        te: 'تيلوغو',
        th: 'التايلاندية',
        ti: 'تيغونيا *',
        ts: 'زونغا',
        tr: 'اللغة التركية',
        tk: 'التركمانية',
        ak: 'شيوي ( أوكان ) *',
        uk: 'اللغة الأوكرانية',
        ur: 'الأردية',
        ug: 'ويغور',
        uz: 'اللغة الأوزبكية',
        cy: 'الويلزية',
        xh: 'بانتو',
        yi: 'اليديشية',
        yo: 'يوروبا',
        zu: 'زولو',
    },
};
