export default {
    cancel: 'Cancelamento',
    uploader: {
        uploadImg: 'Fazer upload de uma imagem',
        uploadImgIng: 'Fazer upload de uma imagem',
        uploadImgFail: 'Falha no upload',
        insertImg: 'Inserir uma imagem',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    exceedsTotalSize: 'O tamanho total do arquivo {0} excede o tamanho limite {1}',
                    exceedsSize: 'Arquivo {0} excede o tamanho limite {1}',
                },
            },
        },
    },
    statusbar: { translate: 'Tradução' },
    originalPlaceholder: 'Por favor, insira o texto original',
    language: {
        chinese: 'Chinês',
        'zh-cn': 'Chinês (simplificado)',
        'zh-tw': 'Chinês (tradicional)',
        'en-us': 'Inglês',
        fr: 'Francês',
        de: 'Alemão',
        fil: 'Filipino (Tagara)',
        ja: 'Japonês',
        it: 'Italiano',
        ru: 'Russo',
        ko: 'Coreano',
        vi: 'Vietnamita',
        af: 'Africâner',
        sq: 'Albanês',
        am: 'Língua amárica',
        ar: 'Árabe',
        hy: 'Arménio',
        as: 'Assam *',
        ay: 'Língua aimará *',
        az: 'Língua azeri',
        bm: 'Bambara *',
        eu: 'Língua basca',
        be: 'Bielorrusso',
        bn: 'Bengali',
        bho: 'Língua de Bojpur *',
        bs: 'Bósnio',
        bg: 'Búlgaro',
        ca: 'Catalão',
        ceb: 'Língua de Cebu',
        co: 'Língua corsina',
        hr: 'Língua croata',
        cs: 'Checo',
        da: 'Dinamarquês',
        dv: 'Divig *',
        doi: 'Dogelai *',
        nl: 'Holandês',
        eo: 'Esperanto',
        et: 'Estoniano',
        ee: 'Língua de Ewe *',
        fi: 'Finlandês',
        fy: 'Frísio',
        gl: 'Língua galega',
        ka: 'Língua georgiana',
        el: 'Grego',
        gn: 'Guarani *',
        gu: 'Texto de Gujarat',
        ht: 'Crioulo haitiano',
        ha: 'Língua hauçá',
        haw: 'Língua havaiana',
        he: 'Hebraico',
        hi: 'Hindi',
        hmn: 'Língua Miao',
        hu: 'Húngaro',
        is: 'Islandês',
        ig: 'Língua Igbo',
        ilo: 'Illocano *',
        id: 'Indonésio',
        ga: 'Irlandês',
        jv: 'Língua javanesa',
        kn: 'Canadavan',
        kk: 'Língua cazaque',
        km: 'Língua Khmer',
        rw: 'Língua ruandesa',
        gom: 'Língua gongen *',
        kri: 'Crioulo *',
        ku: 'Curdo',
        ckb: 'Curdo (Solani) *',
        ky: 'Língua quirguiz',
        lo: 'Laosiano',
        la: 'Latim',
        lv: 'Letão',
        ln: 'Língua Ringera *',
        lt: 'Língua lituana',
        lg: 'Luganda *',
        lb: 'Língua luxemburguesa',
        mk: 'Língua macedônia',
        mai: 'Maitili *',
        mg: 'Malgash',
        ms: 'Malaio',
        ml: 'Malayaramita',
        mt: 'Maltês',
        mi: 'Língua maori',
        mr: 'Língua marata',
        'mni-Mtei': 'Metai (Manipur) *',
        'mni-lus': 'Mizo *',
        mn: 'Mongol',
        my: 'Língua birmanesa',
        ne: 'Nepali',
        no: 'Norueguês',
        ny: 'Niyanza (Ticheva)',
        or: 'Língua de Oriya (Auria)',
        om: 'Oromo *',
        ps: 'Língua pashto',
        fa: 'Língua persa',
        pl: 'Polonês',
        pt: 'Português (Portugal, Brasil)',
        pa: 'Punjabi',
        qu: 'Quechua *',
        ro: 'Romeno',
        sm: 'Língua samoana',
        sa: 'Sânscrito *',
        gd: 'Língua gaélica escocesa',
        nso: 'Sepeti *',
        sr: 'Sérvio',
        st: 'Língua sesotto',
        sn: 'Língua Shuna',
        sd: 'Língua alemã',
        si: 'Cingalês',
        sk: 'Eslovaco',
        sl: 'Esloveno',
        so: 'Somali',
        es: 'Espanhol',
        su: 'Sunda',
        sw: 'Suaíli',
        sv: 'Sueco',
        tl: 'Tagalu (em filipino)',
        tg: 'Língua tadjique',
        ta: 'Língua tâmil',
        tt: 'Língua tártara',
        te: 'Telugu',
        th: 'Tailandês',
        ti: 'Tieguânia *',
        ts: 'Zongga *',
        tr: 'Turco',
        tk: 'Turcomenistão',
        ak: 'Língua chevy (Akan) *',
        uk: 'Ucraniano',
        ur: 'Urdu',
        ug: 'Uigur',
        uz: 'Uzbeque',
        cy: 'Galês',
        xh: 'Língua bantu',
        yi: 'Iídiche',
        yo: 'Língua iorubá',
        zu: 'Língua zulu',
    },
};
