function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }

var _excluded = ["type", "svg", "antdIcon", "spin", "style", "classname", "prefixCls", "rotate"],
    _excluded2 = ["prefixCls", "fontFamily"];

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }

function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }

function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }

function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * iconfont
 * spin 属性用来播放动画
 * 动画参数 SPIN，SPIN2,ALTERNATE,
 */
import React from 'react';
import classNames from 'classnames';
import { createFromIconfontCN } from '@ant-design/icons';
import * as allIcons from '@ant-design/icons/es/icons';
import isEmpty from 'lodash-es/isEmpty';
var iconsMap = allIcons;
/** @deprecated 不建议使用，在下一个大版本中会被移除。请使用独立的组件库 ＠ant-design/icons 或 ＠udesk/icons */

var Icon = function Icon(props) {
  var _props$type = props.type,
      type = _props$type === void 0 ? '' : _props$type,
      _props$svg = props.svg,
      svg = _props$svg === void 0 ? false : _props$svg,
      _props$antdIcon = props.antdIcon,
      antdIcon = _props$antdIcon === void 0 ? false : _props$antdIcon,
      spin = props.spin,
      style = props.style,
      _props$classname = props.classname,
      classname = _props$classname === void 0 ? '' : _props$classname,
      _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? Icon.prefixCls : _props$prefixCls,
      rotate = props.rotate,
      others = _objectWithoutProperties(props, _excluded);

  var iconType = type && "".concat(prefixCls).concat((prefixCls || '') && '-').concat(type);
  var cls = classNames(_defineProperty(_defineProperty(_defineProperty({}, Icon.fontFamily, true), iconType, true), 'iconfont-spin', spin), classname);

  if (antdIcon) {
    var targetIconComponent = iconsMap[type];

    if (targetIconComponent) {
      return /*#__PURE__*/React.createElement(targetIconComponent, _objectSpread({
        className: cls,
        style: style
      }, others));
    }
  }

  return svg ? /*#__PURE__*/React.createElement("svg", {
    className: cls
  }, /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#".concat(iconType)
  })) : Icon.IconFont ? /*#__PURE__*/React.createElement(Icon.IconFont, _objectSpread(_objectSpread({
    type: iconType,
    className: cls,
    spin: spin,
    rotate: rotate
  }, others), {}, {
    style: style
  })) : /*#__PURE__*/React.createElement("i", _objectSpread(_objectSpread({
    className: cls
  }, others), {}, {
    style: _objectSpread({
      transform: "rotate(".concat(rotate || 0, "deg)")
    }, style)
  }));
}; //循环旋转


Icon.SPIN = 'SPIN'; // 暂时不支持

Icon.SPIN1 = 'SPIN1';
Icon.SPIN2 = 'SPIN2'; //交替旋转

Icon.ALTERNATE = 'ALTERNATE';
Icon.IconFont = null;
Icon.prefixCls = 'icon';
Icon.fontFamily = 'icon';

Icon.createFromIconfontCN = function (props) {
  var prefixCls = props.prefixCls,
      fontFamily = props.fontFamily,
      otherProps = _objectWithoutProperties(props, _excluded2);

  var IconFont = createFromIconfontCN(otherProps);
  Icon.IconFont = isEmpty(otherProps) ? null : IconFont;
  Icon.prefixCls = prefixCls;
  Icon.fontFamily = fontFamily;
  return IconFont;
};

export default Icon;
//# sourceMappingURL=index.js.map
