import React, { useEffect, useState } from 'react';
import { Input } from 'udesk-ui';
var Field = function (props) {
    var _a = useState(props.value || ''), value = _a[0], setValue = _a[1];
    useEffect(function () {
        setValue(props.value || '');
    }, [props.value]);
    var handleChange = function (e) {
        setValue(e.target.value);
    };
    var handleBlur = function (e) {
        // props.onChange && props.onChange(e.target.value);
        if (props.value !== e.target.value) {
            var changeFunction = props[props.trigger];
            if (changeFunction) {
                changeFunction(value);
            }
        }
    };
    return (React.createElement(Input, { value: value, onChange: handleChange, onBlur: handleBlur }));
};
export default Field;
