import React, { useCallback, useEffect, useState } from "react";
import { Input } from "udesk-ui";
import CopyComponent from "../../../../components/copy";
var DescOrName = function (props) {
    var _a = useState(props.value || ""), value = _a[0], setValue = _a[1];
    useEffect(function () {
        setValue(props.value || "");
    }, [props.value]);
    var handleChange = useCallback(function (e) {
        setValue(e.target.value);
    }, []);
    // const handleChange = (e: React.FocusEvent<HTMLInputElement>) => {
    //     setValue(e.target.value);
    // }
    var handleBlur = useCallback(function (e) {
        if (props.value !== e.target.value) {
            var changeFunction = props[props.trigger];
            if (changeFunction) {
                changeFunction(e.target.value);
            }
        }
    }, [props.value]);
    // const handleBlur = (e: React.FocusEvent<HTMLInputElement>) => {
    //     if (props.value !== e.target.value) {
    //         let changeFunction = props[props.trigger]
    //         if (changeFunction) {
    //             changeFunction(value)
    //         }
    //     }
    // }
    return (React.createElement(CopyComponent, { text: value, switchFlag: props.switchFlag },
        React.createElement(Input, { value: value, onChange: handleChange, onBlur: handleBlur })));
};
export default DescOrName;
