import React from "react";
import { Form } from "udesk-ui";
import style from "./index.module.scss";
import { QiYeWeiXin, WeiBo, Weixin } from "../../../../components/icon/icon";
var PlatformList = function (_a) {
    var customer = _a.customer;
    return (React.createElement(React.Fragment, null,
        customer.weixins &&
            customer.weixins.length > 0 &&
            customer.weixins.map(function (item, index) {
                return (React.createElement(Form.Item, { key: index, className: style["platform-form-item"], label: React.createElement("div", { className: style["wx-icon"] }) },
                    React.createElement("div", { className: style["customer-info-content"] },
                        item.avatar && React.createElement("img", { src: item.avatar, alt: "avatar" }),
                        React.createElement("span", null, item.nick_name))));
            }),
        customer.qywxes &&
            customer.qywxes.length > 0 &&
            customer.qywxes.map(function (item) {
                return (React.createElement(Form.Item, { className: style["platform-form-item"], label: React.createElement(QiYeWeiXin, { style: { fontSize: "16px", color: "#1afa29" } }) },
                    React.createElement("div", { className: style["customer-info-content"] },
                        item.avatar && React.createElement("img", { src: item.avatar, alt: "avatar" }),
                        React.createElement("span", null, item.nick_name))));
            }),
        customer.weibos &&
            customer.weibos.length > 0 &&
            customer.weibos.map(function (item) {
                return (React.createElement(Form.Item, { className: style["platform-form-item"], label: React.createElement(WeiBo, { style: { fontSize: "16px", color: "#1afa29" } }) },
                    React.createElement("div", { className: style["customer-info-content"] },
                        item.avatar && React.createElement("img", { src: item.avatar, alt: "avatar" }),
                        React.createElement("span", null, item.nick_name))));
            }),
        customer.weixin_minis &&
            customer.weixin_minis.length > 0 &&
            customer.weixin_minis.map(function (item, index) {
                return (React.createElement(Form.Item, { key: index, className: style["platform-form-item"], label: React.createElement("div", { className: style["wxmini-icon"] }) },
                    React.createElement("div", { className: style["customer-info-content"] },
                        item.avatar && React.createElement("img", { src: item.avatar, alt: "avatar" }),
                        React.createElement("span", null, item.nick_name))));
            }),
        customer.source_channel && customer.source_channel === "mcchat" && (React.createElement(Form.Item, { className: style["platform-form-item"], label: React.createElement(Weixin, { style: { fontSize: "16px", color: "#1afa29" } }) },
            React.createElement("div", null))),
        customer.contact_im_channels &&
            customer.contact_im_channels.length > 0 &&
            customer.contact_im_channels.map(function (item) {
                return (React.createElement(Form.Item, { className: style["platform-form-item"], label: React.createElement(Weixin, { style: { fontSize: "16px", color: "#1afa29" } }) },
                    React.createElement("div", { className: style["customer-info-content"] },
                        item.avatar && React.createElement("img", { src: item.avatar, alt: "avatar" }),
                        React.createElement("span", null, item.nick_name))));
            })));
};
export default PlatformList;
