import React from 'react';
import { useTranslation } from "react-i18next";
import style from './index.module.scss';
var Improduct = function (props) {
    var t = useTranslation().t;
    var product = props.product;
    var needShow = product && (product.image || product.title || product.product_params);
    return (React.createElement(React.Fragment, null, needShow && (React.createElement("div", { className: style['product_page'] },
        React.createElement("h6", { className: style['visit-info-title'] }, t('page.im.customerInfo.device.consultObj')),
        React.createElement("div", { className: "".concat(style['media'], " ").concat(style['product-media']) },
            React.createElement("div", { className: style['media-left'] }, product.image &&
                React.createElement("a", { href: product.url, rel: "noopener noreferrer", target: "_blank" },
                    React.createElement("img", { alt: ' ', src: product.image }))),
            React.createElement("div", { className: style['word-break'] },
                product.title &&
                    React.createElement(React.Fragment, null,
                        product.url &&
                            React.createElement("a", { href: product.url, rel: "noopener noreferrer", target: "_blank" }, product.title),
                        !product.url &&
                            React.createElement("a", { href: product.url, rel: "noopener noreferrer", target: "_blank" }, product.title)),
                React.createElement("div", { className: style['details'] }, product.product_params && Object.keys(product.product_params).map(function (item, index) {
                    return (React.createElement("div", { key: index },
                        item,
                        ":",
                        product.product_params[item]));
                }))))))));
};
export default Improduct;
