import React from "react";
interface Props {
    width: number;
    cssMaxWidth: string;
    ref: any;
    onWidthChange: (params: any) => void;
}
export interface ImPanelEntryRef {
    showTicket: (config: {
        show: boolean;
        zIndex: number;
    }) => void;
    showVisit: (config: {
        show: boolean;
        zIndex: number;
    }) => void;
    showRecord: (config: {
        show: boolean;
        zIndex: number;
    }) => void;
    changeImPanelTab: (id: string, customerId: number) => void;
}
declare const ImPanelEntry: React.ForwardRefExoticComponent<Pick<Props, "width" | "onWidthChange" | "cssMaxWidth"> & React.RefAttributes<ImPanelEntryRef>>;
export default ImPanelEntry;
