import React from "react";
import RepositoryWidget from "../../components/repository-widget";
import pick from "lodash-es/pick";
import { useSelector } from "../../store/store-hook";
var ImKnowledge = function (props) {
    var company = props.company, user = props.user, event = props.event, roleCan = props.roleCan, chat = props.chat;
    var _a = useSelector(function (state) {
        return pick(state, "currentUser", "fields");
    }), agent = _a.currentUser, fields = _a.fields;
    return (React.createElement(RepositoryWidget, { companyId: company.company_id, email: user.email, selectionStateKey: "chat_".concat(chat.im_sub_session_id), onUse: event === null || event === void 0 ? void 0 : event.onUse, onSend: event === null || event === void 0 ? void 0 : event.onSend, kmApiBase: props === null || props === void 0 ? void 0 : props.kmrobot_url, previewUrl: props === null || props === void 0 ? void 0 : props.previewUrl, allowSendQuestion: true, showRobotQuestionTab: true, showPublicScope: roleCan === null || roleCan === void 0 ? void 0 : roleCan.knowledge_view_public, subdomain: company.company_subdomain, agent: agent, customer: chat.customer, customerCustomFields: fields.customerFieldsv2 }));
};
export default ImKnowledge;
