var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { useDrag, useDrop } from "react-dnd";
import { Col, Row } from "udesk-ui";
import { DanSuanShiXiao, XuanZeDanXuan } from "../../../components/icon/icon";
import { MenuOutlined } from "@ant-design/icons";
var style = {
    padding: "8px 12px",
    borderBottom: "1px solid #fafafa",
};
var handleStyle = {
    display: "inline-block",
    cursor: "move",
};
export var DndItem = function (_a) {
    var id = _a.id, text = _a.text, checked = _a.checked, checkedItemToContainer = _a.checkedItemToContainer, moveItemToContainer = _a.moveItemToContainer, findItemToContainer = _a.findItemToContainer, type = _a.type;
    var originalIndex = findItemToContainer(id).index;
    var _b = useDrag({
        item: { type: type, id: id, originalIndex: originalIndex },
        collect: function (monitor) { return ({
            isDragging: monitor.isDragging(),
            opacity: monitor.isDragging() ? 0 : 1,
        }); },
        // end: (dropResult, monitor) => {
        //     const { id: droppedId, originalIndex } = monitor.getItem()
        //     const didDrop = monitor.didDrop()
        //     if (!didDrop) {
        //         moveItemToContainer(droppedId, originalIndex)
        //     }
        // },
    }), opacity = _b[0].opacity, drag = _b[1], preview = _b[2];
    var _c = useDrop({
        accept: type,
        canDrop: function () { return false; },
        hover: function (_a, monitor) {
            var draggedId = _a.id;
            if (draggedId !== id) {
                var overIndex = findItemToContainer(id).index;
                moveItemToContainer(draggedId, overIndex);
            }
        },
    }), drop = _c[1];
    var handleItemChecked = function () {
        checkedItemToContainer(id);
    };
    return (React.createElement("div", { ref: preview, style: __assign(__assign({}, style), { opacity: opacity }) },
        React.createElement(Row, null,
            React.createElement(Col, { span: 4 },
                React.createElement("span", { ref: function (node) { return drag(drop(node)); }, style: handleStyle },
                    React.createElement(MenuOutlined, null))),
            React.createElement(Col, { span: 12 }, text),
            React.createElement(Col, { span: 4 },
                React.createElement("span", { onClick: handleItemChecked }, checked ? React.createElement(XuanZeDanXuan, null) : React.createElement(DanSuanShiXiao, null))))));
};
