import React from "react";
import style from "./index.module.scss";
import { useSelector } from "../../../store/store-hook";
var LocationType = function (props) {
    var msgItem = props.msgItem;
    var contentObject = JSON.parse(msgItem.content);
    var initData = useSelector(function (state) { return state.initData; });
    // const udeskWebappContext: any = useContext(UdeskContext); //ember传进来的参数
    var getTencentMap = initData.getTencentMap;
    var curMap = getTencentMap(contentObject.data.content);
    var img_src = curMap.img_src;
    var map_src = curMap.map_src;
    return (React.createElement("div", null,
        React.createElement("a", { href: map_src, target: "_blank", rel: "noopener noreferrer", className: style["im-localtion-msg"] },
            React.createElement("div", { className: style["msg-location-img"], style: {
                    background: "url(".concat(img_src, ")"),
                    width: "200px",
                    height: "150px",
                } }))));
};
export default LocationType;
