import React, { useEffect, useState } from "react";
import { replaceLinks } from "../../../utils/util";
import DOMPurify from "dompurify";
function Richtype(props) {
    var msgItem = props.msgItem, keyword = props.keyword;
    var _a = useState(""), content = _a[0], setContent = _a[1];
    useEffect(function () {
        var contentObject = JSON.parse(msgItem.content);
        if (keyword) {
            //避免keyword包含正则的符号，例如左花括号“{”，将转换为“\{”
            var _keyword = keyword.replace(/[-/\\^$*+?.()|[\]{}]/g, "\\$&");
            var regex = new RegExp(_keyword, "g");
            setContent(contentObject.data.content.replace(regex, '<em class="text-danger">$&</em>'));
        }
        else {
            if (contentObject.type === "rich") {
                setContent(contentObject.data.content);
                // setContent('<div style="color:red">11111</div>')
            }
            else {
                //渲染message
                var messageContent = replaceLinks(contentObject.data.content);
                setContent(messageContent.replace(/\[(emoji\d+)]/g, '<span class="emoji $1"></span>'));
            }
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    //少个xss
    return (React.createElement("div", { dangerouslySetInnerHTML: { __html: DOMPurify.sanitize(content) } }));
}
export default Richtype;
