var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useCallback } from "react";
import { Button } from "udesk-ui";
import { useTranslation } from "react-i18next";
import UploadBox from "../../../../components/upload-box";
import { UploadOutlined } from "@ant-design/icons";
import { r } from "../../../../utils/index";
function UploadFile(props) {
    var t = useTranslation().t; //多语言
    // const udeskWebappContext: any = useContext(UdeskContext);
    var onChange = useCallback(function (fileList) {
        var _a;
        console.log(fileList);
        (_a = props === null || props === void 0 ? void 0 : props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, fileList);
    }, [props === null || props === void 0 ? void 0 : props.onChange]);
    function createMarkup() {
        var tip = r(t("page.im.ticket.uploaderTip"), "<span style=\"color:#e80000\" >".concat(props.ticketTab.singleTicketAttachmentLimit, "M</span>"), "<span style=\"color:#e80000\" >".concat(props.ticketTab.totalTicketAttachmentLimit, "M</span>"));
        return { __html: tip };
    }
    return (React.createElement(React.Fragment, null,
        React.createElement(UploadBox, __assign({}, props, { marking: "web.ts.ticket_reply", onChange: onChange, single: props.ticketTab.singleTicketAttachmentLimit * 1024 * 1024, total: props.ticketTab.totalTicketAttachmentLimit * 1024 * 1024, noAttachment: true }),
            React.createElement(Button, null,
                React.createElement(UploadOutlined, null),
                t("page.im.ticket.uploadFile"))),
        React.createElement("div", { style: { color: "rgba(0, 0, 0, 0.45)", marginTop: "5px" }, dangerouslySetInnerHTML: createMarkup() })));
}
export default UploadFile;
