import React, { ComponentProps } from 'react';
import { Input } from 'udesk-ui';
import FieldErrAndExplain from '@udesk-webapp/custom-field-error-explain';
import CopyComponent from '@udesk-webapp/copy-content';
import { useValid } from '@udesk-webapp/custom-field-input-base';
declare type Props = Omit<ComponentProps<typeof Input>, 'onBlur' | 'onChange' | 'value' | 'addonBefore' | 'addonAfter' | 'prefix' | 'suffix'> & Omit<ComponentProps<typeof FieldErrAndExplain>, 'errMsg'> & Pick<ComponentProps<typeof CopyComponent>, 'switchFlag'> & {
    customValidPromise: Parameters<typeof useValid>[0]['customValidPromise'];
    onBlur: (v: string) => void;
    onChange: (v: string) => void;
    value: string;
    addonSetting: Record<'addonBefore' | 'addonAfter' | 'prefix' | 'suffix', {
        checked: boolean;
        content: React.ReactNode;
    }>;
};
declare const Number: React.FC<Props>;
export default Number;
