import React from 'react';
interface EditorProps {
    value?: string;
    maxLength?: number;
    autoresize_min_height?: number;
    statusbar?: boolean;
    toolbar?: string;
    showImg?: boolean;
    autoresize_max_height?: number;
    paste_data_images?: boolean;
    readonly?: boolean;
    marking?: string;
    backgroundColor?: string;
    translate?: {
        onTranslate: Function;
        persistenceKey?: string;
    };
    onChange?: (value: string) => void;
    postRender?: (e: any) => void;
}
declare const FormTinymce: React.ForwardRefExoticComponent<EditorProps & React.RefAttributes<{
    insertContent: (content: string) => void;
}>>;
export default FormTinymce;
