import React, { ComponentProps } from 'react';
import { ITicket } from '@udesk-webapp/utils';
import Customer from "@udesk-webapp/ticket-system-field-customer";
import Upload from "@udesk-webapp/ticket-system-field-upload";
interface Chat {
    im_sub_session_id: number;
    customer_id: number;
    nick_name: string;
}
interface TicketProps {
    setShowTicket: React.Dispatch<any>;
    onSaveSuccess?: (ticket: ITicket) => void;
    currentUser: {
        id: number;
        nick_name: string;
    };
    chat?: Chat;
    ticketFieldsAbilities: {
        [key: string]: any;
    };
    company: {
        category: string;
    };
    roleCan: {
        [key: string]: boolean;
    };
    ticketTab: ComponentProps<typeof Upload>['ticketTab'] & ComponentProps<typeof Customer>['ticketTab'] & {
        ticketStatus: any[];
        ticketPriority: any[];
    };
    admin: any;
    event: {
        transitionToRoute: (arg: {
            route: string;
            path: number;
        }) => void;
        updateChat: (arg: any) => void;
    };
    ticketTemplates: any[];
    customer?: {
        label: string;
        value: string | number;
    };
    gotoTicket?: (id: number) => void;
    closeTicket?: (chat?: Chat) => void;
}
declare const CreateTicket: React.FC<TicketProps>;
export default CreateTicket;
