import { __assign, __rest } from "tslib";
import React from 'react';
import { Input } from 'udesk-ui';
import CopyComponent from '@udesk-webapp/copy-content';
import FieldErrAndExplain from '@udesk-webapp/custom-field-error-explain';
var Calculate = function (_a) {
    var isFormItem = _a.isFormItem, explainShow = _a.explainShow, explain = _a.explain, errMsg = _a.errMsg, switchFlag = _a.switchFlag, style = _a.style, props = __rest(_a, ["isFormItem", "explainShow", "explain", "errMsg", "switchFlag", "style"]);
    return (React.createElement(FieldErrAndExplain, { isFormItem: isFormItem, explainShow: explainShow, explain: explain, errMsg: errMsg },
        React.createElement(CopyComponent, { text: props.value, switchFlag: switchFlag },
            React.createElement(Input, __assign({}, props)))));
};
Calculate.defaultProps = {
    disabled: false,
    style: {}
};
export default Calculate;
