import { useMemo } from 'react';
export var useSafeSpaceId = function (spaceId) {
    return useMemo(function () {
        var _spaceId = spaceId + '';
        if (_spaceId.indexOf(',') > -1) {
            return _spaceId.substring(0, _spaceId.indexOf(','));
        }
        return _spaceId;
    }, [spaceId]);
};
