import React, { ReactNode } from 'react';
import { ListProps } from 'udesk-ui/es/list';
import './style/index';
interface ListCheckboxProps<T> extends ListProps<T> {
    prefixCls?: string;
    className?: string;
    extraButton?: ReactNode;
    value?: any[];
    onChange?: (checkedList: any[]) => void;
    itemDisable?: (val: any) => boolean;
}
declare const FancyListCheckbox: React.ForwardRefExoticComponent<ListCheckboxProps<any> & React.RefAttributes<any>>;
export default FancyListCheckbox;
