import * as React from 'react';
export declare const ANT_MARK = "internalMark";
export interface Locale {
    locale: string;
    ExportButton: Record<string, any>;
    BatchedActions: Record<string, any>;
    CommonFilter: Record<string, any>;
    StandardizeTable: Record<string, any>;
}
export interface LocaleProviderProps {
    locale: Locale;
    children?: React.ReactNode;
    _ANT_MARK__?: string;
}
export default class LocaleProvider extends React.Component<LocaleProviderProps, any> {
    static defaultProps: {
        locale: {};
    };
    constructor(props: LocaleProviderProps);
    getMemoizedContextValue: import("memoize-one").MemoizedFn<(localeValue: Locale) => Locale & {
        exist?: boolean;
    }>;
    render(): JSX.Element;
}
