/// <reference types="react" />
import { StorageManager } from '../../../utils/hooks/useStorage';
declare type UseMemoScrollPositionArg = {
    cacheId: string;
    tableBodyPrefixCls: string;
    wrapRef: React.RefObject<HTMLDivElement>;
    dataSource: readonly any[] | undefined;
    columns: readonly any[] | undefined;
};
declare type UseMemoScrollPosition = (props: UseMemoScrollPositionArg) => {
    tryToSavePrevScrollPosition: () => void;
    tryToResetPrevScrollPosition: (x: number, y: number) => void;
    storage: StorageManager;
};
declare const useMemoScrollPosition: UseMemoScrollPosition;
export default useMemoScrollPosition;
