/// <reference types="react" />
import { TableProps } from '../..';
interface UseScrollArg {
    wrapRef: React.RefObject<HTMLDivElement>;
    propsScroll: TableProps['scroll'];
    prefixCls: string;
    dataSource: TableProps['dataSource'];
}
interface UseScroll {
    ({ wrapRef, propsScroll, prefixCls, dataSource }: UseScrollArg, deps: any[]): TableProps['scroll'];
}
declare const useScroll: UseScroll;
export default useScroll;
export declare function getTableScrollY(paginationDomInstance: Element | undefined | null, tableHeadDomInstance: Element | undefined | null, wrapHeight: number): number;
