function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0) { ; } } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useLayoutEffect, useState } from 'react';
import useResizeObserver from 'use-resize-observer';
var useScroll = function useScroll(_ref, deps) {
  var wrapRef = _ref.wrapRef,
    propsScroll = _ref.propsScroll,
    prefixCls = _ref.prefixCls,
    dataSource = _ref.dataSource;
  var _useResizeObserver = useResizeObserver({
      ref: wrapRef
    }),
    _useResizeObserver$wi = _useResizeObserver.width,
    width = _useResizeObserver$wi === void 0 ? 1 : _useResizeObserver$wi,
    _useResizeObserver$he = _useResizeObserver.height,
    h = _useResizeObserver$he === void 0 ? 1 : _useResizeObserver$he;
  var _useState = useState(_objectSpread({}, propsScroll)),
    _useState2 = _slicedToArray(_useState, 2),
    scroll = _useState2[0],
    setScroll = _useState2[1];
  useLayoutEffect(function () {
    var _wrapRef$current, _wrapRef$current2;
    var paginationDomInstance = (_wrapRef$current = wrapRef.current) === null || _wrapRef$current === void 0 ? void 0 : _wrapRef$current.querySelector(".".concat(prefixCls, "-pagination"));
    var tableHeadDomInstance = (_wrapRef$current2 = wrapRef.current) === null || _wrapRef$current2 === void 0 ? void 0 : _wrapRef$current2.querySelector(".".concat(prefixCls, "-table-thead"));
    var tableHeight = getTableScrollY(paginationDomInstance, tableHeadDomInstance, h);
    setScroll(Object.assign({
      scrollToFirstRowOnChange: true,
      x: 'max-content',
      y: (dataSource === null || dataSource === void 0 ? void 0 : dataSource.length) ? tableHeight : undefined
    }, propsScroll));
  }, [].concat(_toConsumableArray(deps), [width, h, dataSource]));
  return scroll;
};
export default useScroll;
var heightProps = ['height', 'marginTop', 'marginBottom', 'paddingTop', 'paddingBottom', 'borderBottomWidth', 'borderTopWidth'];
export function getTableScrollY(paginationDomInstance, tableHeadDomInstance, wrapHeight) {
  var tableHeadDomHeight = getComputedStyleTotalHeight(tableHeadDomInstance),
    paginationDomHeight = getComputedStyleTotalHeight(paginationDomInstance);
  return Math.max(wrapHeight - tableHeadDomHeight - paginationDomHeight, 0);
}
function getComputedStyleTotalHeight(domInstance) {
  if (!domInstance) return 0;
  var computedStyle = window.getComputedStyle(domInstance);
  return heightProps.reduce(function (prev, cur) {
    return prev + parseInt(computedStyle[cur], 10);
  }, 0);
}