import React from 'react';
import { SelectProps } from 'udesk-ui/es/select';
import { RobotSettings } from './types';
interface Robot {
    name: string;
    scene_list: {
        robotId: number;
        name: string;
        type: number;
        id: number;
        deleteFlag: number;
    }[];
    km_robot_id: number;
}
declare type Props = SelectProps<number> & {
    settings: RobotSettings;
    onDataLoaded: (robots: Robot[]) => void;
};
declare const RobotSelect: React.FC<Props>;
export default RobotSelect;
