function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }

import _Radio from "antd/es/radio";

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }

function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }

function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }

function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }

function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useContext, useMemo, useState, useEffect } from 'react';
import { copyFromAntd } from "../_utils/core";
import ConfigProvider from "../config-provider";
var Group = _Radio.Group;
var defaultProps = {
  direction: 'horizon'
};

var UdeskRadioGroup = function UdeskRadioGroup(props, ref) {
  // 构造 autoCompleteProps，兼容字段可以直接拷贝过来。其余的不兼容字段，在下面进行重写。
  var groupProps = useMemo(function () {
    var newOptions = {}; // 仅拷贝Group声明的props，排除我们扩展的字段，否则Group警告有些字段不识别

    Object.keys(props).forEach(function (k) {
      if (!Object.prototype.hasOwnProperty.call(defaultProps, k)) {
        newOptions[k] = props[k];
      }
    });
    return newOptions;
  }, [props]);
  var ctx = useContext(ConfigProvider.ConfigContext);
  var getPrefixCls = ctx.getPrefixCls;
  var direction = props.direction;

  var _useState = useState(),
      _useState2 = _slicedToArray(_useState, 2),
      directionClass = _useState2[0],
      setDirectionClass = _useState2[1];

  useEffect(function () {
    setDirectionClass(getPrefixCls(direction));
  }, [direction, getPrefixCls]);
  return /*#__PURE__*/React.createElement(Group, _objectSpread(_objectSpread({}, groupProps), {}, {
    className: directionClass,
    ref: ref
  }));
};

UdeskRadioGroup.displayName = 'UdeskRadioGroup'; // 真正用来导出的组件

var ExportCheckboxGroup = /*#__PURE__*/React.forwardRef(UdeskRadioGroup); // 拷贝源类型上的静态字段

copyFromAntd(ExportCheckboxGroup, Group); // 重新扩展 defaultProps

ExportCheckboxGroup.defaultProps = _objectSpread({}, defaultProps);
export * from "../_utils/type"; // 扩展静态字段，添加上除了 Checkbox.Group 自身类型以外的静态字段

export default ExportCheckboxGroup;
//# sourceMappingURL=group.js.map
