function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import * as React from 'react';
// @ts-ignore
import { CustomFilter } from 'udesk_gm_ui';
// @ts-ignore
import { useLocaleReceiver } from '../../../locale-provider/LocaleReceiver';
import { getNodeComponentSettings, getNodeFieldsConfig } from './fields';
function CustomLogicFilter(_ref) {
  var value = _ref.value,
    onChange = _ref.onChange,
    _ref$blackList = _ref.blackList,
    blackList = _ref$blackList === void 0 ? [] : _ref$blackList,
    _ref$extraList = _ref.extraList,
    extraList = _ref$extraList === void 0 ? [] : _ref$extraList;
  var _useLocaleReceiver = useLocaleReceiver('RulesConfig'),
    _useLocaleReceiver2 = _slicedToArray(_useLocaleReceiver, 1),
    contextLocale = _useLocaleReceiver2[0];
  var onFilterChange = function onFilterChange(value) {
    onChange === null || onChange === void 0 ? void 0 : onChange(value || []);
  };
  return /*#__PURE__*/React.createElement(CustomFilter, {
    theme: "bootstrap",
    showConditionNumber: true,
    conditionFieldColumnHeader: contextLocale.lang.field,
    conditionOperatorColumnHeader: contextLocale.lang.operator,
    conditionValueColumnHeader: contextLocale.lang.value,
    conditionFieldField: "field",
    conditionValueField: "value",
    // fields不能提取出来放到setState中，因为过滤器中间中使用的promise，初始值[]会影响后续值的更新
    // 配置左侧筛选项
    fields: getNodeFieldsConfig('trigger', 'manyAnswer', blackList, extraList, contextLocale) || [],
    // 配置右侧组件
    fieldValueSettings: getNodeComponentSettings('trigger', 'manyAnswer', contextLocale),
    value: value,
    onChange: onFilterChange
  });
}
export default CustomLogicFilter;