function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import * as React from 'react';
import { useState, useEffect } from 'react';
import { Input } from 'udesk-ui';
import { useLocaleReceiver } from '../../../locale-provider/LocaleReceiver';
function CustomLogicInput(_ref) {
  var value = _ref.value,
    onChange = _ref.onChange;
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    inputValue = _useState2[0],
    setInputValue = _useState2[1];
  var _useLocaleReceiver = useLocaleReceiver('RulesConfig'),
    _useLocaleReceiver2 = _slicedToArray(_useLocaleReceiver, 1),
    contextLocale = _useLocaleReceiver2[0];
  var onInputChange = function onInputChange(e) {
    var currentValue = e.target.value;
    var newValue;
    var letterReg = /^[andor]*$/;
    newValue = currentValue.replace(/[a-zA-Z]+|\d+|\(|\)|[ +]/g, function (word, index, str) {
      if (letterReg.test(word)) {
        if (!letterReg.test(str[index - 1]) && str[index - 1] !== ' ') {
          return ' ' + word;
        }
        var nextIndex = index + word.length;
        if (str[nextIndex] && !letterReg.test(str[nextIndex]) && str[nextIndex] !== ' ') {
          return word + ' ';
        }
      }
      return word;
    });
    onChange === null || onChange === void 0 ? void 0 : onChange(newValue);
  };
  useEffect(function () {
    setInputValue(value || '');
  }, [value]);
  return /*#__PURE__*/React.createElement(Input, {
    placeholder: contextLocale.lang.judgmentLogicTypes.pleaseInputCustomLogic,
    value: inputValue,
    onChange: onInputChange
  });
}
export default CustomLogicInput;