declare const locale: {
    lang: {
        pleaseInput: string;
        pleaseInputCustomLogic: string;
        pleaseSelect: string;
        field: string;
        operator: string;
        value: string;
        judgmentLogicTypes: {
            meetAll: string;
            meetAny: string;
            custom: string;
        };
        customFilters: {
            fieldOperators: {
                exist: string;
                not_exist: string;
                equal: string;
                notEqual: string;
                is: string;
                not: string;
                contains: string;
                notContains: string;
                containsAny: string;
                notContainsAny: string;
                containsAll: string;
                notContainsAll: string;
                isNull: string;
                isNotNull: string;
                greaterThan: string;
                greaterThanEq: string;
                lessThan: string;
                lessThanEq: string;
                between: string;
                notBetween: string;
                relative: string;
                set: string;
                belongs: string;
                notBelongs: string;
                customBelong: string;
                customNotBelong: string;
                today: string;
                yesterday: string;
                tomorrow: string;
                next_seven_day: string;
                last_seven_day: string;
                this_week: string;
                next_week: string;
                last_week: string;
                this_month: string;
                next_month: string;
                last_month: string;
                this_year: string;
                next_year: string;
                last_year: string;
                exact_match: string;
                add_value: string;
                remove_value: string;
                set_null: string;
                is_any: string;
                not_any: string;
                containsSensitive: string;
                isExpress: string;
                any_equal: string;
                any_not_equal: string;
                contain_any: string;
                not_contain_any: string;
                contain_all: string;
                not_contain_all: string;
                belong: string;
                not_belong: string;
            };
        };
        configRuleTypes: {
            platform: string;
            src: string;
            srcUrl: string;
            webPluginName: string;
            loginUrl: string;
            sessionUrl: string;
            dialogueDesc: string;
            tags: string;
            currentTime: string;
            orderReply: string;
            keyword: string;
            emotionCategory: string;
            queryContent: string;
        };
        emotionCategory: {
            positive: string;
            neutral: string;
            negative: string;
        };
        questionContent: string;
        judgmentLogic: string;
        inputJudgmentLogicCustom: string;
        name: string;
        inputRuleName: string;
        channelTypes: {
            testWindow: string;
            web: string;
            WEChat: string;
            android: string;
            ios: string;
            weibo: string;
            api: string;
            mchat: string;
            WeChatSmallProgram: string;
            enterpriseWechat: string;
            baidu: string;
            facebook: string;
            line: string;
            whatsApp: string;
            twitter: string;
            tiktok: string;
            weChatService: string;
            meituan: string;
            eleme: string;
        };
        judgeLogic: {
            judgeStrategyInfo: string;
            validStrategyFormat: string;
            invalidStrategyInfoOne: string;
            invalidStrategyFormatOne: string;
            invalidStrategyInfoTwo: string;
            invalidStrategyFormatTwo: string;
            invalidStrategyInfoThree: string;
            invalidStrategyFormatThree: string;
        };
        validate: {
            inputName: string;
            lengthError8: string;
            rulesConfigcanNotBeEmpty: string;
            inputCustomName: string;
            customTagDataError: string;
        };
    };
};
export default locale;
