import React, { ComponentProps } from 'react';
import { Select } from 'udesk-ui';
import CopyComponent from '@udesk-webapp/copy-content';
declare type Props = Omit<ComponentProps<typeof Select>, 'onChange' | 'value' | 'showSearch' | 'filterOption' | 'allowClear' | 'options' | 'viewType'> & Pick<ComponentProps<typeof CopyComponent>, 'switchFlag'> & {
    notUseDefault?: boolean;
    onChange?: (v: string) => void;
    value?: string | string[];
    hiddenLabelPath?: string;
    optionValuePath?: string;
    options?: {
        title: string;
        default?: boolean;
        color?: string;
        icon?: string;
        [key: string]: any;
    }[];
    viewType?: number;
};
declare const Filed_droplistRadio: React.FC<Props>;
export default Filed_droplistRadio;
