import React, { Component, ErrorInfo } from 'react';
interface Props {
    type?: 'message';
    t: (key: string) => void;
}
interface State {
    hasError: boolean;
}
declare class SimpleErrorBoundary extends Component<Props, State> {
    constructor(props: Props);
    static getDerivedStateFromError(error: Error): {
        hasError: boolean;
    };
    componentDidCatch(error: Error, errorInfo: ErrorInfo): void;
    render(): React.ReactNode;
}
declare const _default: typeof SimpleErrorBoundary;
export default _default;
