import moment from 'moment';
var defaultRanges = [{
  name: '今日',
  key: 'TODAY',
  value: [moment().startOf('day'), moment().endOf('day')]
}, {
  name: '昨日',
  key: 'YESTODAY',
  value: [moment().subtract(1, 'days').startOf('day'), moment().subtract(1, 'days').endOf('day')]
}, {
  name: '当周',
  key: 'THIS_WEEK',
  value: [moment().subtract(Number(moment().format('E')) - 1, 'days').startOf('day'), moment().add(7 - Number(moment().format('E')), 'days').endOf('day')]
}, {
  name: '上周',
  key: 'LAST_WEEK',
  value: [moment().subtract(Number(moment().format('E')) + 6, 'days').startOf('day'), moment().subtract(Number(moment().format('E')), 'days').endOf('day')]
}, {
  name: '当月',
  key: 'THIS_MONTH',
  value: [moment().startOf('month').startOf('day'), moment().endOf('month').endOf('day')]
}, {
  name: '上月',
  key: 'LAST_MONTH',
  value: [moment().subtract(1, 'month').startOf('month').startOf('day'), moment().subtract(1, 'month').endOf('month').endOf('day')]
}, {
  name: '今年',
  key: 'THIS_YEAR',
  value: [moment().startOf('year').startOf('day'), moment().endOf('year').endOf('day')]
}, {
  name: '去年',
  key: 'LAST_YEAR',
  value: [moment().subtract(1, 'year').startOf('year').startOf('day'), moment().subtract(1, 'year').endOf('year').endOf('day')]
}, {
  name: '近7日',
  key: 'NEARLY_SEVENT_DAYS',
  value: [moment().subtract(6, 'days').startOf('day'), moment().endOf('day')]
}, {
  name: '过去7日',
  key: 'PAST_SEVEN_DAYS',
  value: [moment().subtract(7, 'days').startOf('day'), moment().subtract(1, 'days').endOf('day')]
}, {
  name: '近30日',
  key: 'NEARLY_THIRTY_DAYS',
  value: [moment().subtract(29, 'days').startOf('day'), moment().endOf('day')]
}, {
  name: '过去30日',
  key: 'PAST_THIRTY_DAYS',
  value: [moment().subtract(30, 'days').startOf('day'), moment().subtract(1, 'days').endOf('day')]
}, {
  name: '近90日',
  key: 'NEARLY_NINETY_DAYS',
  value: [moment().subtract(89, 'days').startOf('day'), moment().endOf('day')]
}, {
  name: '过去90日',
  key: 'PAST_NINETY_DAYS',
  value: [moment().subtract(90, 'days').startOf('day'), moment().subtract(1, 'days').endOf('day')]
}];
export default defaultRanges;