import React from 'react';
import { TransferProps } from 'udesk-ui/es/transfer';
import { StandardizeTableTableProps } from '../types';
export interface ColumnsControlProps {
    columns: StandardizeTableTableProps['columns'];
    showColumnKeys: ColumnsControlTransferProps['showColumnKeys'];
    onChange: ColumnsControlTransferProps['onChange'];
}
interface ColumnsControlTransferProps extends TransferProps<any> {
    showColumnKeys: string[];
    onChange: (showKeys: string[]) => void;
    getContainer: () => any;
}
declare const ColumnsControl: React.FC<ColumnsControlProps>;
export declare type ColumnsControlType = typeof ColumnsControl;
export default ColumnsControl;
