import React from 'react';
import { FIlterCondition as ConditionInterface } from '@udesk-webapp/utils';
import { DataSourcesInterface } from '../ticket-filter-condition';
interface ParamsInterface {
    allConditions?: ConditionInterface[];
    anyConditions?: ConditionInterface[];
}
interface PropsInterface {
    allConditions?: ConditionInterface[];
    anyConditions?: ConditionInterface[];
    dataSources?: DataSourcesInterface;
    ticketCustomFields?: any;
    overlayClassName?: string;
    searching?: boolean;
    onSearch?: (params: ParamsInterface) => void;
    onCancelSearch?: () => void;
}
declare const TicketFilterConditions: React.FC<PropsInterface>;
export default TicketFilterConditions;
