import React from 'react';
import { formatTreeDataFromArrayToTree } from './utils';
import { TreeMenuProps } from './types';
import './style/index';
declare const TreeMenu: React.FC<TreeMenuProps>;
declare type InternalTreeMenuType = typeof TreeMenu;
interface TreeMenuType extends InternalTreeMenuType {
    formatTreeDataFromArrayToTree: typeof formatTreeDataFromArrayToTree;
}
declare const RefTreeMenu: TreeMenuType;
export default RefTreeMenu;
