export declare type CacheMode = 'session' | 'local';
export default function useStorage(cacheId: string, cacheMode?: CacheMode): StorageManager;
export declare class StorageManager {
    private cacheMode;
    private cacheId;
    private storage;
    constructor(cacheMode: CacheMode, cacheId: string);
    save(value: any): void;
    read(): any;
    delete(): void;
}
