var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { getJSON, postJSON } from './ajax';
import axios from 'axios';
export function randomString(wordCount) {
    if (!wordCount) {
        wordCount = Math.ceil(Math.random() * 10);
    }
    var words = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_';
    var res = '';
    for (var i = 0; i < wordCount; i++) {
        res = res + words.charAt(Math.floor(Math.random() * words.length));
    }
    return res;
}
function getFileName(file) {
    var _a = file.name.split('.'), fileName = _a[0], fileExt = _a[1];
    var threeRandom = Math.random().toString(32).slice(-5);
    return fileName + "_" + (new Date().getTime()) + '_' + threeRandom + '.' + (fileExt || 'jpg');
}
export function uploadFile(file, options) {
    return __awaiter(this, void 0, void 0, function () {
        var saveAttachment, opts, fileUploadPolicyResp, fileUrl;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    saveAttachment = options.saveAttachment, opts = __rest(options, ["saveAttachment"]);
                    return [4 /*yield*/, fetchFileUploadPolicy(file, opts)];
                case 1:
                    fileUploadPolicyResp = _a.sent();
                    return [4 /*yield*/, uploadToOss(file, __assign(__assign({}, fileUploadPolicyResp), { aliParams: opts.aliParams }))];
                case 2:
                    _a.sent();
                    fileUrl = fileUploadPolicyResp.host + '/' + fileUploadPolicyResp.key;
                    if (!saveAttachment) {
                        return [2 /*return*/, { src: fileUrl }];
                    }
                    return [4 /*yield*/, fetchAttachment(file, {
                            storage_policy: fileUploadPolicyResp.storage_policy,
                            bucket: fileUploadPolicyResp.bucket,
                            key: fileUploadPolicyResp.key
                        })];
                case 3: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
export function fetchFileUploadPolicy(file, option) {
    return __awaiter(this, void 0, void 0, function () {
        var _a, key, policyResp, storage_policy;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    _a = option.key, key = _a === void 0 ? getFileName(file) : _a;
                    return [4 /*yield*/, getJSON('/file_upload_policy', __assign(__assign({}, option), { key: key }))];
                case 1:
                    policyResp = _b.sent();
                    storage_policy = policyResp.storage_policy;
                    switch (storage_policy) {
                        case 'qiniu':
                            key = policyResp.key || key;
                            break;
                        case 'ali':
                        case 'huawei_cloud_obs':
                            key = policyResp.key || (policyResp.dir + key);
                            break;
                        case 'minio':
                            key = policyResp.file_path;
                            break;
                    }
                    return [2 /*return*/, __assign(__assign({}, policyResp), { key: key })];
            }
        });
    });
}
function uploadToOss(file, options) {
    var _a, _b;
    return __awaiter(this, void 0, void 0, function () {
        var host, fileUploadPolicy, formData;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    host = options.host, fileUploadPolicy = __rest(options, ["host"]);
                    formData = new FormData();
                    formData.append('policy', fileUploadPolicy.policy);
                    formData.append('OSSAccessKeyId', fileUploadPolicy.accessid);
                    formData.append('Signature', fileUploadPolicy.signature);
                    if (fileUploadPolicy['x-oss-object-acl']) {
                        formData.append('x-oss-object-acl', fileUploadPolicy['x-oss-object-acl']);
                    }
                    formData.append('key', fileUploadPolicy.key);
                    if ((_a = options.aliParams) === null || _a === void 0 ? void 0 : _a["Cache-Control"]) {
                        formData.append('Cache-Control', (_b = options.aliParams) === null || _b === void 0 ? void 0 : _b["Cache-Control"]);
                    }
                    formData.append('file', file);
                    return [4 /*yield*/, axios.post(host, formData, { headers: { 'Content-Type': 'multipart/form-data', 'accept': 'application/json' } })];
                case 1: return [2 /*return*/, _c.sent()];
            }
        });
    });
}
// function checkSize(fileObject: fileObj) {
//     return new Promise<fileObj>(resolve => {
//         const {file} = fileObject;
//         if (file.size > imageSize) {
//             fileObject.error = {
//                 msg: r(fileObject.t('ticket.warning.exceedsTotalSize'), file.name, imageSizeLabel)
//             };
//         }
//         resolve(fileObject);
//     }).then(res => res.error ? res : fetchToken(res));
// }
// function fetchToken(fileObject: fileObj) {
//     return new Promise<fileObj>(resolve => {
//         const {file} = fileObject;
//         // const url = `${apiPath}/file_upload_policy`;
//         // const params = {
//         //     marking: this.tokenKey,
//         //     key: file.name
//         // };
//         getJSON('/file_upload_policy?marking=web.ts.ticket_reply&key=' + file.name).then(res => {
//             if (!res) fileObject.error = {
//                 msg: r(fileObject.t('ticket.warning.token'), file.name)
//             };
//             if (res.code === 1000) fileObject.policy_config = res;
//             else {
//                 const message = res.exception ? res.exception.message : '';
//                 fileObject.error = {
//                     msg: r(fileObject.t('ticket.warning.token'), file.name) + (message ? ': ' + message : '')
//                 };
//             }
//             resolve(fileObject);
//         });
//     }).then(res => res.error ? res : upload(res));
// }
// function upload(fileObject: fileObj) {
//     return new Promise<fileObj>(resolve => {
//         const {file} = fileObject;
//         const {url, params, src} = buildUploadParams(fileObject);
//         fileObject.uploadSrc = src
//         postJSON(url, params).catch(res => {
//             res = JSON.parse(res.message)
//             if (res && res.status !== 204) {
//                 fileObject.error = {
//                     msg: r(fileObject.t('ticket.warning.import'), file.name),
//                     detial: res.responseText
//                 };
//             }
//             resolve(fileObject);
//         });
//     }).then(res => {
//         if (res.noAttachment) {
//             return res
//         } else {
//             return res.error ? res : fetchAttachment(res)
//         }
//     });
// }
function fetchAttachment(file, options) {
    return __awaiter(this, void 0, void 0, function () {
        var url, params;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    url = "/attachments";
                    params = {
                        attachment: {
                            qiniu_key: options.key,
                            file_file_name: file.name,
                            file_content_type: file.type,
                            file_file_size: file.size,
                            bucket: options.bucket,
                            storage_policy: options.storage_policy
                        }
                    };
                    return [4 /*yield*/, postJSON(url, params)];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
