export function searchParams(search) {
    if (!search) {
        return {};
    }
    var query = {}, queryResult = search.match(new RegExp("[?&][^?&]+=[^?&]+", "g"));
    if (queryResult) {
        for (var i = 0, l = queryResult.length; i < l; i++) {
            var _obj = void 0, key = void 0, val = void 0;
            try {
                _obj = queryResult[i].substring(1).split("=");
                key = decodeURIComponent(_obj[0]);
                val = decodeURIComponent(_obj[1]);
                query[key] = val;
            }
            catch (e) {
                _obj && _obj[0] && (query[_obj[0]] = _obj[1] || "");
            }
        }
    }
    return query;
}
