
// stolen from https://github.com/ant-design/ant-design
module.exports = require("./src/udesk");
exports.udesk = require("./src/udesk");

const request = require.context('./src/components', true, /^\.\/[\w-/]+[^(/demo)]\/index\.js$/);
request.keys().forEach((moduleName) => {
    let content = request(moduleName);
    if (content && content.default) {
        content = content.default;
    }
    const match = moduleName.match(/^\.\/([\w-/]+[^(/demo)])\/index\.js$/);
    if (match && match[1]) {
        exports[camelCase(match[1])] = content;
    }
});

function camelCase(name) {
    return name.charAt(0).toUpperCase() +
        name.slice(1).replace(/-\/(\w)/g, (m, n) => {
            return n.toUpperCase();
        });
}