"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isAbortedError = isAbortedError;

var _umiRequest = _interopRequireDefault(require("umi-request"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function isAbortedError(error) {
  return (
    /* CancelToken方式，已废弃 */
    _umiRequest["default"].isCancel(error) ||
    /* AbortController方式 */
    error instanceof DOMException && error.type === 'AbortError'
  );
  /* && error.request?.options?.signal */
}
//# sourceMappingURL=request.js.map
