"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var el_GR_1 = tslib_1.__importDefault(require("./el-GR"));
var pro_provider_1 = require("@ant-design/pro-provider");
// 扩展的语言包map
var expandLanguageMap = {
    'el-GR': el_GR_1.default,
    'el': el_GR_1.default
};
// 查找ant pro 支持的语言是否包含language，
// 如不支持则 create对应语言包之后 添加到 and导出的全局变量里
function ExpandAndLanguage(language) {
    if (!pro_provider_1.intlMapKeys.includes(language) && expandLanguageMap[language]) {
        var intl = (0, pro_provider_1.createIntl)(language, expandLanguageMap[language]);
        if (intl) {
            pro_provider_1.intlMapKeys.push(language);
            pro_provider_1.intlMap[language] = intl;
        }
    }
}
exports.default = ExpandAndLanguage;
