import React from 'react';
export interface ChatInputProps {
    title?: string;
    showCloseIcon?: boolean;
    placeholder?: string;
    onGenerate?: (text: string) => Promise<any>;
    onApply?: (content: string) => void;
    onClose?: () => void;
}
export declare function ChatInput({ title, showCloseIcon, placeholder, onGenerate, onApply, onClose, }: ChatInputProps): React.JSX.Element;
