"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorTag = void 0;
const tslib_1 = require("tslib");
const antd_1 = require("antd");
const react_1 = tslib_1.__importDefault(require("react"));
function ColorTag(_a) {
    var { tooltip, children } = _a, rest = tslib_1.__rest(_a, ["tooltip", "children"]);
    const tag = react_1.default.createElement(antd_1.Tag, Object.assign({}, rest), children);
    if (tooltip) {
        return react_1.default.createElement(antd_1.Tooltip, { title: tooltip }, tag);
    }
    return tag;
}
exports.ColorTag = ColorTag;
