import React from 'react';
import { IVariableTreeNode } from '@music163/tango-helpers';
export interface AddStoreVariableFormProps {
    parentNode: IVariableTreeNode;
    onCancel?: React.MouseEventHandler<HTMLButtonElement>;
    onSubmit?: (storeName: string, data: {
        name: string;
        initialValue: string;
    }) => void;
}
export declare function AddStoreVariableForm({ parentNode, onCancel, onSubmit, }: AddStoreVariableFormProps): React.JSX.Element;
export interface AddStoreFormProps {
    storeNames?: string[];
    onCancel?: () => void;
    onSubmit?: (data: {
        name: string;
    }) => void;
}
export declare function AddStoreForm({ storeNames, onCancel, onSubmit }: AddStoreFormProps): React.JSX.Element;
