import React from 'react';
import { IVariableTreeNode } from '@music163/tango-helpers';
export type ValueDetailModeType = 'runtime' | 'define';
export interface ValueDetailProps {
    defaultMode?: ValueDetailModeType;
    children: (mode: ValueDetailModeType) => React.ReactNode;
}
export declare function ValueDetail({ defaultMode, children }: ValueDetailProps): React.JSX.Element;
export interface ValueDefineProps {
    data: IVariableTreeNode;
    onSave?: (variableKey: string, code: string) => void;
}
/**
 * 变量值定义面板
 */
export declare function ValueDefine({ data, onSave }: ValueDefineProps): React.JSX.Element;
export interface NodeCommonDetailProps {
    data: IVariableTreeNode;
}
export declare function NodeCommonDetail({ data }: NodeCommonDetailProps): React.JSX.Element;
