"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRemoteServices = exports.useSandboxQuery = exports.DesignerProvider = void 0;
const tango_helpers_1 = require("@music163/tango-helpers");
const [DesignerProvider, useDesigner] = (0, tango_helpers_1.createContext)({
    name: 'DesignerContext',
});
exports.DesignerProvider = DesignerProvider;
const useSandboxQuery = () => {
    var _a;
    return (_a = useDesigner()) === null || _a === void 0 ? void 0 : _a.sandboxQuery;
};
exports.useSandboxQuery = useSandboxQuery;
const useRemoteServices = () => {
    var _a;
    return (_a = useDesigner()) === null || _a === void 0 ? void 0 : _a.remoteServices;
};
exports.useRemoteServices = useRemoteServices;
