"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defineServices = void 0;
const tslib_1 = require("tslib");
const request_1 = require("@music163/request");
const global_1 = tslib_1.__importDefault(require("./global"));
function defineServices(configs, baseConfig) {
    const _a = baseConfig || {}, { namespace } = _a, restConfig = tslib_1.__rest(_a, ["namespace"]);
    const services = (0, request_1.createServices)(configs, restConfig);
    global_1.default.registerServices(services, namespace);
    return services;
}
exports.defineServices = defineServices;
