import React from 'react';
import { ITangoEngineContext } from '@music163/tango-context';
import { IDesignerContext } from './context';
export interface DesignerProps extends IDesignerContext, ITangoEngineContext {
    /**
     * 主题包
     */
    theme?: any;
    children?: React.ReactNode;
}
/**
 * 设计器状态和设置容器
 * @param props
 * @returns
 */
export declare function Designer(props: DesignerProps): React.JSX.Element;
