/**
 * condition 为 false 的时候打印 msg
 * @param condition
 * @param msg
 */
export declare function assert(condition: any, msg?: string): void;
export declare function isString(str: any): str is string;
export declare function isFunction(fn: any): boolean;
export declare function isNumber(num: any): num is number;
export declare function isBoolean(obj: any): obj is boolean;
export declare function isObject(obj: any): obj is Record<any, any>;
export declare function isPlainObject(obj: any): boolean;
export declare function isPromise(obj: any): boolean;
/**
 * 判断值是否是 null 或 undefined
 * @param val
 * @returns true if val is null or undefined
 */
export declare function isNil(val: any): boolean;
/**
 * 是否是状态变量的 path
 * @param key
 * @returns
 */
export declare function isStoreVariablePath(key: string): boolean;
/**
 * 是否是服务变量的 path
 * @param key
 * @returns
 */
export declare function isServiceVariablePath(key: string): boolean;
/**
 * 是否在 Tango 设计模式
 */
export declare function isInTangoDesignMode(): boolean;
