/**
 * 判断给定的函数名是否是 defineServices
 * @param name
 * @returns
 */
export declare function isDefineService(name: string): boolean;
/**
 * 判断给定的函数名是否是 defineStore
 * @param name
 * @returns
 */
export declare function isDefineStore(name: string): boolean;
/**
 * 是否是 tango 的变量引用
 * @example tango.stores.app.name
 * @example tango.stores?.app?.name
 *
 * @param name
 * @returns
 */
export declare function isTangoVariable(name: string): boolean;
/**
 * 判断给定字符串是否被表达式容器`{expCode}`包裹
 * @param code
 * @deprecated 新版改为 {{code}} 作为容器，使用 isWrappedCode 代替
 */
export declare function isWrappedByExpressionContainer(code: string, isStrict?: boolean): boolean;
