import { createBrowserHistory, createHashHistory } from 'history';
import { RouteConfig } from 'react-router-config';
export type { History } from 'history';
export declare const history: {
    current?: (ReturnType<typeof createBrowserHistory> | ReturnType<typeof createHashHistory>) & {
        configRoutes?: Record<string, string>;
    };
};
export declare function createHistory(routerType: string, routes: RouteConfig[]): import("history").History<unknown> & {
    configRoutes?: Record<string, string>;
};
