"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHistory = exports.history = void 0;
const history_1 = require("history");
exports.history = {
    current: null,
};
function createHistory(routerType, routes) {
    exports.history.current = routerType === 'hash' ? (0, history_1.createBrowserHistory)() : (0, history_1.createHashHistory)();
    exports.history.current.configRoutes = routes.reduce((p, c) => {
        p[c.routeName] = c.path;
        return p;
    }, {});
    return exports.history.current;
}
exports.createHistory = createHistory;
