"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIcon = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const icons_1 = tslib_1.__importDefault(require("@ant-design/icons"));
function createIcon(component, displayName) {
    const CustomIcon = (props) => (react_1.default.createElement(icons_1.default, Object.assign({ component: component }, props)));
    if (displayName) {
        CustomIcon.displayName = displayName;
    }
    return CustomIcon;
}
exports.createIcon = createIcon;
