declare const zh_CN = "zh-CN";
declare const en_US = "en-US";
export interface ITangoLocales {
    locale?: typeof zh_CN | typeof en_US;
}
/**
 * 获取antd的语言资源映射关系
 * @param param0 antd的语言资源
 * @returns
 */
export declare const getAntdLocalesMap: ({ zhCN, enUS }: any) => {
    "zh-CN": any;
    "en-US": any;
};
/**
 * 单例模式的多语言管理类
 */
export declare class LocaleManager {
    private static instance;
    static getInstance(currentLocale?: ITangoLocales['locale']): LocaleManager;
    currentLocale: string;
    constructor(currentLocale?: ITangoLocales['locale']);
    changeLocale(currentLocale: ITangoLocales['locale']): void;
    getLocale(): any;
}
export declare const useLocaleManager: (locale?: ITangoLocales['locale']) => LocaleManager;
export {};
