import { TangoModule } from './module';
import { IWorkspace } from './interfaces';
import { IExportSpecifierData, IFileConfig } from '../types';
/**
 * 本地组件目录的入口文件，例如 '/components/index.js' 或 `/blocks/index.js`
 */
export declare class TangoComponentsEntryModule extends TangoModule {
    exportList: Record<string, IExportSpecifierData>;
    constructor(workspace: IWorkspace, props: IFileConfig);
    _analysisAst(): void;
}
