"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteNodeAction = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const tango_context_1 = require("@music163/tango-context");
const tango_ui_1 = require("@music163/tango-ui");
const icons_1 = require("@ant-design/icons");
exports.DeleteNodeAction = (0, tango_context_1.observer)(() => {
    const workspace = (0, tango_context_1.useWorkspace)();
    return (react_1.default.createElement(tango_ui_1.SelectAction, { tooltip: "\u5220\u9664\u8282\u70B9", onClick: () => {
            workspace.removeSelectedNode();
        } },
        react_1.default.createElement(icons_1.DeleteOutlined, null)));
});
