import React from 'react';
import { FormItemComponentProps } from '@music163/tango-setting-form';
interface JsxSetterProps extends FormItemComponentProps {
    /**
     * 是否支持输入
     */
    showInput?: boolean;
    /**
     * 选择后生成的
     * @param key 用户选择的 key
     * @returns [tpl, deps] tpl 为返回的 jsx 内容；deps 为附加引入的组件名
     */
    getTemplate?: (key: string) => [tpl: string, deps: string[]];
}
/**
 * 自定义结点渲染器，适用于值类型为 ReactNode 的属性
 */
export declare function JsxSetter(props: JsxSetterProps): React.JSX.Element;
export {};
