"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PickerSetter = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const antd_1 = require("antd");
const tango_helpers_1 = require("@music163/tango-helpers");
const style = {
    width: '100%',
};
function PickerSetter(_a) {
    var { options, onChange } = _a, props = tslib_1.__rest(_a, ["options", "onChange"]);
    const optionsStore = (0, react_1.useMemo)(() => {
        return new tango_helpers_1.ListStore({
            data: options,
        });
    }, [options]);
    return (react_1.default.createElement(antd_1.Select, Object.assign({ showSearch: true, allowClear: true, style: style, placeholder: "\u8BF7\u9009\u62E9", options: options, onChange: (val) => {
            const option = optionsStore.getNode(val);
            const detail = (option === null || option === void 0 ? void 0 : option.relatedImports)
                ? { relatedImports: option.relatedImports }
                : undefined;
            onChange === null || onChange === void 0 ? void 0 : onChange(val, detail);
        } }, props)));
}
exports.PickerSetter = PickerSetter;
