import React from 'react';
export interface ComponentsTreeProps {
    /**
     * 显示/隐藏组件按钮,默认显示
     */
    showToggleVisibleIcon?: boolean;
    /**
     * 页面节点选中回调
     */
    onSelect?: (nodeKey: string) => void;
    /**
     * 节点树更多功能菜单
     */
    actionItems?: ActionItem[];
}
interface ActionItem {
    item: React.ReactNode;
    key: string;
}
export declare const ComponentsTree: React.FC<ComponentsTreeProps>;
export {};
