"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OutlinePanel = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const coral_system_1 = require("coral-system");
const tango_ui_1 = require("@music163/tango-ui");
const state_tree_1 = require("./state-tree");
const components_tree_1 = require("./components-tree");
function OutlinePanel(_a) {
    var { showStateView = true } = _a, treeProps = tslib_1.__rest(_a, ["showStateView"]);
    return (react_1.default.createElement(coral_system_1.Box, { height: "100%", position: "relative" },
        react_1.default.createElement(tango_ui_1.CollapsePanel, { title: "\u9875\u9762\u7ED3\u6784", maxHeight: showStateView ? '90%' : '100%', collapsed: !showStateView ? false : undefined, overflowY: "auto", showBottomBorder: showStateView },
            react_1.default.createElement(components_tree_1.ComponentsTree, Object.assign({}, treeProps))),
        showStateView && react_1.default.createElement(state_tree_1.StateTree, null)));
}
exports.OutlinePanel = OutlinePanel;
