"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectionMask = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const coral_system_1 = require("coral-system");
const tango_context_1 = require("@music163/tango-context");
exports.SelectionMask = (0, tango_context_1.observer)(() => {
    var _a, _b;
    const { selectSource } = (0, tango_context_1.useWorkspace)();
    const display = ((_a = selectSource.start) === null || _a === void 0 ? void 0 : _a.point.x) && ((_b = selectSource.start) === null || _b === void 0 ? void 0 : _b.point.y) ? 'block' : 'none';
    return (react_1.default.createElement(coral_system_1.Box, { className: "SelectionMask", display: display, position: "absolute", bg: "brand", opacity: 0.2 }));
});
