import React from 'react';
import { ISelectedItemData } from '@music163/tango-helpers';
export interface SelectionToolsProps {
    /**
     * 动作列表，内置的动作列表有 source-定位到源码, block-创建区块, copy-复制节点, delete-删除节点
     */
    actions?: Array<string | React.ReactElement>;
}
export declare const SelectionTools: (({ actions: actionsProp }: SelectionToolsProps) => React.JSX.Element) & {
    displayName: string;
};
export interface SelectionBoxProps {
    /**
     * 是否显示操作按钮
     */
    showActions?: boolean;
    /**
     * 动作列表
     */
    actions?: React.ReactElement[];
    /**
     * 选中的数据
     */
    data: ISelectedItemData;
}
