type ListStoreOptionsType<T = object> = {
    data: T[];
    keyProp?: string;
    labelProp?: string;
    childrenProp?: string;
};
export declare class ListStore<T = object> {
    private nodeMap;
    private keyProp;
    private childrenProp;
    get nodes(): IterableIterator<T>;
    constructor(options: ListStoreOptionsType<T>);
    getNode(key: string): T;
    private visitNodes;
}
export {};
