"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HistoryTool = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const coral_system_1 = require("coral-system");
const tango_ui_1 = require("@music163/tango-ui");
const tango_context_1 = require("@music163/tango-context");
exports.HistoryTool = (0, tango_context_1.observer)(() => {
    const workspace = (0, tango_context_1.useWorkspace)();
    return (react_1.default.createElement(coral_system_1.Box, { display: "flex", columnGap: "m" },
        react_1.default.createElement(tango_ui_1.ToggleButton, { shape: "ghost", disabled: !workspace.history.couldBack || workspace.history.index === 0, tooltip: "\u64A4\u9500", onClick: () => {
                workspace.history.back();
                workspace.selectSource.clear();
            } },
            react_1.default.createElement(tango_ui_1.UndoOutlined, null)),
        react_1.default.createElement(tango_ui_1.ToggleButton, { shape: "ghost", disabled: !workspace.history.couldForward, tooltip: "\u91CD\u505A", onClick: () => {
                workspace.history.forward();
                workspace.selectSource.clear();
            } },
            react_1.default.createElement(tango_ui_1.RedoOutlined, null))));
});
