"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TogglePanelTool = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const tango_context_1 = require("@music163/tango-context");
const coral_system_1 = require("coral-system");
const tango_ui_1 = require("@music163/tango-ui");
exports.TogglePanelTool = (0, tango_context_1.observer)(() => {
    const designer = (0, tango_context_1.useDesigner)();
    return (react_1.default.createElement(coral_system_1.Box, { display: "flex", columnGap: "m" },
        react_1.default.createElement(tango_ui_1.ToggleButton, { tooltip: "\u9690\u85CF/\u663E\u793A\u5DE6\u4FA7\u9762\u677F", shape: "ghost", onClick: () => {
                designer.setActiveSidebarPanel(designer.activeSidebarPanel ? '' : 'outline');
            } }, designer.activeSidebarPanel ? react_1.default.createElement(tango_ui_1.OpenPanelFilledLeftOutlined, null) : react_1.default.createElement(tango_ui_1.OpenPanelLeftOutlined, null)),
        react_1.default.createElement(tango_ui_1.ToggleButton, { tooltip: "\u9690\u85CF/\u663E\u793A\u53F3\u4FA7\u9762\u677F", shape: "ghost", onClick: () => designer.toggleRightPanel(), disabled: designer.activeView === 'code' }, designer.showRightPanel ? react_1.default.createElement(tango_ui_1.OpenPanelFilledRightOutlined, null) : react_1.default.createElement(tango_ui_1.OpenPanelRightOutlined, null))));
});
