/**
 * 过滤器暴露的字段不满足组件时，可以使用该组件，传入过滤器配置的数据
 * eg：受理人组件数据源字段为groupAgentsWithStatus  不支持过滤器数据源字段dataSource  需要动态传入
 * 目前支持数据源字段扩展 組件内部触发的事件扩展 有需求可自行扩展
 * 另外组件需要的属性字段需要自行扩展
 */
declare class AntdConfigureComponent extends React.Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    handleSelectChange: (value: any) => void;
    render(): JSX.Element | null;
}
declare namespace AntdConfigureComponent {
    const defaultProps: any;
    namespace propTypes {
        const value: PropTypes.Requireable<any[]>;
        const onChanged: PropTypes.Requireable<(...args: any[]) => any>;
        const attributes: PropTypes.Requireable<object>;
        const dataSource: PropTypes.Requireable<any[]>;
    }
}
export default AntdConfigureComponent;
import React from "react";
import PropTypes from "prop-types";
