import UdeskError from './udesk-error';
export default class ArgumentNullError extends UdeskError {
    constructor(argName, options) {
        let { message } = options || {};
        let innerMessage = message;
        if (!innerMessage) {
            if (argName) {
                innerMessage = `The argument \`${argName}\` can not be null`;
            }
            else {
                innerMessage = 'The argument can not be null';
            }
        }
        super(innerMessage);
    }
}
//# sourceMappingURL=argument-null-error.js.map