import { __rest } from "tslib";
import { Tag, Tooltip } from 'antd';
import React from 'react';
export function ColorTag(_a) {
    var { tooltip, children } = _a, rest = __rest(_a, ["tooltip", "children"]);
    const tag = React.createElement(Tag, Object.assign({}, rest), children);
    if (tooltip) {
        return React.createElement(Tooltip, { title: tooltip }, tag);
    }
    return tag;
}
