import React from 'react';
/**
 * 配置组
 */
export declare function ConfigGroup({ title, children, }: {
    title?: string | React.ReactNode;
    children?: React.ReactNode;
}): React.JSX.Element;
type LayoutDirectionType = 'row' | 'column';
/**
 * 配置项
 */
export declare function ConfigItem({ title, description, children: childrenProp, layoutDirection, component, componentProps, onChange, value, }: {
    title?: string;
    description?: string | React.ReactNode;
    children?: React.ReactNode;
    component?: 'switch' | 'input' | 'select' | 'selectList';
    componentProps?: object;
    /**
     * 布局方向
     */
    layoutDirection?: LayoutDirectionType;
    value?: any;
    onChange?: (val: any) => any;
}): React.JSX.Element;
export {};
