import React from 'react';
import { Box } from 'coral-system';
/**
 * 设计器面板
 */
export function DesignerPanel(props) {
    const { header, logo, description, actions, children } = props;
    return (React.createElement(Box, { height: "100vh", overflow: "hidden", className: "DesignerPanel" }, header !== null && header !== void 0 ? header : (React.createElement(Box, { display: "flex", justifyContent: "space-between", alignItems: "center", height: "48px", bg: "colors.custom.topNavBg", color: "colors.custom.topNavColor", borderBottom: "solid", borderColor: "colors.custom.topNavBorderColor", className: "DesignerPanelHeader" },
        React.createElement(Box, { display: "flex", alignItems: "center" },
            logo,
            description),
        React.createElement(Box, { flex: "1" }, actions))),
        React.createElement(Box, { display: "flex", height: "calc(100vh - 48px)", overflow: "hidden", className: "DesignerPanelBody" }, children)));
}
