import React from 'react';
interface ErrorBoundaryProps {
    children: React.ReactNode;
}
interface ErrorBoundaryState {
    hasError: boolean;
}
export declare class ErrorBoundary extends React.Component<ErrorBoundaryProps, ErrorBoundaryState> {
    static getDerivedStateFromError(error: any): {
        hasError: boolean;
    };
    constructor(props: ErrorBoundaryProps);
    componentDidCatch(error: any, errorInfo: any): void;
    render(): string | number | boolean | React.JSX.Element | Iterable<React.ReactNode>;
}
export {};
