import { useCallback, useEffect, useRef } from 'react';
/**
 * @param callback
 * @param deps
 * @returns
 */
export function useCallbackRef(callback, deps = []) {
    const callbackRef = useRef(callback);
    useEffect(() => {
        callbackRef.current = callback;
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
    return useCallback(((...args) => { var _a; return (_a = callbackRef.current) === null || _a === void 0 ? void 0 : _a.call(callbackRef, ...args); }), deps);
}
