import { __rest } from "tslib";
import React from 'react';
import Icon from '@ant-design/icons';
/**
 * 只能在 Designer 里面用，其他地方用不了，依赖 iconfont 脚本提前载入
 */
export function IconFont(props) {
    const { type, children } = props, restProps = __rest(props, ["type", "children"]);
    // children > type
    let content = null;
    if (props.type) {
        content = React.createElement("use", { xlinkHref: `#${type}` });
    }
    if (children) {
        content = children;
    }
    return React.createElement(Icon, Object.assign({}, restProps), content);
}
IconFont.displayName = 'IconFont';
