declare const _default: {
    aaa: string;
    designer: {
        components: {
            inputKv: {
                pleaseEnterTheKey: string;
                pleaseEnterAValue: string;
                tipPleaseEnterTheKeyFirst: string;
                addKeyValue: string;
            };
            menu: {
                enterToEnterTheCommandSelectionInterface: string;
            };
            variableTree: {
                runtime: string;
                definition: string;
                pleaseEnterTheVariableName: string;
                variableValuePreview: string;
                addVariables: string;
                variableDefinition: string;
                prompt: string;
                pleaseSelectAVariableFromTheLeftList: string;
                areYouSureToDeleteItThisOperationMayCauseErrorsInTheCodeReferencingThisModelPleaseOperateWithCaution: string;
                copied: string;
                copyVariablePath: string;
                viewVariableDetails: string;
                towards: string;
                addingVariablesIn: string;
                thereIsCurrentlyNoDataAvailableForPreview: string;
                previewFunctionNotCurrentlySupported: string;
                missingDefinitionData: string;
                codeFormatErrorPleaseCheckTheCodeSyntax: string;
                cancel: string;
                preserve: string;
                edit: string;
                areYouSureToDeleteThisVariableThisOperationWillCauseErrorsInTheCodeThatReferencesTheVariable: string;
                delete: string;
                belongingModel: string;
                variableName: string;
                illegalVariableIdentifier: string;
                conflictWithExistingVariableNamePleaseChangeName: string;
                initialValue: string;
                thereIsASyntaxErrorInTheCodePleaseEnterAValidCodeFragment: string;
                pleaseEnterTheInitialValue: string;
            };
        };
        editor: {
            detectedSyntaxErrorsInTheCodeUnableToSynchronizeTheCodeToTheDesignerTemporarilyDoYouWantToRevertBackToSafeCode: string;
        };
        sandbox: {
            navigator: {
                return: string;
                advance: string;
                refresh: string;
            };
        };
        selectionMenu: {
            copyNode: {
                copyNodes: string;
            };
            deleteNode: {
                deleteNode: string;
            };
            viewSource: {
                viewSourceCode: string;
            };
        };
        setters: {
            actionListSetter: {
                button: string;
                normalButton: string;
                textButton: string;
                main: string;
                secondary: string;
                ordinary: string;
                normalActions: string;
                confirmationPrompt: string;
                text: string;
                exterior: string;
                pleaseSelect: string;
                buttonType: string;
                type: string;
                confirmBubbleContent: string;
            };
            columnSetter: {
                columnHeadings: string;
                columnWidth: string;
                lockColumn: string;
                addNewColumn: string;
            };
            cssSetter: {
                layoutMethod: string;
                mainAxisDirection: string;
                spindleAlignmentMethod: string;
                secondaryAxisAlignmentMethod: string;
                margin: string;
                padding: string;
                widthAndHeight: string;
                width: string;
                height: string;
                textColor: string;
                textSize: string;
                fontSize: string;
                background: string;
                frame: string;
                transparency: string;
                styleWriting: string;
            };
            eventSetter: {
                noAction: string;
                bindJSExpressions: string;
                openPage: string;
                openPopupWindow: string;
                closePopupWindow: string;
                selectOrInputPageRouting: string;
                selectOrEnterThePopupID: string;
                pleaseSelect: string;
            };
            expressionSetter: {
                thereIsASyntaxErrorInTheExpression: string;
                notAValidJSONSyntax: string;
                enterJSExpressionCode: string;
                empty: string;
                openTheExpressionVariableSelectionPanel: string;
                take: string;
                setAsAReferenceVariableOrCustomExpression: string;
                thereIsASyntaxErrorInTheInputExpressionPleaseModifyItBeforeSubmitting: string;
                selectFromTheVariableList: string;
            };
            jsxSetter: {
                cancelCustomization: string;
                customRegion: string;
                text: string;
                occupyingArea: string;
                buttonGroup: string;
                exampleText: string;
                PlaceholderTextDragHereToReplace: string;
                ButtonGroupButtonButtonButtonButtonButton2ButtonButtonGroup: string;
                initializeThisAreaAs: string;
            };
            listSetter: {
                modifyData: string;
                addAnItem: string;
                pleaseEnter: string;
                submit: string;
            };
            modelSetter: {
                theVariableToSynchronizeTheResultsToSuchAsStoreNamevarName: string;
                synchronizedVariables: string;
                selectFromTheModelList: string;
            };
            numberSetter: {
                pleaseEnterANumber: string;
            };
            optionSetter: {
                copywriting: string;
                value: string;
                option: string;
            };
            pickerSetter: {
                pleaseSelect: string;
            };
            renderPropsSetter: {
                customRenderingAs: string;
                cancelCustomization: string;
                customRegion: string;
                label: string;
                button: string;
                picture: string;
                setExpandableRows: string;
                cancelExpandableRows: string;
                configureTableExpandableRows: string;
            };
            routerSetter: {
                selectRoute: string;
                customInput: string;
                pleaseSelectALocalRoute: string;
                enterAnyRouteOrLinkAddress: string;
            };
            styleSetter: {
                customStyleCSSInJS: string;
                writingStyles: string;
                blockLevelElements: string;
                blockLevelElementsWithinRows: string;
                flexElasticLayout: string;
                gridElasticGridLayout: string;
                inLineElements: string;
                doNotDisplay: string;
                singleRowArrangement: string;
                singleLineReverseOrder: string;
                verticalArrangement: string;
                verticalReverseOrder: string;
                arrangeFromTheBeginningOfTheLine: string;
                arrangeFromTheEndOfTheLine: string;
                centerAlignment: string;
                arrangeEachElementEvenlyWithTheFirstElementPlacedAtTheStartingPointAndTheLastElementPlacedAtTheEndpoint: string;
                uniformlyArrangeEachElementAndAllocateTheSameSpaceAroundEachElement: string;
                alignElementsToTheStartingPointOfTheSecondaryAxis: string;
                alignElementsToTheEndpointOfTheSecondaryAxis: string;
                elementCenteredOnSecondaryAxis: string;
                theSizeOfTheCrossAxisWithTheElasticTermIncludingTheOuterEdgeDistanceIsPulledUpToTheRowHeight: string;
                alignAllElementsToTheBaseline: string;
                main: string;
                auxiliary: string;
                pleaseSelectAColor: string;
                upper: string;
                lower: string;
                right: string;
                left: string;
                style: string;
                width: string;
                colour: string;
            };
            textSetter: {
                pleaseEnter: string;
            };
        };
        settingPanel: {
            settingsPanel: string;
            thisNodeHasNoConfigurableInformation: string;
            pleaseSelectANodeFirst: string;
        };
        sidebar: {
            componentsPanel: {
                basicComponents: string;
                atomicComponents: string;
                combination: string;
                businessComponents: string;
                block: string;
                searchResult: string;
                businessComponentsInstalled: string;
                projectBlock: string;
                searchForMaterials: string;
                loadingMaterialList: string;
                noComponentsMatched: string;
                viewComponentDocumentation: string;
            };
            datasourcePanel: {
                index: {
                    serviceFunction: string;
                    agent: string;
                };
                interfaceConfig: {
                    defaultModule: string;
                    createANewServiceFunction: string;
                    searchServiceFunction: string;
                    serviceFunctionDetails: string;
                    pleaseSelectADataServiceFunctionFromTheLeftOrCreateANewDataServiceFunction: string;
                    module: string;
                    methodName: string;
                    pleaseEnterAValidMethodName: string;
                    duplicateMethodNamePleaseChangeIt: string;
                    pleaseEnterTheNameOfTheDataServiceCall: string;
                    automaticallyGenerateUsingInterfacePaths: string;
                    path: string;
                    method: string;
                    pleaseSelectTheHTTPRequestMethod: string;
                    encodingType: string;
                    setTheContentTypeOfTheRequestHeaderIfNotSetItDefaultsToJSON: string;
                    requestHeaderContentTypeDefaultToJSON: string;
                    formatResponse: string;
                    provideFormattingFunctionsToFormatTheResults: string;
                    pleaseProvideValidFunctionCode: string;
                    directReturndefault: string;
                    returnDataSectionCloudMusicStandardSpecification: string;
                    usingTemplateFunctions: string;
                    cancel: string;
                    modify: string;
                    edit: string;
                    establish: string;
                    interfaceTesting: string;
                    theExecutionContextIsNotReadyPleaseCloseThePanelAndTryAgain: string;
                    interfaceCallFailedPleaseCheckIfTheParametersAreCorrect: string;
                    preview: string;
                    requestParameters: string;
                    addRequestParametersObjectFormatSuchAskeyValue: string;
                    requestResponse: string;
                    clickThePreviewButtonToTestTheInterfaceReturnValue: string;
                };
                proxyConfig: {
                    proxySettings: string;
                    hereYouCanConfigureTheProxyRulesForInterfaceForwarding: string;
                    proxyRuleUpdateSuccessful: string;
                    requestHeader: string;
                    addRequestHeader: string;
                    addRule: string;
                    preserve: string;
                };
            };
            dependencyPanel: {
                basicPackage: string;
                TheBasicPackageCannotBeDeleted: string;
                UpgradeToTheLatestVersionByDefault: string;
                IfYouWantToAddACorrespondingTemplateBasicPackagePleaseContactTheAdministrator: string;
                otherDependencies: string;
                relyOn: string;
                upgradeSuccessful: string;
                removalSuccessful: string;
                thisDependencyHasUMDResourcesThatCanOptimizeLoadingSpeed: string;
                thisDependencyExistsInPackagejson: string;
                thisDependencyExistsInTangoConfigJson: string;
                modify: string;
                confirmDeletionOfDependencies: string;
                delete: string;
                confirmUpgrade: string;
                reach: string;
                isIt: string;
                upgrade: string;
                itIsAlreadyTheLatest: string;
                successfullyAdded: string;
                addDependency: string;
                modifyDependencies: string;
                resourceAddress: string;
                theVersionNumberInTheResourceAddressCanBeReplacedByversion: string;
                add: string;
                dependencyType: string;
                nPMPackageName: string;
                enterDependencyName: string;
                versionNumber: string;
                pleaseEnterTheDependentVersionNumber: string;
                enterVersionNumber: string;
                usingPreBuiltUMDResources: string;
                globalVariableName: string;
                enterTheVariableNameOfTheUMDResourceMountedUnderTheGlobalVariable: string;
                theResourceAddressCannotBeEmpty: string;
                designerResourceAddress: string;
            };
            outlinePanel: {
                componentsTree: {
                    noSpecifiedFileOrFile: string;
                    noValidNodeTree: string;
                };
                index: {
                    pageStructure: string;
                    pageStatus: string;
                };
            };
            variablePanel: {
                viewModelAndVariableManagement: string;
                howToUseIt: string;
                newModel: string;
                addModel: string;
                aModelCanBeUsedToOrganizeASetOfVariables: string;
                modelName: string;
                illegalVariableIdentifier: string;
                theModelNameAlreadyExistsPleaseChangeIt: string;
                pleaseEnterTheModelName: string;
                cancel: string;
                preserve: string;
            };
        };
        simulator: {
            selection: {
                displayNone: string;
                thisNodeComesFromAnotherFile: string;
                add: string;
            };
        };
        toolbar: {
            history: {
                revoke: string;
                redo: string;
            };
            modeSwitch: {
                designView: string;
                design: string;
                sourceView: string;
                sourceCode: string;
            };
            preview: {
                preview: string;
            };
            routeSwitch: {
                untitled: string;
                areYouSureToDeleteThisPage: string;
                deletePage: string;
                copyPage: string;
                setPage: string;
                updateCurrentPage: string;
                copyCurrentPage: string;
                pageTitle: string;
                pleaseEnterATitle: string;
                pageRouting: string;
                duplicatePageRouting: string;
                illegalRoutingAddress: string;
                inputPageRouting: string;
            };
            togglePanel: {
                hideShowLeftPanel: string;
                hideShowRightPanel: string;
            };
            viewportSwitch: {
                desktopView: string;
                phoneView: string;
            };
        };
    };
    context: {
        context: {
            dataModel: string;
            serviceFunction: string;
        };
    };
    sandbox: {
        codeSandbox: {
            helper: {
                unableToSetRoutesInIframeAcrossDomains: string;
            };
            index: {
                udeskFailedToSetDocumentDomainPleaseCheckIfTheRequestHeaderContainsOriginAgentCluster: string;
            };
        };
    };
    form: {
        formItem: {
            closeJSExpression: string;
            usingJSExpressions: string;
        };
        formUi: {
            helpDocument: string;
        };
        form: {
            commonlyUsed: string;
            event: string;
            style: string;
            senior: string;
            searchProperties: string;
            configurationItemNotFound: string;
        };
    };
    ui: {
        actionSelect: {
            pleaseEnterText: string;
            preset: string;
        };
        chatInput: {
            intelligentProgrammingAssistant: string;
            pleaseBrieflyDescribeTheActionYouWantToPerform: string;
            generate: string;
            result: string;
            currentlyUnavailable: string;
            application: string;
        };
        inputList: {
            empty: string;
            newAddition: string;
            pleaseEnter: string;
            delete: string;
        };
        menu: {
            areYouSureToPerformThisOperation: string;
            confirm: string;
            cancel: string;
        };
        search: {
            pleaseEnterKeywords: string;
        };
        selectList: {
            empty: string;
            newAddition: string;
            pleaseSelect: string;
            delete: string;
        };
        tagSelect: {
            inSingleChoiceModeValueCanOnlyHaveOneValue: string;
        };
    };
};
export default _default;
