import React from 'react';
import { useWorkspace, observer } from '@music163/tango-context';
import { SelectAction } from '@music163/tango-ui';
import { CopyOutlined } from '@ant-design/icons';
export const CopyNodeAction = observer(() => {
    const workspace = useWorkspace();
    return (React.createElement(SelectAction, { tooltip: "\u590D\u5236\u8282\u70B9", onClick: () => {
            workspace.cloneSelectedNode();
        } },
        React.createElement(CopyOutlined, null)));
});
