import React from 'react';
import { observer, useDesigner } from '@music163/tango-context';
import { SelectAction, CodeOutlined } from '@music163/tango-ui';
export const ViewSourceAction = observer(() => {
    const designer = useDesigner();
    return (React.createElement(SelectAction, { tooltip: "\u67E5\u770B\u6E90\u7801", onClick: () => {
            designer.setActiveView('code');
        } },
        React.createElement(CodeOutlined, null)));
});
