import { __rest } from "tslib";
import React, { useMemo } from 'react';
import { Select } from 'antd';
import { ListStore } from '@music163/tango-helpers';
const style = {
    width: '100%',
};
export function PickerSetter(_a) {
    var { options, onChange } = _a, props = __rest(_a, ["options", "onChange"]);
    const optionsStore = useMemo(() => {
        return new ListStore({
            data: options,
        });
    }, [options]);
    return (React.createElement(Select, Object.assign({ showSearch: true, allowClear: true, style: style, placeholder: "\u8BF7\u9009\u62E9", options: options, onChange: (val) => {
            const option = optionsStore.getNode(val);
            const detail = (option === null || option === void 0 ? void 0 : option.relatedImports)
                ? { relatedImports: option.relatedImports }
                : undefined;
            onChange === null || onChange === void 0 ? void 0 : onChange(val, detail);
        } }, props)));
}
