import React from 'react';
import { Box } from 'coral-system';
import { observer, useWorkspace } from '@music163/tango-context';
export const SelectionMask = observer(() => {
    var _a, _b;
    const { selectSource } = useWorkspace();
    const display = ((_a = selectSource.start) === null || _a === void 0 ? void 0 : _a.point.x) && ((_b = selectSource.start) === null || _b === void 0 ? void 0 : _b.point.y) ? 'block' : 'none';
    return (React.createElement(Box, { className: "SelectionMask", display: display, position: "absolute", bg: "brand", opacity: 0.2 }));
});
