import React from 'react';
import { observer, useDesigner } from '@music163/tango-context';
import { Box } from 'coral-system';
import { OpenPanelFilledLeftOutlined, OpenPanelFilledRightOutlined, OpenPanelLeftOutlined, OpenPanelRightOutlined, ToggleButton, } from '@music163/tango-ui';
export const TogglePanelTool = observer(() => {
    const designer = useDesigner();
    return (React.createElement(Box, { display: "flex", columnGap: "m" },
        React.createElement(ToggleButton, { tooltip: "\u9690\u85CF/\u663E\u793A\u5DE6\u4FA7\u9762\u677F", shape: "ghost", onClick: () => {
                designer.setActiveSidebarPanel(designer.activeSidebarPanel ? '' : 'outline');
            } }, designer.activeSidebarPanel ? React.createElement(OpenPanelFilledLeftOutlined, null) : React.createElement(OpenPanelLeftOutlined, null)),
        React.createElement(ToggleButton, { tooltip: "\u9690\u85CF/\u663E\u793A\u53F3\u4FA7\u9762\u677F", shape: "ghost", onClick: () => designer.toggleRightPanel(), disabled: designer.activeView === 'code' }, designer.showRightPanel ? React.createElement(OpenPanelFilledRightOutlined, null) : React.createElement(OpenPanelRightOutlined, null))));
});
