import React from 'react';
import { ReactComponentProps } from '@music163/tango-helpers';
export interface ToolbarProps {
    children?: React.ReactElement | React.ReactElement[];
}
export declare function Toolbar({ children }: ToolbarProps): React.JSX.Element;
export declare namespace Toolbar {
    var Item: typeof ToolbarItem;
    var Separator: () => React.JSX.Element;
}
export interface ToolbarItemProps extends ReactComponentProps {
    placement?: 'left' | 'center' | 'right';
    children?: React.ReactElement;
    /**
     * 如果 key 匹配到内置组件的话，传递给子节点的属性
     */
    widgetProps?: object;
}
declare function ToolbarItem({ placement, widgetProps, children }: ToolbarItemProps): React.JSX.Element;
export {};
