import React from 'react';
import { Group } from 'coral-system';
import { ToggleButton } from '@music163/tango-ui';
import { DesktopOutlined, MobileOutlined } from '@ant-design/icons';
import { observer, useDesigner } from '@music163/tango-context';
/**
 * @deprecated
 */
export const ViewportSwitchTool = observer(() => {
    const designer = useDesigner();
    return (React.createElement(Group, { attached: true },
        React.createElement(ToggleButton, { shape: "ghost", selected: designer.simulator.name === 'desktop', onClick: () => {
                designer.setSimulator('desktop');
            }, tooltip: "\u684C\u9762\u89C6\u56FE" },
            React.createElement(DesktopOutlined, null)),
        React.createElement(ToggleButton, { shape: "ghost", selected: designer.simulator.name === 'phone', onClick: () => {
                designer.setSimulator('phone');
            }, tooltip: "\u624B\u673A\u89C6\u56FE" },
            React.createElement(MobileOutlined, null))));
});
