import React, { ComponentProps } from 'react';
import { DatePicker } from 'udesk-ui';
import 'dayjs/locale/zh-cn';
import { CopyProps } from '../copy';
declare type Props = Omit<ComponentProps<typeof DatePicker>, 'onChange' | 'value'> & {
    value?: string;
    showTime?: boolean | Object;
    onChange?: (data: any) => void;
    onValueBlur?: (id: string, value: any) => void;
    id?: string;
    language?: string;
    copyProps?: CopyProps;
    format?: string | string[];
    blurToSave?: boolean;
    needTransfer?: boolean;
};
declare const FormDatePicker: React.FC<Props>;
export default FormDatePicker;
