"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var text_1 = tslib_1.__importDefault(require("../text"));
var icons_1 = require("@ant-design/icons");
// 自定义字段链接
var FormLink = function (props) {
    var goLinkIcon = props.goLinkIcon, restProps = tslib_1.__rest(props, ["goLinkIcon"]);
    var handleSuffix = function (localValue) {
        localValue && window.open(localValue, '_blank');
    };
    return (react_1.default.createElement(text_1.default, tslib_1.__assign({}, restProps, { addonAfterRender: react_1.default.createElement(icons_1.GlobalOutlined, null), addonAfterClick: handleSuffix })));
};
exports.default = FormLink;
