"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var icons_1 = require("@ant-design/icons");
require("./index.module.scss");
var copy_1 = tslib_1.__importDefault(require("../copy"));
var TextArea = udesk_ui_1.Input.TextArea;
// 自定义字段 地址
var FormLocation = function (props) {
    var copyProps = props.copyProps, refProps = tslib_1.__rest(props, ["copyProps"]);
    var _a = (0, react_1.useState)(props === null || props === void 0 ? void 0 : props.value), localValue = _a[0], setLocalValue = _a[1];
    (0, react_1.useEffect)(function () {
        setLocalValue(props === null || props === void 0 ? void 0 : props.value);
    }, [props === null || props === void 0 ? void 0 : props.value]);
    var goLocation = function () {
        var url = "http://apis.map.qq.com/uri/v1/search?keyword=".concat(localValue || '', "&referer=custom_field");
        window.open(url, '_blank');
    };
    var onValueChange = function (e) {
        var _a;
        var targetValue = e.target.value;
        setLocalValue(targetValue);
        (_a = props === null || props === void 0 ? void 0 : props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, targetValue);
    };
    return (react_1.default.createElement(copy_1.default, tslib_1.__assign({}, copyProps, { text: localValue }),
        react_1.default.createElement("div", { className: "form-location-wrapper" },
            react_1.default.createElement(TextArea, tslib_1.__assign({}, refProps, { value: localValue, onChange: function (data) { return onValueChange(data); }, onBlur: function () {
                    var onValueBlur = props.onValueBlur, _a = props.id, id = _a === void 0 ? '' : _a;
                    onValueBlur === null || onValueBlur === void 0 ? void 0 : onValueBlur(id, localValue);
                } })),
            react_1.default.createElement(udesk_ui_1.Button, { className: "form-location-icon", type: "link", icon: react_1.default.createElement(icons_1.EnvironmentOutlined, null), onClick: goLocation }))));
};
exports.default = FormLocation;
