"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var copy_1 = tslib_1.__importDefault(require("../copy"));
// 自定义字段 正整数和浮点数
var FormNumber = function (props) {
    var value = props.value, numeric = props.numeric, copyProps = props.copyProps, restProps = tslib_1.__rest(props, ["value", "numeric", "copyProps"]);
    var _a = (0, react_1.useState)(value), localValue = _a[0], setLocalValue = _a[1];
    var onValueChange = function (value) {
        var _a;
        var changeValue = value === null || value === undefined ? '' : value;
        setLocalValue(changeValue);
        (_a = props === null || props === void 0 ? void 0 : props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, changeValue);
    };
    (0, react_1.useEffect)(function () {
        setLocalValue(value);
    }, [value]);
    return (react_1.default.createElement(copy_1.default, tslib_1.__assign({}, copyProps, { text: localValue }),
        react_1.default.createElement(udesk_ui_1.InputNumber, tslib_1.__assign({ style: { width: '100%' } }, restProps, { value: localValue, min: numeric ? undefined : '1', precision: numeric ? undefined : 0, stringMode: true, onChange: function (data) { return onValueChange(data); }, onBlur: function () {
                var onValueBlur = props.onValueBlur, _a = props.id, id = _a === void 0 ? '' : _a;
                onValueBlur === null || onValueBlur === void 0 ? void 0 : onValueBlur(id, localValue);
            } }))));
};
exports.default = FormNumber;
