import React from 'react';
import { RangePickerProps } from 'udesk-ui/lib/date-picker';
import { CopyProps } from '../copy';
declare type Props = Omit<RangePickerProps, 'onChange' | 'onBlur' | 'value'> & {
    value?: string[];
    showTime?: boolean;
    onChange?: (data: any) => void;
    onValueBlur?: (id: string, value: any) => void;
    id?: string;
    ranges: any;
    copyProps?: CopyProps;
    needTransfer?: boolean;
};
declare const FormRangePicker: React.FC<Props>;
export default FormRangePicker;
