"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
// @ts-nocheck
var react_1 = tslib_1.__importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var select_1 = tslib_1.__importDefault(require("../select"));
var locale_1 = require("@udesk-webapp/locale");
// 默认labelInValue为false， 兼容text字段
var FormSelectWithInput = function (props) {
    var options = props.options, _a = props.labelInValue, labelInValue = _a === void 0 ? false : _a, restProps = tslib_1.__rest(props, ["options", "labelInValue"]);
    var formatMessage = (0, locale_1.useTranslation)().t; // 多语言
    var _b = (0, react_1.useState)([]), addOptions = _b[0], setAddOptions = _b[1];
    var _c = (0, react_1.useState)(''), addItem = _c[0], setAddItem = _c[1];
    var _d = (0, react_1.useState)(false), open = _d[0], setOpen = _d[1];
    var newOptions = (0, react_1.useMemo)(function () {
        return tslib_1.__spreadArray(tslib_1.__spreadArray([], options, true), addOptions, true);
    }, [options, addOptions]);
    var addSelectItem = function (e) {
        var _a;
        e.preventDefault();
        if (addItem) {
            var isHas = addOptions.find(function (e) { return e.value === addItem; });
            if (!isHas) {
                setAddOptions(tslib_1.__spreadArray(tslib_1.__spreadArray([], addOptions, true), [{ value: addItem, label: addItem, key: "addItem_".concat(addOptions.length + 1) }], false));
            }
            setAddItem('');
            (_a = props === null || props === void 0 ? void 0 : props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, labelInValue ? { value: addItem, label: addItem } : addItem);
        }
        setOpen(false);
    };
    var onAddChange = function (event) {
        setAddItem(event.target.value);
    };
    return (react_1.default.createElement(select_1.default, tslib_1.__assign({ labelInValue: labelInValue, getPopupContainer: function (triggerNode) { return triggerNode; } }, restProps, { options: newOptions, open: open, onDropdownVisibleChange: function (visible) { return setOpen(visible); }, dropdownRender: function (menu) { return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(udesk_ui_1.Space, { style: { padding: '0 8px 4px' } },
                react_1.default.createElement(udesk_ui_1.Input, { placeholder: formatMessage('labels.pleaseInput') || '请输入', value: addItem, onChange: onAddChange }),
                react_1.default.createElement(udesk_ui_1.Button, { type: "text", onClick: addSelectItem }, formatMessage('labels.confirm') || '确定')),
            react_1.default.createElement(udesk_ui_1.Divider, { style: { margin: '8px 0' } }),
            menu)); } })));
};
exports.default = FormSelectWithInput;
