import React, { ComponentProps } from 'react';
import { Input } from 'udesk-ui';
import { CopyProps } from '../copy';
declare type Props = {
    onChange?: (value: ComponentProps<typeof Input>['value']) => void;
    onValueBlur?: (id: string, value: any) => void;
    authority?: string;
    sensitive_mark_placeholder?: string;
    sensitive_mark_position?: number;
    sensitive_mark_size?: number;
    sensitive_mode?: 0 | 1 | 2;
    allowClear?: boolean;
    autoToggleSensitiveValue?: boolean;
    value?: string;
    id?: string;
    copyProps?: CopyProps;
    addonAfterRender?: any;
    addonAfterClick?: (value: any) => void;
    onFocus?: (value: any) => void;
};
declare const FormText: React.FC<Props>;
export default FormText;
