import React, { ComponentProps } from 'react';
import { TimePicker } from 'udesk-ui';
import 'dayjs/locale/zh-cn';
import { CopyProps } from '../copy';
declare type Props = Omit<ComponentProps<typeof TimePicker>, 'onChange' | 'value'> & {
    value?: string;
    onChange?: (data: any) => void;
    onValueBlur?: (id: string, value: any) => void;
    id?: string;
    language?: string;
    copyProps?: CopyProps;
    blurToSave?: boolean;
    needTransfer?: boolean;
};
declare const FormTimePicker: React.FC<Props>;
export default FormTimePicker;
