import React from 'react';
import './index.module.scss';
declare type PropsInterface = {
    value: any;
    onChange?: (value: {
        id: number | string;
        file_name: string;
        url: string;
    }[]) => void;
    singleLimit?: number;
    totalLimit?: number;
    marking?: string;
    buttonText?: string;
    buttonProps?: any;
    buttonRender?: any;
    tipRender?: any;
    uploadProps?: any;
    sourceChannel?: string;
    uploadType?: 'img' | 'file';
    previewUrl?: string;
    udeskVersion?: string;
    tooltipPlacement?: string;
    weirdMode?: boolean;
    singleFileOutOfSizeFun?: (fileName: string, singleSizeLimit: number) => boolean;
    totalFileOutOfSizeFun?: (currentTotalSize: number, totalSizeLimit: number) => boolean;
    hoveTip?: boolean;
};
declare const _default: React.NamedExoticComponent<PropsInterface>;
export default _default;
