import React from 'react';
import Form from '../form';
import type { FormInstance, FormProps } from './types/form';
import type { FormInstance as AFormInstance } from '../form';
declare const InternalForm: (props: React.PropsWithChildren<FormProps> & {
    ref?: React.Ref<FormInstance>;
}) => React.ReactElement;
declare type InternalFormType = typeof InternalForm;
interface RefFormType extends InternalFormType {
    useForm: (formInstance?: FormInstance | undefined) => [AFormInstance];
    Item: typeof Form.Item;
}
declare const RefForm: RefFormType;
export default RefForm;
export type { AFormInstance as FormInstance, FormProps };
