"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = require("react");

var _form = _interopRequireDefault(require("../form"));

var _componentMap = _interopRequireDefault(require("./default-component-maps/component-map"));

var _formBuilder = _interopRequireDefault(require("./form-builder"));

var _useFormContext = _interopRequireDefault(require("./useFormContext"));

var _getFieldComponent = require("./utils/get-field-component");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Item = _form["default"].Item;
var FormBuilder = (0, _formBuilder["default"])(_getFieldComponent.getFieldComponent.bind(null, _componentMap["default"]));
var InternalForm = /*#__PURE__*/(0, _react.forwardRef)(FormBuilder);
var RefForm = InternalForm;
RefForm.useForm = _useFormContext["default"];
RefForm.Item = Item;

var _default = exports["default"] = RefForm;
//# sourceMappingURL=index.js.map
