"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    'cancel': 'Cancel',
    'uploader': {
        'uploadImg': 'Upload an image',
        'uploadImgIng': 'Uploading an image',
        'uploadImgFail': 'Upload failed',
        'insertImg': 'Insert an image'
    },
    'page': {
        'im': {
            'ticket': {
                'warning': {
                    'exceedsTotalSize': 'Total file size {0} exceeds the limit size {1}',
                    'exceedsSize': 'File {0} exceeds the limit size {1}',
                }
            },
        }
    },
    'statusbar': {
        'translate': 'translate'
    },
    'originalPlaceholder': 'Please enter the original text',
    'language': {
        'chinese': 'Chinese',
        'zh-cn': 'Chinese (Simplified)',
        'zh-tw': 'Chinese (Traditional)',
        'en-us': 'English',
        'fr': 'French',
        'de': 'German',
        'fil': 'Filipino (Tagalog)',
        'ja': 'Japanese',
        'it': 'Italian',
        'ru': 'Russian',
        'ko': 'Korean',
        'vi': 'Vietnamese',
        'af': 'Afrikaans',
        'sq': 'albanian',
        'am': 'Amharic',
        'ar': 'Arabic',
        'hy': 'Armenian',
        'as': 'Assamese*',
        'ay': 'Aymara*',
        'az': 'Azerbaijani',
        'bm': 'Bambara*',
        'eu': 'Basque',
        'be': 'Belarusian',
        'bn': 'Bengali',
        'bho': 'Bojpur*',
        'bs': 'Bosnian',
        'bg': 'Bulgarian',
        'ca': 'Catalan',
        'ceb': 'Cebuano',
        'co': 'Corsican',
        'hr': 'Croatian',
        'cs': 'Czech',
        'da': 'Danish',
        'dv': 'Divehi*',
        'doi': 'Doglai*',
        'nl': 'Dutch',
        'eo': 'Esperanto',
        'et': 'Estonian',
        'ee': 'Evi*',
        'fi': 'Finnish',
        'fy': 'Frisian',
        'gl': 'Galician',
        'ka': 'Georgian',
        'el': 'Greek',
        'gn': 'Guarani*',
        'gu': 'Gujarati',
        'ht': 'Haitian Creole',
        'ha': 'hausa',
        'haw': 'hawaiian',
        'he': 'Hebrew',
        'hi': 'Hindi',
        'hmn': 'Miao language',
        'hu': 'Hungarian',
        'is': 'Icelandic',
        'ig': 'igbo',
        'ilo': 'Ilokarno*',
        'id': 'Indonesian',
        'ga': 'irish',
        'jv': 'Javanese',
        'kn': 'Kannada',
        'kk': 'kazakh',
        'km': 'Khmer',
        'rw': 'Rwandese',
        'gom': 'Gonggen language*',
        'kri': 'Creole*',
        'ku': 'Kurdish language',
        'ckb': 'Kurdish (Solani)*',
        'ky': 'Kyrgyz',
        'lo': 'Lao',
        'la': 'Latin',
        'lv': 'Latvian',
        'ln': 'Lingla*',
        'lt': 'Lithuanian',
        'lg': 'Luganda*',
        'lb': 'Luxembourgish language',
        'mk': 'Macedonian',
        'mai': 'Matili*',
        'mg': 'Malgashi',
        'ms': 'Malay',
        'ml': 'Malayalam script',
        'mt': 'Maltese',
        'mi': 'Maori',
        'mr': 'Maladi',
        'mni-Mtei': 'Mehtai (Manipur)*',
        'mni-lus': 'Mizo language*',
        'mn': 'Mongolian',
        'my': 'Burmese',
        'ne': 'Nepali',
        'no': 'norwegian',
        'ny': 'Nyanza (Zicheva)',
        'or': 'Oriya (Oriya)',
        'om': 'Oromo*',
        'ps': 'Pashto',
        'fa': 'farsi',
        'pl': 'Polish',
        'pt': 'Portuguese (Portugal, Brazil)',
        'pa': 'Punjabi',
        'qu': 'Quechua*',
        'ro': 'romanian',
        'sm': 'Samoan',
        'sa': 'Sanskrit*',
        'gd': 'Scottish Gaelic',
        'nso': 'Sepeti*',
        'sr': 'Serbian',
        'st': 'Sesoto',
        'sn': 'Shona',
        'sd': 'Sindhi language',
        'si': 'Sinhalese',
        'sk': 'Slovak',
        'sl': 'Slovenian',
        'so': 'Somali',
        'es': 'Spanish',
        'su': 'Sundanese',
        'sw': 'Swahili',
        'sv': 'Swedish',
        'tl': 'Tagalog (Filipino)',
        'tg': 'Tajik',
        'ta': 'Tamil',
        'tt': 'Tartar',
        'te': 'Telugu',
        'th': 'Thai',
        'ti': 'Tigonian*',
        'ts': 'Zongjia*',
        'tr': 'Turkish',
        'tk': 'Turkmen',
        'ak': 'Qiwei (Akan)*',
        'uk': 'Ukrainian',
        'ur': 'Urdu',
        'ug': 'Uyghur',
        'uz': 'Uzbek',
        'cy': 'Welsh',
        'xh': 'Bantu language',
        'yi': 'Yiddish',
        'yo': 'Yoruba',
        'zu': 'Zulu'
    }
};
