"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    cancel: "취소",
    uploader: {
        uploadImg: "이미지 업로드",
        uploadImgIng: "사진 업로드",
        uploadImgFail: "업로드 실패",
        insertImg: "그림 삽입",
    },
    page: {
        im: {
            ticket: {
                warning: {
                    exceedsTotalSize: "총 파일 크기 {0} 는 제한 크기 {1} 를 초과합니다.",
                    exceedsSize: "파일 {0} 은 제한 크기 {1} 를 초과합니다.",
                },
            },
        },
    },
    statusbar: { translate: "번역" },
    originalPlaceholder: "원본 텍스트를 입력하십시오.",
    language: {
        chinese: "중국어",
        "zh-cn": "중국어 (간체)",
        "zh-tw": "중국어 (전통)",
        "en-us": "영어",
        fr: "프랑스어",
        de: "독일어",
        fil: "필리핀 (타갈로그어)",
        ja: "일본어",
        it: "이탈리아어",
        ru: "러시아어",
        ko: "한국어",
        vi: "베트남",
        af: "아프리칸스어",
        sq: "알바니아어",
        am: "암하라",
        ar: "아랍어",
        hy: "아르메니아",
        as: "아삼 어 *",
        ay: "아이 마라 *",
        az: "아제르바이잔",
        bm: "밤바라 *",
        eu: "바스크",
        be: "벨로루시 인",
        bn: "벵골어",
        bho: "Bojpur *",
        bs: "보스니아",
        bg: "불가리아어",
        ca: "카탈루냐",
        ceb: "세부",
        co: "코르시카",
        hr: "크로아티아",
        cs: "체코",
        da: "덴마크어",
        dv: "디베히 *",
        doi: "도글레스 *",
        nl: "네덜란드",
        eo: "에스페란토",
        et: "에스토니아",
        ee: "에비 *",
        fi: "핀란드어",
        fy: "프리지아",
        gl: "갈리시아",
        ka: "그루지야",
        el: "그리스어",
        gn: "과라니 *",
        gu: "구자라트",
        ht: "아이티 크리올",
        ha: "하우사",
        haw: "하와이",
        he: "히브리어",
        hi: "힌디어",
        hmn: "Miao 언어",
        hu: "헝가리",
        is: "아이슬란드 어",
        ig: "이그보",
        ilo: "일로카노 *",
        id: "인도네시아",
        ga: "아일랜드",
        jv: "자바",
        kn: "칸나다",
        kk: "카자흐",
        km: "크메르",
        rw: "르완다",
        gom: "공겐 *",
        kri: "크리올 *",
        ku: "쿠르드어",
        ckb: "쿠르드족 (솔라니) *",
        ky: "키르기즈",
        lo: "라오",
        la: "라틴어",
        lv: "라트비아어",
        ln: "링갈라 *",
        lt: "리투아니아",
        lg: "루칸다 *",
        lb: "룩셈부르크",
        mk: "마케도니아",
        mai: "마이 틸리 *",
        mg: "말가스",
        ms: "말레이",
        ml: "말라 얄람",
        mt: "몰타",
        mi: "마오리",
        mr: "마라 티",
        "mni-Mtei": "메타 (마니 푸르) *",
        "mni-lus": "미조 *",
        mn: "몽골",
        my: "버마인",
        ne: "네팔",
        no: "노르웨이",
        ny: "Nyanza (Chicheva)",
        or: "오리 야 (오리 야)",
        om: "오로모 *",
        ps: "파슈토",
        fa: "페르시아",
        pl: "폴란드어",
        pt: "포르투갈어 (포르투갈, 브라질)",
        pa: "펀잡",
        qu: "케 추아 *",
        ro: "루마니아어",
        sm: "사모안",
        sa: "산스크리트어 *",
        gd: "스코틀랜드 게 일어",
        nso: "세페티 *",
        sr: "세르비아어",
        st: "세소토",
        sn: "쇼나",
        sd: "신디 독일어",
        si: "신 할라",
        sk: "슬로바키아어",
        sl: "슬로베니아",
        so: "소말리아",
        es: "스페인어",
        su: "순다",
        sw: "스와힐리어",
        sv: "스웨덴",
        tl: "타갈로그어 (필리핀)",
        tg: "타직",
        ta: "타밀어",
        tt: "타타르",
        te: "텔루구 어",
        th: "태국",
        ti: "티냥 *",
        ts: "종카 *",
        tr: "터키",
        tk: "투르크멘",
        ak: "체비 (아칸) *",
        uk: "우크라이나어",
        ur: "우르두어",
        ug: "위구르",
        uz: "우즈벡",
        cy: "웨일스 어",
        xh: "반투",
        yi: "이디시어",
        yo: "요 루바",
        zu: "줄루",
    },
};
