"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    cancel: 'Отменить',
    uploader: {
        uploadImg: 'Загрузить изображение',
        uploadImgIng: 'Загрузить изображение',
        uploadImgFail: 'Ошибка загрузки',
        insertImg: 'Вставить изображение',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    "exceedsTotalSize": "Общий размер файла {0} превышает установленный размер {1}",
                    "exceedsSize": "файл {0} превышает установленный размер {1}",
                },
            },
        },
    },
    statusbar: { translate: 'Перевод' },
    originalPlaceholder: 'Введите оригинал',
    language: {
        chinese: 'Китайский язык',
        'zh-cn': 'Китайский (упрощенный)',
        'zh-tw': 'Китайский (стиль)',
        'en-us': 'Английский язык',
        fr: 'Французский язык',
        de: 'Немецкий язык',
        fil: 'Филиппинский (тагарский)',
        ja: 'Японский язык',
        it: 'Итальянский язык',
        ru: 'Русский язык',
        ko: 'Корейский язык',
        vi: 'Вьетнамский язык',
        af: 'Африкаанс',
        sq: 'Албанский язык',
        am: 'Амхарский язык',
        ar: 'Арабский язык',
        hy: 'Армянский язык',
        as: 'Ассамский язык *',
        ay: 'Аймарский язык *',
        az: 'Азербайджанский язык',
        bm: 'Бамбарский язык *',
        eu: 'Баскский язык',
        be: 'Белорусский язык',
        bn: 'Бенгальский язык',
        bho: 'Боджпурский язык *',
        bs: 'Боснийский язык',
        bg: 'Болгарский язык',
        ca: 'Каталонский язык',
        ceb: 'Себу',
        co: 'Корсиканский язык',
        hr: 'Хорватский язык',
        cs: 'Чешский язык',
        da: 'Датский язык',
        dv: 'Дивихский язык *',
        doi: 'Догри *',
        nl: 'Нидерландский язык',
        eo: 'Эсперанто',
        et: 'Эстонский язык',
        ee: 'Эви *',
        fi: 'Финский язык',
        fy: 'Фризский язык',
        gl: 'Галисийский язык',
        ka: 'Грузинский язык',
        el: 'Греческий язык',
        gn: 'Гуарани *',
        gu: 'Гуджарат',
        ht: 'Гаитянский креольский язык',
        ha: 'Хауса (язык)',
        haw: 'Гавайский язык',
        he: 'Иврит',
        hi: 'Индийский язык',
        hmn: 'Мяо (язык)',
        hu: 'Венгерский язык',
        is: 'Исландский язык',
        ig: 'Ибо',
        ilo: 'Илокано *',
        id: 'Индонезийский язык',
        ga: 'Ирландский язык',
        jv: 'Яванский язык',
        kn: 'Канада',
        kk: 'Казахский язык',
        km: 'Кхмерский язык',
        rw: 'Руандийский язык',
        gom: 'Гунгенский язык *',
        kri: 'Креольский *',
        ku: 'Курдский язык',
        ckb: 'Курдский (Солани) *',
        ky: 'Киргизский язык',
        lo: 'Лаосский язык',
        la: 'Латинский язык',
        lv: 'Латвийский язык',
        ln: 'Лингерский язык *',
        lt: 'Литовский язык',
        lg: 'Луганда *',
        lb: 'Люксембургский язык',
        mk: 'Македонский язык',
        mai: 'Майтильский язык *',
        mg: 'Маргашский язык',
        ms: 'Малайский язык',
        ml: 'Малаялам',
        mt: 'Мальтийский язык',
        mi: 'Маори',
        mr: 'Малайский язык',
        'mni-Mtei': 'Метайский (манипурский) *',
        'mni-lus': 'Мизо *',
        mn: 'Монгольский язык',
        my: 'Бирманский язык',
        ne: 'Непальский язык',
        no: 'Норвежский язык',
        ny: 'Ньянза (цичевский)',
        or: 'Орийский (Oria)',
        om: 'Оромо *',
        ps: 'Пушту',
        fa: 'Персидский язык',
        pl: 'Польский язык',
        pt: 'Португальский (Португалия, Бразилия)',
        pa: 'Пенджабский язык',
        qu: 'Кечуа *',
        ro: 'Румынский язык',
        sm: 'Самоанский язык',
        sa: 'Санскрит *',
        gd: 'Шотландский гэльский язык',
        nso: 'Сепетский язык *',
        sr: 'Сербский язык',
        st: 'Сесото (язык)',
        sn: 'Сюна',
        sd: 'Письма по - немецки',
        si: 'Сингальский язык',
        sk: 'Словацкий язык',
        sl: 'Словенский язык',
        so: 'Сомалийский язык',
        es: 'Испанский язык',
        su: 'Зондский язык',
        sw: 'Суахили',
        sv: 'Шведский язык',
        tl: 'Тагалу (филиппинский)',
        tg: 'Таджикский язык',
        ta: 'Тамильский язык',
        tt: 'Татарский язык',
        te: 'Телугу',
        th: 'Тайский язык',
        ti: 'Тигнийский язык *',
        ts: 'Зонгский язык *',
        tr: 'Турецкий язык',
        tk: 'Туркменский язык',
        ak: 'Чиви (аканский) *',
        uk: 'Украинский язык',
        ur: 'Урду',
        ug: 'Уйгурский язык',
        uz: 'Узбекский язык',
        cy: 'Валлийский язык',
        xh: 'Банту',
        yi: 'Идишский язык',
        yo: 'Йоруба (язык)',
        zu: 'Зулу',
    },
};
