"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    cancel: 'Hủy bỏ',
    uploader: {
        uploadImg: 'Upload ảnh',
        uploadImgIng: 'Upload ảnh',
        uploadImgFail: 'Tải lên không thành công',
        insertImg: 'Chèn ảnh',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    "exceedsTotalSize": "Tổng kích thước tập tin {0} Vượt quá kích thước giới hạn {1}",
                    "exceedsSize": "Tập tin {0} vượt quá kích thước giới hạn {1}",
                },
            },
        },
    },
    statusbar: { translate: 'Dịch' },
    originalPlaceholder: 'Vui lòng nhập nguyên văn',
    language: {
        chinese: 'Trung Quốc',
        'zh-cn': 'Tiếng Việt (Giản thể)',
        'zh-tw': 'Trung Quốc (truyền thống)',
        'en-us': 'Tiếng Việt',
        fr: 'Tiếng Việt',
        de: 'Tiếng Việt',
        fil: 'Tiếng Filipino (Tagala)',
        ja: 'Tiếng Việt',
        it: 'Tiếng Ý',
        ru: 'Tiếng Việt',
        ko: 'Hàn Quốc',
        vi: 'Tiếng Việt',
        af: 'Việt Nam',
        sq: 'Tiếng Albania',
        am: 'Name',
        ar: 'Tiếng Việt',
        hy: 'Armenia',
        as: 'Tiếng Assam *',
        ay: 'Tiếng Aymara *',
        az: 'Azerbaijan',
        bm: 'Tiếng Bambara *',
        eu: 'Tiếng Basque',
        be: 'Bêlarut',
        bn: 'Bengali',
        bho: 'Tiếng Bhojpur *',
        bs: 'Việt Nam',
        bg: 'Tiếng Bulgaria',
        ca: 'Catalunya',
        ceb: 'Tiếng Cebu',
        co: 'Name',
        hr: 'Tiếng Croatia',
        cs: 'Tiếng Séc',
        da: 'Đan Mạch',
        dv: 'Tiếng Việt',
        doi: 'Tiếng Dogger *',
        nl: 'Hà Lan',
        eo: 'Tiếng Esperanto',
        et: 'Tiếng Estonia',
        ee: 'Tiếng Việt',
        fi: 'Phần Lan',
        fy: 'Tiếng Frisia',
        gl: 'Name',
        ka: 'Gi- oa- gi- aName',
        el: 'Hy lạp',
        gn: 'Tiếng Guarani *',
        gu: 'Gujarat',
        ht: 'Name',
        ha: 'Tiếng Hausa',
        haw: 'Tiếng Hawaii',
        he: 'Do Thái',
        hi: 'Tiếng Hindi',
        hmn: 'Miêu ngữ',
        hu: 'Việt Nam',
        is: 'Iceland',
        ig: 'Tiếng Igbo',
        ilo: 'Tiếng Ilocano *',
        id: 'Tiếng Việt',
        ga: 'Tiếng Việt',
        jv: 'Tiếng Java',
        kn: 'Name',
        kk: 'Kazakhstan',
        km: 'Tiếng Khmer',
        rw: 'Rwanda',
        gom: 'Tiếng Gongen *',
        kri: 'Tiếng Creole *',
        ku: 'Tiếng Việt',
        ckb: 'Tiếng Kurd (Solani) *',
        ky: 'Kyrgyzstan',
        lo: 'Lào',
        la: 'La tinh',
        lv: 'Tiếng Latvia',
        ln: 'Tiếng Lingala *',
        lt: 'Li- tu- a- niName',
        lg: 'Tiếng Luganda *',
        lb: 'Luxembourg',
        mk: 'Ma- xê- đô- ni- aName',
        mai: 'Tiếng Maithili *',
        mg: 'Tiếng Malgash',
        ms: 'Tiếng Việt',
        ml: 'Name',
        mt: 'Tiếng Malta',
        mi: 'Ma- ri- aName',
        mr: 'Ma- la- điName',
        'mni-Mtei': 'Tiếng Metai (Manipur) *',
        'mni-lus': 'Tiếng Mizo *',
        mn: 'Mông Cổ',
        my: 'Miến Điện',
        ne: 'Tiếng Nepal',
        no: 'Na Uy',
        ny: 'Tiếng Nyanza (Tshichewa)',
        or: 'Tiếng Oria (Oria)',
        om: 'Tiếng Oromo *',
        ps: 'Name',
        fa: 'Ba Tư',
        pl: 'Ba Lan',
        pt: 'Tiếng Bồ Đào Nha (Bồ Đào Nha, Brazil)',
        pa: 'Punjabi',
        qu: 'Tiếng Quechua *',
        ro: 'Rumani',
        sm: 'Name',
        sa: 'Tiếng Phạn *',
        gd: 'Tiếng Gaelic Scotland',
        nso: 'Tiếng Sepetti *',
        sr: 'Tiếng Serbia',
        st: 'Name',
        sn: 'Name',
        sd: 'Tiếng Việt',
        si: 'Name',
        sk: 'Xlô- vákName',
        sl: 'Xlô- viName',
        so: 'Somalia',
        es: 'Tiếng Việt',
        su: 'Tiếng Sunda',
        sw: 'Tiếng Swahili',
        sv: 'Thụy Điển',
        tl: 'Tiếng Tagalog (Tiếng Filipino)',
        tg: 'Name',
        ta: 'Thái Lan',
        tt: 'Name',
        te: 'Thái Lan',
        th: 'Thái Lan',
        ti: 'Tiếng Tig*',
        ts: 'Tiếng Tsonga *',
        tr: 'Thổ nhĩ kỳ',
        tk: 'Name',
        ak: 'Tiếng Chewi (Akan) *',
        uk: 'Tiếng Việt',
        ur: 'Tiếng Urdu',
        ug: 'Duy Ngô Nhĩ',
        uz: 'Tiếng Uzbek',
        cy: 'Tiếng Wales',
        xh: 'Ban- tu',
        yi: 'Tiếng Yiddish',
        yo: 'Tiếng Yoruba',
        zu: 'Tiếng Zulu',
    },
};
