/** @jsx jsx */
import { jsx } from '@emotion/react';
import { Component, CSSProperties } from 'react';
import { Column, ValueType } from "./types";
declare type Props = {
    className: string;
    columnButtonClassName: string;
    columnButtonStyle: CSSProperties;
    columns: Column[];
    value?: ValueType;
    t: (string: any) => string;
    onClose: () => void;
    onOpen: () => void;
    onChange?: (value: ValueType) => void;
};
interface State {
    isOpen: boolean;
    checkedColumns: Array<string>;
}
declare class ColumnControlPopover extends Component<Props, State> {
    private _ref;
    private _doNotClosePopover;
    constructor(props: any);
    handleCheckChange(checked: any, column: any): void;
    render(): jsx.JSX.Element;
    private _bodyEvent;
    componentDidMount(): void;
    componentWillUnmount(): void;
    _close(): void;
    _open(): void;
    _toggle(): void;
    _onChange: (value: any) => void;
    static defaultProps: {
        columnButtonClassName: string;
    };
}
export default ColumnControlPopover;
