import React, { ComponentProps } from 'react';
import { TimePicker } from 'udesk-ui';
import FieldErrAndExplain from '@udesk-webapp/custom-field-error-explain';
import CopyComponent from '@udesk-webapp/copy-content';
declare type ITime = Omit<ComponentProps<typeof TimePicker>, 'onChange' | 'onBlur'> & Omit<ComponentProps<typeof FieldErrAndExplain>, 'errMsg'> & ComponentProps<typeof CopyComponent> & {
    trigger: 'onChange' | 'onBlur';
    customValidPromise?: (value: string) => Promise<any>;
    convertPropsFn?: any;
    onChange?: (data: any) => void;
    onBlur?: (data: any) => void;
    notUseDefault?: Boolean;
    value?: any;
    blurToSave?: boolean;
};
declare const Time: React.FC<ITime>;
export default Time;
