"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var select_1 = tslib_1.__importDefault(require("udesk-ui/es/select"));
var filterOption = function (inputValue, option) { return (option === null || option === void 0 ? void 0 : option.nick_name.indexOf(inputValue)) > -1 || (option === null || option === void 0 ? void 0 : option.agent_name_pinyin.indexOf(inputValue)) > -1; };
var StaffSelect = function (_a) {
    var staffs = _a.staffs, props = tslib_1.__rest(_a, ["staffs"]);
    var options = react_1.useMemo(function () { var _a; return (_a = staffs === null || staffs === void 0 ? void 0 : staffs.map(function (i) { return ({
        id: i.id,
        nick_name: i.nick_name,
        agent_name_pinyin: i.agent_name_pinyin,
        value: i.id,
        label: i.nick_name
    }); })) !== null && _a !== void 0 ? _a : []; }, [staffs]);
    return react_1.default.createElement(select_1.default, tslib_1.__assign({}, props, { filterOption: filterOption, options: options }));
};
StaffSelect.defaultProps = {
    showSearch: true,
    allowClear: true,
    dropdownMatchSelectWidth: false
};
exports.default = StaffSelect;
