"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileIcon = exports.PositionEnum = exports.Upload = exports.FormTreeSelect = exports.FormTimePicker = exports.FormLink = exports.FormTextArea = exports.FormText = exports.FormSelectInput = exports.FormSelect = exports.FormRangePicker = exports.FormRange = exports.FormRadio = exports.FormNumber = exports.FormMultipleSelect = exports.FormLocation = exports.FormDatePicker = exports.FormCheckbox = exports.FormCascader = exports.CopyText = exports.ContentView = exports.Content = exports.AttachmentListView = void 0;
var tslib_1 = require("tslib");
var attachment_list_view_1 = tslib_1.__importDefault(require("./fields/attachment-list-view"));
exports.AttachmentListView = attachment_list_view_1.default;
var content_edit_1 = tslib_1.__importDefault(require("./fields/content/content-edit"));
exports.Content = content_edit_1.default;
var content_view_1 = tslib_1.__importDefault(require("./fields/content/content-view"));
exports.ContentView = content_view_1.default;
var copy_1 = tslib_1.__importStar(require("./fields/copy"));
exports.CopyText = copy_1.default;
Object.defineProperty(exports, "PositionEnum", { enumerable: true, get: function () { return copy_1.PositionEnum; } });
var cascader_1 = tslib_1.__importDefault(require("./fields/cascader"));
exports.FormCascader = cascader_1.default;
var checkbox_1 = tslib_1.__importDefault(require("./fields/checkbox"));
exports.FormCheckbox = checkbox_1.default;
var datePicker_1 = tslib_1.__importDefault(require("./fields/datePicker"));
exports.FormDatePicker = datePicker_1.default;
var location_1 = tslib_1.__importDefault(require("./fields/location"));
exports.FormLocation = location_1.default;
var select_multiple_1 = tslib_1.__importDefault(require("./fields/select-multiple"));
exports.FormMultipleSelect = select_multiple_1.default;
var number_1 = tslib_1.__importDefault(require("./fields/number"));
exports.FormNumber = number_1.default;
var radio_1 = tslib_1.__importDefault(require("./fields/radio"));
exports.FormRadio = radio_1.default;
var range_1 = tslib_1.__importDefault(require("./fields/range"));
exports.FormRange = range_1.default;
var rangePicker_1 = tslib_1.__importDefault(require("./fields/rangePicker"));
exports.FormRangePicker = rangePicker_1.default;
var select_1 = tslib_1.__importDefault(require("./fields/select"));
exports.FormSelect = select_1.default;
var select_input_1 = tslib_1.__importDefault(require("./fields/select-input"));
exports.FormSelectInput = select_input_1.default;
var text_1 = tslib_1.__importDefault(require("./fields/text"));
exports.FormText = text_1.default;
var link_1 = tslib_1.__importDefault(require("./fields/link"));
exports.FormLink = link_1.default;
var textarea_1 = tslib_1.__importDefault(require("./fields/textarea"));
exports.FormTextArea = textarea_1.default;
var timePicker_1 = tslib_1.__importDefault(require("./fields/timePicker"));
exports.FormTimePicker = timePicker_1.default;
var tree_select_1 = tslib_1.__importDefault(require("./fields/tree-select"));
exports.FormTreeSelect = tree_select_1.default;
var upload_1 = tslib_1.__importDefault(require("./fields/upload"));
exports.Upload = upload_1.default;
var file_icon_1 = tslib_1.__importDefault(require("./fields/file-icon"));
exports.FileIcon = file_icon_1.default;
exports.default = {
    AttachmentListView: attachment_list_view_1.default,
    Content: content_edit_1.default,
    ContentView: content_view_1.default,
    CopyText: copy_1.default,
    FormCascader: cascader_1.default,
    FormCheckbox: checkbox_1.default,
    FormDatePicker: datePicker_1.default,
    FormLocation: location_1.default,
    FormMultipleSelect: select_multiple_1.default,
    FormNumber: number_1.default,
    FormRadio: radio_1.default,
    FormRange: range_1.default,
    FormRangePicker: rangePicker_1.default,
    FormSelect: select_1.default,
    FormSelectInput: select_input_1.default,
    FormText: text_1.default,
    FormTextArea: textarea_1.default,
    FormLink: link_1.default,
    FormTimePicker: timePicker_1.default,
    FormTreeSelect: tree_select_1.default,
    Upload: upload_1.default,
    PositionEnum: copy_1.PositionEnum,
    FileIcon: file_icon_1.default,
};
