"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _index = require("../index");

var _configProvider = _interopRequireDefault(require("../config-provider"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }

function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }

var MulitlevelPicker = function MulitlevelPicker(_ref) {
  var title = _ref.title,
      dataKey = _ref.dataKey,
      displayKey = _ref.displayKey,
      childrenKey = _ref.childrenKey,
      dataSource = _ref.dataSource,
      initialValue = _ref.initialValue,
      _ref$value = _ref.value,
      value = _ref$value === void 0 ? [] : _ref$value,
      _ref$showSelectAll = _ref.showSelectAll,
      showSelectAll = _ref$showSelectAll === void 0 ? true : _ref$showSelectAll,
      _ref$multiple = _ref.multiple,
      multiple = _ref$multiple === void 0 ? false : _ref$multiple,
      loadData = _ref.loadData,
      onLevelChange = _ref.onLevelChange,
      dataSimpleMode = _ref.dataSimpleMode;
  var onValueChange = (0, _react.useCallback)(function () {}, []);
  var onClickNextLevet = (0, _react.useCallback)(function () {}, []);

  var _useContext = (0, _react.useContext)(_configProvider["default"].ConfigContext),
      getPrefixCls = _useContext.getPrefixCls;

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: getPrefixCls("mulitlevel-picker-wrapper")
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "mulitlevel-picker-source-wrapper"
  }, /*#__PURE__*/_react["default"].createElement("h3", {
    className: "multilevel-picker-source-header"
  }, title), /*#__PURE__*/_react["default"].createElement("div", {
    className: "multilevel-picker-source-breadcrumb"
  }, /*#__PURE__*/_react["default"].createElement(_index.Breadcrumb, null)), /*#__PURE__*/_react["default"].createElement(_index.Spin, {
    spinning: false
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "multilevel-picker-source-content"
  }, showSelectAll && /*#__PURE__*/_react["default"].createElement("div", {
    className: "multilevel-picker-check-all"
  }, multiple && /*#__PURE__*/_react["default"].createElement(_index.Checkbox // indeterminate={
  //     selectedAll
  //         ? false
  //         : currentDisplayList.find((item) => item.checked)
  //         ? true
  //         : false
  // }
  // onChange={onCheckAllChange}
  // checked={selectedAll}
  , null, "\u5168\u9009")), dataSource && dataSource.map(function (item) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      key: "".concat(item[dataKey]),
      className: "multilevel-picker-source-node"
    }, multiple ? /*#__PURE__*/_react["default"].createElement(_index.Checkbox, {
      value: item,
      checked: value.some(function (itemSelectedValue) {
        return itemSelectedValue[dataKey] === item[dataKey];
      }),
      onChange: onValueChange
    }, item[displayKey]) : /*#__PURE__*/_react["default"].createElement(_index.Radio, {
      value: item,
      checked: value.some(function (itemSelectedValue) {
        return itemSelectedValue[dataKey] === item[dataKey];
      }),
      onChange: onValueChange
    }, item[displayKey]), item['showLevel'] && /*#__PURE__*/_react["default"].createElement("div", {
      className: "check-box-btn"
    }, /*#__PURE__*/_react["default"].createElement(_index.Divider, {
      type: "vertical"
    }), /*#__PURE__*/_react["default"].createElement(_index.Button, {
      type: "link",
      onClick: onClickNextLevet.bind(item)
    }, "\u4E0B\u7EA7")));
  })))));
};

var _default = exports["default"] = MulitlevelPicker;
//# sourceMappingURL=index.js.map
