"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _button = _interopRequireDefault(require("antd/lib/button"));

var _dropdown = _interopRequireDefault(require("antd/lib/dropdown"));

var _menu = _interopRequireDefault(require("antd/lib/menu"));

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icons = require("@ant-design/icons");

var _configProvider = _interopRequireDefault(require("../../../config-provider"));

require("./index.less");

function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }

function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * 默认的 index 列容器，提供一个好看的 index
 * @param param0
 */
var DropdownButton = function DropdownButton(_ref) {
  var children = _ref.children,
      _ref$menus = _ref.menus,
      menus = _ref$menus === void 0 ? [] : _ref$menus,
      onSelect = _ref.onSelect,
      className = _ref.className,
      style = _ref.style;

  var _useContext = (0, _react.useContext)(_configProvider["default"].ConfigContext),
      getPrefixCls = _useContext.getPrefixCls;

  var tempClassName = getPrefixCls('pro-table-dropdown');

  var menu = /*#__PURE__*/_react["default"].createElement(_menu["default"], {
    onClick: function onClick(params) {
      return onSelect && onSelect(params.key);
    }
  }, menus.map(function (item) {
    return /*#__PURE__*/_react["default"].createElement(_menu["default"].Item, {
      key: item.key
    }, item.name);
  }));

  return /*#__PURE__*/_react["default"].createElement(_dropdown["default"], {
    overlay: menu,
    className: (0, _classnames["default"])(tempClassName, className)
  }, /*#__PURE__*/_react["default"].createElement(_button["default"], {
    style: style
  }, children, " ", /*#__PURE__*/_react["default"].createElement(_icons.DownOutlined, null)));
};

var TableDropdown = function TableDropdown(_ref2) {
  var propsClassName = _ref2.className,
      style = _ref2.style,
      onSelect = _ref2.onSelect,
      _ref2$menus = _ref2.menus,
      menus = _ref2$menus === void 0 ? [] : _ref2$menus;

  var _useContext2 = (0, _react.useContext)(_configProvider["default"].ConfigContext),
      getPrefixCls = _useContext2.getPrefixCls;

  var className = getPrefixCls('pro-table-dropdown');

  var menu = /*#__PURE__*/_react["default"].createElement(_menu["default"], {
    onClick: function onClick(params) {
      return onSelect && onSelect(params.key);
    }
  }, menus.map(function (item) {
    return /*#__PURE__*/_react["default"].createElement(_menu["default"].Item, {
      key: item.key
    }, item.name);
  }));

  return /*#__PURE__*/_react["default"].createElement(_dropdown["default"], {
    overlay: menu,
    className: (0, _classnames["default"])(className, propsClassName)
  }, /*#__PURE__*/_react["default"].createElement("a", {
    style: style
  }, /*#__PURE__*/_react["default"].createElement(_icons.EllipsisOutlined, null)));
};

TableDropdown.Button = DropdownButton;

var _default = exports["default"] = TableDropdown;
//# sourceMappingURL=index.js.map
