"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _tooltip = _interopRequireDefault(require("antd/lib/tooltip"));

var _menu = _interopRequireDefault(require("antd/lib/menu"));

var _dropdown = _interopRequireDefault(require("antd/lib/dropdown"));

var _react = _interopRequireDefault(require("react"));

var _icons = require("@ant-design/icons");

var _container = _interopRequireDefault(require("../../container"));

var _intlContext = require("../intlContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var DensityIcon = function DensityIcon(_, ref) {
  var counter = _container["default"].useContainer();

  var intl = (0, _intlContext.useIntl)();
  return /*#__PURE__*/_react["default"].createElement(_dropdown["default"], {
    overlay: /*#__PURE__*/_react["default"].createElement(_menu["default"], {
      selectedKeys: [counter.tableSize],
      onClick: function onClick(_ref) {
        var key = _ref.key;

        if (counter.setTableSize) {
          counter.setTableSize(key);
        }
      },
      style: {
        width: 80
      }
    }, /*#__PURE__*/_react["default"].createElement(_menu["default"].Item, {
      key: "large"
    }, intl.getMessage('tableToolBar.densityLarger', '默认')), /*#__PURE__*/_react["default"].createElement(_menu["default"].Item, {
      key: "middle"
    }, intl.getMessage('tableToolBar.densityMiddle', '中等')), /*#__PURE__*/_react["default"].createElement(_menu["default"].Item, {
      key: "small"
    }, intl.getMessage('tableToolBar.densitySmall', '紧凑'))),
    trigger: ['click']
  }, /*#__PURE__*/_react["default"].createElement(_tooltip["default"], {
    ref: ref,
    title: intl.getMessage('tableToolBar.density', '表格密度')
  }, /*#__PURE__*/_react["default"].createElement(_icons.ColumnHeightOutlined, null)));
};

var _default = exports["default"] = /*#__PURE__*/_react["default"].forwardRef(DensityIcon);
//# sourceMappingURL=DensityIcon.js.map
