import type { ColumnType } from 'antd/es/table';
import type { RequestData, ProColumns } from './index';
import type { UseFetchDataAction } from './useFetchData';
import type { DensitySize } from './component/toolBar/DensityIcon';
import type { ColumnsState } from './Table';
export interface UseCounterProps {
    columnsStateMap?: {
        [key: string]: ColumnsState;
    };
    onColumnsStateChange?: (map: {
        [key: string]: ColumnsState;
    }) => void;
    size?: DensitySize;
    onSizeChange?: (size: DensitySize) => void;
}
declare const Counter: import("unstated-next").Container<{
    action: import("react").MutableRefObject<UseFetchDataAction<RequestData<any>> | undefined>;
    setAction: (newAction: UseFetchDataAction<RequestData<any>>) => void;
    sortKeyColumns: (string | number)[];
    setSortKeyColumns: import("react").Dispatch<import("react").SetStateAction<(string | number)[]>>;
    columns: ColumnType<any>[];
    setColumns: import("react").Dispatch<import("react").SetStateAction<ColumnType<any>[]>>;
    columnsMap: {
        [key: string]: ColumnsState;
    };
    setTableSize: (value: DensitySize) => void;
    tableSize: DensitySize;
    setColumnsMap: (value: {
        [key: string]: ColumnsState;
    }) => void;
    proColumns: ProColumns<any>[];
    setProColumns: import("react").Dispatch<import("react").SetStateAction<ProColumns<any>[]>>;
}, UseCounterProps>;
export default Counter;
