import React from 'react';
import { ConfigProvider, Modal, message } from 'udesk-ui';
import { ApplyPluginsType } from 'umi';
import { plugin } from '../core/umiExports';

export function rootContainer(container) {
  const runtimeAntd = plugin.applyPlugins({
    key: 'antd',
    type: ApplyPluginsType.modify,
    initialValue: {},
  });

  const finalConfig = {...{{{ config }}},...runtimeAntd}

// 这些已经在 udesk-ui 的 ConfigProvider 中内置了
//   if (finalConfig.prefixCls) {
//     Modal.config({
//       rootPrefixCls: finalConfig.prefixCls,
//     });
//     message.config({
//       prefixCls: `${finalConfig.prefixCls}-message`,
//     });
//   }
  return React.createElement(ConfigProvider, finalConfig, container);
}
