import React from 'react';
import { FIlterCondition as ConditionInterface, CustomField } from '@udesk-webapp/utils';
import { DataSourcesInterface } from '../ticket-filter-condition';
interface ParamsInterface {
    allConditions?: ConditionInterface[];
    anyConditions?: ConditionInterface[];
}
interface PropsInterface {
    allConditions?: ConditionInterface[];
    anyConditions?: ConditionInterface[];
    dataSources?: DataSourcesInterface;
    ticketCustomFields?: any;
    overlayClassName?: string;
    searching?: boolean;
    systemFields?: Partial<CustomField>[];
    onSearch?: (params: ParamsInterface) => void;
    onCancelSearch?: () => void;
    removalIconClass?: string;
    addIconClass?: string;
    addIconText?: string;
    filterClassName?: string;
}
declare const TicketFilterConditions: React.FC<PropsInterface>;
export default TicketFilterConditions;
