import pkg from './package.json';
import babel from 'rollup-plugin-babel';
import resolve from 'rollup-plugin-node-resolve';
import babelOption from './babel.config';

export default [{
    input: 'src/index.js',
    plugins: [resolve(), babel(babelOption)],
    external: id => !id.startsWith('\0') && !id.startsWith('.') && !id.startsWith('/'),
    output: [
        {
            file: pkg.module,
            format: 'es'
        }
    ]
}];
