module.exports = {
    'prettier.enable': true,
    'prettier.packageManager': 'yarn',
    'prettier.withNodeModules': false,
    'prettier.disableLanguages': ['vue'], // 不格式化vue文件，vue文件的格式化单独设置
    'prettier.eslintIntegration': false, //不让prettier使用eslint的代码格式进行校验
    'prettier.ignorePath': ['.prettierignore', '**/*.scss.d.ts'], // 不使用prettier格式化的文件填写在项目的.prettierignore文件中
    'prettier.requireConfig': true, // Require a 'prettierconfig' to format prettier
    'prettier.stylelintIntegration': false, //不让prettier使用stylelint的代码格式进行校验
    'prettier.tslintIntegration': false, // 不让prettier使用tslint的代码格式进行校验
};
