import * as reduxActions from './action';
import reduxReducers from './reducer';
import sagaConfig from './saga';
import defaultState from './default-state';
import { register } from '../../../udesk/react/redux/reducer';

export const uniqueReduxKey = "[model] users";

export function init() {
    register({
        uniqueReduxKey,
        reduxActions,
        reduxReducers,
        sagaConfig,
        defaultState,
        displayName: "[model] users"
    });
}
