// import { createAction } from "@reduxjs/toolkit";
// import { takeEvery, call, put } from 'redux-saga/effects';
import UserDetailComponent from "./component";
import { uniqueReduxKey as userModelUniqueReduxKey } from '../../../models/users';
import UserListComponent from '../user-list';


// V2
UserDetailComponent.reduxReducers = {
};
UserDetailComponent.defaultState = {
    
};
UserListComponent.mapStateToProps = function ({ state, ownProps }) {
    let newState = { ...state };
    delete newState.currentUserId;
    return newState;
};

UserDetailComponent.reduxWatcher = [userModelUniqueReduxKey, UserListComponent];
/* 
   1. 组件类。监听组件类的全局级别
   2. 字符串。直接使用uniqueReduxKey监听，全局级别。
   3. { component: Class, reduxKey: "" }，支持监听组件类的全局级别，和实例级别 
   4. { uniqueReduxKey: "" }，与字符串相同
   5. 可以是数组
*/


export default UserDetailComponent;