import React, { useRef, forwardRef, useImperativeHandle } from 'react';
import { Table } from 'udesk-ui';
import styled from 'styled-components';
import { usePrefixCls } from '../utils';

interface ClassificationWrapProps {
  prefixCls: string;
}

const ClassificationWrap = styled.div<ClassificationWrapProps>``;

const CommonClassification = (props: any) => {
  const { prefixCls: customizePrefixCls } = props;

  const [tableBodyPrefixCls, prefixCls] = usePrefixCls('table-classification', customizePrefixCls);

  return (
    <ClassificationWrap prefixCls={prefixCls}>
        
    </ClassificationWrap>
  );
};

export default React.memo(CommonClassification);
