import styled from 'styled-components';

interface FilterContainerProps {
  prefixCls: string;
}

const FilterContainer = styled.div<FilterContainerProps>`
  padding: 12px 0 12px 16px;
  display: flex;
  align-items: flex-end;
  background-color: #fff;
  /* transition: all 0.3s; */
  ${(props) => `.${props.prefixCls}-form-builder-container`} {
    width: 100%;
    ${(props) => `.${props.prefixCls}-form-inline`} {
      ${(props) => `.${props.prefixCls}-form-item`} {
        &:last-child {
          flex: 1;
          ${(props) => `.${props.prefixCls}-form-item-control-input-content`} {
            text-align: end;
          }
        }
      }
    }
  }
  ${(porps) => `.${porps.prefixCls}-form-item`} {
    margin-top: 4px;
    margin-bottom: 4px;
  }
`;

export { FilterContainer };
