import styled from 'styled-components';

interface PageContainerProps {
  prefixCls: string;
}

const PageContainer = styled.div<PageContainerProps>`
  display: flex;
  flex-direction: column;
  overflow: auto;
  max-height: 100%;
  color: rgba(0, 0, 0, 0.85);
  flex: 1;
  ${
    (props) => `.${props.prefixCls}-spin-nested-loading {
      height: 100%;
      .${props.prefixCls}-spin-container {
        height: 100%;
        display: flex;
        flex-direction: column;
      }
    }` 
  }
`;

export { PageContainer };
