import React from 'react';
// import PropTypes from 'prop-types';
import AceEditorDemoComponent from "./component";
import DemoLocalesLocales from '../../../app/locales';
import AceEditor from '../index';

export default class AceEditorDemoTemplate extends AceEditorDemoComponent {
    render() {
        let {
            actions
        } = this;
        let {
            aceUrl,
            value
        } = this.privates;

        return (
            <div>
                <div className="page-header">
                    <h3>{DemoLocalesLocales.current.demo.customFilters.basicSample}</h3>
                </div>
                <div className="sample-content">
                    <AceEditor classNames="ace-editor-dom"
                        aceUrl={aceUrl}
                        value={value}
                        mode={"js"}
                        onChanged={actions.codeChanged} />
                </div>
            </div>
        );
    }
}