import React from 'react';
import Udesk from "../../udesk/index";
// import PropTypes from 'prop-types';
import AutoComplete from './index';

const DATESOURCE = [{
    id: 1,
    name: "test1"
}, {
    id: 2,
    name: "test2"
}];

class BootstrapDurationPickerDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            value: {
                id: 1,
                name: "test1"
            },
            multValue: [{
                id: 1,
                name: "test1"
            }]
        };
    }

    actions = {
        onChanged(value) {
            this.setState({
                value
            });
        },
        onMultValueChanged(multValue) {
            this.setState({
                multValue
            });
        }
    }

    loadOptions() {
        return new Promise((resolve, reject) => {
            resolve(DATESOURCE);
        });
    }

    render() {
        let {
            value,
            multValue
        } = this.state;
        return (
            <div>
                <h4>single</h4>
                <AutoComplete enableEmptySearch={true} classNames="" loadOptions={this.loadOptions} defaultOptions={DATESOURCE} value={value} onChanged={this.actions.onChanged} />
                <h4>mult</h4>
                <AutoComplete enableEmptySearch={true} defaultOptions={DATESOURCE} loadOptions={this.loadOptions} isMulti={true} value={multValue} onChanged={this.actions.onMultValueChanged} />
            </div>
        );
    }
}

BootstrapDurationPickerDemo.propTypes = {
};

BootstrapDurationPickerDemo.defaultProps = {
};

export default Udesk.react.udeskify(BootstrapDurationPickerDemo);