import React from 'react';
// import PropTypes from 'prop-types';
import BootstrapDurationPicker from './index';

class BootstrapDurationPickerDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            value: ""
        };
        this.onChanged = this.onChanged.bind(this);
    }

    onChanged(value) { 
        this.setState({
            value
        });
    }

    render() {
        let {
            value
        } = this.state;
        return (
            <BootstrapDurationPicker value={value} onChanged={this.onChanged} />
        );
    }
}

BootstrapDurationPickerDemo.propTypes = {
};

BootstrapDurationPickerDemo.defaultProps = {
};

export default BootstrapDurationPickerDemo;