//组件公用头部
import React from 'react';
import wwdStlye from './style.module.scss'
import { Tooltip } from 'udesk-ui'
import { QuestionCircleOutlined } from '@ant-design/icons';

function FieldHeader({ isRequired = false, title = '', content = '', target = [] }) {
    return (
        <div>
            {/* 头部 标题 + 提示问号 */}
            <div className={wwdStlye['link-title']}>
                {isRequired && <span style={{ color: 'red' }}>*</span>}
                <div className={wwdStlye['name']}>{title}</div>
                {(content && target.length > 0) && <Tooltip title={content}>
                    <QuestionCircleOutlined />
                </Tooltip>}

            </div>
        </div>
    );
}

export default FieldHeader;