import React from 'react';
// import PropTypes from 'prop-types';
import config from './config';

class CustomFiltersDemoBase extends React.Component {
    "[privates]"() {
        return {
            conditions: [],
            fields: config.getFieldsConfig(),
            componentSettings: config.getComponentSettings()
        };
    }
    "[modelProps]"() {
        return ["propA"];
    }

    static computes = {
        computeA() { }
    }
    static observers = {
        onConditionChanged: ["privates.conditions", function () {
            // eslint-disable-next-line no-console
            console.log("conditions changes detected from observer 'onConditionChanged'");
        }]
    }

    init(){
        this.privates.conditionsMutator = this.actions.mutator("privates.conditions");
    }

    "[actions]"() {
        return {
            actionA() { },
            conditionsChanged(conditions){
                this.privates.conditions = conditions;
                this.actions.update();
            }
        };
    }
}

class CustomFiltersDemoBase2 extends CustomFiltersDemoBase {
    "[privates]"() {
        return {
            conditions2: [],
        };
    }
    "[modelProps]"() {
        return ["propB"];
    }

    static computes = {
        computeB() { }
    }

    "[actions]"() {
        return {
            actionB() { }
        };
    }
}

export default class CustomFiltersDemo extends CustomFiltersDemoBase2 {
    state = {
        a: 1
    }
    privates = {
        conditions3: [],
    }

    static computes = {
        computeC() { },
        computeD: ["computeE", () => { }],
        computeE: ["computeF", () => { }],
        // computeF: ["computeD", () => { }],

        f: ["e", () => { }],
        e: ["d", () => { }],
        d: ["c", () => { }],
        c: ["b", () => { }],
        b: ["a", () => { }],
        a: ["y", () => { }],
        y: ["x", () => { }],
        x: ["z", () => { }],
        z: () => { },
        m: ["z", "d", () => { }],
        n: ["o", () => { }],
        o: ["x", () => { }],

        ppp: ["privates.conditions3", ({ privates }) => {
            //eslint-disable-next-line
            // console.log(privates.conditions3);
        }]
    }

    //#region 生命周期
    modelProps = ["propC"]
    "[modelProps]"() {
        return ["propX"];
    }
    model() {
        return {
            modelA: "A",
            modelB: new Promise((resolve, reject) => {
                setTimeout(() => {
                    resolve("B");
                }, 3000);
            })
        };
    }
    asyncModel() {
        return {
            asyncModelA: "asyncA",
            asyncModelB: new Promise((resolve, reject) => {
                setTimeout(() => {
                    resolve("asyncB");
                }, 1000);
            }),
            asyncModelC: new Promise((resolve, reject) => {
                setTimeout(() => {
                    resolve("asyncC");
                }, 3000);
            })
        };
    }
    parseAsyncModel(asyncModel, options) {
        //eslint-disable-next-line
        // console.log("parseAsyncModel", asyncModel, options);
        return asyncModel;
    }
    // componentWillReceiveProps() {

    // }
    getStateFromProps({ props }) {
        window.console.log("getStateFromProps");
        return {
            newConditions: []
        };
    }
    componentDidMount() {
        //eslint-disable-next-line
        // console.log(this);

        setTimeout(() => {
            this.privates.conditions3 = ["privates.conditions3 was modified!"];
            this.actions.update();
        }, 5000);
    }
    //#endregion

    actions = {
        actionC() { }
    }
}

CustomFiltersDemo.propTypes = {
};

CustomFiltersDemo.defaultProps = {
};