import React from 'react';

class WidgetBaseClass extends React.Component {
    validate() {
        return {
            isValid: true,
            messages: []
        };
    }

    "[actions]"() {
        return {
            onChanged(value) {
                let widget = this.props.widget;
                let params = {
                    value: value,
                    id: widget ? widget.instance.id : null
                };
                this.trigger("onChanged", [params]);
            }
        };
    }
}

export default WidgetBaseClass;