import React from 'react';
import Udesk from '../../udesk/index';
import DateRangePicker from './index';

class DateRangePickerDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            start: null,
            end: null
        };
    }

    actions = {
        onChanged(start, end) {
            this.setState({
                start,
                end
            });
        },
    }

    render() {
        let {
            start,
            end,
        } = this.state;
        return (
            <div>
                <DateRangePicker start={start} end={end} applyAction={this.actions.onChanged} />
            </div>
        );
    }
}

DateRangePickerDemo.propTypes = {
};

DateRangePickerDemo.defaultProps = {
};

export default Udesk.react.udeskify(DateRangePickerDemo);