
### 自定义字段说明:

    1. 公共属性
        + value: 字段值  
        + type: 字段类型  值: (text|textarea|link|number|numeric|data|datatime|time|location|calculate|radio|droplist|droplistMult|cascade|checkbox)
        + remark: 备注 string  - commond
        + explain: 解释说明 string | richString
        + explainShow: 是否显示解释说明  boolean
        + disabled: true 默认不可编辑 boolean
    
    2. 私有属性
        1. 文本字段 text
            + defaultValue: 默认值 string
            + maxLength: 最大输入字符数 number
            + validReg: 校验规则  值: string  (正则表达式)

        2. 多行文本字段 textarea
            + defaultValue: 默认值 string
            + maxLength: 最大输入字符数 number
        
        3. 链接字段 link
            + defaultValue: 默认值 string
            + regLink: 是否验证链接  boolean 默认true

        4. 时间字段time

        5. 日期字段 datetime

        6. 日期字段 date

        7. 数值 numeric
            + defaultValue: 默认值 string
            + integerDigits: 整数位数 number
            + decimalDigits: 小数位数 number
            + addonBefore: 外前缀 string | ReactNode 
            + addonAfter: 外后缀 string | ReactNode 
            + prefix: 内前缀  string | ReactNode 
            + suffix: 内后缀  string | ReactNode 
            + 
        
        8. 正整数 number
            + defaultValue: 默认值 string
            + addonBefore: 外前缀 string | ReactNode 
            + addonAfter: 外后缀 string | ReactNode 
            + prefix: 内前缀  string | ReactNode 
            + suffix: 内后缀  string | ReactNode 

        9. 计算字段 calculate
        
        10. 单选字段 radio
            + Arrangement: 排列方式 string  值: 'auto' | 'continuity' | 'wrap'
            + options: [
                {
                    icon: string;   选项图标 
                    name: string;   选项字段名
                    bgColor: string;  选项背景色
                    default: boolean;   是否默认选中 
                    value: string   选项的值
                }
            ]
        
        11. 多选字段 checkbox
            + Arrangement: 排列方式 string  值: 'auto' | 'continuity' | 'wrap'
            + options: [
                {
                    icon: string;   选项图标 
                    name: string;   选项字段名
                    bgColor: string;  选项背景色
                    default: boolean;   是否默认选中 
                    value: string   选项的值
                }
            ]

        12. 下拉字段 droplist
            + options: [
                {
                    icon: string;   选项图标 
                    name: string;   选项字段名
                    bgColor: string;  选项背景色
                    default: boolean;   是否默认选中 
                    value: string   选项的值
                }
            ]

        13. 下拉多选字段 droplistMulti
            + options: [
                {
                    icon: string;   选项图标 
                    name: string;   选项字段名
                    bgColor: string;  选项背景色
                    default: boolean;   是否默认选中 
                    value: string   选项的值
                }
            ]
        14. 级联字段 cascade

        15. 树结构字段 tree

### 自定义字段壳的公共属性

    + layout: 布局  值: horizontal(水平/默认) | vertical(垂直)  'string'
    + name: 字段名 'string' 必填
    + tooltip: 帮助提示 string
    + tooltipShow: 是否显示帮助提示  boolean
    + row: 跟随布局还是独占一行  值: 'initial' | 'all'




setting: {
    #  lines: "one|multi" 
}

#  # 下拉框 和 checkbox 字段需要
#  select_options: {
#    icon: 'id_mark'
#    icon_url: "http",
#    bg_color: "string"
#    default: '',
#    title: '',
#    value: ''
#  }
#{
    #  lines: "one|multi"
    #  tooltip: {
    #    show: "agent,customer",
    #    content: "string",
    #    size_limit: 100
    #  },
    #  explain: {
    #    show: "agent,customer",
    #    content: "string",
    #    size_limit: 100
    #  },
    #
    #  # 单行文本字段需要
    #  default_value: ""
    #  placeholder: "",
    #  max_length: 100,
    #  valid_reg: "",   多行文本无此类
    #
    #  # 数值
    #  integer_digits: 10,
    #  integer_is_open: true,
    #  decimal_digits: 10,
    #  decimal_is_open: true,

    #  decorate_words: {
    #    head_out: "单位",
    #    head_in: "$",
    #    tail_in: "",
    #    tail_out: "元",
    #    open: "head_in,head_out"
    #  }
    #
    #  # 下拉框 和 checkbox 字段需要
    #  select_options: {
    #    icon: 'id_mark'
    #    icon_url: "http",
    #    bg_color: "string"
    #    default: boolean,
    #    title: '',
    #    value: ''
    #  }
    #
    #}
