import React from 'react';
import ClassNames from "classnames";
import ReactGaodeMapComponent from './component';

class ReactGaodeMapTemplate extends ReactGaodeMapComponent {
    render() {
        let {
            props
        } = this;
        let {
            classNames,
            children,
            maxHeightStyle
        } = props;

        return (
            <div ref={this.amapContainerRef} class={ClassNames("amap-container udesk-gaode-map", { [`${classNames}`]: classNames })} style={maxHeightStyle}>
                <If condition={children}>
                    {children}
                </If>
            </div>
        );
    }
}

export default ReactGaodeMapTemplate;
