import React from 'react';
import UdeskReact from '../../../udesk/react';
import DemoLocales from "../../../app/locales";
import ImageViewer from "../index";
import "./styles/index.css";

class ImageViewerDemo extends React.Component {
    render() {
        return (
            <div className="image-viewer-demo">
                <ImageViewer>
                    <img className="preview-image" alt={DemoLocales.get("demo.imageViewer.imageDescription")} src="/static/images/5ad62243b5551b84d7f4522a9da14e3d.jpg" />
                    <img className="preview-image" alt={DemoLocales.get("demo.imageViewer.imageDescription")} src="/static/images/209ab45c3a2afd168276c6d4881e6980.jpg" />
                    <img className="preview-image" alt={DemoLocales.get("demo.imageViewer.imageDescription")} src="/static/images/3f1930685c3812486d95c174a644195d.jpg" />
                    <img className="preview-image" alt={DemoLocales.get("demo.imageViewer.imageDescription")} src="/static/images/1695b163c21fab8753cbdeb9ce5df4e9.jpg" />
                    <img className="preview-image" alt={DemoLocales.get("demo.imageViewer.imageDescription")} src="/static/images/ed1e3e902ea41e45a7b9b7c2dce0748e.jpg" />
                    <img className="preview-image" alt={DemoLocales.get("demo.imageViewer.imageDescription")} src="/static/images/5abe1c062df8b.jpg" />
                    <img className="preview-image" alt={DemoLocales.get("demo.imageViewer.imageDescription")} src="/static/images/58734167d85ee.jpg" />
                </ImageViewer>
            </div>
        );
    }

    actions = {
        startPreview() {

        }
    }
}

ImageViewerDemo.propTypes = {
};

ImageViewerDemo.defaultProps = {
};


export default UdeskReact.udeskify(ImageViewerDemo);