import React, { Fragment } from 'react';
// import { Checkbox } from 'antd';
import Checkbox from 'antd/lib/checkbox';
import 'antd/lib/checkbox/style/index.css';

import ReactAntdCheckboxGroupComponent from './component';

class ReactAntdCheckboxGroupTemplate extends ReactAntdCheckboxGroupComponent {
    render() {
        let {
            actions,
            privates,
            props
        } = this;
        let {
            name,
            disabled
        } = props;
        let isControlComponent = hasValue(props);
        return (
            <Fragment>
                <If condition={isControlComponent}>
                    <Checkbox.Group name={name} disabled={disabled} options={privates.options} value={privates.value} onChange={actions.onChange} />
                </If>
                <If condition={!isControlComponent}>
                    <Checkbox.Group name={name} disabled={disabled} options={privates.options} onChange={actions.onChange} />
                </If>
            </Fragment>
        );
    }
}

export default ReactAntdCheckboxGroupTemplate;

function hasValue(props) {
    return Object.prototype.hasOwnProperty.call(props, "value");
}