import React from 'react';
import Udesk from '../../udesk/index';
import ReactModal from './index';
import Locales from "../../app/locales/index";

class ReactModalDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            visible: false,
        };
    }

    actions = {
        click(visible) {
            this.setState({
                visible
            });
        },
    }

    render() {
        let {
            visible,
        } = this.state;
        return (
            <div>
                <button onClick={this.actions.click.params(true)} className="btn btn-success">{Locales.current.demo.reactModal.open}</button>
                <ReactModal visible={visible} closable={false} onOk={this.actions.click.params(false)} onCancel={this.actions.click.params(false)}>
                    <div>react-modal-demo</div>
                </ReactModal>
            </div>
        );
    }
}

ReactModalDemo.propTypes = {
};

ReactModalDemo.defaultProps = {
};

export default Udesk.react.udeskify(ReactModalDemo);