import React from 'react';
import Udesk from '../../udesk/index';
import ReactSelect from './index';

const REACT_SELECT_OPTIONS = [{
    id: 1,
    name: "test1"
}, {
    id: 2,
    name: "test2"
}];

class ReactSelectDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            value: null,
        };
    }

    actions = {
        onChanged(value) {
            this.setState({
                value
            });
        },
    }

    render() {
        let {
            value,
        } = this.state;
        return (
            <div>
                <ReactSelect value={value} dataScource={REACT_SELECT_OPTIONS} onChanged={this.actions.onChanged} />
            </div>
        );
    }
}

ReactSelectDemo.propTypes = {
};

ReactSelectDemo.defaultProps = {
};

export default Udesk.react.udeskify(ReactSelectDemo);