import React from 'react';
import DemoLocalesLocales from '../../../app/locales';
import ReactTableDemoComponent from './component';
import ReactTable from '../index';

export default class ReactTableDemoTemplate extends ReactTableDemoComponent {
    render() {
        return (
            <div>
                <div className="page-header">
                    <h3>{DemoLocalesLocales.current.demo.reactTable.basicSample}</h3>
                </div>
                <div className="sample-content">
                    <ReactTable
                        columns={this.state.columns}
                        items={this.state.items}
                        checkable={true}
                        sortable={true}
                        enableChooseColumns={true}
                        horizontalScrollbar={true} />
                </div>
            </div>
        );
    }
}
