import { css } from '@emotion/core';

export default css(`
    min-width: 120px;
    display: inline-block;
    .udesk-time-picker-input-box {
        width: 100%;
        min-height: 24px;
        display: flex;
        border: 1px solid #d9d9d9;
        border-radius: 1px;
        align-items: baseline;
        .udesk-time-picker-input {
            color: #666;
            background-color: #fff;
            background-image: none;
            border:0;
            outline: 0;
            transition: border,0.2s;
            text-align: center;
            width: 24px;
        }
        .clear-btn {
            cursor: pointer;
            margin-left: auto;
            padding: 0 7px;
        }
    }
    .udesk-time-picker-panel {
        display: inline-block;
        position: absolute;
        outline: none;
        list-style: none;
        font-size: 12px;
        text-align: left;
        background-color: #fff;
        border-radius: 3px;
        box-shadow: 0 1px 6px rgba(99, 99, 99, 0.2);
        border: 1px solid #ccc;
        line-height: 1.5;
        overflow: hidden;
        z-index: 1;
        .udesk-time-picker-panel-select {
            float: left;
            font-size: 12px;
            border: 1px solid #e9e9e9;
            border-width: 0 1px;
            margin-left: -1px;
            box-sizing: border-box;
            width: 60px;
            overflow: hidden;
            position: relative;
            .udesk-time-picker-panel-select-ul {
                list-style: none;
                box-sizing: border-box;
                margin: 0;
                padding: 0;
                width: 100%;
                max-height: 144px;
                overflow: auto;
                .udesk-time-picker-panel-select-ul-li {
                    list-style: none;
                    box-sizing: content-box;
                    margin: 0;
                    width: 100%;
                    height: 24px;
                    line-height: 24px;
                    text-align: center;
                    cursor: pointer;
                    -webkit-user-select: none;
                    -moz-user-select: none;
                    -ms-user-select: none;
                    user-select: none;
                    -webkit-transition: background .3s ease;
                    transition: background .3s ease;
                    &:hover {
                        background: #ddd;
                    }
                }
            }
        }
    }
`);