export default {
    cancel: 'Annulla',
    uploader: {
        uploadImg: 'Carica immagine',
        uploadImgIng: 'Carica immagini',
        uploadImgFail: 'Caricamento non riuscito',
        insertImg: 'Inserisci immagine',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    exceedsTotalSize:
                        'La dimensione totale del file {0} supera la dimensione limite {1}',
                    exceedsSize: 'Il file {0} supera la dimensione limite {1}',
                },
            },
        },
    },
    statusbar: { translate: 'Traduzione' },
    originalPlaceholder: 'Inserisci il testo originale',
    language: {
        chinese: 'Cinese',
        'zh-cn': 'Cinese (semplificato)',
        'zh-tw': 'Cinese (tradizionale)',
        'en-us': 'Inglese',
        fr: 'Francese',
        de: 'Tedesco',
        fil: 'Filippino (tagalog)',
        ja: 'Giapponese',
        it: 'Italiano',
        ru: 'Russo',
        ko: 'Coreano',
        vi: 'Vietnamita',
        af: 'Afrikaans',
        sq: 'Albanese',
        am: 'Amarico',
        ar: 'Arabo',
        hy: 'Armeno',
        as: 'Assamese *',
        ay: 'Aymara *',
        az: 'Azero',
        bm: 'Bambara *',
        eu: 'Bask',
        be: 'Bielorusso',
        bn: 'Bengalese',
        bho: 'Bojpur *',
        bs: 'Bosniaco',
        bg: 'Bulgaro',
        ca: 'Catalano',
        ceb: 'Cebu',
        co: 'Corsica',
        hr: 'Croato',
        cs: 'Ceco',
        da: 'Danese',
        dv: 'Divehi *',
        doi: 'Doglese *',
        nl: 'Olandese',
        eo: 'Esperanto',
        et: 'Estone',
        ee: 'Evie *',
        fi: 'Finlandese',
        fy: 'Frisone',
        gl: 'Galiziano',
        ka: 'Georgiano',
        el: 'Greco',
        gn: 'Guarani *',
        gu: 'Gujarati',
        ht: 'Creolo haitiano',
        ha: 'Hausa',
        haw: 'Hawaiano',
        he: 'Ebraico',
        hi: 'Hindi',
        hmn: 'Lingua miao',
        hu: 'Ungherese',
        is: 'Islandese',
        ig: 'Igbo',
        ilo: 'Ilocano *',
        id: 'Indonesiano',
        ga: 'Irlandese',
        jv: 'Giavanese',
        kn: 'Kannada',
        kk: 'Kazako',
        km: 'Khmer',
        rw: 'Ruandese',
        gom: 'Gongen *',
        kri: 'Creolo *',
        ku: 'Curdo',
        ckb: 'Curdo (Solani) *',
        ky: 'Kirghizistan',
        lo: 'Lao',
        la: 'Latino',
        lv: 'Lettone',
        ln: 'Lingala *',
        lt: 'Lituano',
        lg: 'LuGanda *',
        lb: 'Lussemburghese',
        mk: 'Macedone',
        mai: 'Maitilli *',
        mg: 'Malgash',
        ms: 'Malese',
        ml: 'Malayalam',
        mt: 'Maltese',
        mi: 'Maori',
        mr: 'Marathi',
        'mni-Mtei': 'Metai (Manipur) *',
        'mni-lus': 'Mizo *',
        mn: 'Mongolo',
        my: 'Birmano',
        ne: 'Nepalese',
        no: 'Norvegese',
        ny: 'Nyanza (Tchiceva)',
        or: 'Oriya (Oriya)',
        om: 'Oromo *',
        ps: 'Pashto',
        fa: 'Persiano',
        pl: 'Polacco',
        pt: 'Portoghese (Portogallo, Brasile)',
        pa: 'Punjabi',
        qu: 'Quechua *',
        ro: 'Rumeno',
        sm: 'Samoano',
        sa: 'Sanscrito *',
        gd: 'Gaelico scozzese',
        nso: 'Seppetti *',
        sr: 'Serbo',
        st: 'Sesotho',
        sn: 'Shona',
        sd: 'Sindhi Tedesco',
        si: 'Singalese',
        sk: 'Slovacco',
        sl: 'Sloveno',
        so: 'Somalo',
        es: 'Spagnolo',
        su: 'Sonda',
        sw: 'Swahili',
        sv: 'Svedese',
        tl: 'Tagalog (filippino)',
        tg: 'Tagikistan',
        ta: 'Tamil',
        tt: 'Tatar',
        te: 'Telugu',
        th: 'Tailandese',
        ti: 'Tignan *',
        ts: 'Zongka *',
        tr: 'Turco',
        tk: 'Turkmeni',
        ak: 'Chewie (Akan) *',
        uk: 'Ucraino',
        ur: 'Urdu',
        ug: 'Uigura',
        uz: 'Uzbeko',
        cy: 'Gallese',
        xh: 'Bantu',
        yi: 'Yiddish',
        yo: 'Yoruba',
        zu: 'Zulu',
    },
};
