import React from "react";
import style from "./index.module.scss";
import { useSelector } from "../../../store/store-hook";
import { RootState } from "../../../store/root-reducer";

const LocationType = (props: any) => {
  const { msgItem } = props;
  const contentObject = JSON.parse(msgItem.content);
  const initData = useSelector((state: RootState) => state.initData);
  // const udeskWebappContext: any = useContext(UdeskContext); //ember传进来的参数
  const getTencentMap = initData.getTencentMap;
  var curMap = getTencentMap(contentObject.data.content);
  const img_src = curMap.img_src;
  const map_src = curMap.map_src;
  return (
    <div>
      <a
        href={map_src}
        target="_blank"
        rel="noopener noreferrer"
        className={style["im-localtion-msg"]}
      >
        <div
          className={style["msg-location-img"]}
          style={{
            background: `url(${img_src})`,
            width: "200px",
            height: "150px",
          }}
        ></div>
      </a>
    </div>
  );
};
export default LocationType;
