import React, { useCallback } from 'react';
import { Input } from 'udesk-ui'

function TextHasPoint(props: TicketField) {
    const {onChange} = props
    const hanleValidateText = useCallback((e: any) => {
        onChange && onChange(e.target.value)
    }, [onChange])
    return (
        <>
            <Input
                defaultValue=''
                placeholder=''
                onBlur={hanleValidateText}
            />
            <div style={{margin: '5px 0 10px 0 ', color: '#737373'}}>{props.remark}</div>
        </>
    );
}

export default TextHasPoint;
