import styled from 'styled-components';

interface HeaderWrapProps {
  checked: boolean;
}

const HeaderWrap = styled.div<HeaderWrapProps>`
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-sizing: border-box;
  height: 40px;
  padding: 10px;
  border-radius: 2px;
  background-color: ${(props) => (props.checked ? '#f0f8ff' : 'unset')};
  border: ${(props) => (props.checked ? '1px solid #2c7cf6' : 'unset')};
`;

const HeaderWrapAllCheck = styled.div`
  display: flex;
  align-items: center;
`;
const HeaderWrapCheckAllText = styled.span`
  padding: 0 36px 0 8px;
`;
const HeaderWrapAllCheckInfo = styled.div``;
const HeaderWrapAllCheckInfoNumber = styled.span`
  padding: 0 4px;
  color: #2c7cf6;
`;
const HeaderWrapExtraButton = styled.div``;

export {
  HeaderWrap,
  HeaderWrapAllCheck,
  HeaderWrapExtraButton,
  HeaderWrapCheckAllText,
  HeaderWrapAllCheckInfo,
  HeaderWrapAllCheckInfoNumber,
};
