const executor = require('../executor');
const optionUtils = require('../utils/option-utils');
const utils = require('../utils/utils');
const { requireOptions } = require('../require-options');

async function main(paths) {
    const originOptions = requireOptions() || {};
    const options = optionUtils.formatOptions(originOptions);

    if (paths.endsWith('/')) {
        paths = paths.slice(0, -1);
    }
    const list = new Map();
    utils.walk(paths).forEach((p, i) => list.set(i, p));
    const listIter = list.entries();
    // listIter.next().value
    co(listIter);

    async function co(listIter) {
        const iter = listIter.next().value;
        if (iter) {
            await executor.run(iter[1], options);
        } else {
            console.log('================== finish =================');
            return;
        }
        co(listIter);
    }
}

module.exports = main;
