import { getConfigRuleTypes, getManyAnswerEmotionCategory } from '../../../../../constant';

const getExtraField = (locale: any) => {
  const configRuleTypes = getConfigRuleTypes(locale);
  const manyAnswerEmotionCategory = getManyAnswerEmotionCategory(locale);
  const extraField: any = [
    [
      configRuleTypes.emotionCategory.id,
      {
        name: configRuleTypes.emotionCategory.id,
        text: configRuleTypes.emotionCategory.name,
        inputType: 'emotionCategoryDropDown',
        operators: ['is', 'not'],
        attributes: {},
        dataSource: manyAnswerEmotionCategory,
      },
    ],
  ];

  const extraFieldMap = new Map(extraField);

  return extraFieldMap;
};

export default getExtraField;
