import { createSlice } from '@reduxjs/toolkit';

const {actions, reducer} = createSlice({
    name: 'agents',
    initialState: [] as IAgent[],
    reducers: {
        setAgents(state, action) {
            return action.payload;
        }
    }
});

export const {setAgents} = actions;
export default reducer;
