import { createSlice } from '@reduxjs/toolkit';

const {actions, reducer} = createSlice({
    name: 'company',
    initialState: {} as Company,
    reducers: {
        setCompany(state, action) {
            return action.payload;
        }
    }
});

export const {setCompany} = actions;
export default reducer;
