import { createSlice } from '@reduxjs/toolkit';

const {actions, reducer} = createSlice({
    name: 'currentUser',
    initialState: {} as IUser,
    reducers: {
        setCurrentUser(state, action) {
            return action.payload;
        }
    }
});

export const {setCurrentUser} = actions;
export default reducer;
