import { configureStore, getDefaultMiddleware } from "@reduxjs/toolkit";
import { rootReducer } from "./root-reducer";
// import { createLogger } from "redux-logger";

const store = configureStore({
  reducer: rootReducer,
  middleware: getDefaultMiddleware({
    thunk: true,
    immutableCheck: false,
    serializableCheck: false,
  }).concat(
    []
    // process.env.NODE_ENV !== "production"
    //   ? [
    //       createLogger({
    //         duration: true,
    //         collapsed: true,
    //         predicate: (getState, action) =>
    //           !["mineChats/updateChatStatus", "clock/updateClock"].includes(
    //             action.type
    //           ),
    //       }),
    //     ]
    //   : []
  ),
});

export { store };
