import React from "react";
import {
  //   createStoreHook,
  createDispatchHook,
  createSelectorHook,
  ReactReduxContextValue,
} from "react-redux";
import { RootState } from "./root-reducer";
export const UdeskContext = React.createContext<
  ReactReduxContextValue<RootState>
>({} as ReactReduxContextValue);
// Export your custom hooks if you wish to use them in other files.
// export const useStore = createStoreHook(UdeskContext);
export const useDispatch = createDispatchHook(UdeskContext);
export const useSelector = createSelectorHook(UdeskContext);
