import { css } from '@emotion/react';

export default css`
    .control-content{
        min-height: 100px;
        max-height: 300px;
        min-width:150px;
        overflow-y: auto;
        padding: 8px 12px;

        .list-item {
            display: flex;
            white-space:nowrap;
            cursor: pointer;

            .item-check {
                margin-right: 4px;
            }
        }
    }

    .custom-scroller {
        ::-webkit-scrollbar {
            width: 7px;
            height: 7px;
        }

        ::-webkit-scrollbar-track {
            background-color: #f5f5f5;
            border-radius: 5px;
            -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.1);
        }
    
        ::-webkit-scrollbar-thumb {
            background-color: rgba(0, 0, 0, 0.2);
            border-radius: 5px;
        }
    
        ::-webkit-scrollbar-thumb:hover {
            background-color: rgba(0, 0, 0, 0.3);
            -webkit-box-shadow: unset;
        }
    }

`;

export const popper = css`
    background-color: #fff;
    border: 1px solid #e1e1e1;
    box-shadow: rgb(0 0 0 / 5%) 1px 1px 1px 0px;
    text-align: left;
`;
