// @ts-ignore
import type { DataNode } from 'rc-tree/lib/interface';
import { DropDownProps } from 'udesk-ui/lib/dropdown';
import type { DirectoryTreeProps } from 'udesk-ui/lib/tree';
import { ActionMenuItem } from '../../batched-actions';

export interface TreeNode extends DataNode {
  key: string | number;
  title: any;
  children?: TreeNode[];
  disabled?: boolean;
  selectable?: boolean;
  [key: string]: any;
}

export interface TreeMenuProps extends DirectoryTreeProps {
  treeData: TreeNode[];
  treeNodeActionMenu?: ActionMenuItem[];
  treeNodeActionMenuTrigger?: DropDownProps['trigger'];
  switcherIconPosition?: 'left' | 'right';
  indentUnitWidth?: number;
  highlightKeyword?: string;
  loading?: boolean;
  getPopupContainer?: DropDownProps['getPopupContainer'];
}
