import {
    SHA1
} from '../../../udesk/ref-npm-modules/plugins/utils.crypto.sha1';
import { installPlugin, globalInstall } from '../../plugin-base';

const PLUGIN_PATH = "utils.crypto.sha1";
const PLUGIN = {
    hash
};
export default function install(udesk) {
    installPlugin(udesk, PLUGIN_PATH, PLUGIN);
}
globalInstall(PLUGIN_PATH, PLUGIN);

function hash(content) {
    return SHA1(content);
}