//全局常量,将一些经常使用的字符串改为常量
//导致无法多语言问题

export const NETWORK_ERROR = '网络不稳定，请检查网络！';
export const AUTH_ERROR = '建立连接失败,请联系管理员！';

export const UDESK_WEBAPP_VERSION = 'udesk_webapp_version';

// @formatter:off
export const YYYY_MM_DD = 'YYYY-MM-DD';
export const YYYY_MM_DD_HH_MM = 'YYYY-MM-DD HH:mm';
export const YYYY_MM_DD_HH_MM_SS = 'YYYY-MM-DD HH:mm:ss';
export const MM_DD = 'MM/DD';
export const INBOUND = 'inbound';
export const OUTBOUND = 'outbound';
export const INBOUND_CONSULT = 'inbound-consult';
export const INBOUND_THREE_PARTY = 'inbound-three-party';

export const CALL_RESULT_ACCEPT = 'accept';
export const CALL_RESULT_REJECT = 'reject';
export const CALL_RESULT_AGENT_REJECT_BY_YTXAPP = 'agent_reject'; //客服拒接
export const CALL_RESULT_CUSTOMER_REJECT_BY_YTXAPP = 'customer_reject';

/** 用于 外呼失败原因 */
export const CALL_STOP = '停机'; //停机
export const CALL_SHUTDOWN = '关机'; //关机
export const CALL_ARREARS = '欠费'; // 号码欠费
export const CALL_EMPTY = '空号'; // 空号
export const CALL_CHANGE_NUM = '改号'; //改号
export const CALL_NETWORK_BUSY = '网络忙'; //网络忙
export const CALL_INBOUND_RESTRICTION = '呼入限制'; // 呼入限制
export const CALL_NOT_AVAILABLE = '无法接通'; // 无法接通
export const CALL_UNABLE_ANSWER = '无法接听'; // 无法接通
export const CALL_NO_ANSWER = '无人接听'; // 无人接通
export const TEMORARILY_OUT_OF_SERVICE = '暂停服务'; // 暂停服务
export const LINE_FAULT = '线路故障'; // 线路故障
export const CALL_USER_REJECT = '用户拒接'; // 用户拒接
export const CALL_DIAL_LATER = '稍后再拨'; // 稍后再拨
export const CALL_USER_BUSY = '用户正忙'; // 用户正忙
export const IN_THE_CALL = '正在通话中'; // 正在通话中
export const CALL_TRANSFER_FAILUREL = '呼叫转移失败'; // 呼叫转移失败
export const DIALING_MODE_NOT_CORRECT = '拨号方式不正确'; // 拨号方式不正确
export const CALL_OTHER = '其他'; // 其他

export const CALL_RESULT_AGENT_REJECT = '客服拒接'; //客服拒接
export const CALL_RESULT_AGENT_ACCEPT = '客服接听'; //客服接听
export const CALL_RESULT_AGENT_NO_ANSWER = '客服未接'; //客服未接
export const CALL_RESULT_CUSTOMER_REJECT = '客户拒接';
export const CALL_RESULT_CUSTOMER_ACCEPT = '客户接听';
export const CALL_RESULT_CUSTOMER_NO_ANSWER = '客户未接';
export const CALL_RESULT_EMPTY = '为空';

export const QUEUE_RESULT_TIMEOUT = '排队超时';
export const QUEUE_RESULT_GIVE_UP = '放弃排队';
export const QUEUE_RESULT_NO_AGENT_ONLINE = '无客服在线';
export const QUEUE_RESULT_SUCCESS = '排队成功';
export const QUEUE_RESULT_EMPTY = '为空';

export const CALL_STATE_HANGUP = 'hangup';
export const CALL_STATE_RINGING = 'ringing';
export const CALL_STATE_TALKING = 'talking';
export const CALL_STATE_BEFORE_RINGING = 'beforeRinging';

export const QUEUE_TIMEOUT_SCOPE_GLOBAL = 'global'; //呼叫中心队列排队超时时间配置方式为全局
export const QUEUE_TIMEOUT_SCOPE_CUSTOM = 'custom'; //呼叫中心队列排队超时时间配置方式为分队列

export const CALLCENTER_STATUS_OPEN_LINAPP = 'open_linapp';
export const CALLCENTER_STATUS_OPEN_KUNAPP = 'open_kunapp';
export const CALLCENTER_STATUS_OPEN_YTXAPP = 'open_ytxapp'; //荣联 已废弃，遇见相关可重构删除  只需关注linapp kunapp

export const NODE_TYPE_ASR = 'asr';
export const NODE_TYPE_SURVEY = 'survey';
export const NODE_TYPE_PROCESS = 'process';
export const NODE_TYPE_INPUT = 'input';
export const NODE_TYPE_QUEUE = 'queue';
export const NODE_TYPE_AFTER_QUEUE = 'after_queue';
export const NODE_TYPE_ENTER_IVR = "enter_ivr";
export const NODE_TYPE_EXIT_IVR = "exit_ivr";
export const NODE_TYPE_OUTLINE = "outline";
export const NODE_TYPE_AFTER_OUTLINE = "after_outline";
export const NODE_TYPE_PLAY = "play";
export const NODE_TYPE_RECORD = "record";

export const ORDER_TYPE_WEB_API = 'web_api';
export const ORDER_TYPE_TO = 'to';
export const ORDER_TYPE_IF_TO = 'if_to';
export const ORDER_TYPE_RATE_TO = 'rate_to';
export const ORDER_TYPE_VALUE = 'value';
export const ORDER_TYPE_VALUE_INCR = 'value_incr';
export const ORDER_TYPE_SAVE_IVR = 'save_ivr';
export const ORDER_TYPE_SAVE_DTMF = 'save_dtmf'; // 将dtmf输入保存为指令
export const ORDER_TYPE_SAVE_TAG = 'save_tag';
export const ORDER_TYPE_SEND_SMS = 'send_sms'; // 发送短信指令

export const CALLCENTER_WORK_WAY_PHONE = 'phone_online'; //手机在线
export const CALLCENTER_WORK_WAY_FIXED_VOIP = 'fixed_voip_online'; //ip话机在线
export const CALLCENTER_WORK_WAY_VOIP = 'voip_online'; //网页话机在线

export const CALLCENTER_CALLOUT_BEFOREHAND_TASK = 0; // 预览式外呼
export const CALLCENTER_CALLOUT_EXACT_TASK = 1; // 精准外呼                                                                                      |▸ im/
export const CALLCENTER_CALLOUT_SCALE_TASK = 2; // 比例外呼                                                                                      |▸ session_routes/
export const CALLCENTER_CALLOUT_PREDICTION_TASK = 3; // 预测式外呼
export const CALLCENTER_CALLOUT_VOICE_TASK = 4; // 语音播报

export const CALLCENTER_CALLOUT_TASK_OPEN = 1; // 开启
export const CALLCENTER_CALLOUT_TASK_CLOSE = 2; // 关闭
export const CALLCENTER_CALLOUT_TASK_CLOSING = 3; // 停止中

export const QUESTIONNAIRE_OPEN = true; // 开启
export const QUESTIONNAIRE_CLOSE = false; // 开启

/** 自动外呼监控，客服通话状态 **/
export const AUTO_DIALLER_MONITOR_CALL_STATE_OFF = 'off'; //未通话
export const AUTO_DIALLER_MONITOR_CALL_STATE_RING = 'ring'; //振铃中
export const AUTO_DIALLER_MONITOR_CALL_STATE_IN = 'in'; //通话中

export const BATCH_SMS_TASK_STATUS_NOT_SENDING = 'not_sending'; //未发送
export const BATCH_SMS_TASK_STATUS_SENDING = 'sending'; //发送中
export const BATCH_SMS_TASK_STATUS_COMPETED = 'completed'; //已发送

export const BATCH_SMS_TASK_PAUSE_STATUS_0 = 0; //暂停
export const BATCH_SMS_TASK_PAUSE_STATUS_1 = 1; //开启

/** 后续通话筛选 */
export const HAS_SUBSEQUENT_CALL_TRUE = 'true'; //后续通话有
export const HAS_SUBSEQUENT_CALL_FALSE = 'false'; //后续通话无
export const HAS_SUBSEQUENT_CALL_NULL = 'nil'; //后续通话空



/** 视频的call_type **/
export const VC_VIDEO_CALL = 'video';
export const VC_AUDIO_CALL = 'audio';

/** 视频的workflow **/
export const VCALL_OUT = 'out';
export const VCALL_IN = 'in';

/** 自定义字段的content type **/
export const CONTENT_TYPE_CHAINED_DROPLIST = 'chained_droplist';
export const CONTENT_TYPE_CHECKBOX = 'checkbox'; //多选
export const CONTENT_TYPE_DROPLIST = 'droplist'; //下拉
export const CONTENT_TYPE_RADIO = 'radio'; //单选
export const CONTENT_TYPE_TIME = 'time';
export const CONTENT_TYPE_DATETIME = 'datetime';
export const CONTENT_TYPE_DATE = 'date';
export const CONTENT_TYPE_CALCULATE = 'calculate';
export const CONTENT_TYPE_TEXT = 'text';
export const CONTENT_TYPE_LINK = 'link';
export const CONTENT_TYPE_NUMBER = 'number';
export const CONTENT_TYPE_NUMERIC = 'numeric';
export const CONTENT_TYPE_AREA_TEXT = 'area_text';
export const CONTENT_TYPE_LOCATION = 'location';

/** im聊天页面右侧标签页的名称 **/
export const IM_HISTORY_MESSAGE_TAB_NAME = 'im-log-records'; //对话记录
export const IM_RETURN_VISIT_TAB_NAME = 'im-return-visit'; //回访计划
export const IM_CUSTOMER_TAB_NAME = '-1'; //客户信息
export const IM_NOTE_TAB_NAME = '-2'; //业务记录
export const IM_CONTACT_TAB_NAME = '-3'; //联系记录
export const IM_REPOSITORY_TAB_NAME = '-4'; //知识库
export const IM_ORG_TAB_NAME = '-5'; //公司信息
export const CC_ROBOT_TAB_NAME = '-6'; //机器人对话
export const KM_IA_SDK_NAME = '-7'; //呼叫中心弹屏智能助手
export const IM_CREATE_TICKET = '-8'; //呼叫中心弹屏智能助手
/** 客户自定义字段客服权限 **/
export const AGENT_PERMISSION_REQUIRE = 1; //必填
export const AGENT_PERMISSION_EDITABLE = 2; //可编辑
export const AGENT_PERMISSION_VISIBLE = 3; //可见


/** 回访计划来源 **/
export const RETURN_VISIT_CONTACT_METHOD_CC = 'call';
export const RETURN_VISIT_CONTACT_METHOD_IM = 'im';

/** 客户公司数量上限**/
export const CUSTOMER_ORGS_MAX_LENGTH = 20;

/** 业务记录类型 **/
export const NOTE_TYPE_IM = 'im';
export const NOTE_TYPE_CALL = 'call';

/** 号码分配策略 */
export const NUMBER_POOL_RANDOM = 0; //随机分配
export const LINAPP_CALLOUT_NUMBER_TAKE_TURNS = 1; //归属地优先
export const NUMBER_POOL_PLACE_BELONGING = 2; //归属地优先
export const NUMBER_POOL_CUSTOM = 3; //自定义组合

/** 呼叫中心客服状态 **/
export const AGENT_WORK_STATE_IDLE = 'idle';
export const AGENT_WORK_STATE_BUSY = 'busy';
export const AGENT_WORK_STATE_RESTING = 'resting';
export const AGENT_WORK_STATE_OFFLINE = 'offline';
export const AGENT_WORK_STATE_NEATEN = 'neaten';

/** 高级通话类型 **/
export const ADVANCED_CALL_THREE_PARTY = 'three_party';  //三方
export const ADVANCED_CALL_CONSULT = 'consult';      //咨询

/** 第三方机器人类型 **/
export const CUSTOM_ROBOT_XIAOI = 'xiaoi';  //小i机器人
export const CUSTOM_ROBOT_LAIYE = 'laiye';  //小i机器人

/** 模板类型，例如业务记录模板，外呼业务模板，工单模板等等 **/
export const TEMPLATE_TYPE_CALLOUT_NOTE = 'callout_note_templates';
export const TEMPLATE_TYPE_NOTE = 'note_template';
export const TEMPLATE_TYPE_TICKET = 'ticket_template';
/**监控报表 im对话记录 column-control */

export const ANALYSIS_IM_RECORD_TABLE = 'analysis_im_record_table';
export const ANALYSIS_NOTE_TABLE = 'analysis_note_table';
export const ANALYSIS_IM_RENOUNCE_TABLE = 'analysis_im_renounce_table'

/** 工单报表类型 */
export const WHOLE_REPORT_NEW_TICKET = "wholeReportNewTicket";
export const AGENT_REPORT_ALL_TICKET = "agentReportAllTicket";
export const AGENT_GROUP_REPORT_ALL_TICKET = "agentGroupReportAllTicket";
export const CUSTOM_REPORT = "customReport";
export const DEALT_TIME_REPORT = "dealtTimeReport";
export const TICKET_INSIGHT_PAGE = "ticketInsightPage";

/** 情绪 **/
export const SUB_SENTIMENT_TYPE_NEUTRAL = 'neutral';
export const SUB_SENTIMENT_TYPE_COMPLAINING = 'complaining';
export const SUB_SENTIMENT_TYPE_ANGRY = 'angry';
export const SUB_SENTIMENT_TYPE_HAPPY = 'happy';
export const SUB_SENTIMENT_TYPE_THANKFUL = 'thankful';

/** 公告SDK签名更新周期 **/
export const NOTICE_SDK_UPDATE_SIGN_TIMEOUT = 4 * 60 * 1000;

/** 格式化时间 **/
export const DATE_FORMAT = 'YYYY-MM-DD';
export const DATA_FORMAT_MM_DD = 'MM-DD';
export const TIME_FORMAT = 'HH:mm';
export const TIME_FORMAT_S = 'HH:mm:ss';
export const DATETIME_FORMAT = `${DATE_FORMAT} ${TIME_FORMAT}`;
export const DATATIMES_FORMAT = `${DATE_FORMAT} ${TIME_FORMAT_S}`;
export const SHORT_DATE_FORMAT = 'MM/DD';
export const SHORT_DATETIME_FORMAT = `${SHORT_DATE_FORMAT} ${TIME_FORMAT}`;
export const DATA_TIME_MM_DD_HH_MM_SS = `${DATA_FORMAT_MM_DD} ${TIME_FORMAT_S}`;

export const DATE_FORMAT_BIAS = 'YYYY/MM/DD';
export const DATETIME_FORMAT_BIAS = `${DATE_FORMAT_BIAS} ${TIME_FORMAT}`;


