export interface IQuery {
  [propName: string]: string;
}

export function searchParams(search: string) {
  if (!search) {
    return {};
  }

  let query: IQuery = {},
    queryResult = search.match(new RegExp("[?&][^?&]+=[^?&]+", "g"));
  if (queryResult) {
    for (let i = 0, l = queryResult.length; i < l; i++) {
      let _obj, key, val;
      try {
        _obj = queryResult[i].substring(1).split("=");
        key = decodeURIComponent(_obj[0]);
        val = decodeURIComponent(_obj[1]);
        query[key] = val;
      } catch (e) {
        _obj && _obj[0] && (query[_obj[0]] = _obj[1] || "");
      }
    }
  }
  return query;
}
