import React, {ComponentProps} from 'react';
import {Meta, Story} from '@storybook/react';
import  RichEditor from './src';

export default {
    title: '富编辑器',
    component: RichEditor,
    argTypes: {
        onChange: {action: 'onChange'},
        value: {name: 'value', defaultValue: '<p>Hello world</p>', description: '值'}
    }
} as Meta;

// tinyMCE.baseURL = 'https://static-ud.udesk.cn/lib/tinymce';
const Template: Story<ComponentProps<typeof RichEditor>> = (args) => <RichEditor {...args} />;

export const Primary = Template.bind({});
Primary.args = {
    value: '<p>Hello world</p>'
};

