/****************************************************************************
 ** @license
 ** This file is part of yFiles for HTML 2.3.0.3.
 **
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2020 by yWorks GmbH, Vor dem Kreuzberg 28,
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
import lang from './impl/lang.js';
import { buildWrapper } from '../lib/utils/func';
import { decryptLicense } from '../lib/decrypt';
export var PropertyInfo = lang.PropertyInfo;
export var YObject = lang.Object;
export var Abstract = lang.Abstract;
export var License = lang.License;
export var TypeAttribute = lang.TypeAttribute;
export var Class = lang.Class;
export var YNumber = lang.Number;
export var YString = lang.String;
export var YBoolean = lang.Boolean;
export var Enum = lang.Enum;
export var Trait = lang.Trait;
export var Interface = lang.Interface;
export var Attribute = lang.Attribute;
export var IComparable = lang.IComparable;
export var ClassDefinition = lang.ClassDefinition;
export var InterfaceDefinition = lang.InterfaceDefinition;
export var EnumDefinition = lang.EnumDefinition;
export var AttributeDefinition = lang.AttributeDefinition;
export var Exception = lang.Exception;
export var delegate = lang.delegate;
export var BaseClass = lang.BaseClass;
export var yfiles = lang.yfiles;
export default lang;

export var L = {};
Object.defineProperty(L, 'value', {
    get: function () {
        return undefined;
    },
    set: buildWrapper(function (value) {
        if (value) {
            value = decryptLicense(value);
        }
        License.value = value;
    }),
});
Object.freeze(L);
Object.seal(L);
