// .dumi/theme/layout.tsx(本地主题) 或 src/layout.tsx(主题包)
import React, { useEffect } from 'react';
import Layout from 'dumi-theme-default/es/layout';
import { usePrefersColor } from 'dumi/theme';

export default ({ children, ...props }) => {
  const [color, setColor] = usePrefersColor();
  useEffect(() => {
    setColor('dark');
  }, []);
  return (
    <Layout {...props}>
      <>{children}</>
    </Layout>
  );
};
