module.exports = {
    root: true,
    env: {
        browser: true,
        es2020: true,
        node: true,
    },
    globals: {
        TARGET: false,
        types: false,
    },
    parser: '@typescript-eslint/parser',
    parserOptions: {
        ecmaFeatures: {
            jsx: true,
        },
        ecmaVersion: 11,
        sourceType: 'module',
    },
    rules: {
        indent: ['error', 4, { SwitchCase: 1 }],
        semi: ['off'],
        quotes: ['off'],
        'no-unused-vars': ['error', { vars: 'all', args: 'none' }],
        'prefer-const': ['off'],
        'prefer-destructuring': ['off'],
        'no-plusplus': ['off'],
        'no-lonely-if': ['off'],
        'no-else-return': ['off'],
    },
};
