## 控制列的显示隐藏

### options

#### columns
受控制的列

type: array&lt;object&gt;

示例：
```js
let columns = [
  {id: 'customer.name', display: true, category: 'customer.info'},
  {id: 'customer.cellphones', display: true, category: 'customer.info'},
  {id: 'agent.name', display: true, category: 'agent.info'},
  {id: 'customer.SelectField_xxx', display: false, category: 'customer.info', 
  name:'自定义字段' //如果有name元素，则会显示name，否则将调用t方法获取显示的内容
  }
]
```

#### cols
显示为几列，大于等于1

type: number

#### t
显示多语言内容的方法,参数为列id或者category的id

type: function

示例：
```
//zh-cn.json
{
    "record.customer.name":"客户姓名",
    "record.customer.cellphones":"客户电话"
}
```

```
//假设trans.g(label)是获取多语言内容的方法
<ColumnControl t=(columnId)=>trans.g('record.'+columnId) />
```
