function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { ClockCircleOutlined, CopyOutlined, DeleteOutlined } from '@ant-design/icons';
import { Button, Card, Empty, Form, PageHeader, Input, Modal, Spin, message } from 'antd';
import React, { useCallback, useEffect, useMemo, useState } from 'react';
import { Markdown } from "./..";
import FormBuilder from "../FormBuilder";
import { APPLICATION } from "../LLM/components/HistoryTop10";
import { useChatHistoryContext } from "../LLM/context/chatHistory";
import { useRouteContext } from "../LLM/context/route";
import { Toast } from "../Toast";
import { getLocaleDateTimeString } from "../utils/core";
import { request, useStream } from "../utils/fetch";
import { useSdkOptionsContext } from "../utils/fetch/context";
import { useOnce } from "../utils/hook";
import Locales from "../locales";
var MarkdownCard = function MarkdownCard(props) {
  var loading = props.loading,
    content = props.content,
    createTime = props.createTime,
    closeTextAnimation = props.closeTextAnimation,
    onDelete = props.onDelete;
  var copyVariable = function copyVariable() {
    navigator.clipboard.writeText(content).then(function () {
      Toast({
        message: /* 复制成功 */Locales['current'].appPage.index.successfullyCopied,
        type: 'success'
      });
    }).catch(function (error) {
      console.log( /* 复制失败 */Locales['current'].appPage.index.copyFailed, error);
    });
  };
  var deleteHandle = useCallback(function () {
    Modal.confirm({
      title: /* 确认删除内容吗？ */Locales['current'].appPage.index.areYouSureToDeleteTheContent,
      content: /* 删除内容是不可逆的操作，删除后将无法恢复 */Locales['current'].appPage.index.deletingCo52erDeletion,
      onOk: onDelete
    });
  }, [onDelete]);
  return /*#__PURE__*/React.createElement(Card, {
    className: "mb-5",
    hoverable: true,
    title: /*#__PURE__*/React.createElement("div", {
      className: "text-sm"
    }, /*#__PURE__*/React.createElement(ClockCircleOutlined, null), /*#__PURE__*/React.createElement("span", {
      className: "pl-2"
    }, createTime)),
    loading: loading,
    actions: [/*#__PURE__*/React.createElement("div", {
      key: 1,
      className: "w-full flex justify-between px-5"
    }, /*#__PURE__*/React.createElement(Button, {
      icon: /*#__PURE__*/React.createElement(CopyOutlined, null),
      onClick: copyVariable
    }, Locales['current'].appPage.index.copy), /*#__PURE__*/React.createElement(Button, {
      icon: /*#__PURE__*/React.createElement(DeleteOutlined, null),
      onClick: deleteHandle
    }, Locales['current'].appPage.index.delete))]
  }, /*#__PURE__*/React.createElement(Markdown, {
    closeTextAnimation: closeTextAnimation,
    content: content
  }));
};
var AppConfig = function AppConfig() {
  var _useRouteContext = useRouteContext(),
    pop = _useRouteContext.pop,
    currentRoute = _useRouteContext.currentRoute;
  var _ref = currentRoute || {},
    params = _ref.params;
  var _useChatHistoryContex = useChatHistoryContext(),
    active = _useChatHistoryContex.active,
    setActive = _useChatHistoryContex.setActive,
    refresh = _useChatHistoryContex.refresh;
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    data = _useState2[0],
    setData = _useState2[1];
  var _useState3 = useState([]),
    _useState4 = _slicedToArray(_useState3, 2),
    list = _useState4[0],
    setList = _useState4[1];
  var _useState5 = useState(false),
    _useState6 = _slicedToArray(_useState5, 2),
    loading = _useState6[0],
    setLoading = _useState6[1];
  var sdkOptions = useSdkOptionsContext();
  var requestStream = useStream();
  var refreshChatHistory = useOnce(refresh);
  var applicationId = useMemo(function () {
    return (active === null || active === void 0 ? void 0 : active.type) === APPLICATION ? (params === null || params === void 0 ? void 0 : params.applicationId) || (active === null || active === void 0 ? void 0 : active.id) : (params === null || params === void 0 ? void 0 : params.id) || (params === null || params === void 0 ? void 0 : params.applicationId);
  }, [active === null || active === void 0 ? void 0 : active.type, active === null || active === void 0 ? void 0 : active.id, params === null || params === void 0 ? void 0 : params.id, params === null || params === void 0 ? void 0 : params.applicationId]);
  // const isHistory = useMemo(() => {
  //   return active?.type === APPLICATION
  //     ? !!active?.id
  //     : !!params?.applicationId;
  // }, [active?.type, active?.id, params?.applicationId]);
  var _useState7 = useState(true),
    _useState8 = _slicedToArray(_useState7, 2),
    isHistory = _useState8[0],
    setIsHistory = _useState8[1];
  console.log(isHistory, applicationId);
  var deleteHandle = useCallback(function (current) {
    request("/session/application/history/".concat(current.id, "?applicationId=").concat(applicationId), {
      method: 'delete'
    }).then(function () {
      message.success( /* 删除成功 */Locales['current'].appPage.index.successfullyDeleted);
      setList(function (list) {
        return list.filter(function (item) {
          return item !== current;
        });
      });
    });
  }, []);
  var onFinish = useCallback(function (values) {
    var text = [];
    var current = {
      id: null,
      loading: true,
      content: '',
      params: values,
      createTime: getLocaleDateTimeString(),
      closeTextAnimation: false
    };
    setList(function (values) {
      return [current].concat(_toConsumableArray(values));
    });
    requestStream('/v2/applicationRun', 'post', _objectSpread(_objectSpread({}, sdkOptions), {}, {
      params: values,
      applicationId: applicationId
    }), {
      onmessage: function onmessage(resp) {
        if (resp.event === 'complete') {
          current.id = resp.id;
        }
        text.push(resp.data);
      },
      onclose: function onclose() {
        current.loading = false;
        current.content = text.join('');
        setList(function (list) {
          return _toConsumableArray(list);
        });
        if (!isHistory) {
          refreshChatHistory();
          setActive({
            type: APPLICATION,
            id: applicationId
          });
        }
      },
      onerror: function onerror(err) {
        throw err;
      }
    });
  }, [isHistory, applicationId]);
  useEffect(function () {
    // if (isHistory) {
    request("/session/application/history", {
      method: 'get',
      params: {
        applicationId: applicationId,
        pageNum: 1,
        pageSize: 9999
      }
    }).then(function (resp) {
      setIsHistory(false);
      setList(resp.data.map(function (item) {
        return {
          id: item.id,
          applicationId: item.applicationId,
          createTime: item.createTime,
          loading: false,
          content: item.answer,
          closeTextAnimation: true
        };
      }));
    });
    // }
  }, [applicationId]);
  useEffect(function () {
    if (applicationId) {
      setLoading(true);
      request("/applicationManagers/".concat(applicationId), {
        method: 'get'
      }).then(function (resp) {
        setData(resp.data);
        setLoading(false);
      });
    }
    setIsHistory(true);
  }, [applicationId]);
  return /*#__PURE__*/React.createElement("div", {
    className: "md:h-[100vh] flex flex-col md:overflow-hidden"
  }, /*#__PURE__*/React.createElement(PageHeader, {
    className: "site-page-header-responsive pt-3 pb-3 hidden md:block bg-white shadow-sm",
    ghost: false,
    onBack: function onBack() {
      return pop();
    },
    title: data === null || data === void 0 ? void 0 : data.name,
    extra: []
  }), /*#__PURE__*/React.createElement("div", {
    className: "overflow-y-auto flex-1 mt-4 overflow-x-hidden pt-16 md:pt-0 pl-4 md:pl-0 pr-4 md:pr-0 flex flex-col md:flex-row"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex-1 overflow-auto p-5"
  }, /*#__PURE__*/React.createElement("h1", null, Locales['current'].appPage.index.aICreation), /*#__PURE__*/React.createElement("h3", null, Locales['current'].appPage.index.followTheP66entYouNeed), /*#__PURE__*/React.createElement(Spin, {
    spinning: loading
  }, /*#__PURE__*/React.createElement(FormBuilder, {
    layout: "vertical",
    initialValues: {
      UserName: 'admin',
      Password: '123456'
    },
    onFinish: onFinish,
    autoComplete: "off",
    style: {
      marginTop: 40
    },
    fields: [].concat((data === null || data === void 0 ? void 0 : data.applicationFormList.map(function (item) {
      return {
        tag: Form.Item,
        props: {
          label: item.name,
          name: item.name,
          rules: [{
            required: !!item.required
          }]
        },
        children: {
          tag: Input,
          props: {
            placeholder: item.hint,
            showCount: true,
            maxLength: item.wordLimit
          }
        }
      };
    })) || [], {
      tag: Form.Item,
      children: {
        tag: Button,
        props: {
          type: 'primary',
          size: 'large',
          htmlType: 'submit',
          style: {
            width: '100%'
          },
          className: 'opacity-70 hover:opacity-80 bg-[#3b3abe] border-none rounded-xl'
        },
        children: [/* 确定 */Locales['current'].appPage.index.confirm]
      }
    })
  }))), /*#__PURE__*/React.createElement("div", {
    className: "flex-1 overflow-auto p-5"
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("h2", null, Locales['current'].appPage.index.newContentCreation)), list.length > 0 ? list.map(function (item, index) {
    return /*#__PURE__*/React.createElement(MarkdownCard, _extends({}, item, {
      key: index,
      onDelete: function onDelete() {
        return deleteHandle(item);
      },
      closeTextAnimation: item.closeTextAnimation || index > 0
    }));
  }) : /*#__PURE__*/React.createElement(Empty, null))));
};
export default AppConfig;