function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { Button, Form, Input, Modal, Spin } from 'antd';
import React, { useState } from 'react';
import styled from 'styled-components';
// import { useRouteContext } from 'udesk-llm-fe/LLM/context/route';
// import { AppConfigRouteName } from 'udesk-llm-fe/LLM/routes/routeMap';
import { request, useGet } from "../utils/fetch";
import { AppGrid } from "../components/AppGrid";
import { AppItem } from "../components/AppItem";
import { getAntClass } from "../utils/core";
import { useSdkOptionsContext } from "../utils/fetch/context";
import Locales from "../locales";
var Div = styled.div.withConfig({
  displayName: "Div",
  componentId: "udesk-llm-fe__sc-1cbwfmh-0"
})(["", "{width:100%;}"], getAntClass('spin-nested-loading'));
var ClassifysManagement = function ClassifysManagement() {
  // const { push } = useRouteContext();
  var _useSdkOptionsContext = useSdkOptionsContext(),
    antPrefixCls = _useSdkOptionsContext.antPrefixCls;
  var _useGet = useGet('/classifys'),
    data = _useGet.data,
    mutate = _useGet.mutate,
    isLoading = _useGet.isLoading;
  var _Form$useForm = Form.useForm(),
    _Form$useForm2 = _slicedToArray(_Form$useForm, 1),
    form = _Form$useForm2[0];
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isModalOpen = _useState2[0],
    setIsModalOpen = _useState2[1];
  var showModal = function showModal() {
    form.resetFields();
    setIsModalOpen(true);
  };
  var handleOk = function handleOk() {
    form.validateFields().then(function (data) {
      request('/classifys', {
        method: 'post',
        data: data
      }).then(function () {
        setIsModalOpen(false);
        mutate();
      });
    });
  };
  var handleCancel = function handleCancel() {
    setIsModalOpen(false);
  };

  // const goToEditor = (id: number) => {
  //   push(AppConfigRouteName, {
  //     id,
  //   });
  // };

  return /*#__PURE__*/React.createElement("div", {
    className: "overflow-y-auto"
  }, /*#__PURE__*/React.createElement(Div, {
    antPrefixCls: antPrefixCls,
    className: "container mr-auto ml-auto w-[min(48rem,100%)] md:w-[min(47rem,100%)] lg:w-[min(64rem,100%)] p-7 md:p-0"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex flex-col items-center"
  }, /*#__PURE__*/React.createElement(Button, {
    onClick: showModal,
    type: "primary",
    className: "self-end mt-[32px]"
  }, Locales['current'].classifysManagement.index.newCategory), /*#__PURE__*/React.createElement(Spin, {
    spinning: isLoading
  }, /*#__PURE__*/React.createElement(AppGrid, {
    items: (data === null || data === void 0 ? void 0 : data.data) || [],
    itemRender: function itemRender(item) {
      return /*#__PURE__*/React.createElement(AppItem, _extends({}, item, {
        key: item.id
      }));
    }
  }))), /*#__PURE__*/React.createElement(Modal, {
    title: /* 新建分类 */Locales['current'].classifysManagement.index.newCategory,
    visible: isModalOpen,
    onOk: handleOk,
    onCancel: handleCancel
  }, /*#__PURE__*/React.createElement(Form, {
    form: form
  }, /*#__PURE__*/React.createElement(Form.Item, {
    label: /* 分类名称 */Locales['current'].classifysManagement.index.classificationName,
    name: "name"
  }, /*#__PURE__*/React.createElement(Input, null))))));
};
export default ClassifysManagement;