"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _find = _interopRequireDefault(require("lodash-es/find"));

var _isEmpty = _interopRequireDefault(require("lodash-es/isEmpty"));

var _propTypes = _interopRequireDefault(require("prop-types"));

/*
 * @Author: your name
 * @Date: 2020-09-02 13:50:08
 * @LastEditTime: 2021-10-30 18:24:15
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /udesk_webapp_cc/Users/amyliang/Documents/udesk_webapp_public/packages/multi-select/src/Control.js
 */
var Control = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(Control, _Component);

  function Control() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Control.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        value = _this$props.value,
        prefix = _this$props.prefix,
        getOptionLabel = _this$props.getOptionLabel,
        getOptionValue = _this$props.getOptionValue,
        isOpen = _this$props.isOpen,
        placeholder = _this$props.placeholder,
        t = _this$props.t,
        options = _this$props.options,
        showAllOption = _this$props.showAllOption;
    return /*#__PURE__*/_react["default"].createElement(_react.Fragment, null, /*#__PURE__*/_react["default"].createElement("span", null, prefix, " ", !(0, _isEmpty["default"])(value) ? value.length === 1 ? getOptionLabel((0, _find["default"])(options, function (i) {
      return getOptionValue(i) === value[0];
    })) : showAllOption && value.includes('all') ? value.length - 1 + t('filter.choice.unit') : value.length + t('filter.choice.unit') : placeholder), /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        marginRight: 0
      }
    }, /*#__PURE__*/_react["default"].createElement("i", {
      className: 'icon icon-caret-' + (isOpen ? 'up' : 'down')
    })));
  };

  return Control;
}(_react.Component);

Control.propTypes = {
  value: _propTypes["default"].array,
  prefix: _propTypes["default"].string,
  getOptionLabel: _propTypes["default"].func,
  getOptionValue: _propTypes["default"].func,
  isOpen: _propTypes["default"].bool,
  placeholder: _propTypes["default"].string,
  t: _propTypes["default"].func,
  options: _propTypes["default"].array
};
Control.defaultProps = {};
var _default = Control;
exports["default"] = _default;