import React, { useContext } from 'react';
var DialogueContext = /*#__PURE__*/React.createContext(undefined);
export var DialogueContextProvider = function DialogueContextProvider(_ref) {
  var value = _ref.value,
    children = _ref.children;
  return /*#__PURE__*/React.createElement(DialogueContext.Provider, {
    value: value
  }, children);
};
export var useDialogueContext = function useDialogueContext() {
  var value = useContext(DialogueContext);
  if (value === undefined) {
    throw new Error('useDialogueContext must be used within a DialogueContextProvider');
  }
  return value;
};