function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["extra"];
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { CopyOutlined, DeleteOutlined, MoreOutlined, ReloadOutlined, DislikeOutlined, LikeOutlined } from '@ant-design/icons';
import { Button } from 'antd';
import React, { useCallback, useState } from 'react';
import { request } from "../../utils/fetch";
// import { PopupBatchedActions } from 'udesk-llm-fe';
import { PopupBatchedActionsNew } from "../..";
import { fire } from "../../utils/core";
import { Toast } from "../../Toast";
import Locales from "../../locales";
import FeedbackBox from "./FeedbackBox";
export default /*#__PURE__*/React.memo(function (props) {
  var _props$data = props.data,
    data = _props$data === void 0 ? {} : _props$data,
    onReload = props.onReload,
    onFeedback = props.onFeedback,
    onDelete = props.onDelete,
    getPopupContainer = props.getPopupContainer;
  var _data$extra = data.extra,
    extra = _data$extra === void 0 ? [] : _data$extra,
    otherProps = _objectWithoutProperties(data, _excluded);
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    feedbackType = _useState2[0],
    setFeedbackType = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    isAlreadyFeedback = _useState4[0],
    setIsAlreadyFeedback = _useState4[1];
  var handleFeedback = function handleFeedback(type) {
    if (!feedbackType) {
      setFeedbackType(type);
    }
  };
  var handleSendFeedback = function handleSendFeedback(params) {
    var paramsData = _objectSpread({
      question: data.keyword || '',
      chatId: data.sessionId || data.chatId,
      wdId: data.wdId
    }, params);
    request('/llmFeedbacks', {
      method: 'post',
      data: _objectSpread({}, paramsData)
    }).then(function (res) {
      console.log(res);
      setIsAlreadyFeedback(true);
    });
  };
  var copyVariable = useCallback(function () {
    navigator.clipboard.writeText(data === null || data === void 0 ? void 0 : data.content).then(function () {
      Toast({
        message: /* 复制成功 */Locales['current'].dialogue.components.batchedActions.successfullyCopied,
        type: 'success'
      });
    }).catch(function (error) {
      console.log( /* 复制失败 */Locales['current'].dialogue.components.batchedActions.copyFailed, error);
    });
  }, [data]);
  return /*#__PURE__*/React.createElement("div", {
    className: "flex flex-col"
  }, /*#__PURE__*/React.createElement(PopupBatchedActionsNew, {
    getPopupContainer: getPopupContainer,
    trigger: 'click',
    setFeedbackType: setFeedbackType,
    menu: [].concat(_toConsumableArray(extra.map(function (item) {
      return fire(item, otherProps);
    }).filter(function (item) {
      return !!item;
    })), _toConsumableArray([{
      label: 'reload',
      onClick: function onClick() {
        return onReload === null || onReload === void 0 ? void 0 : onReload(otherProps);
      },
      icon: /*#__PURE__*/React.createElement(ReloadOutlined, null)
    }, {
      label: 'like',
      active: false,
      onClick: function onClick() {
        handleFeedback('like');
      },
      icon: /*#__PURE__*/React.createElement(LikeOutlined, null)
    }, {
      label: 'dislike',
      danger: true,
      feedback: true,
      active: false,
      onClick: function onClick() {
        handleFeedback('dislike');
      },
      icon: /*#__PURE__*/React.createElement(DislikeOutlined, null)
    }, navigator.clipboard && {
      label: /* 复制 */Locales['current'].dialogue.components.batchedActions.copy,
      onClick: copyVariable,
      icon: /*#__PURE__*/React.createElement(CopyOutlined, null)
    }, onDelete ? {
      label: /* 删除 */Locales['current'].dialogue.components.batchedActions.delete,
      confirm: {
        title: /* 删除内容是不可逆的操作，删除后将无法恢复 */Locales['current'].dialogue.components.batchedActions.deletingCo52erDeletion
      },
      danger: true,
      onClick: function onClick() {
        return onDelete === null || onDelete === void 0 ? void 0 : onDelete(otherProps);
      },
      icon: /*#__PURE__*/React.createElement(DeleteOutlined, null)
    } : null].filter(function (item) {
      return !!item;
    })))
  }, /*#__PURE__*/React.createElement(Button, {
    size: "small",
    type: "text",
    icon: /*#__PURE__*/React.createElement(MoreOutlined, null)
  })), /*#__PURE__*/React.createElement(FeedbackBox, {
    isAlreadyFeedback: isAlreadyFeedback,
    feedbackType: feedbackType,
    setFeedBackType: handleFeedback,
    handleSendFeedback: handleSendFeedback
  }));
});