var _excluded = ["align", "onDelete"];
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useImperativeHandle } from 'react';
import styled from 'styled-components';
import PopupBatchedActions from "./BatchedActions";
import { Avatar } from 'antd';
import { useSdkOptionsContext } from "../../utils/fetch/context";
var UserNodeWrap = styled.div.withConfig({
  displayName: "UserNodeWrap",
  componentId: "udesk-llm-fe__sc-yv39oi-0"
})(["display:flex;justify-content:", ";& ::selection{background-color:rgba(199,237,206);color:rgba(0,0,0,0.85);}.udesk-coach-user-node-left{flex:1;margin:", ";.udesk-coach-user-node-title{color:rgba(0,0,0,0.65);font-size:12px;line-height:12px;margin-bottom:8px;text-align:", ";}.udesk-coach-user-node-content{background:linear-gradient(90deg,#4085FF 0%,#40AFFF 100%);border-radius:4px 0px 4px 4px;padding:10px 12px;color:#fff;font-size:14px;line-height:22px;display:inline-flex;float:right;white-space:pre-wrap;text-align:justify;max-width:100%;img{max-width:100% !important;}video{max-width:100% !important;}}.udesk-coach-user-node-footer{background-color:rgba(0,0,0,0.05);border-radius:4px;padding:2px 8px;color:rgba(0,0,0,0.45);clear:both;}}"], function (props) {
  return props.align === 'right' ? 'flex-end' : 'flex-start';
}, function (props) {
  return props.align === 'right' ? '0 12px 0 0' : '0 0 0 12px';
}, function (props) {
  return props.align === 'right' ? 'end' : 'start';
});
export var FormatDate = function FormatDate(props) {
  return /*#__PURE__*/React.createElement("span", null, props.startSecond);
};
export var UserNode = /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(function (props, ref) {
  var align = props.align,
    onDelete = props.onDelete,
    node = _objectWithoutProperties(props, _excluded);
  var _useSdkOptionsContext = useSdkOptionsContext(),
    headPortraitUrl = _useSdkOptionsContext.headPortraitUrl;
  useImperativeHandle(ref, function () {
    return {};
  });
  return /*#__PURE__*/React.createElement(UserNodeWrap, {
    align: align
  }, align === 'left' ? /*#__PURE__*/React.createElement(Avatar, {
    style: {
      flex: '0 0 40px'
    },
    size: 40,
    src: headPortraitUrl || 'https://gw.alipayobjects.com/zos/antfincdn/XAosXuNZyF/BiazfanxmamNRoxxVxka.png'
  }) : null, /*#__PURE__*/React.createElement("div", {
    className: "udesk-coach-user-node-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "udesk-coach-user-node-title"
  }, /*#__PURE__*/React.createElement(FormatDate, {
    startSecond: props.startSecond
  })), /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "w-[calc(100vw_-_36px_-_4rem)] flex justify-end md:w-fit"
  }, /*#__PURE__*/React.createElement(PopupBatchedActions, {
    data: node,
    onDelete: onDelete
  }), /*#__PURE__*/React.createElement("div", {
    className: "udesk-coach-user-node-content opacity-70"
  }, props.content)))), align === 'right' ? /*#__PURE__*/React.createElement(Avatar, {
    style: {
      flex: '0 0 40px'
    },
    size: 40,
    src: headPortraitUrl || 'https://gw.alipayobjects.com/zos/antfincdn/XAosXuNZyF/BiazfanxmamNRoxxVxka.png'
  }) : null);
}));