import React, { ReactElement } from 'react';
import { Item } from './Item';
type DialogueProps = {
    loading?: boolean;
    dialogueSentenceList?: any[];
    onScroll?: (props: any) => void;
    itemRender: (props: any, index: number) => ReactElement;
    formatItemRenderProps?: (props: any) => any;
};
export type RefType = {
    isScrollBottom: () => boolean;
    scrollToBottom: () => void;
};
declare const InternalDialogue: React.ForwardRefExoticComponent<DialogueProps & React.RefAttributes<RefType>>;
type InternalDialogueType = typeof InternalDialogue;
type DialogueType = InternalDialogueType & {
    Item: typeof Item;
};
declare const Dialogue: DialogueType;
export default Dialogue;
