"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireWildcard(require("react"));

var _excluded = ["indeterminate", "type"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var IndeterminateCheckbox = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(IndeterminateCheckbox, _Component);

  function IndeterminateCheckbox() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _Component.call.apply(_Component, [this].concat(args)) || this;
    _this._ref = /*#__PURE__*/(0, _react.createRef)();
    return _this;
  }

  var _proto = IndeterminateCheckbox.prototype;

  _proto.componentDidMount = function componentDidMount() {
    if (this.props.indeterminate === true) {
      this._setIndeterminate(true);
    }
  };

  _proto.componentDidUpdate = function componentDidUpdate(previousProps) {
    if (previousProps.indeterminate !== this.props.indeterminate) {
      this._setIndeterminate(this.props.indeterminate);
    }
  };

  _proto._setIndeterminate = function _setIndeterminate(indeterminate) {
    var node = this._ref.current;
    node.indeterminate = indeterminate;
  };

  _proto.render = function render() {
    //eslint-disable-next-line no-unused-vars
    var _this$props = this.props,
        indeterminate = _this$props.indeterminate,
        type = _this$props.type,
        props = (0, _objectWithoutPropertiesLoose2["default"])(_this$props, _excluded);
    return /*#__PURE__*/_react["default"].createElement("input", (0, _extends2["default"])({
      type: "checkbox"
    }, props, {
      ref: this._ref
    }));
  };

  return IndeterminateCheckbox;
}(_react.Component);

var _default = IndeterminateCheckbox;
exports["default"] = _default;