import EventEmitter from "eventemitter3";
declare class KcsSDKWrapper extends EventEmitter<"ready" | "buttonClick" | "fileButtonClick"> {
    private _kcsInstance;
    private options;
    get kcsInstance(): UdeskKcsSDK | undefined;
    private constructor();
    private static _instance;
    static getInstance(options: any): KcsSDKWrapper;
    private onButtonClick;
    private onFileButtonClick;
    private _opts;
    load(): Promise<UdeskKcsSDK | undefined>;
}
export default KcsSDKWrapper;
