import React from 'react';
import './index.less';
export declare enum formFieldTypes {
    input = "SINGLE_TEXT",
    select = "DROP_LIST",
    date = "DATE",
    time = "TIME",
    dateAndTime = "DATETIME",
    number = "NUMERIC",
    int = "INTEGER",
    link = "LINK",
    cascade = "CHAINED_DROP_LIST",
    radio = "RADIO",
    checkbox = "CHECKBOX",
    textarea = "MULTIPLE_TEXT",
    richText = "RICH_TEXT",
    image = "IMAGE",
    video = "VIDEO",
    attachment = "ATTACHMENT",
    multipleSelect = "MULTIPLE_SELECT",
    treeSelect = "TREE_SELECT",
    radioSelect = "RADIO_SELECT",
    tag = "TAG"
}
export declare enum knowledgeTemplateDateTypes {
    date = "date",
    range = "range"
}
export declare const tagColor: string[];
type KnowledgeTemplateInfoTypes = {
    refObj?: any;
    styleInfo: any[];
    detailInfo: any;
};
declare function KnowledgeTemplateInfo(props: KnowledgeTemplateInfoTypes): React.JSX.Element;
export default KnowledgeTemplateInfo;
