import React from 'react';
import { inspect } from "../utils/core";
import { DEFAULT_KNOWLEDGE, DefaultTemplateView } from "./components/DefaultTemplateView";
import TemplateView from "./components/TemplateView";
var KcsTemplateView = function KcsTemplateView(props) {
  var detailInfo = props.detailInfo,
    styleInfo = props.styleInfo;
  return inspect((detailInfo === null || detailInfo === void 0 ? void 0 : detailInfo.templateId) === DEFAULT_KNOWLEDGE, function () {
    return /*#__PURE__*/React.createElement(DefaultTemplateView, {
      detailInfo: detailInfo
    });
  }, function () {
    return /*#__PURE__*/React.createElement(TemplateView, {
      detailInfo: detailInfo,
      styleInfo: styleInfo
    });
  });
};
export default KcsTemplateView;