function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import classNames from 'classnames';
import React, { useState } from 'react';
import { useSdkOptionsContext } from "../../../utils/fetch/context";
// import { useRouteContext } from 'udesk-llm-fe/LLM/context/route';
import Navbar from "../Navbar";
import Sidebar from "../SideBar";
import { inspect } from "../../../utils/core";
import { styled } from 'styled-components';
var Div = styled.div.withConfig({
  displayName: "Div",
  componentId: "udesk-llm-fe__sc-1la2w62-0"
})([".scrollbar::-webkit-scrollbar{background-color:initial;}.scrollbar::-webkit-scrollbar{width:0.375rem!important;}.scrollbar::-webkit-scrollbar{height:0.375rem!important;}.scrollbar-thumb::-webkit-scrollbar-thumb{--tw-bg-opacity:1!important;background-color:rgb(222 222 222/var(--tw-bg-opacity))!important;}.scrollbar-thumb::-webkit-scrollbar-thumb{border-radius:0.25rem!important;}.scrollbar-track::-webkit-scrollbar-track{--tw-bg-opacity:1!important;background-color:rgb(241 245 249/var(--tw-bg-opacity))!important;}.scrollbar-track::-webkit-scrollbar-track{border-radius:0.25rem!important;}"]);
var Layout = function Layout(_ref) {
  var _ref$closeSideBar = _ref.closeSideBar,
    closeSideBar = _ref$closeSideBar === void 0 ? false : _ref$closeSideBar,
    children = _ref.children,
    loadingToken = _ref.loadingToken;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    sidebarOpen = _useState2[0],
    setSidebarOpen = _useState2[1];
  var _useSdkOptionsContext = useSdkOptionsContext(),
    wrapHeight = _useSdkOptionsContext.wrapHeight;
  return /*#__PURE__*/React.createElement(Div, {
    className: classNames({
      'grid bg-zinc-100 text-black ms:overflow-y-hidden': true,
      'grid-rows-header': !closeSideBar,
      'h-full': closeSideBar
    }),
    style: wrapHeight ? {
      minHeight: wrapHeight
    } : undefined
  }, inspect(closeSideBar, null, /*#__PURE__*/React.createElement(Navbar, {
    onMenuButtonClick: function onMenuButtonClick() {
      return setSidebarOpen(function (prev) {
        return !prev;
      });
    }
  })), /*#__PURE__*/React.createElement("div", {
    className: classNames({
      'grid': !loadingToken,
      'overflow-y-auto': closeSideBar,
      'md:grid-cols-sidebar': !closeSideBar,
      'block h-[100vh] w-full': loadingToken
    })
  }, inspect(closeSideBar, null, /*#__PURE__*/React.createElement(Sidebar, {
    loadingToken: loadingToken,
    open: sidebarOpen,
    setOpen: setSidebarOpen
  })), /*#__PURE__*/React.createElement("div", {
    style: closeSideBar ? {
      background: 'linear-gradient(79.23deg, #ECF1F9 2.11%, #EBFCFE 94.48%)'
    } : {},
    className: classNames({
      'h-[100vh]': !closeSideBar,
      'pt-7 md:pt-0 overflow-y-auto': true,
      'h-full': loadingToken
    })
  }, children)));
};
export default Layout;