function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
import { isKcs } from "../../../utils/fetch";
import { HomeRouteName, KcsHomeRouteName } from "../../routes/routeMap";
function flat(type) {
  return type !== 'function' && type !== 'object';
}
function shallowArray(a, b, compare) {
  var l = a.length;
  if (l !== b.length) return false;
  if (compare) {
    for (var i = 0; i < l; i++) if (!compare(a[i], b[i])) return false;
  } else {
    for (var _i = 0; _i < l; _i++) {
      if (a[_i] !== b[_i]) return false;
    }
  }
  return true;
}
function shallowObject(a, b, compare) {
  var ka = 0;
  var kb = 0;
  if (compare) {
    for (var key in a) {
      if (a.hasOwnProperty(key)) {
        if (!compare(a[key], b[key])) return false;
        ka++;
      }
    }
  } else {
    for (var _key in a) {
      if (a.hasOwnProperty(_key)) {
        if (a[_key] !== b[_key]) return false;
        ka++;
      }
    }
  }
  for (var _key2 in b) {
    if (b.hasOwnProperty(_key2)) kb++;
  }
  return ka === kb;
}
export function shallow(a, b, compare) {
  var aIsNull = a === null;
  var bIsNull = b === null;
  if (aIsNull !== bIsNull) return false;
  var aIsArray = Array.isArray(a);
  var bIsArray = Array.isArray(b);
  if (aIsArray !== bIsArray) return false;
  var aTypeof = _typeof(a);
  var bTypeof = _typeof(b);
  if (aTypeof !== bTypeof) return false;
  if (flat(aTypeof)) return compare ? compare(a, b) : a === b;
  return aIsArray ? shallowArray(a, b, compare) : shallowObject(a, b, compare);
}
export var getDefaultHomeRouteName = function getDefaultHomeRouteName(props) {
  if (isKcs(props)) {
    return KcsHomeRouteName;
  }
  return HomeRouteName;
};