import React from 'react';
import styled from 'styled-components';
var Wrap = styled.div.withConfig({
  displayName: "Wrap",
  componentId: "udesk-llm-fe__sc-a82xws-0"
})(["position:relative;top:50%;transform:translateY(-50%);margin:0 auto;"]);
var Loaderbefore = styled.div.withConfig({
  displayName: "Loaderbefore",
  componentId: "udesk-llm-fe__sc-a82xws-1"
})(["width:50px;height:50px;border:15px solid #ddd;border-radius:50%;position:absolute;top:calc(50% + 11px);left:calc(50% + 11px);z-index:9;"]);
var Circular = styled.div.withConfig({
  displayName: "Circular",
  componentId: "udesk-llm-fe__sc-a82xws-2"
})(["position:absolute;top:50%;left:50%;width:70px;height:70px;border:20px solid;border-radius:50%;border-top-color:#333;border-left-color:#fff;border-bottom-color:#333;border-right-color:#fff;opacity:0.2;animation:poof 5s infinite;@keyframes poof{0%{transform:scale(1,1) rotate(0deg);opacity:0.2;}50%{transform:scale(4,4) rotate(360deg);opacity:0;}}"]);
var CircularAnother = styled(Circular).withConfig({
  displayName: "CircularAnother",
  componentId: "udesk-llm-fe__sc-a82xws-3"
})(["opacity:0.1;transform:rotate(90deg);animation:poofity 5s infinite;animation-delay:1s;@keyframes poofity{0%{transform:scale(1,1) rotate(90deg);opacity:0.1;}50%{transform:scale(4,4) rotate(-360deg);opacity:0;}}"]);
var Text = styled.div.withConfig({
  displayName: "Text",
  componentId: "udesk-llm-fe__sc-a82xws-4"
})(["position:absolute;top:calc(50% + 70px);left:calc(50% + 5px);font-family:Arial;text-transform:uppercase;color:#888;animation:opaa 10s infinite;@keyframes opaa{0%{opacity:1;}10%{opacity:0.5;}15%{opacity:1;}30%{opacity:1;}65%{opacity:0.3;}90%{opacity:0.8;}}"]);
var Loader = styled.div.withConfig({
  displayName: "Loader",
  componentId: "udesk-llm-fe__sc-a82xws-5"
})(["position:absolute;top:calc(50% + 11px);left:calc(50% + 11px);z-index:10;width:50px;height:50px;border:15px solid;border-radius:50%;border-top-color:rgba(44,44,44,0);border-right-color:rgba(55,55,55,0);border-bottom-color:rgba(66,66,66,0);border-left-color:rgba(33,33,33,0);animation:loadEr 3s infinite;@keyframes loadEr{0%{border-top-color:rgba(44,44,44,0);border-right-color:rgba(55,55,55,0);border-bottom-color:rgba(66,66,66,0);border-left-color:rgba(33,33,33,0);}10.4%{border-top-color:rgba(44,44,44,0.5);border-right-color:rgba(55,55,55,0);border-bottom-color:rgba(66,66,66,0);border-left-color:rgba(33,33,33,0);}20.8%{border-top-color:rgba(44,44,44,0);border-right-color:rgba(55,55,55,0);border-bottom-color:rgba(66,66,66,0);border-left-color:rgba(33,33,33,0);}31.2%{border-top-color:rgba(44,44,44,0);border-right-color:rgba(55,55,55,0.5);border-bottom-color:rgba(66,66,66,0);border-left-color:rgba(33,33,33,0);}41.6%{border-top-color:rgba(44,44,44,0);border-right-color:rgba(55,55,55,0);border-bottom-color:rgba(66,66,66,0);border-left-color:rgba(33,33,33,0);transform:rotate(40deg);}52%{border-top-color:rgba(44,44,44,0);border-right-color:rgba(55,55,55,0);border-bottom-color:rgba(66,66,66,0.5);border-left-color:rgba(33,33,33,0);}62.4%{border-top-color:rgba(44,44,44,0);border-right-color:rgba(55,55,55,0);border-bottom-color:rgba(66,66,66,0);border-left-color:rgba(33,33,33,0);}72.8%{border-top-color:rgba(44,44,44,0);border-right-color:rgba(55,55,55,0);border-bottom-color:rgba(66,66,66,0);border-left-color:rgba(33,33,33,0.5);}}"]);
var Loading = function Loading() {
  return /*#__PURE__*/React.createElement(Wrap, {
    className: "h-80 w-80"
  }, /*#__PURE__*/React.createElement(Loader, null), /*#__PURE__*/React.createElement(Loaderbefore, null), /*#__PURE__*/React.createElement(Circular, null), /*#__PURE__*/React.createElement(CircularAnother, null), /*#__PURE__*/React.createElement(Text, null, "Loading"));
};
export default Loading;