"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _map = _interopRequireDefault(require("lodash-es/map"));

var _react2 = require("@emotion/react");

var Options = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(Options, _Component);

  function Options() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Options.prototype;

  _proto.render = function render() {
    var _this = this;

    var _this$props = this.props,
        options = _this$props.options,
        getOptionLabel = _this$props.getOptionLabel;
    return (0, _react2.jsx)(_react.Fragment, null, (0, _map["default"])(options, function (i, index) {
      return (0, _react2.jsx)("li", {
        key: index,
        onClick: function onClick() {
          return _this._onSelect(i);
        }
      }, getOptionLabel(i));
    }));
  };

  _proto._onSelect = function _onSelect(option) {
    var _this$props2 = this.props,
        getOptionValue = _this$props2.getOptionValue,
        onChange = _this$props2.onChange;
    onChange(getOptionValue(option), option);
  };

  return Options;
}(_react.Component);

(0, _defineProperty2["default"])(Options, "defaultProps", {
  getOptionValue: function getOptionValue(v) {
    return v;
  },
  getOptionLabel: function getOptionLabel(v) {
    return JSON.stringify(v);
  },
  options: []
});
Options.propTypes = {
  options: _propTypes["default"].arrayOf(_propTypes["default"].any),
  getOptionLabel: _propTypes["default"].func,
  getOptionValue: _propTypes["default"].func,
  value: _propTypes["default"].any,
  onChange: _propTypes["default"].func
};
var _default = Options;
exports["default"] = _default;