import { PageHeader } from 'antd';
import React from 'react';
import { useRouteContext } from "../LLM/context/route";
import { useSdkOptionsContext } from "../utils/fetch/context";
import Session from "../Session";
import Locales from "../locales";
var AppConfig = function AppConfig() {
  var _useRouteContext = useRouteContext(),
    pop = _useRouteContext.pop,
    currentRoute = _useRouteContext.currentRoute;
  var _useSdkOptionsContext = useSdkOptionsContext(),
    session = _useSdkOptionsContext.session;
  var _ref = currentRoute || {},
    params = _ref.params;
  var _ref2 = params || {},
    sessionId = _ref2.sessionId,
    _ref2$defaultSearch = _ref2.defaultSearch,
    defaultSearch = _ref2$defaultSearch === void 0 ? '' : _ref2$defaultSearch;
  return /*#__PURE__*/React.createElement("div", {
    className: "flex flex-col md:overflow-hidden h-full"
  }, /*#__PURE__*/React.createElement(PageHeader, {
    className: "site-page-header-responsive pt-3 pb-3 hidden md:block bg-white shadow-sm",
    ghost: false,
    onBack: function onBack() {
      return pop();
    },
    title: /* AI 智能助手 */Locales['current'].sessionPage.index.aIIntelligentAssistant,
    extra: []
  }), /*#__PURE__*/React.createElement("div", {
    className: "overflow-y-auto flex-1 mt-4 overflow-x-hidden pt-16 md:pt-0 pl-4 md:pl-0 pr-4 md:pr-0 flex flex-col"
  }, /*#__PURE__*/React.createElement(Session, {
    extra: session === null || session === void 0 ? void 0 : session.extra,
    sessionId: sessionId,
    defaultSearch: defaultSearch
  })));
};
export default AppConfig;