var _excluded = ["children", "closeTextAnimation"];
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import React, { useEffect, useMemo, useState } from 'react';
var Util = /*#__PURE__*/function () {
  function Util(config) {
    _classCallCheck(this, Util);
    _defineProperty(this, "text", '');
    _defineProperty(this, "list", new Array());
    _defineProperty(this, "time", 100);
    _defineProperty(this, "isRunning", false);
    _defineProperty(this, "closeAnimate", false);
    var closeFirstAnimate = config.closeFirstAnimate,
      value = config.value,
      time = config.time,
      onBefore = config.onBefore,
      onProgress = config.onProgress;
    if (value) {
      this.list = value.split('');
    }
    this.onBefore = onBefore;
    this.onProgress = onProgress;
    this.time = time;
    this.closeAnimate = closeFirstAnimate;
  }
  _createClass(Util, [{
    key: "onBefore",
    value: function onBefore(args) {
      return args;
    }
  }, {
    key: "onProgress",
    value: function onProgress(resolve, args, isRunning) {
      return [resolve, args, isRunning];
    }
  }, {
    key: "next",
    value: function next() {
      var _this = this;
      var item = this.list.splice(0, 4).join('');
      var onProgress = this.onProgress,
        time = this.time,
        next = this.next;
      if (item) {
        new Promise(function (resolve) {
          setTimeout(function () {
            onProgress(resolve, item, _this.isRunning = true);
          }, time);
        }).then(next.bind(this));
      } else {
        onProgress(function () {}, item, this.isRunning = false);
      }
    }
  }, {
    key: "add",
    value: function add(value) {
      if (value) {
        this.list = this.list.concat(value.split(''));
      }
      this.start();
    }
  }, {
    key: "update",
    value: function update(value) {
      if (this.closeAnimate) {
        this.closeAnimate = false;
        this.onBefore(this.text = value);
      } else {
        var oldText = value.slice(0, this.text.length);
        var newText = value.slice(this.text.length);
        // 更新原有字符
        this.onBefore(oldText);
        if (newText) {
          // 追加新字符
          this.add(newText);
        }
        this.text = value;
      }
    }
  }, {
    key: "start",
    value: function start() {
      if (!this.isRunning) {
        this.next();
      }
    }
  }]);
  return Util;
}();
export var useAutoDisplay = function useAutoDisplay(closeTextAnimation, onTextAnimationPlaying) {
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    children = _useState2[0],
    setChildren = _useState2[1];
  var _useState3 = useState(''),
    _useState4 = _slicedToArray(_useState3, 2),
    text = _useState4[0],
    setText = _useState4[1];
  var _useState5 = useState(true),
    _useState6 = _slicedToArray(_useState5, 2),
    isRunning = _useState6[0],
    setIsRunning = _useState6[1];
  var util = useMemo(function () {
    return new Util({
      time: 100,
      closeFirstAnimate: true,
      onBefore: setText
    });
  }, []);
  useEffect(function () {
    util.onProgress = function (resolve, text, isRunning) {
      setText(function (value) {
        return value + text;
      });
      setIsRunning(isRunning);
      if (isRunning) {
        onTextAnimationPlaying === null || onTextAnimationPlaying === void 0 || onTextAnimationPlaying();
      }
      resolve(text);
      return [text, isRunning];
    };
  }, [onTextAnimationPlaying]);
  useEffect(function () {
    if (closeTextAnimation) {
      setText(children);
    } else {
      util.update(children);
    }
  }, [closeTextAnimation, children, util]);
  return {
    text: text,
    isRunning: isRunning,
    update: setChildren
  };
};
var Text = function Text(props) {
  var children = props.children,
    closeTextAnimation = props.closeTextAnimation,
    otherDivProps = _objectWithoutProperties(props, _excluded);
  var _useAutoDisplay = useAutoDisplay(closeTextAnimation),
    text = _useAutoDisplay.text,
    update = _useAutoDisplay.update;
  useEffect(function () {
    update(children);
  }, [children, update]);
  return /*#__PURE__*/React.createElement("div", otherDivProps, /*#__PURE__*/React.createElement("span", null, text));
};
export default Text;