"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var copy_1 = __importDefault(require("../../../copy"));
/**
 * 级联组件
 * @param props
 */
var NewCascader = function (props) {
    console.log('newCascader', props);
    var _a = (0, react_1.useState)(undefined), value = _a[0], setValue = _a[1];
    var options = props.options;
    (0, react_1.useEffect)(function () {
        // const values = (props.value || []).reduce((initValues: any, currentValue: any, index: number) => {
        //     let options: any;
        //     if (!index) {
        //         options = props.options;
        //     } else {
        //         options = (initValues[index - 1] || {}).options;
        //     }
        //     const keyOption = options.find((option: any) => {
        //         return currentValue === option.value
        //     });
        //     initValues.push({
        //         key: keyOption.label,
        //         options: keyOption.children || keyOption.subs || []
        //     });
        //     return initValues;
        // }, []).map((item: any) => item.key);
        // setValue(values)
        var value = props.value;
        if (value && typeof value === 'string') {
            value = props.value.split(',');
        }
        setValue(value);
    }, [props.value]);
    var handleChange = (0, react_1.useCallback)(function (value) {
        setValue(value);
        props.onChange && props.onChange(value.length ? value : '');
    }, [props]);
    var formatValue = (0, react_1.useCallback)(function (value) {
        var data = (value || [])
            .reduce(function (initValues, currentValue, index) {
            var _options;
            if (!index) {
                _options = options;
            }
            else {
                _options = (initValues[index - 1] || {}).options || [];
            }
            var keyOption = _options.find(function (option) {
                return currentValue === option.value;
            }) || {};
            initValues.push({
                key: keyOption.label,
                options: keyOption.children || keyOption.subs || [],
            });
            return initValues;
        }, [])
            .filter(function (_t) { return _t.key; })
            .map(function (item) { return item.key; })
            .join('/');
        return data;
    }, [options]);
    return (react_1.default.createElement(copy_1.default, { text: formatValue(value), switchFlag: props.switchFlag },
        react_1.default.createElement(udesk_ui_1.Cascader, { options: props.options, value: value, onChange: handleChange, placeholder: "\u8BF7\u9009\u62E9", changeOnSelect: true, showSearch: true, disabled: props.disabled })));
};
exports.default = NewCascader;
