"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
//多选框组件
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var CheckboxGroup = udesk_ui_1.Checkbox.Group;
function Filed_checkbox(props) {
    var onChange = props.onChange, _a = props.options, options = _a === void 0 ? [] : _a, _b = props.sort_type, sort_type = _b === void 0 ? 'x' : _b;
    //选择的选项值
    var _c = (0, react_1.useState)([]), checkedList = _c[0], setCheckedList = _c[1];
    // 换行排列样式
    var yStyle = (0, react_1.useRef)({
        display: 'block',
        height: '30px',
        lineHeight: '30px',
        marginLeft: '0'
    });
    // 连续排列样式
    var xStyle = (0, react_1.useRef)({
        display: 'inline-block'
    });
    // 监听道选项改变 处理数据   取出其中默认选项  复制给Radio.Group的value  主要是外部新建字段  改变默认选项时触发  改变展示效果
    (0, react_1.useEffect)(function () {
        if (props.value) {
            //value  类型 是[] 或 string
            if (typeof (props.value) === 'string') {
                // 将value转数组  存值
                setCheckedList(props.value.split(','));
            }
            else {
                setCheckedList(props.value);
            }
        }
        else {
            setCheckedList(options.filter(function (item) { return item.default; }).map(function (item) { return item.value; }));
        }
    }, [props.value]);
    // useEffect(() => {
    //     setCheckedList(props.value)
    // }, [props.value])
    // 选择改变时触发
    var checkOnChange = (0, react_1.useCallback)(function (checkedList) {
        setCheckedList(checkedList);
        if (onChange)
            onChange(checkedList.join(','));
    }, [onChange]);
    var checkGroupChildren = (0, react_1.useMemo)(function () {
        return (react_1.default.createElement(CheckboxGroup, { value: checkedList, onChange: checkOnChange, disabled: props.disabled }, options.map(function (item) {
            return (react_1.default.createElement(udesk_ui_1.Checkbox, { key: item.value, value: item.value, style: sort_type === 'y' ? yStyle.current : xStyle.current },
                react_1.default.createElement("span", { className: "".concat(index_module_scss_1.default['select-item'], " ").concat(item.color ? index_module_scss_1.default['select-item-hascolor'] : ''), style: {
                        background: item.color ? item.color : ''
                    } },
                    item.icon ?
                        react_1.default.createElement("img", { alt: '', src: item.icon, className: index_module_scss_1.default['setting-img'] }) : '',
                    item.title)));
        })));
    }, [checkOnChange, checkedList, options, props.disabled, sort_type]);
    return (react_1.default.createElement("div", { className: index_module_scss_1.default['select-wrapper'] }, checkGroupChildren));
}
exports.default = Filed_checkbox;
