"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var FieldCommon = function (props) {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        props.children,
        props.errMsg && !props.isFormItem && (react_1.default.createElement("div", { className: 'err-text', style: { color: '#ff5e5b' } }, props.errMsg)),
        props.explain && props.explainShow && (react_1.default.createElement("div", { className: 'explain-rich', style: {
                maxHeight: '200px',
                overflow: 'auto',
                color: 'rgba(0, 0, 0, 0.45)',
                paddingLeft: '5px'
            }, dangerouslySetInnerHTML: { __html: props.explain } }))));
};
exports.default = FieldCommon;
