"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
//组件公用头部
var react_1 = __importDefault(require("react"));
var style_module_scss_1 = __importDefault(require("./style.module.scss"));
var udesk_ui_1 = require("udesk-ui");
var icons_1 = require("@ant-design/icons");
function FieldHeader(_a) {
    var _b = _a.isRequired, isRequired = _b === void 0 ? false : _b, _c = _a.title, title = _c === void 0 ? '' : _c, _d = _a.content, content = _d === void 0 ? '' : _d, _e = _a.target, target = _e === void 0 ? [] : _e;
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("div", { className: style_module_scss_1.default['link-title'] },
            isRequired && react_1.default.createElement("span", { style: { color: 'red' } }, "*"),
            react_1.default.createElement("div", { className: style_module_scss_1.default['name'] }, title),
            (content && target.length > 0) && react_1.default.createElement(udesk_ui_1.Tooltip, { title: content },
                react_1.default.createElement(icons_1.QuestionCircleOutlined, null)))));
}
exports.default = FieldHeader;
