"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
var dompurify_1 = tslib_1.__importDefault(require("dompurify"));
var CustomCardType = react_1.default.memo(function (_a) {
    var _b, _c;
    var msg = _a.msg;
    return (react_1.default.createElement("ul", { className: index_module_less_1.default['custom-card'] },
        msg.title && react_1.default.createElement("li", null,
            react_1.default.createElement("span", null, msg.title)), (_c = (_b = msg.cardList) === null || _b === void 0 ? void 0 : _b.slice(0, 20).map(function (item, index) {
        if (item.type === 1) {
            return react_1.default.createElement("li", { dangerouslySetInnerHTML: { __html: dompurify_1.default.sanitize(msg.cardListType === 2 ? item.hitShowContent : item.content) } });
        }
        else {
            return (react_1.default.createElement("li", null,
                item.suggestContent && react_1.default.createElement("span", null, item.suggestContent),
                react_1.default.createElement("ol", { className: "faq-list" }, item.suggestList && item.suggestList.map(function (_item) {
                    return react_1.default.createElement("li", null,
                        react_1.default.createElement("a", { href: "javascript:;" }, _item.content));
                }))));
        }
    })) !== null && _c !== void 0 ? _c : null));
});
exports.default = CustomCardType;
