"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Trigger = exports.Menu = void 0;
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var menu_1 = require("./menu");
Object.defineProperty(exports, "Menu", { enumerable: true, get: function () { return menu_1.Menu; } });
var Trigger = react_1.default.forwardRef(function (props, ref) {
    return (react_1.default.createElement("div", __assign({ ref: ref }, props), props.children));
});
exports.Trigger = Trigger;
var DropDownClass = function (props) {
    var children = props.children, _a = props.trigger, trigger = _a === void 0 ? ["click"] : _a, _b = props.text, text = _b === void 0 ? "" : _b, others = __rest(props, ["children", "trigger", "text"]);
    var showChild = function (children, child) { return react_1.default.Children.toArray(children).filter(function (c) { return c.type === child; })[0]; };
    var menu = (0, react_1.useMemo)(function () { return showChild(children, menu_1.Menu); }, [children]);
    var triggerElement = (0, react_1.useMemo)(function () {
        var child = showChild(children, Trigger);
        if (child) {
            return child;
        }
        else {
            return (react_1.default.createElement("span", null, text));
        }
    }, [children, text]);
    return (react_1.default.createElement(udesk_ui_1.Dropdown, __assign({ overlay: menu, trigger: trigger }, others), triggerElement));
};
exports.default = DropDownClass;
