import React from 'react';
interface IMessage {
    subject: string;
    from: string;
    to: string;
    cc: string;
    thumbnail: string;
    content: string;
    is_receive: boolean;
    data: {
        attachments: IAttach[];
    };
}
interface IAttach {
    name: string;
    url: string;
    size: number;
    suffix: string;
}
declare const EmailType: React.FC<{
    msg: IMessage;
}>;
export default EmailType;
