"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
var LinkType = react_1.default.memo(function (_a) {
    var msg = _a.msg;
    return (react_1.default.createElement("a", { href: msg.answerUrl, target: "_blank", rel: "noopener noreferrer", className: index_module_less_1.default['link-outside-a'] },
        react_1.default.createElement("span", { className: "".concat(index_module_less_1.default['favicon-img'], " ").concat(msg.faviconUrl ? '' : index_module_less_1.default['default-fav'], " "), style: { backgroundImage: "url(".concat(msg.faviconUrl || '/entry/images/im/link-lue.png') } }),
        react_1.default.createElement("span", { className: index_module_less_1.default['favicon-text'] }, msg.title || msg.answerUrl)));
});
exports.default = LinkType;
