"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/* eslint-disable jsx-control-statements/jsx-use-if-tag */
var react_1 = tslib_1.__importStar(require("react"));
var robot_auto_sugs_1 = tslib_1.__importDefault(require("./robot-auto-sugs"));
var utilities_1 = require("../utilities");
var MessageType = react_1.default.memo(function (_a) {
    var msg = _a.msg, trans_text = _a.trans_text, real_time_translation = _a.real_time_translation, smart_assistance_enabled = _a.smart_assistance_enabled, chatPlatform = _a.chatPlatform, onSelectSuggestion = _a.onSelectSuggestion, robotBaseURL = _a.robotBaseURL, kcsSdk = _a.kcsSdk;
    var robotRecommend = (0, react_1.useMemo)(function () { return (!(msg.auto || msg.is_welcome)); }, [msg.auto, msg.is_welcome]);
    var translationTo = (0, react_1.useMemo)(function () { return ((real_time_translation === null || real_time_translation === void 0 ? void 0 : real_time_translation.enabled) && (real_time_translation === null || real_time_translation === void 0 ? void 0 : real_time_translation.translate_to)) ? real_time_translation === null || real_time_translation === void 0 ? void 0 : real_time_translation.translate_to : ''; }, [real_time_translation === null || real_time_translation === void 0 ? void 0 : real_time_translation.enabled, real_time_translation === null || real_time_translation === void 0 ? void 0 : real_time_translation.translate_to]);
    var robotAutoSuggest = (0, react_1.useMemo)(function () { return smart_assistance_enabled || false; }, [smart_assistance_enabled]);
    return (msg.is_receive && robotRecommend ?
        react_1.default.createElement(robot_auto_sugs_1.default, { id: msg.msg_id || msg.id, title: msg.content, trans_text: trans_text, langto: translationTo, titleStyle: msg.font, im_sub_session_id: msg.im_sub_session_id, open: !!msg.open_robot_recommends && robotAutoSuggest, date: msg.date, chatPlatform: chatPlatform, onSelectSuggestion: onSelectSuggestion, smart_assistance_enabled: !!smart_assistance_enabled, robotBaseURL: robotBaseURL, kcsSdk: kcsSdk, twemoji: msg.twemoji }) :
        //因为react的内联样式传的是对象  接口返回的font是个字符串  不能直接使用  所以转换成innerhtml
        react_1.default.createElement("div", { dangerouslySetInnerHTML: { __html: (0, utilities_1.handleText)(chatPlatform, msg) } }));
});
exports.default = MessageType;
