"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var mini_program_1 = tslib_1.__importDefault(require("../icon/mini-program"));
var react_i18next_1 = require("react-i18next");
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
var isObject_1 = tslib_1.__importDefault(require("lodash-es/isObject"));
var MiniprogrampageType = react_1.default.memo(function (_a) {
    var msg = _a.msg;
    var t = (0, react_i18next_1.useTranslation)().t;
    return (react_1.default.createElement("div", { className: index_module_less_1.default['link-mini-card'] },
        react_1.default.createElement("p", null,
            react_1.default.createElement(mini_program_1.default, null),
            react_1.default.createElement("span", null, (0, isObject_1.default)(msg.content) ? msg.content.title : msg.content)),
        react_1.default.createElement("a", { href: "javascript:void(0);" },
            react_1.default.createElement("img", { src: msg.pic_url || msg.content.pic_url || msg.origin_url || msg.content.origin_url, title: 'picture', alt: '' }))));
});
exports.default = MiniprogrampageType;
