"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var robot_select_1 = __importDefault(require("./robot-select"));
var udesk_ui_1 = require("udesk-ui");
var category_select_1 = __importDefault(require("./category-select"));
var space_1 = __importDefault(require("udesk-ui/es/space"));
var robot_question_list_1 = __importDefault(require("./robot-question-list"));
var style_module_scss_1 = __importDefault(require("./style.module.scss"));
var RobotQuestionComp = function (_a) {
    var searchWord = _a.searchWord, settings = _a.settings;
    var _b = (0, react_1.useState)(), selectedRobotId = _b[0], setSelectedRobotId = _b[1];
    var _c = (0, react_1.useState)(), selectedCategoryId = _c[0], setSelectedCategoryId = _c[1];
    var selectFirstRobot = (0, react_1.useCallback)(function (robots) {
        setSelectedRobotId(function (prevState) {
            if (!prevState) {
                return robots[0].km_robot_id;
            }
            return prevState;
        });
    }, []);
    if (!settings) {
        return react_1.default.createElement(udesk_ui_1.Spin, null);
    }
    return react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(space_1.default, { className: style_module_scss_1.default.conditionWrapper },
            react_1.default.createElement(robot_select_1.default, { settings: settings, value: selectedRobotId, onChange: setSelectedRobotId, onDataLoaded: selectFirstRobot }),
            selectedRobotId &&
                react_1.default.createElement(category_select_1.default, { settings: settings, value: selectedCategoryId, onChange: setSelectedCategoryId, setDefaultValue: setSelectedCategoryId, robotId: selectedRobotId })),
        selectedRobotId && selectedCategoryId &&
            react_1.default.createElement(robot_question_list_1.default, { auth: settings.auth, robotId: selectedRobotId, categoryId: selectedCategoryId, searchWord: searchWord }));
};
exports.default = RobotQuestionComp;
