"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var udesk_ui_1 = require("udesk-ui");
var style_module_scss_1 = __importDefault(require("./style.module.scss"));
var SelectClass = function (props) {
    var options = props.options, children = props.children, _a = props.valueFieldName, valueFieldName = _a === void 0 ? "id" : _a, _b = props.nameFieldName, nameFieldName = _b === void 0 ? "name" : _b, others = __rest(props, ["options", "children", "valueFieldName", "nameFieldName"]);
    return (react_1.default.createElement(udesk_ui_1.Select, __assign({ className: style_module_scss_1.default["select"] }, others),
        (children === null || children === void 0 ? void 0 : children.length) &&
            react_1.default.Children.map(children, function (child, index) {
                return react_1.default.cloneElement(child, {
                    index: index,
                });
            }),
        !(children === null || children === void 0 ? void 0 : children.length) &&
            (options === null || options === void 0 ? void 0 : options.length) &&
            options.map(function (option) {
                return (react_1.default.createElement(udesk_ui_1.Select.Option, { key: option[valueFieldName], value: option[valueFieldName] }, option[nameFieldName]));
            })));
};
SelectClass.Option = udesk_ui_1.Select.Option;
exports.default = SelectClass;
