"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
var react_i18next_1 = require("react-i18next");
var udesk_ui_1 = require("udesk-ui");
var buttonTypes = {
    link: 'link',
    phone: 'phone'
};
function StructType(props) {
    var msgItem = props.msg;
    var t = (0, react_i18next_1.useTranslation)().t;
    var _a = (0, react_1.useState)(false), showModal = _a[0], setShowModal = _a[1];
    var _b = (0, react_1.useState)(''), showPhone = _b[0], setShowPhone = _b[1];
    var item = typeof (msgItem.content) === 'string' ? JSON.parse(msgItem.content) : msgItem.content;
    if (item.data) {
        item = item.data.content;
    }
    var showTel = (0, react_1.useCallback)(function (phone) {
        setShowModal(true);
        setShowPhone(phone);
    }, []);
    return (react_1.default.createElement("div", { className: index_module_less_1.default['im-struct'] },
        react_1.default.createElement("ul", { className: index_module_less_1.default['list-group'] },
            item.img_url &&
                react_1.default.createElement("li", { className: index_module_less_1.default['list-group-item'] },
                    react_1.default.createElement("img", { alt: "", src: item.img_url, className: index_module_less_1.default['list-group-item-img'] })),
            (item.title || item.description) &&
                react_1.default.createElement("li", { className: "".concat(index_module_less_1.default['list-group-item'], " ").concat(index_module_less_1.default['text-left']) },
                    item.title && react_1.default.createElement("label", null, item.title),
                    item.description && react_1.default.createElement("p", { className: index_module_less_1.default['text-muted'] }, item.description)),
            item.buttons && item.buttons.map(function (item) {
                if (item) {
                    if (item.type === buttonTypes.link) {
                        return (react_1.default.createElement("li", { className: index_module_less_1.default['list-group-item'] },
                            react_1.default.createElement("a", { href: item.value, target: "_blank", rel: "noopener noreferrer" }, item.text)));
                    }
                    else if (item.type === buttonTypes.phone) {
                        return (react_1.default.createElement("li", { className: index_module_less_1.default['list-group-item'] },
                            react_1.default.createElement("a", { href: "tel:".concat(item.value), onClick: function () { return showTel(item.value); } }, item.text)));
                    }
                }
                return null;
            })),
        react_1.default.createElement(udesk_ui_1.Modal, { title: t('page.im.record.callNum'), visible: showModal, onOk: function () { return setShowModal(false); }, onCancel: function () { return setShowModal(false); } },
            react_1.default.createElement("p", null,
                t('page.im.record.pleaseCall'),
                ":",
                showPhone))));
}
exports.default = StructType;
