"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var dompurify_1 = tslib_1.__importDefault(require("dompurify"));
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
var TaskButton = function (_a) {
    var msg = _a.msg;
    var parsedContent = (0, react_1.useMemo)(function () {
        try {
            return JSON.parse(msg.content);
        }
        catch (_a) {
            return JSON.parse(JSON.stringify(msg.content));
        }
    }, [msg.content]);
    var buttons = (0, react_1.useMemo)(function () {
        return parsedContent.buttons.map(function (i) {
            return react_1.default.createElement("div", { className: index_module_less_1.default['task-button-rich'], dangerouslySetInnerHTML: { __html: dompurify_1.default.sanitize(i.customStyle) } });
        });
    }, [parsedContent.buttons]);
    return react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: index_module_less_1.default['task-button-rich-title'], dangerouslySetInnerHTML: { __html: dompurify_1.default.sanitize(parsedContent.richText) } }),
        buttons);
};
exports.default = TaskButton;
