"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var icons_1 = require("@ant-design/icons");
var CustomizeTextComponent = function (props) {
    // eslint-disable-next-line react/prop-types
    var formData = props.formData;
    var _a = (0, react_1.useState)(''), errMessage = _a[0], setErrMessage = _a[1];
    var _b = (0, react_1.useState)(false), errMsgShowFlag = _b[0], setErrMsgShowFlag = _b[1];
    // 失去焦点 校验是否提示
    var hanleValidateText = function (e) {
        //校验是否是必填项
        var textValue = e.target.value;
        if (formData.isRequired) {
            if (textValue === '') {
                setErrMessage(function () { return '必填项必须输入值'; });
                setErrMsgShowFlag(function () { return true; });
                return;
            }
            else {
                setErrMessage(function () { return ''; });
                setErrMsgShowFlag(function () { return false; });
            }
        }
        //检验是否是纯文本
        //校验长度
        if (textValue.length > formData.input_max) {
            setErrMessage(function () { return '超过做大长度限制'; });
            setErrMsgShowFlag(function () { return true; });
            return;
        }
        else {
            setErrMessage(function () { return ''; });
            setErrMsgShowFlag(function () { return false; });
        }
        //校验自定义的正则表达式
        if (formData.input_regex) {
            // eslint-disable-next-line no-eval
            if (eval(formData.input_regex).test(textValue)) {
                setErrMessage(function () { return ''; });
                setErrMsgShowFlag(function () { return false; });
            }
            else {
                setErrMessage(function () { return '不符合校验规则'; });
                setErrMsgShowFlag(function () { return true; });
                return;
            }
        }
    };
    return (react_1.default.createElement("div", { className: 'box-shadow-bg' },
        react_1.default.createElement(udesk_ui_1.Row, null,
            formData.isRequired && react_1.default.createElement("span", { style: { color: 'red' } }, "*"),
            react_1.default.createElement("span", null, formData.name),
            (formData.help_tip_content && formData.help_tip_content.length > 0) && (formData.help_tip_target && formData.help_tip_target.length > 0) &&
                react_1.default.createElement(udesk_ui_1.Tooltip, { title: formData.help_tip_content },
                    react_1.default.createElement(icons_1.QuestionCircleOutlined, null))),
        react_1.default.createElement(udesk_ui_1.Row, null,
            react_1.default.createElement(udesk_ui_1.Input, { defaultValue: formData.input_default, placeholder: formData.input_tip, onBlur: hanleValidateText })),
        react_1.default.createElement(udesk_ui_1.Row, null, errMsgShowFlag && react_1.default.createElement("span", null, errMessage))));
};
exports.default = CustomizeTextComponent;
