"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var PlusCircleOutlined_1 = __importDefault(require("@ant-design/icons/PlusCircleOutlined"));
var EditOutlined_1 = __importDefault(require("@ant-design/icons/EditOutlined"));
var MinusCircleOutlined_1 = __importDefault(require("@ant-design/icons/MinusCircleOutlined"));
var udesk_ui_2 = require("udesk-ui");
var get_1 = __importDefault(require("lodash-es/get"));
function Node(_a) {
    var value = _a.value, onAdd = _a.onAdd, nodeKey = _a.nodeKey, onClick = _a.onClick, onChange = _a.onChange, onDelete = _a.onDelete, nodeTitlePath = _a.nodeTitlePath, _b = _a.allowAddChild, allowAddChild = _b === void 0 ? function () { return true; } : _b, _c = _a.allowEditTitle, allowEditTitle = _c === void 0 ? function () { return true; } : _c, _d = _a.allowRemoveNode, allowRemoveNode = _d === void 0 ? function () { return true; } : _d;
    var _e = (0, react_1.useState)(!(0, get_1.default)(value, nodeTitlePath)), editing = _e[0], setEditing = _e[1];
    var inputRef = (0, react_1.useRef)(null);
    var _f = (0, react_1.useState)((0, get_1.default)(value, nodeTitlePath)), title = _f[0], setTitle = _f[1];
    (0, react_1.useEffect)(function () {
        var _a;
        if (inputRef.current && editing) {
            (_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.focus();
        }
    }, [editing]);
    var onFinishEdit = (0, react_1.useCallback)(function () {
        onChange(title, nodeKey);
        setEditing(false);
    }, [onChange, title, nodeKey]);
    var _onClick = (0, react_1.useCallback)(function () { return onClick(nodeKey, value); }, [nodeKey, value, onClick]);
    var enableAddChild = (0, react_1.useMemo)(function () { return allowAddChild(value); }, [allowAddChild, value]);
    var enableEditTitle = (0, react_1.useMemo)(function () { return allowEditTitle(value); }, [allowEditTitle, value]);
    var enableRemoveNode = (0, react_1.useMemo)(function () { return allowRemoveNode(value); }, [allowRemoveNode, value]);
    return react_1.default.createElement(react_1.default.Fragment, null,
        editing ? react_1.default.createElement(udesk_ui_2.Input, { ref: inputRef, value: title, size: 'small', onBlur: onFinishEdit, onPressEnter: onFinishEdit, onChange: function (e) { return setTitle(e.target.value); } }) :
            react_1.default.createElement("div", { onClick: _onClick }, (0, get_1.default)(value, nodeTitlePath)),
        react_1.default.createElement("div", null,
            enableAddChild ? react_1.default.createElement(udesk_ui_1.Button, { size: 'small', type: 'link', icon: react_1.default.createElement(PlusCircleOutlined_1.default, null), onClick: function () { return onAdd(value, nodeKey); } }) : null,
            enableEditTitle ? react_1.default.createElement(udesk_ui_1.Button, { size: 'small', type: 'link', icon: react_1.default.createElement(EditOutlined_1.default, null), onClick: function () { return setEditing(function (prevState) { return !prevState; }); } }) : null,
            enableRemoveNode ? react_1.default.createElement(udesk_ui_1.Button, { size: 'small', type: 'link', danger: true, icon: react_1.default.createElement(MinusCircleOutlined_1.default, null), onClick: function () { return onDelete(nodeKey); } }) : null));
}
exports.default = Node;
