"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var index_module_less_1 = tslib_1.__importDefault(require("./index.module.less"));
var react_i18next_1 = require("react-i18next");
var whatsAppButtons = function (_a) {
    var _b, _c, _d, _e, _f;
    var msg = _a.msg;
    var t = (0, react_i18next_1.useTranslation)().t;
    var content = JSON.parse(((_b = msg === null || msg === void 0 ? void 0 : msg.data) === null || _b === void 0 ? void 0 : _b.content) || '{}');
    var header = (function () {
        var _a, _b, _c, _d, _e, _f, _g;
        switch ((_a = content === null || content === void 0 ? void 0 : content.header) === null || _a === void 0 ? void 0 : _a.type) {
            case 'TEXT':
                return react_1.default.createElement("div", null, (_b = content === null || content === void 0 ? void 0 : content.header) === null || _b === void 0 ? void 0 : _b.text);
            case 'VIDEO':
                return react_1.default.createElement("video", { src: (_c = content === null || content === void 0 ? void 0 : content.header) === null || _c === void 0 ? void 0 : _c.mediaUrl, style: { maxWidth: '100%' }, controls: true },
                    t('page.im.log.videoAddress'),
                    "\uFF1A", (_d = content === null || content === void 0 ? void 0 : content.header) === null || _d === void 0 ? void 0 :
                    _d.mediaUrl);
            case 'IMAGE':
                return react_1.default.createElement("img", { className: "image-show", src: (_e = content === null || content === void 0 ? void 0 : content.header) === null || _e === void 0 ? void 0 : _e.mediaUrl });
            case 'DOCUMENT':
                return react_1.default.createElement("a", { href: (_f = content === null || content === void 0 ? void 0 : content.header) === null || _f === void 0 ? void 0 : _f.mediaUrl, target: "_blank" }, (_g = content === null || content === void 0 ? void 0 : content.header) === null || _g === void 0 ? void 0 : _g.filename);
            default:
                return '';
        }
    })();
    return react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: index_module_less_1.default['whats-app-buttons-header'] }, header),
        react_1.default.createElement("div", { className: index_module_less_1.default['whats-app-buttons-body'] }, (_c = content === null || content === void 0 ? void 0 : content.body) === null || _c === void 0 ? void 0 : _c.text),
        react_1.default.createElement("div", { className: index_module_less_1.default['whats-app-buttons-footer'] }, (_d = content === null || content === void 0 ? void 0 : content.footer) === null || _d === void 0 ? void 0 : _d.text),
        react_1.default.createElement("div", { className: index_module_less_1.default['whats-app-buttons-buttons'] }, (_f = (_e = content === null || content === void 0 ? void 0 : content.action) === null || _e === void 0 ? void 0 : _e.buttons) === null || _f === void 0 ? void 0 : _f.map(function (item) {
            return react_1.default.createElement("div", { key: item.id, className: index_module_less_1.default['whats-app-buttons-button-item'] }, item === null || item === void 0 ? void 0 : item.title);
        })));
};
exports.default = whatsAppButtons;
