"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var style_module_scss_1 = tslib_1.__importDefault(require("./style.module.scss"));
var classnames_1 = tslib_1.__importDefault(require("classnames"));
var Highlight = function (_a) {
    var content = _a.content, className = _a.className, props = tslib_1.__rest(_a, ["content", "className"]);
    var result = (0, react_1.useMemo)(function () {
        var _content = content.replace(/<(\/?)em>/g, '{-$1em-}');
        var div = window.document.createElement('div');
        div.innerText = _content;
        var divInnerHtml = div.innerHTML;
        return divInnerHtml.replace(/{-(\/?)em-}/g, '<$1em>');
    }, [content]);
    return (react_1.default.createElement("span", tslib_1.__assign({ className: (0, classnames_1.default)(style_module_scss_1.default['highlight'], className) }, props, { dangerouslySetInnerHTML: { __html: result } })));
};
exports.default = Highlight;
