"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var utils_1 = require("../../utils");
var custom_fields_1 = __importDefault(require("./custom-fields"));
var react_i18next_1 = require("react-i18next");
var style_module_scss_1 = __importDefault(require("./style.module.scss"));
var udesk_ui_1 = require("udesk-ui");
var store_hook_1 = require("../../store/store-hook");
var ImSubSession = function (props) {
    var _a;
    var t = (0, react_i18next_1.useTranslation)().t;
    var initData = (0, store_hook_1.useSelector)(function (state) { return state.initData; });
    var roleCan = (0, store_hook_1.useSelector)(function (state) { return state.roleCan; });
    var imNoteFields = initData.noteFields || [];
    var feed = props.feed;
    var sdk = initData === null || initData === void 0 ? void 0 : initData.sdk;
    var showDetail = (0, react_1.useCallback)(function (item) {
        var _a;
        (_a = initData === null || initData === void 0 ? void 0 : initData.event) === null || _a === void 0 ? void 0 : _a.showDetail(item);
    }, [(_a = initData === null || initData === void 0 ? void 0 : initData.event) === null || _a === void 0 ? void 0 : _a.showDetail]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: style_module_scss_1.default["top-title"] },
            react_1.default.createElement("span", { className: style_module_scss_1.default["bar-left"] }),
            react_1.default.createElement("span", { className: style_module_scss_1.default["type-text"] }, t("im")),
            react_1.default.createElement("span", { className: style_module_scss_1.default["data-text"] }, (0, utils_1.dateFormat)(feed.created_at)),
            // eslint-disable-next-line jsx-a11y/anchor-is-valid
            !sdk && roleCan.im_customer_contact && (react_1.default.createElement("a", { className: style_module_scss_1.default["detail-text"], onClick: function () { return showDetail(feed); } }, t("detail")))),
        react_1.default.createElement("div", { className: style_module_scss_1.default["im-main-content"] },
            react_1.default.createElement(udesk_ui_1.Row, null,
                react_1.default.createElement(udesk_ui_1.Col, { span: 6 },
                    react_1.default.createElement("label", { style: { color: "rgba(0, 0, 0, 0.45)" } },
                        t("agentAccepted"),
                        ":")),
                react_1.default.createElement(udesk_ui_1.Col, { span: 17, offset: 1 },
                    react_1.default.createElement("span", null, feed.agent.nick_name))),
            feed.custom_fields
                ? imNoteFields.map(function (field) {
                    return (react_1.default.createElement(custom_fields_1.default, { key: field.name, customField: field, customer: "", value: feed.custom_fields[field.name], imShow: true }));
                })
                : null)));
};
exports.default = ImSubSession;
