"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var access_info_1 = __importDefault(require("./access-info"));
var im_product_1 = __importDefault(require("./im-product"));
var index_1 = __importDefault(require("./customer-info/index"));
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var detail_1 = __importDefault(require("./customer-info/detail"));
var store_hook_1 = require("../../store/store-hook");
var ImCustomer = function (props) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    var chat = props.chat, company = props.company;
    var initData = (0, store_hook_1.useSelector)(function (state) { return state.initData; });
    var customerRender = (_b = (_a = initData === null || initData === void 0 ? void 0 : initData.template) === null || _a === void 0 ? void 0 : _a.customer) === null || _b === void 0 ? void 0 : _b.render;
    var customerData = {};
    customerData.getConsumer = function () {
        return chat.customer;
    };
    return (react_1.default.createElement("div", { className: index_module_scss_1.default["customer-info"] },
        !!(chat === null || chat === void 0 ? void 0 : chat.product) && react_1.default.createElement(im_product_1.default, { product: chat.product }),
        !!(chat === null || chat === void 0 ? void 0 : chat.accessInfo) && !((_d = (_c = initData === null || initData === void 0 ? void 0 : initData.template) === null || _c === void 0 ? void 0 : _c.customer) === null || _d === void 0 ? void 0 : _d.customerInfo) && (react_1.default.createElement(access_info_1.default, { accessInfo: chat.accessInfo, imNewPlatforms: props.imNewPlatforms || [] })),
        !!(chat === null || chat === void 0 ? void 0 : chat.customer) && (react_1.default.createElement(react_1.Fragment, null,
            !((_f = (_e = initData === null || initData === void 0 ? void 0 : initData.template) === null || _e === void 0 ? void 0 : _e.customer) === null || _f === void 0 ? void 0 : _f.customerInfo) && react_1.default.createElement(detail_1.default, { customer: chat.customer, company: company, event: props.event, chat: chat }),
            !((_h = (_g = initData === null || initData === void 0 ? void 0 : initData.template) === null || _g === void 0 ? void 0 : _g.customer) === null || _h === void 0 ? void 0 : _h.oldCustomerTemplate) ? (react_1.default.createElement(index_1.default, __assign({}, props, { showCount: props.showCount ? props.showCount : true }))) : customerRender && customerRender(customerData)))));
};
exports.default = ImCustomer;
