"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DndContainer = void 0;
var react_1 = __importDefault(require("react"));
var react_dnd_1 = require("react-dnd");
var dnd_item_1 = require("./dnd-item");
/**
 * 平行视界model
 * @param param0
 */
var DndContainer = function (_a) {
    var list = _a.list, type = _a.type, moveItem = _a.moveItem, findItem = _a.findItem, checkedItem = _a.checkedItem;
    var moveItemToContainer = function (id, atIndex) {
        moveItem(id, atIndex);
    };
    var findItemToContainer = function (id) {
        return findItem(id);
    };
    var checkedItemToContainer = function (id) {
        return checkedItem(id);
    };
    var _b = (0, react_dnd_1.useDrop)({ accept: type }), drop = _b[1];
    return (react_1.default.createElement("div", { ref: drop }, list.map(function (card) { return (react_1.default.createElement(dnd_item_1.DndItem, { key: card.id, id: "".concat(card.id), text: card.text, type: type, checked: card.checked, moveItemToContainer: moveItemToContainer, findItemToContainer: findItemToContainer, checkedItemToContainer: checkedItemToContainer })); })));
};
exports.DndContainer = DndContainer;
