"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var icon_1 = require("../../../components/icon/icon");
var AudioType = function (props) {
    // const { src } = props.contentObject.data.content;
    var _a = (0, react_1.useState)(0), duration = _a[0], setDuration = _a[1];
    var _b = (0, react_1.useState)(false), isPlaying = _b[0], setIsPlaying = _b[1];
    var msgItem = props.msgItem;
    var contentObject = typeof msgItem.content === "string"
        ? JSON.parse(msgItem.content)
        : msgItem.content;
    // const audioRef = useRef<any>();
    var audioElement = (0, react_1.useMemo)(function () {
        var audio = window.document.createElement("audio");
        audio.src = contentObject.data.content;
        return audio;
    }, [contentObject.data]);
    var startPlayAudio = function () {
        audioElement.play();
        setIsPlaying(true);
    };
    var endPlayAudio = function () {
        setIsPlaying(false);
    };
    (0, react_1.useEffect)(function () {
        audioElement.addEventListener("loaded", function (e) {
            setDuration(e.duration === 0 ? 1 : e.duration);
        });
        return function () {
            audioElement.removeEventListener("loaded", function (e) { });
        };
    }, [audioElement]);
    (0, react_1.useEffect)(function () {
        audioElement.addEventListener("ended", endPlayAudio);
        audioElement.removeEventListener("ended", function (e) { });
    }, [audioElement, isPlaying]);
    return (react_1.default.createElement("div", { className: index_module_scss_1.default["audio-container"] },
        react_1.default.createElement("div", { className: index_module_scss_1.default["audio-top"], onClick: startPlayAudio },
            react_1.default.createElement("span", null,
                react_1.default.createElement("b", { className: index_module_scss_1.default["duration"] }, "".concat(duration, " \""))),
            isPlaying && react_1.default.createElement("span", { className: index_module_scss_1.default["aduio-playing"] }),
            !isPlaying && (react_1.default.createElement("span", { className: index_module_scss_1.default["r-agent"] },
                " ",
                react_1.default.createElement(icon_1.Horn, null)))),
        contentObject.data.recognition && (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("div", { className: index_module_scss_1.default["audio-hr"] }),
            react_1.default.createElement("div", { className: index_module_scss_1.default["audio-text"] }, contentObject.data.recognition)))));
};
exports.default = AudioType;
