"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var icon_1 = require("../../../components/icon/icon");
var FileType = function (props) {
    var msgItem = props.msgItem;
    var canVideoExts = ["mp4", "mov", "MOV", "m4v", "M4V"];
    var contentObject = typeof msgItem.content === "string"
        ? JSON.parse(msgItem.content)
        : msgItem.content;
    return (react_1.default.createElement("div", { className: index_module_scss_1.default["new-message-contnet"] },
        canVideoExts.indexOf(contentObject.fileext) > -1 && (react_1.default.createElement("video", { src: contentObject.data.content, style: { maxWidth: "100%", maxHeight: "480px" }, controls: true },
            "\u89C6\u9891\u5730\u5740\uFF1A",
            contentObject.data.content)),
        canVideoExts.indexOf(contentObject.fileext) === -1 && (react_1.default.createElement("div", { className: index_module_scss_1.default["new-file-type"] },
            react_1.default.createElement("div", { className: index_module_scss_1.default["containersdsd"] },
                react_1.default.createElement(icon_1.File, null)),
            react_1.default.createElement("div", null,
                react_1.default.createElement("a", { className: index_module_scss_1.default["filename"], href: contentObject.data.content, target: "_blank", rel: "noopener noreferrer", download: contentObject.filename }, contentObject.filename || ""),
                react_1.default.createElement("div", { className: index_module_scss_1.default["filesize"] },
                    react_1.default.createElement("span", null, contentObject.filesize || ""),
                    react_1.default.createElement("a", { className: index_module_scss_1.default["pull-right"], href: contentObject.data.content, target: "_blank", rel: "noopener noreferrer", download: contentObject.filename }, "\u4E0B\u8F7D")))))));
};
exports.default = FileType;
