"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
//搜索公司
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var csApi_1 = require("../../../../utils/csApi");
var utilities_1 = require("../../../../im-panel/ticket/utilities");
var Option = udesk_ui_1.Select.Option;
function AgentUserField(props) {
    var agentGroup = (0, react_1.useContext)(utilities_1.TicketContext).agentGroup;
    var _a = (0, react_1.useState)(), value = _a[0], setValue = _a[1]; //选择的选项
    var _b = (0, react_1.useState)([]), data = _b[0], setData = _b[1];
    (0, react_1.useEffect)(function () {
        //负责组只要改变  负责人就置空  重新选择
        setValue({ value: "", label: "" });
        if (!agentGroup) {
            // 如果选负责组是空选项   负责人数据置空
            setData([]);
        }
        else {
            // 请求负责人数据
            (0, csApi_1.csApiGetJSON)("/cs/ts/api/user_groups/" + agentGroup).then(function (res) { return res.data; }).then(function (res) {
                var list = res.user_group.users.map(function (item) {
                    return {
                        value: item.id,
                        label: item.nick_name,
                    };
                });
                // 前边加空选项
                list.unshift({
                    value: "",
                    label: "--",
                });
                setData(list);
            });
        }
    }, [agentGroup]);
    // 选项变化时回调
    var handleChange = (0, react_1.useCallback)(function (value) {
        setValue(value);
        props.onChange && props.onChange(value ? value.value : "");
    }, [props]);
    //筛选规则
    var handleFilter = (0, react_1.useCallback)(function (inputValue, option) {
        if (option.children.includes(inputValue))
            return true;
        else
            return false;
    }, []);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(udesk_ui_1.Select, { showSearch //显示搜索
            : true, showArrow: true, labelInValue: true, value: value, placeholder: props.placeholder, onChange: handleChange, style: { width: "100%" }, filterOption: handleFilter, getPopupContainer: function (triggerNode) { return triggerNode; } }, data.map(function (d) { return (react_1.default.createElement(Option, { key: d.value, value: d.value }, d.label)); }))));
}
exports.default = AgentUserField;
