"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var index_module_scss_1 = __importDefault(require("./index.module.scss"));
var index_1 = require("../../../../utils/index");
var icons_1 = require("@ant-design/icons");
var react_i18next_1 = require("react-i18next");
var moment_1 = __importDefault(require("moment"));
var Option = udesk_ui_1.Select.Option;
function SearchCustomer(props) {
    var _a, _b;
    // const udeskWebappContext: any = useContext(UdeskContext);//ember传进来的参数
    var t = (0, react_i18next_1.useTranslation)().t;
    var columnsOption = (0, react_1.useMemo)(function () {
        var _a, _b;
        if ((_a = props === null || props === void 0 ? void 0 : props.ticketTab) === null || _a === void 0 ? void 0 : _a.tableColumns) {
            return (_b = props === null || props === void 0 ? void 0 : props.ticketTab) === null || _b === void 0 ? void 0 : _b.tableColumns.map(function (item) {
                return {
                    value: item.value,
                    display: item.display,
                    label: t("model.customer.".concat(item.value), item.label),
                };
            });
        }
        else {
            return [];
        }
    }, [(_a = props === null || props === void 0 ? void 0 : props.ticketTab) === null || _a === void 0 ? void 0 : _a.tableColumns, t]);
    var filter = (_b = props === null || props === void 0 ? void 0 : props.ticketTab) === null || _b === void 0 ? void 0 : _b.customerFilters; //客户过滤器选项
    var _c = (0, react_1.useState)(filter[0].id), selectValue = _c[0], setSelectValue = _c[1]; //选择的客户过滤器的id
    var _d = (0, react_1.useState)(""), inputValue = _d[0], setInputValue = _d[1]; //输入的搜索内容
    var _e = (0, react_1.useState)(false), btnLoading = _e[0], setBtnLoading = _e[1]; //搜索按钮的loading状态
    // const [columsOption, setColumsOption] = useState<any[]>(udeskWebappContext.tableColumns)//列表选项
    var _f = (0, react_1.useState)([]), tableData = _f[0], setTableData = _f[1];
    var _g = (0, react_1.useState)([]), columns = _g[0], setColumns = _g[1]; //表格 表头数据
    var _h = (0, react_1.useState)([]), filterSelect = _h[0], setFilterSelect = _h[1]; //列表选项的选择值
    var _j = (0, react_1.useState)(), currentCustomer = _j[0], setCurrentCustomer = _j[1];
    var _k = (0, react_1.useState)(1), currentPage = _k[0], setCurrentPage = _k[1]; //当前页数
    var _l = (0, react_1.useState)(0), totalPage = _l[0], setTotalPage = _l[1];
    // const [pageSize,setPageSize] = useState<number>(5)
    var pageSize = (0, react_1.useRef)(5);
    //下拉多选变化时  更新表头
    (0, react_1.useEffect)(function () {
        setColumns(function () {
            return columnsOption
                .filter(function (item) { return filterSelect.includes(item.value); })
                .map(function (item) {
                return {
                    title: item.label,
                    dataIndex: item.value,
                    key: item.value,
                    align: "left",
                    width: 150,
                    // responsive:['lg']
                };
            });
        });
        setTableData(__spreadArray([], tableData, true));
    }, [columnsOption, filterSelect]);
    (0, react_1.useEffect)(function () {
        setFilterSelect(function () {
            return columnsOption
                .filter(function (item) { return item.display; })
                .map(function (item) {
                return item.value;
            });
        });
        searchCustomer();
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    var handleOk = (0, react_1.useCallback)(function () {
        props.selectCustomer(currentCustomer);
        props.close();
    }, [currentCustomer, props]);
    // 点击取消 关闭弹窗
    var handleCancel = (0, react_1.useCallback)(function () {
        props.close();
    }, [props]);
    // 弹窗页脚
    var footer = (react_1.default.createElement("div", { style: { textAlign: "center" } },
        react_1.default.createElement(udesk_ui_1.Button, { key: "back", onClick: handleCancel }, "\u53D6\u6D88"),
        react_1.default.createElement(udesk_ui_1.Button, { key: "submit", type: "primary", onClick: handleOk }, "\u786E\u5B9A")));
    var searchCustomer = (0, react_1.useCallback)(function (page) {
        setCurrentPage(page || 1);
        var _filter = filter.find(function (i) { return i.id === selectValue; });
        if (!_filter) {
            return udesk_ui_1.message.error("没有权限或过滤器已删除!");
        }
        var params = {
            all_conditions: _filter.all_conditions || [],
            column: "",
            order: "",
            filter_id: selectValue,
            query: inputValue,
            page: page || currentPage,
            page_size: pageSize.current,
        };
        setBtnLoading(true);
        setTableData([]);
        (0, index_1.postJSON)("/customers/search", params)
            .then(function (res) {
            setBtnLoading(false);
            if (res.code === 1000) {
                res.customers.forEach(function (item) {
                    item.updated_at = (0, moment_1.default)(new Date(item.updated_at || null)).format("YYYY/MM/DD HH:mm");
                    item.organizations = res.organizations
                        .filter(function (_item) { return item.organizations.includes(_item.id); })
                        .map(function (item) { return item.name; })
                        .join(",");
                    item.level =
                        item.level === "normal"
                            ? t("enums.customerLevel.normal")
                            : "VIP";
                });
                setTableData(res.customers);
                setTotalPage(res.meta.total_pages);
            }
        })
            .catch(function (e) {
            setBtnLoading(false);
        });
    }, [filter, selectValue, inputValue, currentPage, t]);
    // 表格单选选择时触发
    var tableSelectOnChange = (0, react_1.useCallback)(function (selectedRows) {
        setCurrentCustomer({
            label: selectedRows[0].nick_name,
            value: selectedRows[0].id,
        });
    }, []);
    // 列选项变化时触发
    var changeTableFilter = (0, react_1.useCallback)(function (checkedValue) {
        setFilterSelect(checkedValue);
    }, []);
    //表格头部选择  气泡弹窗中的
    var tableFilterList = (react_1.default.createElement("div", { className: index_module_scss_1.default["table-filter-list"] },
        react_1.default.createElement(udesk_ui_1.Checkbox.Group, { value: filterSelect, options: columnsOption, onChange: changeTableFilter })));
    var handleTableChange = (0, react_1.useCallback)(function (pagination) {
        var page = pagination.current;
        var size = pagination.pageSize;
        pageSize.current = size;
        searchCustomer(page);
    }, [pageSize, searchCustomer]);
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(udesk_ui_1.Modal, { centered: true, bodyStyle: { padding: "0 0 20px 0" }, visible: props.show, title: "\u9009\u62E9\u5BA2\u6237", onOk: handleOk, onCancel: handleCancel, footer: footer, width: 900 },
            react_1.default.createElement("div", { className: index_module_scss_1.default["modal-content"] },
                react_1.default.createElement(udesk_ui_1.Row, { gutter: [16, 24] },
                    react_1.default.createElement(udesk_ui_1.Col, null,
                        react_1.default.createElement(udesk_ui_1.Select, { value: selectValue, style: { minWidth: "100px" }, onChange: function (value) { return setSelectValue(value); } }, filter.map(function (item) {
                            return (react_1.default.createElement(Option, { key: item.id, value: item.id }, item.name));
                        }))),
                    react_1.default.createElement(udesk_ui_1.Col, null,
                        react_1.default.createElement(udesk_ui_1.Input, { value: inputValue, onChange: function (e) { return setInputValue(e.target.value); }, onPressEnter: function () { return searchCustomer(); } })),
                    react_1.default.createElement(udesk_ui_1.Col, null,
                        react_1.default.createElement(udesk_ui_1.Button, { loading: btnLoading, type: "primary", onClick: function () { return searchCustomer(); } }, "\u641C\u7D22"))),
                react_1.default.createElement(udesk_ui_1.Row, null,
                    react_1.default.createElement("div", { className: index_module_scss_1.default["table-wrapper"] },
                        react_1.default.createElement(udesk_ui_1.Popover, { className: index_module_scss_1.default["popover-wrapper"], placement: "bottomRight", title: "", content: tableFilterList, trigger: "click" },
                            react_1.default.createElement("div", { className: index_module_scss_1.default["table-filter-wrapper"] },
                                "\u5217",
                                react_1.default.createElement(icons_1.FilterFilled, null))),
                        react_1.default.createElement(udesk_ui_1.Table, { scroll: {
                                x: "100%",
                                scrollToFirstRowOnChange: true,
                                y: 320,
                            }, rowKey: "id", style: { width: "100%", height: "320px" }, columns: columns, dataSource: tableData, rowSelection: {
                                type: "radio",
                                columnWidth: "30px",
                                onChange: function (selectedRowKeys, selectedRows) {
                                    return tableSelectOnChange(selectedRows);
                                },
                                // onSelect: (record, selected, selectedRows, nativeEvent) => selectCustomer()
                            }, pagination: {
                                defaultPageSize: 5,
                                pageSizeOptions: ["5", "10", "20", "30", "50", "100"],
                                showQuickJumper: true,
                                defaultCurrent: 1,
                                total: totalPage,
                                showSizeChanger: true,
                                current: currentPage,
                            }, onChange: function (pagination) { return handleTableChange(pagination); } })))))));
}
exports.default = SearchCustomer;
