"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var util_1 = require("./util");
var im_log_1 = tslib_1.__importDefault(require("@udesk-webapp/im-log"));
var ImLogByResponse = function (_a) {
    var response = _a.response, dataType = _a.dataType, wechatSuffix = _a.wechatSuffix;
    var msgArr = (0, react_1.useMemo)(function () {
        return (0, util_1.handleMessageData)(response, dataType, wechatSuffix);
    }, [response]);
    var emptyFn = function () { return null; };
    var chat = {
        belong: '',
        platform: 'web'
    };
    return (react_1.default.createElement(react_1.default.Fragment, null, msgArr.map(function (i, idx) {
        return react_1.default.createElement(im_log_1.default, { onReEdit: emptyFn, key: i.id, allowAddToCustomerInfo: false, allowAddToRobotKM: false, allowAddToKM: false, allowRecall: false, allowReedit: false, msgdisplayStatus: false, chat: chat, web_message_display_status: false, enabledSmartAssistance: false, msg: i, allowSearchImRecord: false, allowVoiceToText: false, wechatSuffix: wechatSuffix });
    })));
};
exports.default = ImLogByResponse;
