import React from 'react';
import { TreeSelectProps } from 'udesk-ui/es/tree-select';
import { Category } from '../question/robot-question/types';
declare type Props = TreeSelectProps<number | string> & {
    setDefaultValue?: (value: number) => void;
    companyId: number;
    subdomain: string;
    email: string;
    limitSpaceIds: string;
    enablePrivate: boolean;
    passport: string;
    spaceId: number | string;
};
export interface CategoriesResponse {
    code: number;
    message: string;
    visible: boolean;
    paging: Paging;
    data: Category[];
}
export interface Paging {
    pageNum: number;
    pageSize: number;
    total: number;
}
declare const CatalogSelect: React.FC<Props>;
export default CatalogSelect;
