"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSafeSpaceId = void 0;
var react_1 = require("react");
var useSafeSpaceId = function (spaceId) {
    return (0, react_1.useMemo)(function () {
        var _spaceId = spaceId + '';
        if (_spaceId.indexOf(',') > -1) {
            return _spaceId.substring(0, _spaceId.indexOf(','));
        }
        return _spaceId;
    }, [spaceId]);
};
exports.useSafeSpaceId = useSafeSpaceId;
