declare const _default: {
    appConfig: {
        components: {
            variableItem: {
                index: {
                    successfullyCopied: string;
                    copyFailed: string;
                    title: string;
                    pleaseEnterATitle: string;
                    copyVariableName: string;
                    required: string;
                    wordLimit: string;
                    hintLanguage: string;
                };
            };
        };
        index: {
            successfullyPublished: string;
            successfullySaved: string;
            preserve: string;
            publishAsAPublicApplication: string;
            publishAsPrivateApplication: string;
            editingApplications: string;
            createANewApplication: string;
            basicInformation: string;
            applyName: string;
            pleaseEnterAnApplicationName: string;
            describe: string;
            classification: string;
            pleaseEnterAClassification: string;
            requirementForm: string;
            createAtLeastOneFormItem: string;
            areYouSureYouWantToDeleteIt: string;
            delete: string;
            cancel: string;
            addFormFields: string;
            promptConfiguration: string;
            pleaseEnterPrompt: string;
        };
    };
    appManagement: {
        index: {
            aIIntelligentAssistant: string;
            application: string;
            edit: string;
            delete: string;
        };
    };
    appPage: {
        index: {
            successfullyCopied: string;
            copyFailed: string;
            areYouSureToDeleteTheContent: string;
            deletingCo52erDeletion: string;
            copy: string;
            delete: string;
            successfullyDeleted: string;
            aICreation: string;
            followTheP66entYouNeed: string;
            confirm: string;
            newContentCreation: string;
        };
        feedback: {
            WRONG: string;
            NOT_FOUND: string;
            MISSING: string;
            OTHER: string;
            submit: string;
            feedbackBtn: string;
            likeMessage: string;
            dislikeMessage: string;
            thank: string;
        };
    };
    classifysManagement: {
        index: {
            newCategory: string;
            classificationName: string;
        };
    };
    dialogue: {
        components: {
            batchedActions: {
                successfullyCopied: string;
                copyFailed: string;
                copy: string;
                delete: string;
                deletingCo52erDeletion: string;
            };
            robotNode: {
                source: string;
                documentRetrieval: string;
                associatedDocuments: string;
            };
        };
    };
    errorBoundaryTest: {
        index: {
            refresh: string;
        };
    };
    history: {
        index: {
            thereAreCu15sAvailable: string;
        };
    };
    historyPage: {
        index: {
            chatConversation: string;
            application: string;
            history: string;
        };
    };
    home: {
        index: {
            application: string;
        };
    };
    input: {
        index: {
            letsStartTheConversation: string;
        };
    };
    kcsHome: {
        index: {
            popularArticles: string;
            consultYourDocumentation: string;
            quickAnswer: string;
            helloIAmTh19eAssistant: string;
            iCanAnswer46meAndAskMe: string;
        };
    };
    kcsSession: {
        components: {
            session: {
                iAmYourCor14eAssistant: string;
                iCanAnswer114eInAdvance: string;
                iAmYourExc16tAssistant: string;
                iCanAnswerAnyOfYourQuestions: string;
                whetherYou90Assistance: string;
                unrelatedText: string;
                stopOutput: string;
            };
        };
        index: {
            preview: string;
            successfullyDeleted: string;
            documentPreview: string;
            newTopics: string;
            enterpriseKnowledgeAssistant: string;
            newTopic: string;
            historicalTopics: string;
        };
    };
    llm: {
        components: {
            dynamicRouting: {
                components: {
                    errorPage: {
                        index: {
                            thereSeems11omeMistake: string;
                            pleaseCont65Technology: string;
                        };
                    };
                };
            };
            navbar: {
                index: {
                    lLMQA: string;
                };
            };
            sideBar: {
                index: {
                    createANewApplication: string;
                    applicationManagement: string;
                    viewAllHistory: string;
                };
            };
        };
    };
    session: {
        index: {
            iAmYourExc16tAssistant: string;
            iCanAnswerAnyOfYourQuestions: string;
            whetherYou90Assistance: string;
            successfullyDeleted: string;
            stopOutput: string;
        };
    };
    sessionPage: {
        index: {
            aIIntelligentAssistant: string;
        };
    };
    components: {
        appGrid: {
            index: {
                thereAreCu20sAvailable: string;
            };
        };
        appItem: {
            index: {
                areYouSureYouWantToDeleteIt: string;
                delete: string;
                cancel: string;
            };
        };
    };
    kcsTemplateView: {
        components: {
            defaultTemplateView: {
                index: {
                    zero: string;
                    one: string;
                    two: string;
                    three: string;
                    four: string;
                    five: string;
                    six: string;
                    seven: string;
                    eight: string;
                    nine: string;
                    ten: string;
                    hundred: string;
                    thousand: string;
                    tenThousand: string;
                    billion: string;
                    zeroZero: string;
                    billions: string;
                    defaultAnswer: string;
                    answer: string;
                    knowledgeValidationChannels: string;
                    oneQuestionMultipleAnswers: string;
                    rule: string;
                    applicableRobots: string;
                    attachment: string;
                };
            };
            fileShowList: {
                index: {
                    download: string;
                };
            };
            templateView: {
                index: {
                    download: string;
                };
            };
        };
    };
};
export default _default;
