export default {
  appConfig: {
    components: {
      variableItem: {
        index: {
          successfullyCopied: "复制成功",
          copyFailed: "复制失败",
          title: "标题",
          pleaseEnterATitle: "请输入标题",
          copyVariableName: "复制变量名",
          required: "必填",
          wordLimit: "字数限制",
          hintLanguage: "提示语"
        }
      }
    },
    index: {
      successfullyPublished: "发布成功",
      successfullySaved: "保存成功",
      preserve: "保存",
      publishAsAPublicApplication: "发布为公有应用",
      publishAsPrivateApplication: "发布为私有应用",
      editingApplications: "编辑应用",
      createANewApplication: "新建应用",
      basicInformation: "基础信息",
      applyName: "应用名称",
      pleaseEnterAnApplicationName: "请输入应用名称",
      describe: "描述",
      classification: "分类",
      pleaseEnterAClassification: "请输入分类",
      requirementForm: "需求表单",
      createAtLeastOneFormItem: "至少创建一个表单项",
      areYouSureYouWantToDeleteIt: "确认要删除吗？",
      delete: "删除",
      cancel: "取消",
      addFormFields: "新增表单字段",
      promptConfiguration: "Prompt配置",
      pleaseEnterPrompt: "请输入prompt"
    }
  },
  appManagement: {
    index: {
      aIIntelligentAssistant: "AI 智能助手",
      application: "应用",
      edit: "编辑",
      delete: "删除"
    }
  },
  appPage: {
    index: {
      successfullyCopied: "复制成功",
      copyFailed: "复制失败",
      areYouSureToDeleteTheContent: "确认删除内容吗？",
      deletingCo52erDeletion: "删除内容是不可逆的操作，删除后将无法恢复",
      copy: "复制",
      delete: "删除",
      successfullyDeleted: "删除成功",
      aICreation: "AI创造",
      followTheP66entYouNeed: "按提示填写下面的表单，自动生成你需要的创作内容",
      confirm: "确定",
      newContentCreation: "新内容创作"
    },
    feedback: {
      WRONG: '答案错误',
      NOT_FOUND: '没有找到正确答案',
      MISSING: '答案缺失',
      OTHER: '其他',
      submit: '提交',
      feedbackBtn: '提供反馈',
      likeMessage: '很高兴你喜欢这个答案！',
      dislikeMessage: '为什么不起作用？',
      thank: '感谢你提供的反馈！'
    }
  },
  classifysManagement: {
    index: {
      newCategory: "新建分类",
      classificationName: "分类名称"
    }
  },
  dialogue: {
    components: {
      batchedActions: {
        successfullyCopied: "复制成功",
        copyFailed: "复制失败",
        copy: "复制",
        delete: "删除",
        deletingCo52erDeletion: "删除内容是不可逆的操作，删除后将无法恢复"
      },
      robotNode: {
        source: "来源",
        documentRetrieval: "文档检索：",
        associatedDocuments: "关联文档"
      }
    }
  },
  errorBoundaryTest: {
    index: {
      refresh: "刷新"
    }
  },
  history: {
    index: {
      thereAreCu15sAvailable: "暂无记录"
    }
  },
  historyPage: {
    index: {
      chatConversation: "聊天对话",
      application: "应用",
      history: "历史记录"
    }
  },
  home: {
    index: {
      application: "应用"
    }
  },
  input: {
    index: {
      letsStartTheConversation: "开始对话吧"
    }
  },
  kcsHome: {
    index: {
      popularArticles: "热门文章",
      consultYourDocumentation: "查询文档",
      quickAnswer: "快速解答",
      helloIAmTh19eAssistant: "你好，我是企业知识助手",
      iCanAnswer46meAndAskMe: "我可以针对企业知识库回答你的问题，快来问我吧"
    }
  },
  kcsSession: {
    components: {
      session: {
        iAmYourCor14eAssistant: "我是你的企业知识助手",
        iCanAnswer114eInAdvance: "我可以针对企业内部知识回答你的问题，前提是需要提前把知识上传到知识库中哦~",
        iAmYourExc16tAssistant: "我是你的专属智能助手。",
        iCanAnswerAnyOfYourQuestions: "我可以回答你的任何问题。",
        whetherYou90Assistance: "无论你需要获取的是生活，工作、历史、科学、技术还是其他领域的知识，我都可以尽力提供帮助。",
        unrelatedText: "无相关性文本",
        stopOutput: "停止输出"
      }
    },
    index: {
      preview: "预览",
      successfullyDeleted: "删除成功",
      documentPreview: "文档预览",
      newTopics: "新的话题",
      enterpriseKnowledgeAssistant: "企业知识助手",
      newTopic: "新建话题",
      historicalTopics: "历史话题"
    }
  },
  llm: {
    components: {
      dynamicRouting: {
        components: {
          errorPage: {
            index: {
              thereSeems11omeMistake: "似乎出了某些错误",
              pleaseCont65Technology: "请联系管理员或与沃丰科技的售后支持人员联系"
            }
          }
        }
      },
      navbar: {
        index: {
          lLMQA: "LLM问答"
        }
      },
      sideBar: {
        index: {
          createANewApplication: "新建应用",
          applicationManagement: "应用管理",
          viewAllHistory: "查看所有历史"
        }
      }
    }
  },
  session: {
    index: {
      iAmYourExc16tAssistant: "我是你的专属智能助手。",
      iCanAnswerAnyOfYourQuestions: "我可以回答你的任何问题。",
      whetherYou90Assistance: "无论你需要获取的是生活，工作、历史、科学、技术还是其他领域的知识，我都可以尽力提供帮助。",
      successfullyDeleted: "删除成功",
      stopOutput: "停止输出"
    }
  },
  sessionPage: {
    index: {
      aIIntelligentAssistant: "AI 智能助手"
    }
  },
  components: {
    appGrid: {
      index: {
        thereAreCu20sAvailable: "暂无应用"
      }
    },
    appItem: {
      index: {
        areYouSureYouWantToDeleteIt: "确认要删除吗？",
        delete: "删除",
        cancel: "取消"
      }
    }
  },
  kcsTemplateView: {
    components: {
      defaultTemplateView: {
        index: {
          zero: "零万",
          one: "一",
          two: "二",
          three: "三",
          four: "四",
          five: "五",
          six: "六",
          seven: "七",
          eight: "八",
          nine: "九",
          ten: "一十",
          hundred: "百",
          thousand: "千",
          tenThousand: "万",
          billion: "亿",
          zeroZero: "零零",
          billions: "亿万",
          defaultAnswer: "默认答案",
          answer: "答案",
          knowledgeValidationChannels: "知识生效渠道：",
          oneQuestionMultipleAnswers: "一问多答：",
          rule: "规则",
          applicableRobots: "适用机器人：",
          attachment: "附件："
        }
      },
      fileShowList: {
        index: {
          download: "下载"
        }
      },
      templateView: {
        index: {
          download: "下载"
        }
      }
    }
  }
};