export default {
  appConfig: {
    components: {
      variableItem: {
        index: {
          successfullyCopied: "複製成功",
          copyFailed: "複製失敗",
          title: "標題",
          pleaseEnterATitle: "請輸入標題",
          copyVariableName: "複製變數名",
          required: "必填",
          wordLimit: "字數限制",
          hintLanguage: "提示語"
        }
      }
    },
    index: {
      successfullyPublished: "發佈成功",
      successfullySaved: "保存成功",
      preserve: "保存",
      publishAsAPublicApplication: "發佈為公有應用",
      publishAsPrivateApplication: "發佈為私有應用",
      editingApplications: "編輯應用",
      createANewApplication: "新建應用",
      basicInformation: "基礎資訊",
      applyName: "應用名稱",
      pleaseEnterAnApplicationName: "請輸入應用名稱",
      describe: "描述",
      classification: "分類",
      pleaseEnterAClassification: "請輸入分類",
      requirementForm: "需求表單",
      createAtLeastOneFormItem: "至少創建一個表單項",
      areYouSureYouWantToDeleteIt: "確認要删除嗎？",
      delete: "删除",
      cancel: "取消",
      addFormFields: "新增表單欄位",
      promptConfiguration: "Prompt配寘",
      pleaseEnterPrompt: "請輸入prompt"
    }
  },
  appManagement: {
    index: {
      aIIntelligentAssistant: "AI智能助手",
      application: "應用",
      edit: "編輯",
      delete: "删除"
    }
  },
  appPage: {
    index: {
      successfullyCopied: "複製成功",
      copyFailed: "複製失敗",
      areYouSureToDeleteTheContent: "確認删除內容嗎？",
      deletingCo52erDeletion: "删除內容是不可逆的操作，删除後將無法恢復",
      copy: "複製",
      delete: "删除",
      successfullyDeleted: "删除成功",
      aICreation: "AI創造",
      followTheP66entYouNeed: "按提示填寫下麵的表單，自動生成你需要的創作內容",
      confirm: "確定",
      newContentCreation: "新內容創作"
    },
    feedback: {
      WRONG: '答案错误',
      NOT_FOUND: '没有找到正确答案',
      MISSING: '答案缺失',
      OTHER: '其他',
      submit: '提交',
      feedbackBtn: '提供反馈',
      likeMessage: '很高兴你喜欢这个答案！',
      dislikeMessage: '为什么不起作用？',
      thank: '感谢你提供的反馈！'
    }
  },
  classifysManagement: {
    index: {
      newCategory: "新建分類",
      classificationName: "分類名稱"
    }
  },
  dialogue: {
    components: {
      batchedActions: {
        successfullyCopied: "複製成功",
        copyFailed: "複製失敗",
        copy: "複製",
        delete: "删除",
        deletingCo52erDeletion: "删除內容是不可逆的操作，删除後將無法恢復"
      },
      robotNode: {
        source: "來源",
        documentRetrieval: "檔案檢索：",
        associatedDocuments: "關聯檔案"
      }
    }
  },
  errorBoundaryTest: {
    index: {
      refresh: "刷新"
    }
  },
  history: {
    index: {
      thereAreCu15sAvailable: "暫無記錄"
    }
  },
  historyPage: {
    index: {
      chatConversation: "聊天對話",
      application: "應用",
      history: "歷史記錄"
    }
  },
  home: {
    index: {
      application: "應用"
    }
  },
  input: {
    index: {
      letsStartTheConversation: "開始對話吧"
    }
  },
  kcsHome: {
    index: {
      popularArticles: "熱門文章",
      consultYourDocumentation: "査詢檔案",
      quickAnswer: "快速解答",
      helloIAmTh19eAssistant: "你好，我是企業知識助手",
      iCanAnswer46meAndAskMe: "我可以針對企業知識庫回答你的問題，快來問我吧"
    }
  },
  kcsSession: {
    components: {
      session: {
        iAmYourCor14eAssistant: "我是你的企業知識助手",
        iCanAnswer114eInAdvance: "我可以針對企業內部知識回答你的問題，前提是需要提前把知識上傳到知識庫中哦~",
        iAmYourExc16tAssistant: "我是你的專屬智能助手。",
        iCanAnswerAnyOfYourQuestions: "我可以回答你的任何問題。",
        whetherYou90Assistance: "無論你需要獲取的是生活，工作、歷史、科學、科技還是其他領域的知識，我都可以盡力提供幫助。",
        unrelatedText: "無相關性文字",
        stopOutput: "停止輸出"
      }
    },
    index: {
      preview: "預覽",
      successfullyDeleted: "删除成功",
      documentPreview: "檔案預覽",
      newTopics: "新的話題",
      enterpriseKnowledgeAssistant: "企業知識助手",
      newTopic: "新建話題",
      historicalTopics: "歷史話題"
    }
  },
  llm: {
    components: {
      dynamicRouting: {
        components: {
          errorPage: {
            index: {
              thereSeems11omeMistake: "似乎出了某些錯誤",
              pleaseCont65Technology: "請聯系管理員或與沃豐科技的售後支持人員聯系"
            }
          }
        }
      },
      navbar: {
        index: {
          lLMQA: "LLM問答"
        }
      },
      sideBar: {
        index: {
          createANewApplication: "新建應用",
          applicationManagement: "應用管理",
          viewAllHistory: "查看所有歷史"
        }
      }
    }
  },
  session: {
    index: {
      iAmYourExc16tAssistant: "我是你的專屬智能助手。",
      iCanAnswerAnyOfYourQuestions: "我可以回答你的任何問題。",
      whetherYou90Assistance: "無論你需要獲取的是生活，工作、歷史、科學、科技還是其他領域的知識，我都可以盡力提供幫助。",
      successfullyDeleted: "删除成功",
      stopOutput: "停止輸出"
    }
  },
  sessionPage: {
    index: {
      aIIntelligentAssistant: "AI智能助手"
    }
  },
  components: {
    appGrid: {
      index: {
        thereAreCu20sAvailable: "暫無應用"
      }
    },
    appItem: {
      index: {
        areYouSureYouWantToDeleteIt: "確認要删除嗎？",
        delete: "删除",
        cancel: "取消"
      }
    }
  },
  kcsTemplateView: {
    components: {
      defaultTemplateView: {
        index: {
          zero: "零萬",
          one: "一",
          two: "二",
          three: "三",
          four: "四",
          five: "五",
          six: "六",
          seven: "七",
          eight: "八",
          nine: "九",
          ten: "一十",
          hundred: "百",
          thousand: "千",
          tenThousand: "萬",
          billion: "億",
          zeroZero: "零零",
          billions: "億萬",
          defaultAnswer: "默認答案",
          answer: "答案",
          knowledgeValidationChannels: "知識生效通路：",
          oneQuestionMultipleAnswers: "一問多答：",
          rule: "規則",
          applicableRobots: "適用機器人：",
          attachment: "附件："
        }
      },
      fileShowList: {
        index: {
          download: "下載"
        }
      },
      templateView: {
        index: {
          download: "下載"
        }
      }
    }
  }
};