"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.rootReducer = void 0;
var toolkit_1 = require("@reduxjs/toolkit");
var agent_config_1 = __importDefault(require("./agent-config"));
var fields_1 = __importDefault(require("./fields"));
var company_1 = __importDefault(require("./company"));
var role_can_1 = __importDefault(require("./role-can"));
var current_user_1 = __importDefault(require("./current-user"));
var note_templates_1 = __importDefault(require("./note-templates"));
var init_data_1 = __importDefault(require("./init-data"));
var agents_1 = __importDefault(require("./agents"));
var groups_1 = __importDefault(require("./groups"));
var urls_1 = __importDefault(require("./urls"));
var platform_1 = __importDefault(require("./platform"));
exports.rootReducer = (0, toolkit_1.combineReducers)({
    agentConfig: agent_config_1.default,
    fields: fields_1.default,
    company: company_1.default,
    roleCan: role_can_1.default,
    currentUser: current_user_1.default,
    noteTemplateConfig: note_templates_1.default,
    initData: init_data_1.default,
    agents: agents_1.default,
    groups: groups_1.default,
    urls: urls_1.default,
    platforms: platform_1.default,
});
