import { AxiosRequestConfig, Method } from 'axios';
export declare function request(options: Omit<AxiosRequestConfig, 'url' | 'method'> & {
    url: string;
    method: Method;
}): Promise<any>;
export declare function getJSON(url: string, params?: any, options?: AxiosRequestConfig): Promise<any>;
export declare function postJSON(url: string, params?: any, options?: AxiosRequestConfig): Promise<any>;
export declare function post(url: string, params?: any, options?: AxiosRequestConfig): Promise<any>;
export declare function putJSON(url: string, params?: any, options?: AxiosRequestConfig): Promise<any>;
export declare function deleteJSON(url: string, params?: any, options?: AxiosRequestConfig): Promise<any>;
export declare function getCsrfToken(): any;
