import { AxiosRequestConfig } from 'axios';
interface Option {
    noCode?: boolean;
    params?: any;
    options?: AxiosRequestConfig;
    errMsg?: any;
    success?: (response: any) => void;
    fail?: (reason: any) => void;
    finally?: () => void;
}
export declare function getJson(url: string, options?: Option): Promise<any>;
export declare function csApiGetJson(url: string, options?: Option): Promise<any>;
export declare function postJson(url: string, options?: Option): Promise<any>;
export declare function putJson(url: string, options?: Option): Promise<any>;
export {};
