"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.csApiDeleteJSON = exports.csApiPutJSON = exports.csApiPostJSON = exports.csApiGetJSON = exports.csApiRequest = void 0;
var utils_1 = require("@udesk-webapp/utils");
var ajax_1 = require("./ajax");
var merge_1 = __importDefault(require("lodash-es/merge"));
utils_1.csApiAxiosInstance.interceptors.request.use(function (config) {
    var _isSameOrigin = config.url ? (0, utils_1.isSameOrigin)(config.url) : false;
    var headers = {};
    var csrfToken = (0, ajax_1.getCsrfToken)();
    if (_isSameOrigin && csrfToken) {
        headers['X-CSRF-Token'] = csrfToken;
    }
    return (0, merge_1.default)({ headers: headers }, config);
});
var utils_2 = require("@udesk-webapp/utils");
Object.defineProperty(exports, "csApiRequest", { enumerable: true, get: function () { return utils_2.csApiRequest; } });
Object.defineProperty(exports, "csApiGetJSON", { enumerable: true, get: function () { return utils_2.csApiGetJSON; } });
Object.defineProperty(exports, "csApiPostJSON", { enumerable: true, get: function () { return utils_2.csApiPostJSON; } });
Object.defineProperty(exports, "csApiPutJSON", { enumerable: true, get: function () { return utils_2.csApiPutJSON; } });
Object.defineProperty(exports, "csApiDeleteJSON", { enumerable: true, get: function () { return utils_2.csApiDeleteJSON; } });
