/**
 * 是否有权限查看编辑客户电话
 * @param customer 必须，客户对象
 * @param customer.owner_group_id - 客户所属客服组
 * @param customer.owner_id - 客户所属客服
 * @param {object} options
 * @return {boolean}
 */
export declare function roleCanCustomerPhone(customer: Pick<Customer, "owner_group_id" | "owner_id">, options: {
    role_can: Pick<IRoleCan, "customer_show_cellphone_all" | "customer_show_cellphone_group" | "customer_show_cellphone_personal">;
    agent: Pick<IUser, "user_groups" | "id" | "role">;
}): boolean;
export declare function saveCustomer(customer: Customer, options: {
    role_can: Parameters<typeof roleCanCustomerPhone>["1"]["role_can"] & Pick<IRoleCan, "set_customer_level">;
    company: Pick<Company, "is_support_lang">;
    agent: Pick<IUser, "id" | "role" | "user_groups">;
}): Promise<any>;
