export declare class Eventable {
    private eventEmitter;
    on(event: string, fn: (...args: any[]) => void, context?: any): void;
    once(event: string, fn: (...args: any[]) => void, context?: any): void;
    off(event: string, fn?: (...args: any[]) => void, context?: any, once?: boolean): void;
    removeAllListeners(event?: string): void;
    fire(event: string, ...args: any[]): void;
}
