import React from 'react';
export declare const domain: {
    current: string;
};
export type ISdkOptions = {
    companyId: number;
    remoteType: string;
    region: string;
    userId: string | number;
    app: string;
    timestamp: number;
    sign: string;
    domain: string;
    wrapHeight?: string;
    antPrefixCls?: string;
    locale: 'zh' | 'en' | 'tw';
    session: {
        extra: any[];
    };
    headPortraitUrl?: string;
} & {
    _container?: any;
};
export declare const Context: React.Context<ISdkOptions | undefined>;
export declare const SdkOptionsProvider: React.FC<{
    value: ISdkOptions;
    children: any;
}>;
export declare const useSdkOptionsContext: () => ISdkOptions;
