import { TFunction } from 'i18next';
import { Ability } from '../common';
export declare function replacePlaceholder(content: string, { customer, organizations, agent, ticket, customerCustomFields, ticketCustomFields, t, customerFieldAbilities, }: {
    customer?: Customer;
    organizations?: Organization[];
    agent?: IAgent;
    ticket?: ITicket;
    customerCustomFields?: CustomField[];
    ticketCustomFields?: CustomField[];
    t: TFunction;
    customerFieldAbilities?: {
        [key: string]: {
            new: Ability;
            edit: Ability;
            show: Ability;
        };
    };
}): Promise<string>;
