export declare function removeHTMLTag(str: string): string;
export declare function getId(): number;
export declare function r(template: string, ...args: any): string;
export declare function getFileTypeByContentType(contentType: string): "TextField" | "SelectField";
export declare function isSysField(type: string): boolean;
export declare function mapCascader(options: any): any;
/**
 * @param {string} fieldType  那种字段?   customer | ticket
 * @param {string} editType   什么操作?   edit | new | show
 * @param {object} fieldsAuthority    字段全选hash表
 */
export declare function formatCustomField({ fields, fieldsAuthority, trigger, fieldType, editType, }: any): IFieldItem[];
export declare function getFieldsDefaultValue({ fields, values }: any): any;
export declare function formatProps(props: any): any;
export declare function stringToHex(str: string): string;
export declare function getPreviewUrl(url: string, options: {
    needEncode?: boolean;
    previewUrl: string;
}): string;
/**
 * 通过文件名判断是否可以预览
 * @param {string} fileName
 * @returns {boolean}
 */
export declare function canPreviewByFileName(fileName: string): boolean;
export declare function replaceLinks(text: any): string;
import moment from 'moment';
export declare function useDateRanges(): {
    [key: string]: [moment.Moment, moment.Moment];
};
