import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { Component, Fragment } from 'react';
import PropTypes from 'prop-types';
import find from 'lodash-es/find';
import { jsx as ___EmotionJSX } from "@emotion/react";

var Control = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Control, _Component);

  function Control() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Control.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        value = _this$props.value,
        prefix = _this$props.prefix,
        getOptionLabel = _this$props.getOptionLabel,
        getOptionValue = _this$props.getOptionValue,
        isOpen = _this$props.isOpen,
        placeholder = _this$props.placeholder,
        options = _this$props.options;
    return ___EmotionJSX(Fragment, null, ___EmotionJSX("span", null, prefix, ' ', value ? getOptionLabel(find(options, function (i) {
      return getOptionValue(i) === value;
    })) : placeholder), ___EmotionJSX("div", {
      style: {
        marginRight: 0
      }
    }, ___EmotionJSX("i", {
      className: 'icon icon-caret-' + (isOpen ? 'up' : 'down')
    })));
  };

  return Control;
}(Component);

Control.propTypes = {
  value: PropTypes.any,
  prefix: PropTypes.string,
  getOptionLabel: PropTypes.func,
  getOptionValue: PropTypes.func,
  isOpen: PropTypes.bool,
  placeholder: PropTypes.string,
  t: PropTypes.func,
  options: PropTypes.array
};
Control.defaultProps = {};
export default Control;