import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";

/*
 * @Author: your name
 * @Date: 2020-09-02 13:50:08
 * @LastEditTime: 2021-10-30 18:24:15
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /udesk_webapp_cc/Users/amyliang/Documents/udesk_webapp_public/packages/multi-select/src/Control.js
 */
import React, { Component, Fragment } from 'react';
import find from 'lodash-es/find';
import isEmpty from 'lodash-es/isEmpty';
import PropTypes from 'prop-types';

var Control = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Control, _Component);

  function Control() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Control.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        value = _this$props.value,
        prefix = _this$props.prefix,
        getOptionLabel = _this$props.getOptionLabel,
        getOptionValue = _this$props.getOptionValue,
        isOpen = _this$props.isOpen,
        placeholder = _this$props.placeholder,
        t = _this$props.t,
        options = _this$props.options,
        showAllOption = _this$props.showAllOption;
    return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("span", null, prefix, " ", !isEmpty(value) ? value.length === 1 ? getOptionLabel(find(options, function (i) {
      return getOptionValue(i) === value[0];
    })) : showAllOption && value.includes('all') ? value.length - 1 + t('filter.choice.unit') : value.length + t('filter.choice.unit') : placeholder), /*#__PURE__*/React.createElement("div", {
      style: {
        marginRight: 0
      }
    }, /*#__PURE__*/React.createElement("i", {
      className: 'icon icon-caret-' + (isOpen ? 'up' : 'down')
    })));
  };

  return Control;
}(Component);

Control.propTypes = {
  value: PropTypes.array,
  prefix: PropTypes.string,
  getOptionLabel: PropTypes.func,
  getOptionValue: PropTypes.func,
  isOpen: PropTypes.bool,
  placeholder: PropTypes.string,
  t: PropTypes.func,
  options: PropTypes.array
};
Control.defaultProps = {};
export default Control;