import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";

/*
 * @Author: your name
 * @Date: 2020-09-02 13:50:08
 * @LastEditTime: 2021-10-30 16:47:12
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /udesk_webapp_cc/Users/amyliang/Documents/udesk_webapp_public/packages/multi-select/src/Options.js
 */
import React, { Component, Fragment } from 'react';
import PropTypes from 'prop-types';
import filter from 'lodash-es/filter';
import includes from 'lodash-es/includes';
import map from 'lodash-es/map';

var Options = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Options, _Component);

  function Options() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Options.prototype;

  _proto.render = function render() {
    var _this = this;

    var _this$props = this.props,
        options = _this$props.options,
        _this$props$getOption = _this$props.getOptionLabel,
        getOptionLabel = _this$props$getOption === void 0 ? function (v) {
      return JSON.stringify(v);
    } : _this$props$getOption,
        _this$props$getOption2 = _this$props.getOptionValue,
        getOptionValue = _this$props$getOption2 === void 0 ? function (v) {
      return v;
    } : _this$props$getOption2,
        _this$props$value = _this$props.value,
        value = _this$props$value === void 0 ? [] : _this$props$value;
    return /*#__PURE__*/React.createElement(Fragment, null, map(options, function (i, index) {
      return /*#__PURE__*/React.createElement("li", {
        key: index
      }, /*#__PURE__*/React.createElement("label", null, /*#__PURE__*/React.createElement("input", {
        value: getOptionValue(i),
        type: "checkbox",
        checked: includes(value, getOptionValue(i)),
        onChange: function onChange(e) {
          return _this.onChange(i, e.target.checked);
        }
      }), getOptionLabel(i)));
    }));
  }
  /**
   * 当选项被点击时触发
   * @param {any} option - 选项
   * @param {boolean} isChecked - 选中状态
   */
  ;

  _proto.onChange = function onChange(option, isChecked) {
    var _this$props2 = this.props,
        _this$props2$value = _this$props2.value,
        value = _this$props2$value === void 0 ? [] : _this$props2$value,
        _this$props2$getOptio = _this$props2.getOptionValue,
        getOptionValue = _this$props2$getOptio === void 0 ? function (v) {
      return v;
    } : _this$props2$getOptio;

    if (isChecked) {
      this.props.onChange([].concat(value, [getOptionValue(option)]));
    } else {
      this.props.onChange(filter(value, function (i) {
        return i !== getOptionValue(option);
      }));
    }
  };

  return Options;
}(Component);

Options.propTypes = {
  options: PropTypes.arrayOf(PropTypes.any),
  getOptionLabel: PropTypes.func,
  getOptionValue: PropTypes.func,
  value: PropTypes.arrayOf(PropTypes.any),
  onChange: PropTypes.func
};
export default Options;