import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React, { Component, Fragment } from 'react';
import PropTypes from 'prop-types';
import map from 'lodash-es/map';
import { jsx as ___EmotionJSX } from "@emotion/react";

var Options = /*#__PURE__*/function (_Component) {
  _inheritsLoose(Options, _Component);

  function Options() {
    return _Component.apply(this, arguments) || this;
  }

  var _proto = Options.prototype;

  _proto.render = function render() {
    var _this = this;

    var _this$props = this.props,
        options = _this$props.options,
        getOptionLabel = _this$props.getOptionLabel;
    return ___EmotionJSX(Fragment, null, map(options, function (i, index) {
      return ___EmotionJSX("li", {
        key: index,
        onClick: function onClick() {
          return _this._onSelect(i);
        }
      }, getOptionLabel(i));
    }));
  };

  _proto._onSelect = function _onSelect(option) {
    var _this$props2 = this.props,
        getOptionValue = _this$props2.getOptionValue,
        onChange = _this$props2.onChange;
    onChange(getOptionValue(option), option);
  };

  return Options;
}(Component);

_defineProperty(Options, "defaultProps", {
  getOptionValue: function getOptionValue(v) {
    return v;
  },
  getOptionLabel: function getOptionLabel(v) {
    return JSON.stringify(v);
  },
  options: []
});

Options.propTypes = {
  options: PropTypes.arrayOf(PropTypes.any),
  getOptionLabel: PropTypes.func,
  getOptionValue: PropTypes.func,
  value: PropTypes.any,
  onChange: PropTypes.func
};
export default Options;