import React from 'react';
import './style/index';
import { CommonPageProps } from './types';
declare const CommonPage: React.FC<CommonPageProps>;
declare const PageInfoMemo: React.FC<any>;
declare const usePageStateMemo: (shouldClearPageStateMemo?: () => boolean) => any;
declare type InternalCommonPageType = typeof CommonPage;
interface CommonPageType extends InternalCommonPageType {
    usePageStateMemo: typeof usePageStateMemo;
    PageInfoMemo: typeof PageInfoMemo;
}
declare const RefCommonPage: CommonPageType;
export default RefCommonPage;
