import React, { useCallback, useEffect, useState } from 'react';
import { Cascader } from 'udesk-ui';
import CopyComponent from '../../../copy';
/**
 * 级联组件
 * @param props
 */
var NewCascader = function (props) {
    console.log('newCascader', props);
    var _a = useState(undefined), value = _a[0], setValue = _a[1];
    var options = props.options;
    useEffect(function () {
        // const values = (props.value || []).reduce((initValues: any, currentValue: any, index: number) => {
        //     let options: any;
        //     if (!index) {
        //         options = props.options;
        //     } else {
        //         options = (initValues[index - 1] || {}).options;
        //     }
        //     const keyOption = options.find((option: any) => {
        //         return currentValue === option.value
        //     });
        //     initValues.push({
        //         key: keyOption.label,
        //         options: keyOption.children || keyOption.subs || []
        //     });
        //     return initValues;
        // }, []).map((item: any) => item.key);
        // setValue(values)
        var value = props.value;
        if (value && typeof value === 'string') {
            value = props.value.split(',');
        }
        setValue(value);
    }, [props.value]);
    var handleChange = useCallback(function (value) {
        setValue(value);
        props.onChange && props.onChange(value.length ? value : '');
    }, [props]);
    var formatValue = useCallback(function (value) {
        var data = (value || [])
            .reduce(function (initValues, currentValue, index) {
            var _options;
            if (!index) {
                _options = options;
            }
            else {
                _options = (initValues[index - 1] || {}).options || [];
            }
            var keyOption = _options.find(function (option) {
                return currentValue === option.value;
            }) || {};
            initValues.push({
                key: keyOption.label,
                options: keyOption.children || keyOption.subs || [],
            });
            return initValues;
        }, [])
            .filter(function (_t) { return _t.key; })
            .map(function (item) { return item.key; })
            .join('/');
        return data;
    }, [options]);
    return (React.createElement(CopyComponent, { text: formatValue(value), switchFlag: props.switchFlag },
        React.createElement(Cascader, { options: props.options, value: value, onChange: handleChange, placeholder: "\u8BF7\u9009\u62E9", changeOnSelect: true, showSearch: true, disabled: props.disabled })));
};
export default NewCascader;
