var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useMemo } from 'react';
function CustomSelect(props) {
    var _a = props.allowClear, allowClear = _a === void 0 ? true : _a;
    var options = useMemo(function () {
        var options = props.options;
        if (allowClear) {
            options.unshift({
                title: "--",
                value: ""
            });
        }
        return options;
    }, [allowClear, props.options]);
    var children = useMemo(function () {
        return React.Children.map(props.children, function (child) { return (React.cloneElement(child, __assign(__assign({}, props), { options: options }))); });
    }, [options, props]);
    return (React.createElement(React.Fragment, null, children));
}
export default CustomSelect;
