import React, { useState } from 'react';
import { SketchPicker } from 'react-color';
import { Button } from 'udesk-ui';
import cssObj from './colorPicker.module.scss';
function ColorPicker(props) {
    var _a = useState(props.color), color = _a[0], setColor = _a[1];
    function handleChangeComplete(value) {
        setColor(value.hex);
    }
    return (React.createElement("div", { className: cssObj['color-picker-wrapper'] },
        React.createElement(SketchPicker, { color: color, onChangeComplete: handleChangeComplete }),
        React.createElement("div", { className: cssObj['btn-list'] },
            React.createElement(Button, { onClick: function () { return props.confirmPicler(''); } }, "\u6E05\u7A7A"),
            React.createElement(Button, { onClick: function () { return props.confirmPicler(color); } }, "\u786E\u5B9A"))));
}
export default ColorPicker;
