var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import fieldStyle from "./style.module.scss";
import { QuestionCircleOutlined } from "@ant-design/icons/lib/icons";
import { Tooltip, Form } from "udesk-ui";
import GetFieldComponet from "./field-type-component";
import isFunction from "lodash-es/isFunction";
var CustomFieldItem = function (_a) {
    var fieldItem = _a.fieldItem, isFormItem = _a.isFormItem, _b = _a.switchFlag, switchFlag = _b === void 0 ? false : _b, agents = _a.agents, props = __rest(_a, ["fieldItem", "isFormItem", "switchFlag", "agents"]);
    var fromLabel = function () {
        return (React.createElement("div", { className: fieldStyle["item-label"] },
            fieldItem.isRequired && React.createElement("span", { style: { color: "red" } }, "*"),
            React.createElement("span", { style: { marginRight: "5px" } },
                fieldItem.label,
                ":"),
            fieldItem.layout !== "horizontal" &&
                fieldItem.tooltipShow &&
                fieldItem.tooltip && (React.createElement(Tooltip, { title: fieldItem.tooltip },
                React.createElement(QuestionCircleOutlined, null)))));
    };
    return (React.createElement(React.Fragment, null, isFormItem ? (React.createElement(Form.Item, __assign({}, props, { label: fromLabel(), name: fieldItem.field.id, trigger: fieldItem.field.trigger || "onChange", rules: isFunction(fieldItem.field.customValidFn)
            ? [
                {
                    validator: fieldItem.field.customValidFn,
                },
            ]
            : undefined }),
        React.createElement(GetFieldComponet, __assign({ switchFlag: switchFlag }, fieldItem.field, { isFormItem: isFormItem, notUseDefault: props.notUseDefault, agents: agents })))) : (React.createElement("div", { className: "".concat(fieldStyle["field-item"], " ").concat(fieldItem.layout === "horizontal"
            ? fieldStyle["field-item-horizontal"]
            : "") },
        fromLabel(),
        React.createElement("div", { className: fieldStyle["item-content"] },
            React.createElement(GetFieldComponet, __assign({ switchFlag: switchFlag }, fieldItem.field, { isFormItem: false, agents: agents })))))));
};
export default CustomFieldItem;
