import React from 'react';
import style from './index.module.less';
import DOMPurify from 'dompurify';
var CustomCardType = React.memo(function (_a) {
    var _b, _c;
    var msg = _a.msg;
    return (React.createElement("ul", { className: style['custom-card'] },
        msg.title && React.createElement("li", null,
            React.createElement("span", null, msg.title)), (_c = (_b = msg.cardList) === null || _b === void 0 ? void 0 : _b.slice(0, 20).map(function (item, index) {
        if (item.type === 1) {
            return React.createElement("li", { dangerouslySetInnerHTML: { __html: DOMPurify.sanitize(msg.cardListType === 2 ? item.hitShowContent : item.content) } });
        }
        else {
            return (React.createElement("li", null,
                item.suggestContent && React.createElement("span", null, item.suggestContent),
                React.createElement("ol", { className: "faq-list" }, item.suggestList && item.suggestList.map(function (_item) {
                    return React.createElement("li", null,
                        React.createElement("a", { href: "javascript:;" }, _item.content));
                }))));
        }
    })) !== null && _c !== void 0 ? _c : null));
});
export default CustomCardType;
