import React from 'react';
import style from './index.module.less';
var LinkType = React.memo(function (_a) {
    var msg = _a.msg;
    return (React.createElement("a", { href: msg.answerUrl, target: "_blank", rel: "noopener noreferrer", className: style['link-outside-a'] },
        React.createElement("span", { className: "".concat(style['favicon-img'], " ").concat(msg.faviconUrl ? '' : style['default-fav'], " "), style: { backgroundImage: "url(".concat(msg.faviconUrl || '/entry/images/im/link-lue.png') } }),
        React.createElement("span", { className: style['favicon-text'] }, msg.title || msg.answerUrl)));
});
export default LinkType;
