import React, { useMemo } from 'react';
import { getTencentMap } from '../utilities';
import style from './index.module.less';
var LocationType = React.memo(function (_a) {
    var _b;
    var msg = _a.msg;
    var curMap = useMemo(function () { return getTencentMap(msg.content) || {}; }, [msg]);
    return (React.createElement(React.Fragment, null,
        React.createElement("div", { className: style['location-name'] }, (_b = msg.content) === null || _b === void 0 ? void 0 : _b.split(';')[3]),
        React.createElement("a", { href: curMap.map_src, target: "_blank", rel: "noopener noreferrer" },
            React.createElement("div", { className: style['location-img'], style: { background: 'url(' + curMap.img_src + ')' } }))));
});
export default LocationType;
