import React from 'react';
import MiniProgram from '../icon/mini-program';
import { useTranslation } from 'react-i18next';
import style from './index.module.less';
import isObject from 'lodash-es/isObject';
var MiniprogrampageType = React.memo(function (_a) {
    var msg = _a.msg;
    var t = useTranslation().t;
    return (React.createElement("div", { className: style['link-mini-card'] },
        React.createElement("p", null,
            React.createElement(MiniProgram, null),
            React.createElement("span", null, isObject(msg.content) ? msg.content.title : msg.content)),
        React.createElement("a", { href: "javascript:void(0);" },
            React.createElement("img", { src: msg.pic_url || msg.content.pic_url || msg.origin_url || msg.content.origin_url, title: 'picture', alt: '' }))));
});
export default MiniprogrampageType;
