import React from "react";
import { TreeSelectProps } from "udesk-ui/es/tree-select";
import { Category, RobotSettings } from "./types";
declare type Props = TreeSelectProps<number> & {
    settings: RobotSettings;
    robotId: number;
    setDefaultValue: (value: number) => void;
};
export interface CategoriesResponse {
    code: number;
    message: string;
    visible: boolean;
    paging: Paging;
    data: Category[];
}
export interface Paging {
    pageNum: number;
    pageSize: number;
    total: number;
}
declare const CategorySelect: React.FC<Props>;
export default CategorySelect;
