import React, { useContext, useEffect, useState } from "react";
import { Radio } from "udesk-ui";
import { useTranslation } from "react-i18next";
import css from "./style.module.scss";
import { RepositoryWidgetContext } from "./utilities";
var ScopeSwitch = function (_a) {
    var _b = _a.value, value = _b === void 0 ? "public" : _b, _c = _a.enableRobot, enableRobot = _c === void 0 ? false : _c, onChange = _a.onChange;
    var t = useTranslation().t;
    var _d = useState(value), _value = _d[0], _setValue = _d[1];
    var showPublicScope = useContext(RepositoryWidgetContext).showPublicScope;
    useEffect(function () {
        _setValue(value);
    }, [value]);
    return (React.createElement("div", { className: css.scopeSwitch },
        React.createElement(Radio.Group, { onChange: function (e) { return onChange && onChange(e.target.value); }, value: _value },
            showPublicScope ? (React.createElement(Radio.Button, { value: "public" }, t("page.im.km.scope.public"))) : null,
            enableRobot ? (React.createElement(Radio.Button, { value: "robot" }, t("page.im.km.scope.robot"))) : null,
            React.createElement(Radio.Button, { value: "personal" }, t("page.im.km.scope.personal")))));
    // <div className={css.scopeSwitch}>
    //     <Button size='small' className={classNames({active: _value === 'public'})}
    //             onClick={() => {
    //                 _setValue('public');
    //                 onChange?.('public');
    //             }}>{t('page.im.km.scope.public')}</Button>
    //     <Button size='small' className={classNames({active: _value === 'personal'})}
    //             onClick={() => {
    //                 _setValue('personal');
    //                 onChange?.('personal');
    //             }}>{t('page.im.km.scope.personal')}</Button>
    // </div>
};
export default ScopeSwitch;
