import React from 'react';
import DOMPurify from 'dompurify';
import style from './index.module.less';
DOMPurify.setConfig({
    ALLOWED_ATTR: ['target', 'class', 'style', 'alt', 'src', 'href', 'border', 'width', 'rowspan', 'colspan'],
    ADD_TAGS: ['iframe'],
    FORBID_ATTR: ['position'],
    FORBID_TAGS: ['position'],
});
var RichType = React.memo(function (_a) {
    var msg = _a.msg;
    var res = DOMPurify.sanitize(msg.content);
    return React.createElement("div", { className: style['rich-wrapper'], dangerouslySetInnerHTML: { __html: res } });
});
export default RichType;
