import React from 'react';
interface RobotData {
    answer: Answer;
    content: string;
    type: number;
}
interface Answer {
    content: string;
}
interface RobotItem {
    index: number;
    data: any;
    id: number;
    content: string;
    onClick?: (content: string, data: RobotData) => void;
}
declare const RobotAutoSugItem: React.FC<RobotItem>;
export default RobotAutoSugItem;
