import React from "react";
import { UploadProps } from "udesk-ui/es/upload";
declare type FileObj = Parameters<NonNullable<UploadProps["onPreview"]>>[0];
declare type Props = Omit<UploadProps, "withCredentials" | "beforeUpload" | "fileList" | "onChange" | "transformFile" | "action" | "data"> & {
    value?: FileObj[];
    single?: number;
    total?: number;
    marking: string;
    accept?: string;
    onChange?: (fileList: FileObj[]) => void;
    noAttachment?: boolean;
    onError?: (file: FileObj) => void;
};
declare const UploadBox: React.FC<Props>;
export default UploadBox;
