/**
 * @description 客服系统常见下拉选项
 * {
 *      title: '选项一',
 *      value: '1'
 * }
 */
declare class customerTagSelectComponent extends React.Component<any, any, any> {
    constructor(props: any);
    state: {
        options: never[];
    };
    componentDidMount(): void;
    handleFocus: (e: any) => void;
    handleSelectChange: (value: any, selectedOption: any) => void;
    /**
     * @param {string} query
     */
    handleSelectSearch: (query: string) => void;
    _getTagsById: (ids: any) => Promise<any>;
    _loadData: (query: any) => Promise<any>;
    render(): JSX.Element;
}
declare namespace customerTagSelectComponent {
    const defaultProps: {
        value: never[];
        onChanged: null;
        attributes: {};
        dataSource: never[];
        disabled: boolean;
        operator: {};
        field: {};
        name: null;
        isValid: boolean;
        errors: never[];
        runtimeAttributes: {};
    } & {
        dataSourceValueField: string;
        dataSourceNameField: string;
        dataSourceSearchField: string;
        defaultValueField: string;
        defaultNameField: string;
        defaultSearchField: string;
        defaultOutputValueMode: string;
    };
    namespace propTypes {
        const value: PropTypes.Requireable<any[]>;
        const onChanged: PropTypes.Requireable<(...args: any[]) => any>;
        const attributes: PropTypes.Requireable<object>;
        const dataSource: PropTypes.Requireable<any[]>;
        const disabled: PropTypes.Requireable<boolean>;
        const label: PropTypes.Requireable<string>;
        const operator: PropTypes.Requireable<object>;
        const field: PropTypes.Requireable<object>;
        const name: PropTypes.Requireable<string>;
        const isValid: PropTypes.Requireable<boolean>;
        const errors: PropTypes.Requireable<any[]>;
        const runtimeAttributes: PropTypes.Requireable<object>;
        const dataSourceValueField: PropTypes.Requireable<string>;
        const dataSourceNameField: PropTypes.Requireable<string>;
        const dataSourceSearchField: PropTypes.Requireable<string>;
        const defaultValueField: PropTypes.Requireable<string>;
        const defaultNameField: PropTypes.Requireable<string>;
        const defaultSearchField: PropTypes.Requireable<string>;
        const defaultOutputValueMode: PropTypes.Requireable<string>;
    }
}
export default customerTagSelectComponent;
import React from "react";
import PropTypes from "prop-types";
