function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import * as React from 'react';
// @ts-ignore
import Udesk from 'udesk-react/src/udesk';
// @ts-ignore
import CustomFilters from 'udesk-react/src/components/custom-filters/index';
import classNames from 'classnames';
import { usePrefixCls } from '../utils';
import './style/index';
Udesk.init();
function Index(props) {
  var onChange = props.onChange,
    value = props.value,
    _props$showConditionN = props.showConditionNumber,
    showConditionNumber = _props$showConditionN === void 0 ? false : _props$showConditionN,
    _props$conditionField = props.conditionFieldColumnHeader,
    conditionFieldColumnHeader = _props$conditionField === void 0 ? null : _props$conditionField,
    _props$conditionOpera = props.conditionOperatorColumnHeader,
    conditionOperatorColumnHeader = _props$conditionOpera === void 0 ? null : _props$conditionOpera,
    _props$conditionValue = props.conditionValueColumnHeader,
    conditionValueColumnHeader = _props$conditionValue === void 0 ? null : _props$conditionValue,
    _props$conditionField2 = props.conditionFieldField,
    conditionFieldField = _props$conditionField2 === void 0 ? 'field' : _props$conditionField2,
    _props$conditionValue2 = props.conditionValueField,
    conditionValueField = _props$conditionValue2 === void 0 ? 'value' : _props$conditionValue2,
    _props$fields = props.fields,
    fields = _props$fields === void 0 ? null : _props$fields,
    _props$conditions = props.conditions,
    conditions = _props$conditions === void 0 ? null : _props$conditions,
    _props$fieldValueSett = props.fieldValueSettings,
    fieldValueSettings = _props$fieldValueSett === void 0 ? null : _props$fieldValueSett,
    _props$fieldSelectorC = props.fieldSelectorClass,
    fieldSelectorClass = _props$fieldSelectorC === void 0 ? 'form-control' : _props$fieldSelectorC,
    _props$operatorSelect = props.operatorSelectorClass,
    operatorSelectorClass = _props$operatorSelect === void 0 ? 'form-control' : _props$operatorSelect,
    _props$conditionValue3 = props.conditionValueComponentAttrs,
    conditionValueComponentAttrs = _props$conditionValue3 === void 0 ? {} : _props$conditionValue3,
    customizePrefixCls = props.prefixCls,
    _props$className = props.className,
    className = _props$className === void 0 ? '' : _props$className,
    _props$theme = props.theme,
    theme = _props$theme === void 0 ? '' : _props$theme;
  var _usePrefixCls = usePrefixCls('custom-filter', customizePrefixCls || ''),
    _usePrefixCls2 = _slicedToArray(_usePrefixCls, 1),
    customFilterPrefixCls = _usePrefixCls2[0];
  var classes = classNames(customFilterPrefixCls, className);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CustomFilters, {
    theme: "".concat(classes, " ").concat(theme),
    showConditionNumber: showConditionNumber,
    conditionFieldColumnHeader: conditionFieldColumnHeader,
    conditionOperatorColumnHeader: conditionOperatorColumnHeader,
    conditionValueColumnHeader: conditionValueColumnHeader,
    conditionFieldField: conditionFieldField,
    conditionValueField: conditionValueField,
    fields: fields,
    conditions: value,
    fieldValueSettings: fieldValueSettings,
    fieldSelectorClass: fieldSelectorClass,
    operatorSelectorClass: operatorSelectorClass,
    onChanged: onChange,
    conditionValueComponentAttrs: conditionValueComponentAttrs
  }));
}
export default Index;