import { __assign, __rest } from "tslib";
import React, { useState, useEffect } from 'react';
import { Button, Input } from 'udesk-ui';
import { EnvironmentOutlined } from '@ant-design/icons';
import './index.module.scss';
import CopyText from '../copy';
var TextArea = Input.TextArea;
// 自定义字段 地址
var FormLocation = function (props) {
    var copyProps = props.copyProps, refProps = __rest(props, ["copyProps"]);
    var _a = useState(props === null || props === void 0 ? void 0 : props.value), localValue = _a[0], setLocalValue = _a[1];
    useEffect(function () {
        setLocalValue(props === null || props === void 0 ? void 0 : props.value);
    }, [props === null || props === void 0 ? void 0 : props.value]);
    var goLocation = function () {
        var url = "http://apis.map.qq.com/uri/v1/search?keyword=".concat(localValue || '', "&referer=custom_field");
        window.open(url, '_blank');
    };
    var onValueChange = function (e) {
        var _a;
        var targetValue = e.target.value;
        setLocalValue(targetValue);
        (_a = props === null || props === void 0 ? void 0 : props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, targetValue);
    };
    return (React.createElement(CopyText, __assign({}, copyProps, { text: localValue }),
        React.createElement("div", { className: "form-location-wrapper" },
            React.createElement(TextArea, __assign({}, refProps, { value: localValue, onChange: function (data) { return onValueChange(data); }, onBlur: function () {
                    var onValueBlur = props.onValueBlur, _a = props.id, id = _a === void 0 ? '' : _a;
                    onValueBlur === null || onValueBlur === void 0 ? void 0 : onValueBlur(id, localValue);
                } })),
            React.createElement(Button, { className: "form-location-icon", type: "link", icon: React.createElement(EnvironmentOutlined, null), onClick: goLocation }))));
};
export default FormLocation;
