import { __assign, __rest } from "tslib";
import React, { useState, useEffect } from 'react';
import { InputNumber } from 'udesk-ui';
import CopyText from '../copy';
// 自定义字段 正整数和浮点数
var FormNumber = function (props) {
    var value = props.value, numeric = props.numeric, copyProps = props.copyProps, restProps = __rest(props, ["value", "numeric", "copyProps"]);
    var _a = useState(value), localValue = _a[0], setLocalValue = _a[1];
    var onValueChange = function (value) {
        var _a;
        var changeValue = value === null || value === undefined ? '' : value;
        setLocalValue(changeValue);
        (_a = props === null || props === void 0 ? void 0 : props.onChange) === null || _a === void 0 ? void 0 : _a.call(props, changeValue);
    };
    useEffect(function () {
        setLocalValue(value);
    }, [value]);
    return (React.createElement(CopyText, __assign({}, copyProps, { text: localValue }),
        React.createElement(InputNumber, __assign({ style: { width: '100%' } }, restProps, { value: localValue, min: numeric ? undefined : '1', precision: numeric ? undefined : 0, stringMode: true, onChange: function (data) { return onValueChange(data); }, onBlur: function () {
                var onValueBlur = props.onValueBlur, _a = props.id, id = _a === void 0 ? '' : _a;
                onValueBlur === null || onValueBlur === void 0 ? void 0 : onValueBlur(id, localValue);
            } }))));
};
export default FormNumber;
