import React, { ComponentProps } from 'react';
import { Radio } from 'udesk-ui';
import { CopyProps } from '../copy';
declare type Props = Omit<ComponentProps<typeof Radio.Group>, 'onChange' | 'options' | 'value'> & {
    sort_type?: 'x' | 'y';
    notUseDefault?: boolean;
    hiddenLabelPath?: string;
    readOnly?: boolean;
    options: {
        value: string;
        label: string;
        disabled: boolean;
    }[];
    value?: string;
    id?: string;
    onChange?: (v: string) => void;
    copyProps?: CopyProps;
    onValueBlur?: (id: string, v: string) => void;
};
declare const FormRadio: React.FC<Props>;
export default FormRadio;
