var _excluded = ["props", "type", "forceDisabled", "forceHidden", "valuePropName", "trigger"],
    _excluded2 = ["disabled"];

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }

function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _callSuper(t, o, e) { return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e)); }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { try { var t = !Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); } catch (t) {} return (_isNativeReflectConstruct = function _isNativeReflectConstruct() { return !!t; })(); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }

function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }

import React, { Component } from 'react';
import Form from "../form";
import Space from "../space";
var Item = Form.Item;

var MixtureComponent = function MixtureComponent(_ref) {
  var formOnChange = _ref.onChange,
      value = _ref.value,
      field = _ref.field,
      children = _ref.children,
      propsOnChangeFromComponent = _ref.propsOnChangeFromComponent,
      _ref$valuePropName = _ref.valuePropName,
      valuePropName = _ref$valuePropName === void 0 ? 'value' : _ref$valuePropName,
      _ref$trigger = _ref.trigger,
      trigger = _ref$trigger === void 0 ? 'onChange' : _ref$trigger;

  var onChange = function onChange() {
    typeof propsOnChangeFromComponent === 'function' && propsOnChangeFromComponent.apply(void 0, arguments);
    formOnChange.apply(void 0, arguments);
  };

  if (field.addonBefore || field.addonAfter) {
    return /*#__PURE__*/React.createElement(Space, null, field.addonBefore, /*#__PURE__*/React.createElement(React.Suspense, {
      fallback: /*#__PURE__*/React.createElement("div", null, "loading...")
    }, React.Children.map(children, function (child) {
      return /*#__PURE__*/React.cloneElement(child, _defineProperty(_defineProperty({}, trigger, onChange), valuePropName, value));
    })), field.addonAfter);
  }

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(React.Suspense, {
    fallback: /*#__PURE__*/React.createElement("div", null, "loading...")
  }, React.Children.map(children, function (child) {
    return /*#__PURE__*/React.cloneElement(child, _defineProperty(_defineProperty({}, trigger, onChange), valuePropName, value));
  })));
};

var Field = /*#__PURE__*/function (_Component) {
  function Field() {
    var _this;

    _classCallCheck(this, Field);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _callSuper(this, Field, [].concat(args));

    _defineProperty(_this, "destroy", false);

    return _this;
  }

  _inherits(Field, _Component);

  return _createClass(Field, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          field = _this$props.field,
          getFieldComponent = _this$props.getFieldComponent,
          formStore = _this$props.formStore,
          formName = _this$props.formName;

      var _field$props = field.props,
          props = _field$props === void 0 ? {} : _field$props,
          type = field.type,
          forceDisabled = field.forceDisabled,
          forceHidden = field.forceHidden,
          valuePropName = field.valuePropName,
          trigger = field.trigger,
          args = _objectWithoutProperties(field, _excluded); // const {  } = args;


      var disabled = props.disabled,
          fieldPropsWithoutDisabled = _objectWithoutProperties(props, _excluded2);

      var propsOnChangeFromComponent = fieldPropsWithoutDisabled.onChange;
      var Component = getFieldComponent(type); //未找到对应组件

      if (!Component) {
        if (process.env.NODE_ENV === 'development') {
          return /*#__PURE__*/React.createElement("div", null, "\u672A\u627E\u5230\u81EA\u5B9A\u4E49\u7EC4\u4EF6\uFF1A".concat(type));
        }

        return null;
      }

      if (forceHidden || formStore.getFieldVisible(field.name) === false) {
        return null;
      }

      var getDisabledProps = function getDisabledProps() {
        if (forceDisabled) {
          return Boolean(forceDisabled);
        }

        var fieldDisable = formStore.getFieldDisable(field.name);

        if (typeof fieldDisable === 'boolean') {
          return fieldDisable;
        }

        return Boolean(disabled);
      };

      return /*#__PURE__*/React.createElement(Item, _objectSpread({}, args), /*#__PURE__*/React.createElement(MixtureComponent, {
        field: field,
        propsOnChangeFromComponent: propsOnChangeFromComponent,
        valuePropName: valuePropName,
        trigger: trigger
      }, /*#__PURE__*/React.createElement(Component, _objectSpread({
        disabled: getDisabledProps(),
        placeholder: "\u8BF7\u8F93\u5165".concat(field.label),
        id: formName ? "".concat(formName, "_").concat(field.name) : "".concat(field.name)
      }, fieldPropsWithoutDisabled || {}))));
    }
  }, {
    key: "reRender",
    value: function reRender() {
      if (this.destroy) return; // const { formStore, field } = this.props;

      this.forceUpdate();
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this$props2 = this.props,
          field = _this$props2.field,
          formStore = _this$props2.formStore;
      formStore.registerField(field.name, this);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.destroy = true;
    }
  }, {
    key: "componentDidCatch",
    value: function componentDidCatch(error, info) {
      console.log('error, info', error, info);
    }
  }]);
}(Component);

export { Field as default };
//# sourceMappingURL=field.js.map
