export default {
    cancel: 'Cancelación',
    uploader: {
        uploadImg: 'Subir imágenes',
        uploadImgIng: 'Subir imagen',
        uploadImgFail: 'Error de carga',
        insertImg: 'Insertar una imagen',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    exceedsTotalSize: 'Tamaño total del archivo {0} superado el tamaño límite {1}',
                    exceedsSize: 'Archivo {0} supera el tamaño límite {1}',
                },
            },
        },
    },
    statusbar: { translate: 'Traducción' },
    originalPlaceholder: 'Ingrese el texto original',
    language: {
        chinese: 'Chino',
        'zh-cn': 'Chino (simplificado)',
        'zh-tw': 'Chino (tradicional)',
        'en-us': 'Inglés',
        fr: 'Francés',
        de: 'Alemán',
        fil: 'Filipino (tagara)',
        ja: 'Japonés',
        it: 'Italiano',
        ru: 'Ruso',
        ko: 'Coreano',
        vi: 'Vietnamita',
        af: 'Afrikaans',
        sq: 'Albanés',
        am: 'Idioma amárico',
        ar: 'Árabe',
        hy: 'Armenio',
        as: 'Assam *',
        ay: 'Aymara *',
        az: 'Idioma azerbaiyano',
        bm: 'Bambala *',
        eu: 'La lengua vasca',
        be: 'Bielorruso',
        bn: 'Bengalí',
        bho: 'Idioma Bojpur *',
        bs: 'Bosnio',
        bg: 'Búlgaro',
        ca: 'Catalán',
        ceb: 'Cebú',
        co: 'Córcega',
        hr: 'Croata',
        cs: 'Checo',
        da: 'Danés',
        dv: 'Divixi *',
        doi: 'Idioma Doge *',
        nl: 'Holandés',
        eo: 'Esperanto',
        et: 'Estonio',
        ee: 'Evi *',
        fi: 'Finés',
        fy: 'Frisón',
        gl: 'Gallego',
        ka: 'Idioma georgiano',
        el: 'Griego',
        gn: 'Guaraní *',
        gu: 'Gujarati',
        ht: 'Criollo haitiano',
        ha: 'Hausa',
        haw: 'Hawaiano',
        he: 'Hebreo',
        hi: 'Hindi',
        hmn: 'Idioma Miao',
        hu: 'Húngaro',
        is: 'Idioma islandés',
        ig: 'Idioma ibo',
        ilo: 'Idioma ilocano *',
        id: 'Idioma indonesio',
        ga: 'Irlandés',
        jv: 'Java',
        kn: 'Canadaven',
        kk: 'Kazak',
        km: 'Khmer',
        rw: 'Ruanda',
        gom: 'Idioma gongen *',
        kri: 'Criollo *',
        ku: 'Kurdo',
        ckb: 'Kurdo (Solani) *',
        ky: 'Idioma kirguís',
        lo: 'Lao',
        la: 'Latín',
        lv: 'Letón',
        ln: 'Lingla *',
        lt: 'Idioma lituano',
        lg: 'Luganda *',
        lb: 'Luxemburgo',
        mk: 'El idioma macedonio',
        mai: 'Matili *',
        mg: 'Margash',
        ms: 'Malayo',
        ml: 'Malayalam',
        mt: 'Idioma maltés',
        mi: 'Idioma maorí',
        mr: 'Marathi',
        'mni-Mtei': 'Metai (Manipur) *',
        'mni-lus': 'Mizo *',
        mn: 'Mongol',
        my: 'Birmania',
        ne: 'Nepalí',
        no: 'Noruego',
        ny: 'Nianzha (Ziqeva)',
        or: 'Oriya (Oria)',
        om: 'Oromé *',
        ps: 'Pashto',
        fa: 'Persa',
        pl: 'Polaco',
        pt: 'Portugués (Portugal, Brasil)',
        pa: 'Punjabi',
        qu: 'Quechua *',
        ro: 'Rumano',
        sm: 'Samoyano',
        sa: 'Sánscrito *',
        gd: 'Gaélico escocés',
        nso: 'Sepeti *',
        sr: 'Serbio',
        st: 'Sesotto',
        sn: 'Shuna',
        sd: 'Credo en alemán',
        si: 'Cingalés',
        sk: 'Eslovaco',
        sl: 'Esloveno',
        so: 'Somalí',
        es: 'Español',
        su: 'Sunda',
        sw: 'Swahili',
        sv: 'Sueco',
        tl: 'Tagalo (filipino)',
        tg: 'Idioma tayiko',
        ta: 'Tamil',
        tt: 'Tártaro',
        te: 'Telugu',
        th: 'Tailandés',
        ti: 'Idioma tignano *',
        ts: 'Tsongga *',
        tr: 'Turco',
        tk: 'Turcomano',
        ak: 'Chevi (Akan) *',
        uk: 'Ucranano',
        ur: 'Urdu',
        ug: 'Uigur',
        uz: 'Idioma uzbeko',
        cy: 'Galés',
        xh: 'Idioma bantu',
        yi: 'Yiddish',
        yo: 'Yoruba',
        zu: 'Zulu',
    },
};
