export default {
    cancel: 'Annulation',
    uploader: {
        uploadImg: 'Ajoutez des images',
        uploadImgIng: 'Télécharger une image dans',
        uploadImgFail: 'Échec du téléchargement',
        insertImg: 'Insérer une image',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    exceedsTotalSize: 'La taille totale du fichier {0} dépasse la taille limite {1}',
                    exceedsSize: 'Le fichier {0} dépasse la taille limite {1}',
                },
            },
        },
    },
    statusbar: { translate: 'Traduction' },
    originalPlaceholder: 'Veuillez saisir le texte original',
    language: {
        chinese: 'Chinois',
        'zh-cn': 'Chinois (simplifié)',
        'zh-tw': 'Chinois (Traditionnel)',
        'en-us': 'Anglais',
        fr: 'Français',
        de: 'Allemand',
        fil: 'Philippin (Tagara)',
        ja: 'Japonais',
        it: 'Italien',
        ru: 'Russe',
        ko: 'Coréen',
        vi: 'Vietnamien',
        af: 'Afrikaans',
        sq: 'Albanais',
        am: 'Amharique',
        ar: 'Arabe',
        hy: 'Arménien',
        as: 'Assam *',
        ay: 'Langue Aymara *',
        az: 'Azerbaïdjanais',
        bm: 'Bambara *',
        eu: 'Basque',
        be: 'Biélorusse',
        bn: 'Bengali',
        bho: 'Bojepur *',
        bs: 'Bosniaque',
        bg: 'Bulgare',
        ca: 'Catalan',
        ceb: 'Cebu',
        co: 'Langue corse',
        hr: 'Croate',
        cs: 'Tchèque',
        da: 'Danois',
        dv: 'Divishi *',
        doi: 'Multigramme *',
        nl: 'Néerlandais',
        eo: "L'espéranto",
        et: 'Estonien',
        ee: 'Evi *',
        fi: 'Finnois',
        fy: 'Frise',
        gl: 'Galicien',
        ka: 'Géorgien',
        el: 'Grec',
        gn: 'Guarani *',
        gu: 'Gujarat',
        ht: 'Créole haïtien',
        ha: 'Haoussa',
        haw: 'Langue hawaïenne',
        he: 'Hébreu',
        hi: 'Hindi',
        hmn: 'Langue Miao',
        hu: 'Hongrois',
        is: 'Islandais',
        ig: 'Igbo',
        ilo: 'Ilokano *',
        id: 'Indonésien',
        ga: 'Irlandais',
        jv: 'Javanais',
        kn: 'Canadavin',
        kk: 'Kazakh',
        km: 'Khmer',
        rw: 'Langue rwandaise',
        gom: 'Langue gongen *',
        kri: 'Créole *',
        ku: 'Kurde',
        ckb: 'Kurde (Solani) *',
        ky: 'Langue kirghize',
        lo: 'Lao',
        la: 'Latin',
        lv: 'Letton',
        ln: 'Lingola *',
        lt: 'Lithuanien',
        lg: 'Luganda *',
        lb: 'Le luxembourgeois',
        mk: 'Macédonien',
        mai: 'Mitili *',
        mg: 'Langage malgache',
        ms: 'Malais',
        ml: 'Marayalamwen',
        mt: 'Maltais',
        mi: 'Maori',
        mr: 'Marathi',
        'mni-Mtei': 'Mayet (Manipur) *',
        'mni-lus': 'Mizo *',
        mn: 'Mongol',
        my: 'Langue birmane',
        ne: 'Népalais',
        no: 'Norvégien',
        ny: 'Niyangza (Zicheva)',
        or: 'Oriya (Oria)',
        om: 'Oromo *',
        ps: 'Pachtoune',
        fa: 'Persan',
        pl: 'Polonais',
        pt: 'Portugais (Brésil, Portugal)',
        pa: 'Punjabi',
        qu: 'Kerchua *',
        ro: 'Roumain',
        sm: 'Samoan',
        sa: 'Sanskrit *',
        gd: 'Gaélique écossais',
        nso: 'Seperti *',
        sr: 'Serbe',
        st: 'Sesoto',
        sn: 'Shuna',
        sd: 'La lettre en allemand',
        si: 'Cinghalais',
        sk: 'Slovaque',
        sl: 'Slovène',
        so: 'Somali',
        es: 'Espagnol',
        su: 'Sonde',
        sw: 'Swahili',
        sv: 'Suédois',
        tl: 'Tagaru (philippin)',
        tg: 'Tadjik',
        ta: 'Tamil',
        tt: 'Tatar',
        te: 'Telugu',
        th: 'Thaï',
        ti: 'Tigunia *',
        ts: 'Zonga *',
        tr: 'Turc',
        tk: 'Turkmènes',
        ak: 'Chiwi (Akan) *',
        uk: 'Ukrainien',
        ur: 'Ourdou',
        ug: 'Ouïghour',
        uz: 'Ouzbek',
        cy: 'Gallois',
        xh: 'Langue bantu',
        yi: 'Yiddish',
        yo: 'Yoruba',
        zu: 'Zulu',
    },
};
