export default {
    cancel: 'Pembatalan',
    uploader: {
        uploadImg: 'Mengunggah gambar',
        uploadImgIng: 'Mengunggah gambar',
        uploadImgFail: 'Gagal mengunggah',
        insertImg: 'Menyisipkan gambar',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    exceedsTotalSize: 'Ukuran total file {0} melebihi batas {1}',
                    exceedsSize: 'File {0} melebihi batas {1}',
                },
            },
        },
    },
    statusbar: { translate: 'Terjemahan' },
    originalPlaceholder: 'Silakan masukkan teks asli',
    language: {
        chinese: 'Bahasa Cina',
        'zh-cn': 'Tionghoa (Sederhana)',
        'zh-tw': 'Cina (Tradisional)',
        'en-us': 'Bahasa Inggris',
        fr: 'Bahasa Prancis',
        de: 'Bahasa Jerman',
        fil: 'Bahasa Filipina (Tagalog)',
        ja: 'Bahasa Jepang',
        it: 'Bahasa Italia',
        ru: 'Bahasa Rusia',
        ko: 'Bahasa Korea',
        vi: 'Bahasa Vietnam',
        af: 'Bahasa Afrikaans',
        sq: 'Bahasa Albania',
        am: 'Bahasa Amharik',
        ar: 'Bahasa Arab',
        hy: 'Bahasa Armenia',
        as: 'Bahasa Assam *',
        ay: 'Bahasa Aymara *',
        az: 'Bahasa Azerbaijan',
        bm: 'Bambara *',
        eu: 'Bahasa Basque',
        be: 'Bahasa Belarusia',
        bn: 'Bahasa Bengali',
        bho: 'Bahasa Bojpur *',
        bs: 'Bahasa Bosnia',
        bg: 'Bahasa Bulgaria',
        ca: 'Bahasa Katalan',
        ceb: 'Bahasa Cebu',
        co: 'Bahasa Korsika',
        hr: 'Bahasa Kroasia',
        cs: 'Bahasa Ceko',
        da: 'Bahasa Denmark',
        dv: 'Dhivehi *',
        doi: 'Bahasa Doglai *',
        nl: 'Bahasa Belanda',
        eo: 'Bahasa Esperanto',
        et: 'Bahasa Estonia',
        ee: 'Bahasa Evi *',
        fi: 'Bahasa Finlandia',
        fy: 'Bahasa Frisia',
        gl: 'Bahasa Galisia',
        ka: 'Bahasa Georgia',
        el: 'Bahasa Yunani',
        gn: 'Bahasa Guarani *',
        gu: 'Gujarat',
        ht: 'Bahasa Kreol Haiti',
        ha: 'Bahasa Hausa',
        haw: 'Bahasa Hawaii',
        he: 'Bahasa Ibrani',
        hi: 'Bahasa Hindi',
        hmn: 'Bahasa Miao',
        hu: 'Bahasa Hongaria',
        is: 'Bahasa Islandia',
        ig: 'Bahasa Igbo',
        ilo: 'Bahasa Ilocano *',
        id: 'Bahasa Indonesia',
        ga: 'Bahasa Irlandia',
        jv: 'Bahasa Jawa',
        kn: 'Kanadavin',
        kk: 'Bahasa Kazakh',
        km: 'Bahasa Khmer',
        rw: 'Bahasa Rwanda',
        gom: 'Gongan *',
        kri: 'Bahasa Kreol *',
        ku: 'Bahasa Kurdi',
        ckb: 'Bahasa Kurdi (Solani) *',
        ky: 'Bahasa Kirgiz',
        lo: 'Bahasa Laos',
        la: 'Bahasa Latin',
        lv: 'Bahasa Latvia',
        ln: 'Lingra *',
        lt: 'Bahasa Lithuania',
        lg: 'Luanda *',
        lb: 'Bahasa Luksemburg',
        mk: 'Bahasa Makedonia',
        mai: 'Mytilli *',
        mg: 'Bahasa Margash',
        ms: 'Bahasa Melayu',
        ml: 'Malayalam Ram',
        mt: 'Bahasa Malta',
        mi: 'Bahasa Maori',
        mr: 'Bahasa Marathi',
        'mni-Mtei': 'Metay (Manipur) *',
        'mni-lus': 'Miso *',
        mn: 'Bahasa Mongolia',
        my: 'Bahasa Burma',
        ne: 'Bahasa Nepal',
        no: 'Bahasa Norwegia',
        ny: 'Nyanza (Tsicheva)',
        or: 'Oriya (Oriya)',
        om: 'Bahasa Oromo *',
        ps: 'Bahasa Pashto',
        fa: 'Bahasa Persia',
        pl: 'Bahasa Polandia',
        pt: 'Portugis (Portugal, Brasil)',
        pa: 'Bahasa Punjabi',
        qu: 'Bahasa Quechua *',
        ro: 'Bahasa Rumania',
        sm: 'Bahasa Samoa',
        sa: 'Bahasa Sanskerta *',
        gd: 'Bahasa Gaelik Skotlandia',
        nso: 'Sepeti *',
        sr: 'Bahasa Serbia',
        st: 'Bahasa Sesotho',
        sn: 'Bahasa suna',
        sd: 'Bahasa Jerman',
        si: 'Bahasa Sinhala',
        sk: 'Bahasa Slowakia',
        sl: 'Bahasa Slovenia',
        so: 'Bahasa Somalia',
        es: 'Bahasa Spanyol',
        su: 'Bahasa Sunda',
        sw: 'Bahasa Swahili',
        sv: 'Bahasa Swedia',
        tl: 'Tagalog (Filipina)',
        tg: 'Bahasa Tajik',
        ta: 'Bahasa Tamil',
        tt: 'Bahasa gaul',
        te: 'Bahasa Telugu',
        th: 'Bahasa Thailand',
        ti: 'Bahasa Tiegna *',
        ts: 'Bahasa Zongga *',
        tr: 'Bahasa Turki',
        tk: 'Bahasa Turkmen',
        ak: 'Chi (Akan) *',
        uk: 'Bahasa Ukraina',
        ur: 'Bahasa Urdu',
        ug: 'Bahasa Uighur',
        uz: 'Bahasa Uzbek',
        cy: 'Bahasa Wales',
        xh: 'Bahasa Bantu',
        yi: 'Bahasa Yiddish',
        yo: 'Bahasa Yoruba',
        zu: 'Bahasa Zulu',
    },
};
