var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { Fragment } from "react";
import AccessInfo from "./access-info";
import Improduct from "./im-product";
import CustomerInfo from "./customer-info/index";
import style from "./index.module.scss";
import CustomerInfoDetail from "./customer-info/detail";
import { useSelector } from '../../store/store-hook';
var ImCustomer = function (props) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    var chat = props.chat, company = props.company;
    var initData = useSelector(function (state) { return state.initData; });
    var customerRender = (_b = (_a = initData === null || initData === void 0 ? void 0 : initData.template) === null || _a === void 0 ? void 0 : _a.customer) === null || _b === void 0 ? void 0 : _b.render;
    var customerData = {};
    customerData.getConsumer = function () {
        return chat.customer;
    };
    return (React.createElement("div", { className: style["customer-info"] },
        !!(chat === null || chat === void 0 ? void 0 : chat.product) && React.createElement(Improduct, { product: chat.product }),
        !!(chat === null || chat === void 0 ? void 0 : chat.accessInfo) && !((_d = (_c = initData === null || initData === void 0 ? void 0 : initData.template) === null || _c === void 0 ? void 0 : _c.customer) === null || _d === void 0 ? void 0 : _d.customerInfo) && (React.createElement(AccessInfo, { accessInfo: chat.accessInfo, imNewPlatforms: props.imNewPlatforms || [] })),
        !!(chat === null || chat === void 0 ? void 0 : chat.customer) && (React.createElement(Fragment, null,
            !((_f = (_e = initData === null || initData === void 0 ? void 0 : initData.template) === null || _e === void 0 ? void 0 : _e.customer) === null || _f === void 0 ? void 0 : _f.customerInfo) && React.createElement(CustomerInfoDetail, { customer: chat.customer, company: company, event: props.event, chat: chat }),
            !((_h = (_g = initData === null || initData === void 0 ? void 0 : initData.template) === null || _g === void 0 ? void 0 : _g.customer) === null || _h === void 0 ? void 0 : _h.oldCustomerTemplate) ? (React.createElement(CustomerInfo, __assign({}, props, { showCount: props.showCount ? props.showCount : true }))) : customerRender && customerRender(customerData)))));
};
export default ImCustomer;
