import React from 'react';
import { useDrop } from 'react-dnd';
import { DndItem } from './dnd-item';
/**
 * 平行视界model
 * @param param0
 */
export var DndContainer = function (_a) {
    var list = _a.list, type = _a.type, moveItem = _a.moveItem, findItem = _a.findItem, checkedItem = _a.checkedItem;
    var moveItemToContainer = function (id, atIndex) {
        moveItem(id, atIndex);
    };
    var findItemToContainer = function (id) {
        return findItem(id);
    };
    var checkedItemToContainer = function (id) {
        return checkedItem(id);
    };
    var _b = useDrop({ accept: type }), drop = _b[1];
    return (React.createElement("div", { ref: drop }, list.map(function (card) { return (React.createElement(DndItem, { key: card.id, id: "".concat(card.id), text: card.text, type: type, checked: card.checked, moveItemToContainer: moveItemToContainer, findItemToContainer: findItemToContainer, checkedItemToContainer: checkedItemToContainer })); })));
};
