import React from "react";
import style from "./index.module.scss";
import { File } from "../../../components/icon/icon";
var FileType = function (props) {
    var msgItem = props.msgItem;
    var canVideoExts = ["mp4", "mov", "MOV", "m4v", "M4V"];
    var contentObject = typeof msgItem.content === "string"
        ? JSON.parse(msgItem.content)
        : msgItem.content;
    return (React.createElement("div", { className: style["new-message-contnet"] },
        canVideoExts.indexOf(contentObject.fileext) > -1 && (React.createElement("video", { src: contentObject.data.content, style: { maxWidth: "100%", maxHeight: "480px" }, controls: true },
            "\u89C6\u9891\u5730\u5740\uFF1A",
            contentObject.data.content)),
        canVideoExts.indexOf(contentObject.fileext) === -1 && (React.createElement("div", { className: style["new-file-type"] },
            React.createElement("div", { className: style["containersdsd"] },
                React.createElement(File, null)),
            React.createElement("div", null,
                React.createElement("a", { className: style["filename"], href: contentObject.data.content, target: "_blank", rel: "noopener noreferrer", download: contentObject.filename }, contentObject.filename || ""),
                React.createElement("div", { className: style["filesize"] },
                    React.createElement("span", null, contentObject.filesize || ""),
                    React.createElement("a", { className: style["pull-right"], href: contentObject.data.content, target: "_blank", rel: "noopener noreferrer", download: contentObject.filename }, "\u4E0B\u8F7D")))))));
};
export default FileType;
