//搜索公司
import React, { useCallback, useContext, useState } from "react";
import { Select } from "udesk-ui";
import { TicketContext } from "../../../ticket/utilities";
var Option = Select.Option;
function AgentGroupsField(props) {
    var changeAgentGroup = useContext(TicketContext).changeAgentGroup;
    // const udeskWebappContext: any = useContext(UdeskContext);//ember传进来的参数
    var langList = props.agentGroups;
    var _a = useState({
        value: "",
        label: "--",
    }), value = _a[0], setValue = _a[1]; //选择的选项
    // 处理客服组数据   转完格式以后在前边加上空选项
    var data = (function () {
        var list = langList.map(function (item) {
            return {
                value: item.id,
                label: item.name,
            };
        });
        // 前边加空选项
        list.unshift({
            value: "",
            label: "--",
        });
        return list;
    })(); //搜索到的数据
    // 选项变化时回调
    var handleChange = useCallback(function (value) {
        setValue(value);
        changeAgentGroup(value ? value.value : "");
        props.onChange && props.onChange(value ? value.value : "");
    }, [changeAgentGroup, props]);
    //筛选规则
    var handleFilter = useCallback(function (inputValue, option) {
        if (option.children.includes(inputValue))
            return true;
        else
            return false;
    }, []);
    return (React.createElement(React.Fragment, null,
        React.createElement(Select, { showSearch //显示搜索
            : true, showArrow: true, labelInValue: true, value: value, placeholder: props.placeholder, onChange: handleChange, style: { width: "100%" }, filterOption: handleFilter, getPopupContainer: function (triggerNode) { return triggerNode; } }, data.map(function (d) { return (React.createElement(Option, { key: d.value, value: d.value }, d.label)); }))));
}
export default AgentGroupsField;
