import { ComponentProps, FC } from 'react';
import FieldErrAndExplain from '@udesk-webapp/custom-field-error-explain';
export declare type IOptions = {
    icon?: string;
    title: string;
    bgColor?: string;
    default?: boolean;
    value: string;
};
declare type Props = Omit<ComponentProps<typeof FieldErrAndExplain>, 'errMsg'> & Omit<ComponentProps<'div'>, 'onBlur' | 'onChange'> & {
    value?: string | string[];
    label?: string;
    id?: string;
    trigger?: 'onChange' | 'onBlur';
    remark?: string;
    isRequired?: boolean;
    disabled?: boolean;
    customValidFn?: (rule: any, value: string) => Promise<any>;
    convertPropsFn?: any;
    notUseDefault?: Boolean;
    onValueChanged?: (data: any) => void;
    options?: IOptions[];
    arrangement?: 'auto' | 'continuity' | 'wrap';
    canCancel?: boolean;
    className?: string;
    hiddenLabelPath?: string;
    onBlur?: (v: string) => void;
    onChange?: (v: string) => void;
};
declare const FiledRadio: FC<Props>;
export default FiledRadio;
