import React, { ComponentProps } from 'react';
import { Checkbox } from 'udesk-ui';
declare type Props = Omit<ComponentProps<typeof Checkbox.Group>, 'onChange' | 'options' | 'value'> & {
    sort_type?: 'x' | 'y';
    hiddenLabelPath?: string;
    options?: {
        value: string;
        color: string;
        title: string;
        icon: string;
    }[];
    value?: string | string[];
    notUseDefault?: boolean;
    onChange?: (v: string) => void;
};
declare const FiledCheckbox: React.FC<Props>;
export default FiledCheckbox;
