import { __assign, __rest } from "tslib";
import React, { useCallback } from 'react';
import CustomFieldItem from '@udesk-webapp/custom-field-item';
var CustomFieldContainer = function (_a) {
    var fields = _a.fields, agents = _a.agents, _b = _a.isFormItem, isFormItem = _b === void 0 ? true : _b, onValueChange = _a.onValueChange, onChange = _a.onChange, onBlur = _a.onBlur, props = __rest(_a, ["fields", "agents", "isFormItem", "onValueChange", "onChange", "onBlur"]);
    var onValueChanged = useCallback(function (value, field) {
        if (typeof onValueChange === "function") {
            onValueChange(value, field);
        }
    }, []);
    var onChanged = useCallback(function (value, field) {
        if (typeof onChange === "function") {
            onChange(value, field);
        }
    }, [onChange]);
    var onBlured = useCallback(function (value, field) {
        if (typeof onBlur === "function") {
            onBlur(value, field);
        }
    }, [onBlur]);
    return (React.createElement(React.Fragment, null, fields.length ? (fields.map(function (fieldItem) { return (React.createElement(CustomFieldItem, __assign({ key: fieldItem.id, agents: agents }, props, { fieldItem: fieldItem, isFormItem: isFormItem, onChange: onChanged, onBlur: onBlured, onValueChange: onValueChanged }))); })) : ""));
};
export default CustomFieldContainer;
