import { __assign, __rest } from "tslib";
import React, { useMemo } from "react";
import Select from "udesk-ui/es/select";
var filterOption = function (inputValue, option) { return (option === null || option === void 0 ? void 0 : option.nick_name.indexOf(inputValue)) > -1 || (option === null || option === void 0 ? void 0 : option.agent_name_pinyin.indexOf(inputValue)) > -1; };
var StaffSelect = function (_a) {
    var staffs = _a.staffs, props = __rest(_a, ["staffs"]);
    var options = useMemo(function () { var _a; return (_a = staffs === null || staffs === void 0 ? void 0 : staffs.map(function (i) { return ({
        id: i.id,
        nick_name: i.nick_name,
        agent_name_pinyin: i.agent_name_pinyin,
        value: i.id,
        label: i.nick_name
    }); })) !== null && _a !== void 0 ? _a : []; }, [staffs]);
    return React.createElement(Select, __assign({}, props, { filterOption: filterOption, options: options }));
};
StaffSelect.defaultProps = {
    showSearch: true,
    allowClear: true,
    dropdownMatchSelectWidth: false
};
export default StaffSelect;
