import React, { useMemo } from 'react';
import { handleMessageData } from './util';
import ImLog from "@udesk-webapp/im-log";
var ImLogByResponse = function (_a) {
    var response = _a.response, dataType = _a.dataType, wechatSuffix = _a.wechatSuffix;
    var msgArr = useMemo(function () {
        return handleMessageData(response, dataType, wechatSuffix);
    }, [response]);
    var emptyFn = function () { return null; };
    var chat = {
        belong: '',
        platform: 'web'
    };
    return (React.createElement(React.Fragment, null, msgArr.map(function (i, idx) {
        return React.createElement(ImLog, { onReEdit: emptyFn, key: i.id, allowAddToCustomerInfo: false, allowAddToRobotKM: false, allowAddToKM: false, allowRecall: false, allowReedit: false, msgdisplayStatus: false, chat: chat, web_message_display_status: false, enabledSmartAssistance: false, msg: i, allowSearchImRecord: false, allowVoiceToText: false, wechatSuffix: wechatSuffix });
    })));
};
export default ImLogByResponse;
