import * as React from 'react';
import { ListItemWrap, ListItemLeft, ListItemRight } from './components/ItemWrap';
import { Checkbox } from 'udesk-ui';
var ListItem = function ListItem(props) {
  var item = props.item,
    checkedList = props.checkedList,
    handleSingleCheck = props.handleSingleCheck,
    itemDisable = props.itemDisable;
  return /*#__PURE__*/React.createElement(ListItemWrap, null, /*#__PURE__*/React.createElement(ListItemLeft, null, /*#__PURE__*/React.createElement(Checkbox, {
    value: item.id,
    disabled: !!(itemDisable === null || itemDisable === void 0 ? void 0 : itemDisable(item)),
    checked: checkedList === null || checkedList === void 0 ? void 0 : checkedList.some(function (el) {
      return (el === null || el === void 0 ? void 0 : el.id) === (item === null || item === void 0 ? void 0 : item.id);
    }),
    onChange: handleSingleCheck.bind(null, item)
  })), /*#__PURE__*/React.createElement(ListItemRight, null, React.Children.map(props.children, function (child) {
    return /*#__PURE__*/React.cloneElement(child);
  })));
};
export default ListItem;