/** @jsx jsx */
import { jsx } from '@emotion/react';
import { Component, HTMLProps } from 'react';
import { Column, ValueType } from "./types";
declare type Props = {
    content: Column[];
    className: string;
    onChange: (value: string[]) => void;
    value: ValueType;
    t: (value: string) => string;
    scrollbarFollow?: boolean;
};
declare type State = {
    selected: Column | null;
};
declare class List extends Component<Props, State> {
    ref: import("react").RefObject<HTMLSelectElement>;
    constructor(props: Props);
    render(): jsx.JSX.Element;
    _onChange: HTMLProps<HTMLSelectElement>['onChange'];
    scrollToSelectedItem(): void;
    componentDidUpdate(prevProps: any): void;
}
export default List;
