import React, { ComponentProps } from 'react';
import CommonQuestion from './common-question/index';
declare type Props = {
    query: string;
    refreshKnowledge: number;
    roleCan: IRoleCan;
    agentConfig?: ImConfig;
    dialogueTagData?: TagItem[];
    mineChats?: IMineChat[];
    dialogueTagNameList?: [];
    dialogueTagMode?: "keyword" | "type";
    onSearch: (query: string) => void;
} & Pick<ComponentProps<typeof CommonQuestion>, 'stashKey'>;
declare const Question: React.FC<Props>;
export default Question;
