import React from 'react';
import type { RadioGroupProps } from 'antd/es/radio/interface';
/** AutoComplete 组件输入/出的值类型 */
declare type DirectionMode = 'horizon' | 'vertical';
export interface UdeskRadioGroupProps extends RadioGroupProps {
    /**
     * checkbox的排列方式
     *
     * @default "horizon"
     *
     * @type {string}
     * @memberof UdeskCheckboxGroupProps
     */
    direction?: DirectionMode;
}
export * from '../_utils/type';
declare const _default: React.ForwardRefExoticComponent<UdeskRadioGroupProps & React.RefAttributes<HTMLDivElement>> & Omit<React.MemoExoticComponent<React.ForwardRefExoticComponent<import("antd").RadioGroupProps & React.RefAttributes<HTMLDivElement>>>, keyof React.ForwardRefExoticComponent<RadioGroupProps>>;
export default _default;
