import { getConfigRuleTypes, getManyAnswerEmotionCategory } from '../../../../../constant';
var getExtraField = function getExtraField(locale) {
  var configRuleTypes = getConfigRuleTypes(locale);
  var manyAnswerEmotionCategory = getManyAnswerEmotionCategory(locale);
  var extraField = [[configRuleTypes.emotionCategory.id, {
    name: configRuleTypes.emotionCategory.id,
    text: configRuleTypes.emotionCategory.name,
    inputType: 'emotionCategoryDropDown',
    operators: ['is', 'not'],
    attributes: {},
    dataSource: manyAnswerEmotionCategory
  }]];
  var extraFieldMap = new Map(extraField);
  return extraFieldMap;
};
export default getExtraField;