declare function getFieldsTable(blackList: string[], extraList: string[], locale: any): ({
    name: (value: any) => true | "value must be string";
    text: (value: any) => true | "value must be string";
    inputType: (value: any) => string | true;
    operators: (value: any) => string | true;
    dataSource: null;
    component: (value: any) => true | "value must be POJO";
    attributes: (value: any) => true | "value must be POJO";
} | {
    name: null;
    text: null;
    inputType: (value: any) => any;
    operators: (value: any) => any;
    dataSource: null;
    component: null;
    attributes: null;
} | {
    name: any;
    text: any;
    inputType: string;
    operators: string[];
    attributes: {
        placeholder: any;
        triggerClass: string;
        nameField: string;
        valueField: string;
        searchField: string;
        classNames?: undefined;
    };
    dataSource: any;
    component?: undefined;
} | {
    name: any;
    text: any;
    inputType: string;
    operators: string[];
    attributes: {
        classNames: string;
        placeholder?: undefined;
        triggerClass?: undefined;
        nameField?: undefined;
        valueField?: undefined;
        searchField?: undefined;
    };
    dataSource?: undefined;
    component?: undefined;
} | {
    name: any;
    text: any;
    inputType: string;
    operators: never[];
    dataSource?: undefined;
    component?: undefined;
    attributes?: undefined;
})[];
export default getFieldsTable;
