function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _templateObject;
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
import React, { useEffect } from 'react';
// @ts-ignore
import { StandardizeTable } from 'udesk_gm_ui';
import { Button, Badge, Switch } from 'udesk-ui';
import styled from 'styled-components';
var DemoWrap = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  color: rgba(0, 0, 0, 0.85);\n  height: 700px;\n  .xxx-page {\n    overflow-y: hidden;\n  }\n"])));
var RequestTable = StandardizeTable.RequestTable;
var treeDataOrigin = [{
  title: '不可删除节点',
  key: 1,
  id: 1,
  default: 1
}, {
  title: '我超级长我超级长我超级长我超级长我超级长我超级长',
  key: 123,
  id: 123,
  children: [{
    title: '子节点127',
    key: 127,
    id: 127,
    children: [{
      title: '子节点128',
      key: 128,
      id: 128
    }]
  }]
}, {
  title: '啦啦啦啦',
  key: 124,
  id: 124
}];
var treeNodeActionMenu = [{
  label: '编辑',
  onClick: function onClick(item) {
    return console.log(item);
  }
}, {
  label: '删除',
  danger: true,
  onClick: function onClick(item) {
    return console.log(item);
  },
  disabled: function disabled(item) {
    return Boolean(item.default);
  }
}];
var originColumns = [{
  key: 'taskName',
  dataIndex: 'taskName',
  title: '质检任务',
  // width: '10%',
  ellipsis: true
}, {
  key: 'createUserUsername',
  dataIndex: 'createUserUsername',
  title: '操作人'
}, {
  key: 'createTime',
  dataIndex: 'createTime',
  title: '上传时间',
  ellipsis: true
  // width: '15%',
}, {
  key: 'endTime',
  dataIndex: 'endTime',
  title: '结束时间',
  // width: '15%',
  ellipsis: true
}, {
  key: 'total',
  dataIndex: 'total',
  title: '上传总量',
  sorter: true
  // width: '10%',
}, {
  key: 'success',
  dataIndex: 'success',
  title: '质检成功'
  // width: '10%',
}, {
  key: 'fail',
  dataIndex: 'fail',
  title: '质检失败'
  // width: '10%',
}, {
  key: 'status',
  dataIndex: 'status',
  title: '质检进度',
  // width: '10%',
  render: function render(text, record, index) {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Badge, {
      status: record.status === 0 && record.total ? 'processing' : 'success'
    }), /*#__PURE__*/React.createElement("span", null, record.status === 0 && record.total ? '进行中' : '已完成'));
  }
}, {
  key: 'actions',
  dataIndex: 'actions',
  title: '操作',
  renderType: 'actions',
  buttons: [{
    label: '编辑',
    onClick: function onClick(item) {
      console.log('item:: ', item);
    }
  }, {
    label: '查看',
    onClick: function onClick(item) {
      console.log('item:: ', item);
    }
  }, {
    label: '更多操作',
    onClick: function onClick(item) {
      console.log('item:: ', item);
    }
  }, {
    label: '删除',
    danger: true,
    onClick: function onClick(item) {
      console.log('item:: ', item);
    }
  }]
}];
var filter = {
  fields: [{
    type: 'RangePicker',
    label: '上传时间',
    name: 'time',
    isDefault: true
  }, {
    type: 'Input',
    label: '任务名称',
    name: 'taskName',
    isDefault: true
  }, {
    type: 'Select',
    label: '操作人',
    name: 'createUserId',
    isDefault: true,
    props: {
      optionFilterProp: 'label',
      showSearch: true,
      style: {
        width: 125
      }
    }
  }, {
    type: 'Select',
    label: '质检进度',
    isDefault: true,
    name: 'status',
    props: {
      options: [{
        label: '全部',
        value: null
      }, {
        label: '进行中',
        value: 0
      }, {
        label: '已完成',
        value: 1
      }]
    }
  }, {
    type: 'Select',
    name: 'type1',
    label: '默认隐藏1'
  }, {
    type: 'Input',
    name: 'type3',
    label: '默认隐藏2'
  }, {
    type: 'Input',
    name: 'type4',
    label: '默认隐藏4'
  }],
  initialValues: {
    taskName: '上传'
  }
  //   onSearch: (v, o) => {
  //     console.log('v, o', v, o);
  //   },
};

var ClassificationTreeTitle = function ClassificationTreeTitle() {
  return /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'flex',
      justifyContent: 'space-between',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement("div", null, "\u6807\u9898"), /*#__PURE__*/React.createElement(Button, {
    size: "small",
    type: "link"
  }, "\u65B0\u5EFA"));
};
export default (function () {
  var _React$useState = React.useState({
      classification: false,
      filter: false,
      key: 'table'
    }),
    _React$useState2 = _slicedToArray(_React$useState, 2),
    setting = _React$useState2[0],
    setSetting = _React$useState2[1];
  var _React$useState3 = React.useState([]),
    _React$useState4 = _slicedToArray(_React$useState3, 2),
    dataSource = _React$useState4[0],
    setDataSource = _React$useState4[1];
  var _React$useState5 = React.useState([]),
    _React$useState6 = _slicedToArray(_React$useState5, 2),
    treeData = _React$useState6[0],
    setTreeData = _React$useState6[1];
  var _React$useState7 = React.useState(false),
    _React$useState8 = _slicedToArray(_React$useState7, 2),
    tableLoading = _React$useState8[0],
    setTableLoading = _React$useState8[1];
  var _React$useState9 = React.useState(false),
    _React$useState10 = _slicedToArray(_React$useState9, 2),
    treeLoading = _React$useState10[0],
    setTreeLoading = _React$useState10[1];
  var _React$useState11 = React.useState(null),
    _React$useState12 = _slicedToArray(_React$useState11, 2),
    selectedClassificationId = _React$useState12[0],
    setSelectedClassificationId = _React$useState12[1];
  var _React$useState13 = React.useState({
      current: 2,
      pageSize: 100,
      total: 3333
    }),
    _React$useState14 = _slicedToArray(_React$useState13, 2),
    pagination = _React$useState14[0],
    setPagination = _React$useState14[1];
  var onPaginationChange = function onPaginationChange(current, pageSize) {
    setPagination(_objectSpread(_objectSpread({}, pagination), {}, {
      current: current,
      pageSize: pageSize
    }));
  };
  var classification = {
    title: /*#__PURE__*/React.createElement(ClassificationTreeTitle, null),
    treeData: treeData,
    loading: treeLoading,
    treeNodeActionMenu: treeNodeActionMenu,
    defaultSelectedKeys: [selectedClassificationId],
    // selectedKeys: [selectedClassificationId],
    onSelect: function onSelect(selectedKey, params) {
      console.log('selectedKey, params:: ', selectedKey, params);
      //   setSelectedClassificationId(selectedKey);
      setPagination(function (prev) {
        return _objectSpread(_objectSpread({}, prev), params.pagination);
      });
    }
  };
  var table = {
    loading: tableLoading,
    columns: originColumns,
    dataSource: dataSource,
    rowSelectionEnhance: {
      onSelectedRowKeysChange: function onSelectedRowKeysChange(keys, items) {
        console.log('keys, items', keys, items);
      }
    },
    pagination: _objectSpread(_objectSpread({}, pagination), {}, {
      onChange: onPaginationChange
    })
  };
  useEffect(function () {
    setTreeLoading(true);
    setTimeout(function () {
      setTreeData(treeDataOrigin);
      setSelectedClassificationId(treeDataOrigin[2].id);
      setTreeLoading(false);
    }, 1000);
  }, []);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    style: {
      marginBottom: 8,
      color: '#000'
    }
  }, "\u5206\u7C7B\uFF1A", /*#__PURE__*/React.createElement(Switch, {
    checked: setting.classification,
    onChange: function onChange(checked) {
      setSetting(function (prev) {
        return _objectSpread(_objectSpread({}, prev), {}, {
          classification: checked,
          key: 'table' + Math.random()
        });
      });
    }
  }), "\u8FC7\u6EE4\u5668\uFF1A", /*#__PURE__*/React.createElement(Switch, {
    checked: setting.filter,
    onChange: function onChange(checked) {
      setSetting(function (prev) {
        return _objectSpread(_objectSpread({}, prev), {}, {
          filter: checked,
          key: 'table' + Math.random()
        });
      });
    }
  })), /*#__PURE__*/React.createElement(DemoWrap, null, /*#__PURE__*/React.createElement(RequestTable, {
    key: setting.key,
    onRequest: function onRequest(params) {
      console.log('params:: ', params);
      setTableLoading(true);
      setTimeout(function () {
        var _params$pagination = params.pagination,
          pageSize = _params$pagination.pageSize,
          current = _params$pagination.current;
        setDataSource(new Array(pageSize).fill(1).map(function (_, i) {
          return {
            taskName: '本地录音上传质检' + i,
            createUserUsername: 'linapp',
            createTime: '2022-05-27 17:57:17',
            endTime: '2022-05-27 18:00:28',
            total: 17,
            id: "".concat(pagination.current, "-").concat(i) // 假数据，会影响跨页多选
          };
        }));

        setTableLoading(false);
      }, 1000);
    },
    table: table,
    filter: setting.filter ? filter : undefined,
    classification: setting.classification ? classification : undefined,
    toolBarRightButtons: [{
      label: '主按钮',
      mainBtn: true,
      onClick: function onClick() {
        console.log('主按钮 onClick');
      }
    }, {
      label: '更多操作1',
      onClick: function onClick() {
        console.log('更多操作1 onClick');
      }
    }, {
      label: '更多操作2',
      confirm: {
        title: '自定义导出弹窗文案',
        okText: '自定义按钮文案'
      },
      onClick: function onClick() {
        console.log('自定义导出弹窗文案 onClick');
      }
    }, {
      label: '更多操作3',
      onClick: function onClick() {
        console.log('更多操作3 onClick');
      }
    }],
    exportBtn: {
      onClick: function onClick(type) {
        console.log('exportBtn onClick ==> type::', type);
        return new Promise(function (res) {
          setTimeout(function () {
            res(type);
          }, 2000);
        });
      },
      dropdown: [{
        label: 'excel',
        type: 'excel'
      }, {
        label: 'word',
        type: 'word',
        confirm: {
          title: '自定义导出弹窗文案'
        }
      }]
    },
    importBtn: {
      onClick: function onClick() {
        console.log('import');
        return Promise.resolve();
      }
    },
    batchedActions: [{
      label: '批量编辑',
      onClick: function onClick(item) {
        return Promise.resolve(item).then(function (item) {
          console.log(item);
        });
      }
    }, {
      label: '批量删除',
      danger: true,
      onClick: function onClick(item) {
        return Promise.resolve(item).then(function (item) {
          console.log(item);
        });
      }
    }],
    // columnsControl={{}}
    showFullscreen: true
  })));
});