import React from 'react';
import { SorterResult } from 'udesk-ui/lib/table';
import { StandardizeTableInstance, StandardizeTableProps } from './types';
type OnRequestParams = {
    filter: {
        [key: string]: any;
    };
    classificationId: number | string | null;
    pagination: any;
    sorter: SorterResult<any> | SorterResult<any>[];
};
export interface RequestTableProps extends StandardizeTableProps {
    onRequest: (params: OnRequestParams) => void;
    autoRequestOnMount?: boolean;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<RequestTableProps & React.RefAttributes<StandardizeTableInstance>>>;
export default _default;
