import React from "react";
import { ReactReduxContextValue } from "react-redux";
export declare const UdeskContext: React.Context<ReactReduxContextValue<import("redux").CombinedState<{
    agentConfig: IAgentConfig;
    fields: any;
    company: Company;
    roleCan: IRoleCan;
    currentUser: IUser;
    noteTemplateConfig: import("./note-templates").noteTimplateConfig;
    initData: ImContextProps;
    agents: IAgent[];
    groups: IGroup[];
    urls: IUrls;
    platforms: import("./platform").IPlatformHash[];
}>, import("redux").AnyAction>>;
export declare const useDispatch: () => import("redux").Dispatch<import("redux").AnyAction>;
export declare const useSelector: <Selected extends unknown>(selector: (state: import("redux").CombinedState<{
    agentConfig: IAgentConfig;
    fields: any;
    company: Company;
    roleCan: IRoleCan;
    currentUser: IUser;
    noteTemplateConfig: import("./note-templates").noteTimplateConfig;
    initData: ImContextProps;
    agents: IAgent[];
    groups: IGroup[];
    urls: IUrls;
    platforms: import("./platform").IPlatformHash[];
}>) => Selected, equalityFn?: ((previous: Selected, next: Selected) => boolean) | undefined) => Selected;
