/// <reference types="react" />
/// <reference types="lodash" />
export declare const useAddToCustomerMenuItem: (allowAddToCustomerInfo: boolean, content: {
    [key: string]: any;
}) => (JSX.Element | null)[];
export declare function update_sdk_url(url: any, obj: any): any;
export declare function imageThumbnail(url: string, policy: any, fileSize: string): string;
export declare function getTencentMap(params: any): {
    img_src: string;
    map_src: string;
} | {
    img_src?: undefined;
    map_src?: undefined;
};
export declare function escapeXSS(str: string, canHtml: boolean): string;
export declare function replaceEmotions(text: string): string;
export declare function replaceWechatEmotions(text: string, twemoji?: boolean): string;
export declare function replaceWordEmotions(text: string, platform: string): string;
export declare function handleText(chatPlatform: IPlatform, msg: any): string;
export declare function removeHTMLTag(str: string): string;
export declare function getStanardFileSizeSuffixes(sizeStr: string | number): string;
export declare const loadStyle: ((href: string) => void) & import("lodash").MemoizedFunction;
export declare const loadScript: ((src: string | void) => Promise<unknown>) & import("lodash").MemoizedFunction;
export declare const getFileType: (type: string) => string;
