//全局常量,将一些经常使用的字符串改为常量
//导致无法多语言问题
export var NETWORK_ERROR = '网络不稳定，请检查网络！';
export var AUTH_ERROR = '建立连接失败,请联系管理员！';
export var UDESK_WEBAPP_VERSION = 'udesk_webapp_version';
// @formatter:off
export var YYYY_MM_DD = 'YYYY-MM-DD';
export var YYYY_MM_DD_HH_MM = 'YYYY-MM-DD HH:mm';
export var YYYY_MM_DD_HH_MM_SS = 'YYYY-MM-DD HH:mm:ss';
export var MM_DD = 'MM/DD';
export var INBOUND = 'inbound';
export var OUTBOUND = 'outbound';
export var INBOUND_CONSULT = 'inbound-consult';
export var INBOUND_THREE_PARTY = 'inbound-three-party';
export var CALL_RESULT_ACCEPT = 'accept';
export var CALL_RESULT_REJECT = 'reject';
export var CALL_RESULT_AGENT_REJECT_BY_YTXAPP = 'agent_reject'; //客服拒接
export var CALL_RESULT_CUSTOMER_REJECT_BY_YTXAPP = 'customer_reject';
/** 用于 外呼失败原因 */
export var CALL_STOP = '停机'; //停机
export var CALL_SHUTDOWN = '关机'; //关机
export var CALL_ARREARS = '欠费'; // 号码欠费
export var CALL_EMPTY = '空号'; // 空号
export var CALL_CHANGE_NUM = '改号'; //改号
export var CALL_NETWORK_BUSY = '网络忙'; //网络忙
export var CALL_INBOUND_RESTRICTION = '呼入限制'; // 呼入限制
export var CALL_NOT_AVAILABLE = '无法接通'; // 无法接通
export var CALL_UNABLE_ANSWER = '无法接听'; // 无法接通
export var CALL_NO_ANSWER = '无人接听'; // 无人接通
export var TEMORARILY_OUT_OF_SERVICE = '暂停服务'; // 暂停服务
export var LINE_FAULT = '线路故障'; // 线路故障
export var CALL_USER_REJECT = '用户拒接'; // 用户拒接
export var CALL_DIAL_LATER = '稍后再拨'; // 稍后再拨
export var CALL_USER_BUSY = '用户正忙'; // 用户正忙
export var IN_THE_CALL = '正在通话中'; // 正在通话中
export var CALL_TRANSFER_FAILUREL = '呼叫转移失败'; // 呼叫转移失败
export var DIALING_MODE_NOT_CORRECT = '拨号方式不正确'; // 拨号方式不正确
export var CALL_OTHER = '其他'; // 其他
export var CALL_RESULT_AGENT_REJECT = '客服拒接'; //客服拒接
export var CALL_RESULT_AGENT_ACCEPT = '客服接听'; //客服接听
export var CALL_RESULT_AGENT_NO_ANSWER = '客服未接'; //客服未接
export var CALL_RESULT_CUSTOMER_REJECT = '客户拒接';
export var CALL_RESULT_CUSTOMER_ACCEPT = '客户接听';
export var CALL_RESULT_CUSTOMER_NO_ANSWER = '客户未接';
export var CALL_RESULT_EMPTY = '为空';
export var QUEUE_RESULT_TIMEOUT = '排队超时';
export var QUEUE_RESULT_GIVE_UP = '放弃排队';
export var QUEUE_RESULT_NO_AGENT_ONLINE = '无客服在线';
export var QUEUE_RESULT_SUCCESS = '排队成功';
export var QUEUE_RESULT_EMPTY = '为空';
export var CALL_STATE_HANGUP = 'hangup';
export var CALL_STATE_RINGING = 'ringing';
export var CALL_STATE_TALKING = 'talking';
export var CALL_STATE_BEFORE_RINGING = 'beforeRinging';
export var QUEUE_TIMEOUT_SCOPE_GLOBAL = 'global'; //呼叫中心队列排队超时时间配置方式为全局
export var QUEUE_TIMEOUT_SCOPE_CUSTOM = 'custom'; //呼叫中心队列排队超时时间配置方式为分队列
export var CALLCENTER_STATUS_OPEN_LINAPP = 'open_linapp';
export var CALLCENTER_STATUS_OPEN_KUNAPP = 'open_kunapp';
export var CALLCENTER_STATUS_OPEN_YTXAPP = 'open_ytxapp'; //荣联 已废弃，遇见相关可重构删除  只需关注linapp kunapp
export var NODE_TYPE_ASR = 'asr';
export var NODE_TYPE_SURVEY = 'survey';
export var NODE_TYPE_PROCESS = 'process';
export var NODE_TYPE_INPUT = 'input';
export var NODE_TYPE_QUEUE = 'queue';
export var NODE_TYPE_AFTER_QUEUE = 'after_queue';
export var NODE_TYPE_ENTER_IVR = 'enter_ivr';
export var NODE_TYPE_EXIT_IVR = 'exit_ivr';
export var NODE_TYPE_OUTLINE = 'outline';
export var NODE_TYPE_AFTER_OUTLINE = 'after_outline';
export var NODE_TYPE_PLAY = 'play';
export var NODE_TYPE_RECORD = 'record';
export var ORDER_TYPE_WEB_API = 'web_api';
export var ORDER_TYPE_TO = 'to';
export var ORDER_TYPE_IF_TO = 'if_to';
export var ORDER_TYPE_RATE_TO = 'rate_to';
export var ORDER_TYPE_VALUE = 'value';
export var ORDER_TYPE_VALUE_INCR = 'value_incr';
export var ORDER_TYPE_SAVE_IVR = 'save_ivr';
export var ORDER_TYPE_SAVE_DTMF = 'save_dtmf'; // 将dtmf输入保存为指令
export var ORDER_TYPE_SAVE_TAG = 'save_tag';
export var ORDER_TYPE_SEND_SMS = 'send_sms'; // 发送短信指令
export var CALLCENTER_WORK_WAY_PHONE = 'phone_online'; //手机在线
export var CALLCENTER_WORK_WAY_FIXED_VOIP = 'fixed_voip_online'; //ip话机在线
export var CALLCENTER_WORK_WAY_VOIP = 'voip_online'; //网页话机在线
export var CALLCENTER_CALLOUT_BEFOREHAND_TASK = 0; // 预览式外呼
export var CALLCENTER_CALLOUT_EXACT_TASK = 1; // 精准外呼                                                                                      |▸ im/
export var CALLCENTER_CALLOUT_SCALE_TASK = 2; // 比例外呼                                                                                      |▸ session_routes/
export var CALLCENTER_CALLOUT_PREDICTION_TASK = 3; // 预测式外呼
export var CALLCENTER_CALLOUT_VOICE_TASK = 4; // 语音播报
export var CALLCENTER_CALLOUT_TASK_OPEN = 1; // 开启
export var CALLCENTER_CALLOUT_TASK_CLOSE = 2; // 关闭
export var CALLCENTER_CALLOUT_TASK_CLOSING = 3; // 停止中
export var QUESTIONNAIRE_OPEN = true; // 开启
export var QUESTIONNAIRE_CLOSE = false; // 开启
/** 自动外呼监控，客服通话状态 **/
export var AUTO_DIALLER_MONITOR_CALL_STATE_OFF = 'off'; //未通话
export var AUTO_DIALLER_MONITOR_CALL_STATE_RING = 'ring'; //振铃中
export var AUTO_DIALLER_MONITOR_CALL_STATE_IN = 'in'; //通话中
export var BATCH_SMS_TASK_STATUS_NOT_SENDING = 'not_sending'; //未发送
export var BATCH_SMS_TASK_STATUS_SENDING = 'sending'; //发送中
export var BATCH_SMS_TASK_STATUS_COMPETED = 'completed'; //已发送
export var BATCH_SMS_TASK_PAUSE_STATUS_0 = 0; //暂停
export var BATCH_SMS_TASK_PAUSE_STATUS_1 = 1; //开启
/** 后续通话筛选 */
export var HAS_SUBSEQUENT_CALL_TRUE = 'true'; //后续通话有
export var HAS_SUBSEQUENT_CALL_FALSE = 'false'; //后续通话无
export var HAS_SUBSEQUENT_CALL_NULL = 'nil'; //后续通话空
/** 视频的call_type **/
export var VC_VIDEO_CALL = 'video';
export var VC_AUDIO_CALL = 'audio';
/** 视频的workflow **/
export var VCALL_OUT = 'out';
export var VCALL_IN = 'in';
/** 自定义字段的content type **/
export var CONTENT_TYPE_CHAINED_DROPLIST = 'chained_droplist';
export var CONTENT_TYPE_CHECKBOX = 'checkbox'; //多选
export var CONTENT_TYPE_DROPLIST = 'droplist'; //下拉
export var CONTENT_TYPE_RADIO = 'radio'; //单选
export var CONTENT_TYPE_TIME = 'time';
export var CONTENT_TYPE_DATETIME = 'datetime';
export var CONTENT_TYPE_DATE = 'date';
export var CONTENT_TYPE_CALCULATE = 'calculate';
export var CONTENT_TYPE_TEXT = 'text';
export var CONTENT_TYPE_LINK = 'link';
export var CONTENT_TYPE_NUMBER = 'number';
export var CONTENT_TYPE_NUMERIC = 'numeric';
export var CONTENT_TYPE_AREA_TEXT = 'area_text';
export var CONTENT_TYPE_LOCATION = 'location';
/** im聊天页面右侧标签页的名称 **/
export var IM_HISTORY_MESSAGE_TAB_NAME = 'im-log-records'; //对话记录
export var IM_RETURN_VISIT_TAB_NAME = 'im-return-visit'; //回访计划
export var IM_CUSTOMER_TAB_NAME = '-1'; //客户信息
export var IM_NOTE_TAB_NAME = '-2'; //业务记录
export var IM_CONTACT_TAB_NAME = '-3'; //联系记录
export var IM_REPOSITORY_TAB_NAME = '-4'; //知识库
export var IM_CREATE_TICKET_TAB_NAME = 'im-create-ticket'; //im 工作台创建工单
export var IM_CUSTOM_PLUGIN_TAB_NAME = 'im-custom-plugin'; //im 工作台辅助组件
export var IM_ORG_TAB_NAME = '-5'; //公司信息
export var CC_ROBOT_TAB_NAME = '-6'; //机器人对话
export var KM_IA_SDK_NAME = '-7'; //呼叫中心弹屏智能助手
export var IM_CREATE_TICKET = '-8'; //呼叫中心弹屏智能助手
/** 客户自定义字段客服权限 **/
export var AGENT_PERMISSION_REQUIRE = 1; //必填
export var AGENT_PERMISSION_EDITABLE = 2; //可编辑
export var AGENT_PERMISSION_VISIBLE = 3; //可见
/** 回访计划来源 **/
export var RETURN_VISIT_CONTACT_METHOD_CC = 'call';
export var RETURN_VISIT_CONTACT_METHOD_IM = 'im';
/** 客户公司数量上限**/
export var CUSTOMER_ORGS_MAX_LENGTH = 20;
/** 业务记录类型 **/
export var NOTE_TYPE_IM = 'im';
export var NOTE_TYPE_CALL = 'call';
/** 号码分配策略 */
export var NUMBER_POOL_RANDOM = 0; //随机分配
export var LINAPP_CALLOUT_NUMBER_TAKE_TURNS = 1; //归属地优先
export var NUMBER_POOL_PLACE_BELONGING = 2; //归属地优先
export var NUMBER_POOL_CUSTOM = 3; //自定义组合
/** 呼叫中心客服状态 **/
export var AGENT_WORK_STATE_IDLE = 'idle';
export var AGENT_WORK_STATE_BUSY = 'busy';
export var AGENT_WORK_STATE_RESTING = 'resting';
export var AGENT_WORK_STATE_OFFLINE = 'offline';
export var AGENT_WORK_STATE_NEATEN = 'neaten';
/** 高级通话类型 **/
export var ADVANCED_CALL_THREE_PARTY = 'three_party'; //三方
export var ADVANCED_CALL_CONSULT = 'consult'; //咨询
/** 第三方机器人类型 **/
export var CUSTOM_ROBOT_XIAOI = 'xiaoi'; //小i机器人
export var CUSTOM_ROBOT_LAIYE = 'laiye'; //小i机器人
/** 模板类型，例如业务记录模板，外呼业务模板，工单模板等等 **/
export var TEMPLATE_TYPE_CALLOUT_NOTE = 'callout_note_templates';
export var TEMPLATE_TYPE_NOTE = 'note_template';
export var TEMPLATE_TYPE_TICKET = 'ticket_template';
/**监控报表 im对话记录 column-control */
export var ANALYSIS_IM_RECORD_TABLE = 'analysis_im_record_table';
export var ANALYSIS_NOTE_TABLE = 'analysis_note_table';
export var ANALYSIS_IM_RENOUNCE_TABLE = 'analysis_im_renounce_table';
/** 工单报表类型 */
export var WHOLE_REPORT_NEW_TICKET = 'wholeReportNewTicket';
export var AGENT_REPORT_ALL_TICKET = 'agentReportAllTicket';
export var AGENT_GROUP_REPORT_ALL_TICKET = 'agentGroupReportAllTicket';
export var CUSTOM_REPORT = 'customReport';
export var DEALT_TIME_REPORT = 'dealtTimeReport';
export var TICKET_INSIGHT_PAGE = 'ticketInsightPage';
/** 情绪 **/
export var SUB_SENTIMENT_TYPE_NEUTRAL = 'neutral';
export var SUB_SENTIMENT_TYPE_COMPLAINING = 'complaining';
export var SUB_SENTIMENT_TYPE_ANGRY = 'angry';
export var SUB_SENTIMENT_TYPE_HAPPY = 'happy';
export var SUB_SENTIMENT_TYPE_THANKFUL = 'thankful';
/** 公告SDK签名更新周期 **/
export var NOTICE_SDK_UPDATE_SIGN_TIMEOUT = 4 * 60 * 1000;
/** 格式化时间 **/
export var DATE_FORMAT = 'YYYY-MM-DD';
export var DATA_FORMAT_MM_DD = 'MM-DD';
export var TIME_FORMAT = 'HH:mm';
export var TIME_FORMAT_S = 'HH:mm:ss';
export var DATETIME_FORMAT = "".concat(DATE_FORMAT, " ").concat(TIME_FORMAT);
export var DATATIMES_FORMAT = "".concat(DATE_FORMAT, " ").concat(TIME_FORMAT_S);
export var SHORT_DATE_FORMAT = 'MM/DD';
export var SHORT_DATETIME_FORMAT = "".concat(SHORT_DATE_FORMAT, " ").concat(TIME_FORMAT);
export var DATA_TIME_MM_DD_HH_MM_SS = "".concat(DATA_FORMAT_MM_DD, " ").concat(TIME_FORMAT_S);
export var DATE_FORMAT_BIAS = 'YYYY/MM/DD';
export var DATETIME_FORMAT_BIAS = "".concat(DATE_FORMAT_BIAS, " ").concat(TIME_FORMAT);
/**工单签名步骤 */
export var NEED_SIGNATURE = 'needSignature';
export var VERIFY_SIGNATURE_AND_SAVE_TICKET = 'verifySignatureAndSaveTicket';
/** 功能 **/
export var DISABLE_ADD_IMLOG_TO_KM = 'disable-add-imlog-to-km'; // 禁用消息添加到知识库功能
