import React from 'react';
export interface CollectorRenderProps {
    value: any;
    setValue: (nextValue: any) => void;
    ref: React.Ref<any>;
}
export interface CollectorProps {
    id?: string;
    model?: string;
    defaultValue?: any;
    onValueChange?: (value: any) => void;
    render?: (props: CollectorRenderProps) => React.ReactNode;
    children?: (props: CollectorRenderProps) => React.ReactNode;
}
export declare const Collector: ({ id, model, defaultValue, onValueChange, render, children }: CollectorProps) => any;
