"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFormVariable = exports.FormVariableProvider = exports.useFormModel = exports.FormModelProvider = void 0;
const react_1 = require("react");
const FormModelContext = (0, react_1.createContext)(null);
FormModelContext.displayName = 'ModelContext';
exports.FormModelProvider = FormModelContext.Provider;
const useFormModel = () => {
    return (0, react_1.useContext)(FormModelContext);
};
exports.useFormModel = useFormModel;
const FormVariableContext = (0, react_1.createContext)(null);
FormVariableContext.displayName = 'FormVariableContext';
exports.FormVariableProvider = FormVariableContext.Provider;
const useFormVariable = () => (0, react_1.useContext)(FormVariableContext);
exports.useFormVariable = useFormVariable;
