import React from 'react';
export interface CopyClipboardProps {
    /**
     * 要拷贝到内容
     */
    text: string;
    /**
     * 拷贝成功后到回调
     */
    onCopy?: () => void;
    children?: React.ReactNode | ((data: {
        copied: boolean;
        onClick: Function;
    }) => React.ReactElement);
}
export declare function CopyClipboard({ onCopy, text, children }: CopyClipboardProps): React.ReactElement<any, string | React.JSXElementConstructor<any>>;
