import { RequestConfig } from './request';
export interface CreateServiceConfig extends RequestConfig {
    onSuccess?: (data: any) => any;
    onError?: (error: any) => any;
}
export declare function createService({ onSuccess, onError, ...baseConfig }: CreateServiceConfig): (payload?: any, config?: RequestConfig) => Promise<any>;
export declare function createServices(configs: Record<string, RequestConfig>, baseConfig?: RequestConfig): Record<string, ReturnType<typeof createService>>;
