import React from 'react';
import { ReactComponentProps } from '@music163/tango-helpers';
export interface DesignerPanelProps extends ReactComponentProps {
    /**
     * 品牌图标
     */
    logo?: React.ReactNode;
    /**
     * 项目描述
     */
    description?: React.ReactNode;
    /**
     * 主行动点
     */
    actions?: React.ReactNode;
    /**
     * 自定义头部节点
     */
    header?: React.ReactNode;
}
/**
 * 设计器面板
 */
export declare function DesignerPanel(props: DesignerPanelProps): React.JSX.Element;
