"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesignerPanel = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const coral_system_1 = require("coral-system");
/**
 * 设计器面板
 */
function DesignerPanel(props) {
    const { header, logo, description, actions, children } = props;
    return (react_1.default.createElement(coral_system_1.Box, { height: "100vh", overflow: "hidden", className: "DesignerPanel" }, header !== null && header !== void 0 ? header : (react_1.default.createElement(coral_system_1.Box, { display: "flex", justifyContent: "space-between", alignItems: "center", height: "48px", bg: "colors.custom.topNavBg", color: "colors.custom.topNavColor", borderBottom: "solid", borderColor: "colors.custom.topNavBorderColor", className: "DesignerPanelHeader" },
        react_1.default.createElement(coral_system_1.Box, { display: "flex", alignItems: "center" },
            logo,
            description),
        react_1.default.createElement(coral_system_1.Box, { flex: "1" }, actions))),
        react_1.default.createElement(coral_system_1.Box, { display: "flex", height: "calc(100vh - 48px)", overflow: "hidden", className: "DesignerPanelBody" }, children)));
}
exports.DesignerPanel = DesignerPanel;
