"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    aaa: 'aaa',
    designer: {
        components: {
            inputKv: {
                pleaseEnterTheKey: 'Please enter the Key',
                pleaseEnterAValue: 'Please enter a Value',
                tipPleaseEnterTheKeyFirst: 'Tip: Please enter the key first',
                addKeyValue: 'Add Key Value',
            },
            menu: {
                enterToEnterTheCommandSelectionInterface: 'Enter {} to enter the command selection interface',
            },
            variableTree: {
                runtime: 'Runtime',
                definition: 'definition',
                pleaseEnterTheVariableName: 'Please enter the variable name',
                variableValuePreview: 'Variable Value Preview',
                addVariables: 'Add variables',
                variableDefinition: 'Variable definition',
                prompt: 'prompt',
                pleaseSelectAVariableFromTheLeftList: 'Please select a variable from the left list',
                areYouSureToDeleteItThisOperationMayCauseErrorsInTheCodeReferencingThisModelPleaseOperateWithCaution: 'Are you sure to delete it? This operation may cause errors in the code referencing this model. Please operate with caution!',
                copied: 'Copied',
                copyVariablePath: 'Copy variable path',
                viewVariableDetails: 'View variable details',
                towards: 'towards',
                addingVariablesIn: 'Adding variables in',
                thereIsCurrentlyNoDataAvailableForPreview: 'There is currently no data available for preview',
                previewFunctionNotCurrentlySupported: 'Preview function not currently supported',
                missingDefinitionData: 'Missing definition data',
                codeFormatErrorPleaseCheckTheCodeSyntax: 'Code format error, please check the code syntax!',
                cancel: 'cancel',
                preserve: 'preserve',
                edit: 'edit',
                areYouSureToDeleteThisVariableThisOperationWillCauseErrorsInTheCodeThatReferencesTheVariable: 'Are you sure to delete this variable? This operation will cause errors in the code that references the variable!',
                delete: 'delete',
                belongingModel: 'Belonging model',
                variableName: 'Variable Name',
                illegalVariableIdentifier: 'Illegal variable identifier',
                conflictWithExistingVariableNamePleaseChangeName: 'Conflict with existing variable name, please change name!',
                initialValue: 'initial value',
                thereIsASyntaxErrorInTheCodePleaseEnterAValidCodeFragment: 'There is a syntax error in the code, please enter a valid code fragment!',
                pleaseEnterTheInitialValue: 'Please enter the initial value',
            },
        },
        editor: {
            detectedSyntaxErrorsInTheCodeUnableToSynchronizeTheCodeToTheDesignerTemporarilyDoYouWantToRevertBackToSafeCode: 'Detected syntax errors in the code, unable to synchronize the code to the designer temporarily. Do you want to revert back to safe code?',
        },
        sandbox: {
            navigator: { return: 'return', advance: 'advance', refresh: 'Refresh' },
        },
        selectionMenu: {
            copyNode: { copyNodes: 'Copy nodes' },
            deleteNode: { deleteNode: 'Delete node' },
            viewSource: { viewSourceCode: 'View source code' },
        },
        setters: {
            actionListSetter: {
                button: 'button',
                normalButton: 'Normal button',
                textButton: 'Text button',
                main: 'main',
                secondary: 'secondary',
                ordinary: 'ordinary',
                normalActions: 'Normal actions',
                confirmationPrompt: 'Confirmation prompt',
                text: 'text',
                exterior: 'exterior',
                pleaseSelect: 'Please select',
                buttonType: 'Button type',
                type: 'type',
                confirmBubbleContent: 'Confirm bubble content',
            },
            columnSetter: {
                columnHeadings: 'Column headings',
                columnWidth: 'Column width',
                lockColumn: 'Lock column',
                addNewColumn: 'Add new column',
            },
            cssSetter: {
                layoutMethod: 'Layout method',
                mainAxisDirection: 'Main axis direction',
                spindleAlignmentMethod: 'Spindle alignment method',
                secondaryAxisAlignmentMethod: 'Secondary axis alignment method',
                margin: 'Margin',
                padding: 'padding',
                widthAndHeight: 'Width and height',
                width: 'width',
                height: 'height',
                textColor: 'Text color',
                textSize: 'Text size',
                fontSize: 'font size',
                background: 'background',
                frame: 'frame',
                transparency: 'transparency',
                styleWriting: 'Style Writing',
            },
            eventSetter: {
                noAction: 'No action',
                bindJSExpressions: 'Bind JS expressions',
                openPage: 'Open Page',
                openPopupWindow: 'Open pop-up window',
                closePopupWindow: 'Close pop-up window',
                selectOrInputPageRouting: 'Select or input page routing',
                selectOrEnterThePopupID: 'Select or enter the pop-up ID',
                pleaseSelect: 'Please select',
            },
            expressionSetter: {
                thereIsASyntaxErrorInTheExpression: 'There is a syntax error in the expression!',
                notAValidJSONSyntax: 'Not a valid JSON syntax!',
                enterJSExpressionCode: 'Enter JS expression code',
                empty: 'empty',
                openTheExpressionVariableSelectionPanel: 'Open the expression variable selection panel',
                take: 'take',
                setAsAReferenceVariableOrCustomExpression: 'Set as a reference variable or custom expression',
                thereIsASyntaxErrorInTheInputExpressionPleaseModifyItBeforeSubmitting: 'There is a syntax error in the input expression, please modify it before submitting!',
                selectFromTheVariableList: 'Select from the variable list',
            },
            jsxSetter: {
                cancelCustomization: 'Cancel customization',
                customRegion: 'Custom Region',
                text: 'text',
                occupyingArea: 'Occupying area',
                buttonGroup: 'Button group',
                exampleText: 'Example Text',
                PlaceholderTextDragHereToReplace: '<Placeholder text="Drag here to replace"/>',
                ButtonGroupButtonButtonButtonButtonButton2ButtonButtonGroup: '<Button Group><Button>Button 1</Button><Button>Button 2</Button></Button Group>',
                initializeThisAreaAs: 'Initialize this area as',
            },
            listSetter: {
                modifyData: 'Modify data',
                addAnItem: 'Add an item',
                pleaseEnter: 'Please enter',
                submit: 'Submit',
            },
            modelSetter: {
                theVariableToSynchronizeTheResultsToSuchAsStoreNamevarName: 'The variable to synchronize the results to, such as storeName.varName',
                synchronizedVariables: 'Synchronized variables',
                selectFromTheModelList: 'Select from the model list',
            },
            numberSetter: { pleaseEnterANumber: 'please enter a number' },
            optionSetter: {
                copywriting: 'Copywriting',
                value: 'value',
                option: 'option',
            },
            pickerSetter: { pleaseSelect: 'Please select' },
            renderPropsSetter: {
                customRenderingAs: 'Custom rendering as',
                cancelCustomization: 'Cancel customization',
                customRegion: 'Custom Region',
                label: 'label',
                button: 'button',
                picture: 'picture',
                setExpandableRows: 'Set expandable rows',
                cancelExpandableRows: 'Cancel expandable rows',
                configureTableExpandableRows: 'Configure table expandable rows',
            },
            routerSetter: {
                selectRoute: 'Select route',
                customInput: 'Custom Input',
                pleaseSelectALocalRoute: 'Please select a local route',
                enterAnyRouteOrLinkAddress: 'Enter any route or link address',
            },
            styleSetter: {
                customStyleCSSInJS: 'Custom Style (CSS in JS)',
                writingStyles: 'Writing Styles',
                blockLevelElements: 'Block level elements',
                blockLevelElementsWithinRows: 'Block level elements within rows',
                flexElasticLayout: 'Flex Elastic Layout',
                gridElasticGridLayout: 'Grid Elastic Grid Layout',
                inLineElements: 'In line elements',
                doNotDisplay: 'Do not display',
                singleRowArrangement: 'Single row arrangement',
                singleLineReverseOrder: 'Single line reverse order',
                verticalArrangement: 'Vertical arrangement',
                verticalReverseOrder: 'Vertical reverse order',
                arrangeFromTheBeginningOfTheLine: 'Arrange from the beginning of the line',
                arrangeFromTheEndOfTheLine: 'Arrange from the end of the line',
                centerAlignment: 'center alignment',
                arrangeEachElementEvenlyWithTheFirstElementPlacedAtTheStartingPointAndTheLastElementPlacedAtTheEndpoint: 'Arrange each element evenly, with the first element placed at the starting point and the last element placed at the endpoint',
                uniformlyArrangeEachElementAndAllocateTheSameSpaceAroundEachElement: 'Uniformly arrange each element and allocate the same space around each element',
                alignElementsToTheStartingPointOfTheSecondaryAxis: 'Align elements to the starting point of the secondary axis',
                alignElementsToTheEndpointOfTheSecondaryAxis: 'Align elements to the endpoint of the secondary axis',
                elementCenteredOnSecondaryAxis: 'Element centered on secondary axis',
                theSizeOfTheCrossAxisWithTheElasticTermIncludingTheOuterEdgeDistanceIsPulledUpToTheRowHeight: 'The size of the cross axis with the elastic term including the outer edge distance is pulled up to the row height',
                alignAllElementsToTheBaseline: 'Align all elements to the baseline',
                main: 'main',
                auxiliary: 'Auxiliary',
                pleaseSelectAColor: 'Please select a color',
                upper: 'upper',
                lower: 'lower',
                right: 'right',
                left: 'Left',
                style: 'style',
                width: 'width',
                colour: 'colour',
            },
            textSetter: { pleaseEnter: 'Please enter' },
        },
        settingPanel: {
            settingsPanel: 'Settings panel',
            thisNodeHasNoConfigurableInformation: 'This node has no configurable information',
            pleaseSelectANodeFirst: 'Please select a node first',
        },
        sidebar: {
            componentsPanel: {
                basicComponents: 'Basic components',
                atomicComponents: 'Atomic components',
                combination: 'combination',
                businessComponents: 'Business components',
                block: 'block',
                searchResult: 'search result',
                businessComponentsInstalled: 'Business components installed',
                projectBlock: 'Project Block',
                searchForMaterials: 'Search for materials',
                loadingMaterialList: 'Loading material list',
                noComponentsMatched: 'No components matched',
                viewComponentDocumentation: 'View component documentation',
            },
            datasourcePanel: {
                index: { serviceFunction: 'Service function', agent: 'agent' },
                interfaceConfig: {
                    defaultModule: 'Default Module',
                    createANewServiceFunction: 'Create a new service function',
                    searchServiceFunction: 'Search service function',
                    serviceFunctionDetails: 'Service Function Details',
                    pleaseSelectADataServiceFunctionFromTheLeftOrCreateANewDataServiceFunction: 'Please select a data service function from the left or create a new data service function',
                    module: 'Module',
                    methodName: 'Method name',
                    pleaseEnterAValidMethodName: 'Please enter a valid method name',
                    duplicateMethodNamePleaseChangeIt: 'Duplicate method name, please change it!',
                    pleaseEnterTheNameOfTheDataServiceCall: 'Please enter the name of the data service call',
                    automaticallyGenerateUsingInterfacePaths: 'Automatically generate using interface paths',
                    path: 'path',
                    method: 'method',
                    pleaseSelectTheHTTPRequestMethod: 'Please select the HTTP request method',
                    encodingType: 'Encoding type',
                    setTheContentTypeOfTheRequestHeaderIfNotSetItDefaultsToJSON: 'Set the Content Type of the request header. If not set, it defaults to JSON',
                    requestHeaderContentTypeDefaultToJSON: 'Request header Content Type, default to JSON',
                    formatResponse: 'Format Response',
                    provideFormattingFunctionsToFormatTheResults: 'Provide formatting functions to format the results',
                    pleaseProvideValidFunctionCode: 'Please provide valid function code!',
                    directReturndefault: 'Direct return (default)',
                    returnDataSectionCloudMusicStandardSpecification: 'Return Data Section (Cloud Music Standard Specification)',
                    usingTemplateFunctions: 'Using template functions',
                    cancel: 'cancel',
                    modify: 'modify',
                    edit: 'edit',
                    establish: 'establish',
                    interfaceTesting: 'Interface testing',
                    theExecutionContextIsNotReadyPleaseCloseThePanelAndTryAgain: 'The execution context is not ready, please close the panel and try again',
                    interfaceCallFailedPleaseCheckIfTheParametersAreCorrect: 'Interface call failed, please check if the parameters are correct',
                    preview: 'preview',
                    requestParameters: 'Request parameters',
                    addRequestParametersObjectFormatSuchAskeyValue: 'Add request parameters, object format, such as {key: value}',
                    requestResponse: 'Request response',
                    clickThePreviewButtonToTestTheInterfaceReturnValue: 'Click the preview button to test the interface return value',
                },
                proxyConfig: {
                    proxySettings: 'Proxy settings',
                    hereYouCanConfigureTheProxyRulesForInterfaceForwarding: 'Here, you can configure the proxy rules for interface forwarding',
                    proxyRuleUpdateSuccessful: 'Proxy rule update successful!',
                    requestHeader: 'Request header',
                    addRequestHeader: 'Add request header',
                    addRule: 'Add Rule',
                    preserve: 'preserve',
                },
            },
            dependencyPanel: {
                basicPackage: 'Basic package',
                TheBasicPackageCannotBeDeleted: '-The basic package cannot be deleted',
                UpgradeToTheLatestVersionByDefault: '-Upgrade to the latest version by default',
                IfYouWantToAddACorrespondingTemplateBasicPackagePleaseContactTheAdministrator: '-If you want to add a corresponding template basic package, please contact the administrator',
                otherDependencies: 'Other dependencies',
                relyOn: 'rely on',
                upgradeSuccessful: 'Upgrade successful',
                removalSuccessful: 'Removal successful',
                thisDependencyHasUMDResourcesThatCanOptimizeLoadingSpeed: 'This dependency has UMD resources that can optimize loading speed',
                thisDependencyExistsInPackagejson: 'This dependency exists in package.json',
                thisDependencyExistsInTangoConfigJson: 'This dependency exists in tango. config. json',
                modify: 'modify',
                confirmDeletionOfDependencies: 'Confirm deletion of dependencies',
                delete: 'delete',
                confirmUpgrade: 'Confirm upgrade',
                reach: 'reach',
                isIt: 'Is it?',
                upgrade: 'upgrade',
                itIsAlreadyTheLatest: 'It is already the latest',
                successfullyAdded: 'Successfully added',
                addDependency: 'Add Dependency',
                modifyDependencies: 'Modify dependencies:',
                resourceAddress: 'Resource Address',
                theVersionNumberInTheResourceAddressCanBeReplacedByversion: 'The version number in the resource address can be replaced by {{version}}}',
                add: 'Add',
                dependencyType: 'Dependency type',
                nPMPackageName: 'NPM package name',
                enterDependencyName: 'Enter dependency name',
                versionNumber: 'Version number',
                pleaseEnterTheDependentVersionNumber: 'Please enter the dependent version number',
                enterVersionNumber: 'Enter version number',
                usingPreBuiltUMDResources: 'Using pre built UMD resources',
                globalVariableName: 'Global variable name',
                enterTheVariableNameOfTheUMDResourceMountedUnderTheGlobalVariable: 'Enter the variable name of the UMD resource mounted under the global variable',
                theResourceAddressCannotBeEmpty: 'The resource address cannot be empty',
                designerResourceAddress: 'Designer Resource Address',
            },
            outlinePanel: {
                componentsTree: {
                    noSpecifiedFileOrFile: 'No specified file, or file',
                    noValidNodeTree: 'No valid node tree',
                },
                index: { pageStructure: 'Page structure', pageStatus: 'Page Status' },
            },
            variablePanel: {
                viewModelAndVariableManagement: 'View Model and Variable Management',
                howToUseIt: 'How to use it',
                newModel: 'New Model',
                addModel: 'Add model',
                aModelCanBeUsedToOrganizeASetOfVariables: 'A model can be used to organize a set of variables',
                modelName: 'Model Name',
                illegalVariableIdentifier: 'Illegal variable identifier',
                theModelNameAlreadyExistsPleaseChangeIt: 'The model name already exists, please change it!',
                pleaseEnterTheModelName: 'Please enter the model name',
                cancel: 'cancel',
                preserve: 'preserve',
            },
        },
        simulator: {
            selection: {
                displayNone: 'Display: none;',
                thisNodeComesFromAnotherFile: 'This node comes from another file（',
                add: 'Add',
            },
        },
        toolbar: {
            history: { revoke: 'revoke', redo: 'redo' },
            modeSwitch: {
                designView: 'Design View',
                design: 'design',
                sourceView: 'Source view',
                sourceCode: 'Source code',
            },
            preview: { preview: 'preview' },
            routeSwitch: {
                untitled: 'Untitled',
                areYouSureToDeleteThisPage: 'Are you sure to delete this page?',
                deletePage: 'Delete Page',
                copyPage: 'Copy Page',
                setPage: 'Set Page',
                updateCurrentPage: 'Update current page',
                copyCurrentPage: 'Copy current page',
                pageTitle: 'Page Title',
                pleaseEnterATitle: 'Please enter a title',
                pageRouting: 'Page routing',
                duplicatePageRouting: 'Duplicate page routing',
                illegalRoutingAddress: 'Illegal routing address',
                inputPageRouting: 'Input page routing',
            },
            togglePanel: {
                hideShowLeftPanel: 'Hide/Show Left Panel',
                hideShowRightPanel: 'Hide/Show Right Panel',
            },
            viewportSwitch: { desktopView: 'Desktop View', phoneView: 'Phone View' },
        },
    },
    context: {
        context: { dataModel: 'data model', serviceFunction: 'Service function' },
    },
    sandbox: {
        codeSandbox: {
            helper: {
                unableToSetRoutesInIframeAcrossDomains: 'Unable to set routes in iframe across domains',
            },
            index: {
                udeskFailedToSetDocumentDomainPleaseCheckIfTheRequestHeaderContainsOriginAgentCluster: '[udesk] - Failed to set document. domain, please check if the request header contains Origin Agent Cluster:? 0',
            },
        },
    },
    form: {
        formItem: {
            closeJSExpression: 'Close JS expression',
            usingJSExpressions: 'Using JS expressions',
        },
        formUi: { helpDocument: 'Help document' },
        form: {
            commonlyUsed: 'Commonly used',
            event: 'Event',
            style: 'Style',
            senior: 'Senior',
            searchProperties: 'Search Properties',
            configurationItemNotFound: 'Configuration item not found',
        },
    },
    ui: {
        actionSelect: { pleaseEnterText: 'Please enter text', preset: 'Preset' },
        chatInput: {
            intelligentProgrammingAssistant: 'Intelligent Programming Assistant',
            pleaseBrieflyDescribeTheActionYouWantToPerform: 'Please briefly describe the action you want to perform',
            generate: 'generate',
            result: 'Result:',
            currentlyUnavailable: 'Currently unavailable',
            application: 'application',
        },
        inputList: {
            empty: 'empty',
            newAddition: 'New addition',
            pleaseEnter: 'Please enter',
            delete: 'delete',
        },
        menu: {
            areYouSureToPerformThisOperation: 'Are you sure to perform this operation?',
            confirm: 'confirm',
            cancel: 'cancel',
        },
        search: { pleaseEnterKeywords: 'Please enter keywords' },
        selectList: {
            empty: 'empty',
            newAddition: 'New addition',
            pleaseSelect: 'Please select',
            delete: 'delete',
        },
        tagSelect: {
            inSingleChoiceModeValueCanOnlyHaveOneValue: 'In single choice mode, value can only have one value!',
        },
    },
};
