import React from 'react';
interface NavigatorProps {
    disabled?: boolean;
    startRoute?: string;
    onBack?: () => void;
    onForward?: () => void;
    onRefresh?: () => void;
    onInputEnter?: (text: string, e: React.KeyboardEvent<HTMLInputElement>) => void;
    /**
     * 附加信息
     */
    extra?: React.ReactNode;
}
interface NavigatorState {
    relativeUrl: string;
}
export declare class Navigator extends React.Component<NavigatorProps, NavigatorState> {
    constructor(props: NavigatorProps);
    componentDidUpdate(prevProps: Readonly<NavigatorProps>, prevState: Readonly<NavigatorState>): void;
    changeRelativeUrl: (newUrl: string) => void;
    render(): React.JSX.Element;
    private onInputChange;
    private onPressEnter;
}
export {};
