import React from 'react';
import { InputProps } from 'antd';
export interface SearchProps extends Omit<InputProps, 'onChange'> {
    width?: string;
    onChange?: (value: string) => void;
    /**
     * value 是否转义
     */
    escapeValue?: boolean;
}
export declare function Search({ placeholder, onChange, width, escapeValue, style: styleProp, ...rest }: SearchProps): React.JSX.Element;
