"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectAction = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const antd_1 = require("antd");
const coral_system_1 = require("coral-system");
const selectionActionStyle = (0, coral_system_1.css) `
  &:hover {
    background-color: var(--tango-colors-primary-40);
  }
`;
function SelectAction(_a) {
    var { tooltip, children } = _a, rest = tslib_1.__rest(_a, ["tooltip", "children"]);
    return (react_1.default.createElement(antd_1.Tooltip, { title: tooltip },
        react_1.default.createElement(coral_system_1.Box, Object.assign({ className: "SelectionAction", display: "inline-block", bg: "brand", color: "white", px: "s", fontSize: "subtitle", css: selectionActionStyle }, rest), children)));
}
exports.SelectAction = SelectAction;
