"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChoiceSetter = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const antd_1 = require("antd");
const tango_ui_1 = require("@music163/tango-ui");
function ChoiceSetter(_a) {
    var { options, onChange } = _a, props = tslib_1.__rest(_a, ["options", "onChange"]);
    const renderIcon = (0, react_1.useCallback)((icon) => {
        if (!icon) {
            return null;
        }
        if (icon.startsWith('icon-')) {
            return react_1.default.createElement(tango_ui_1.IconFont, { type: icon });
        }
        return null;
    }, []);
    return (react_1.default.createElement(antd_1.Radio.Group, Object.assign({ optionType: "button", buttonStyle: "solid", onChange: (e) => {
            onChange && onChange(e.target.value);
        } }, props), options.map((item) => (react_1.default.createElement(RadioButton, { tip: item.tip, key: item.value, value: item.value },
        renderIcon(item.icon),
        item.label)))));
}
exports.ChoiceSetter = ChoiceSetter;
function RadioButton(_a) {
    var { tip } = _a, rest = tslib_1.__rest(_a, ["tip"]);
    let ret = react_1.default.createElement(antd_1.Radio.Button, Object.assign({}, rest));
    if (tip) {
        ret = react_1.default.createElement(antd_1.Tooltip, { title: tip }, ret);
    }
    return ret;
}
