import React from 'react';
export interface ResizableBoxProps {
    width?: number;
    height?: number;
    resizeHandlePosition?: 'left' | 'right' | 'top' | 'bottom';
    axis?: 'x' | 'y';
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
export declare function ResizableBox({ resizeHandlePosition, width: widthProp, height: heightProp, children, className, style, axis, }: ResizableBoxProps): React.JSX.Element;
