import React from 'react';
interface Props {
    children?: React.ReactNode;
}
interface State {
    hasError: boolean;
}
export declare class ErrorBoundary extends React.Component<Props, State> {
    state: {
        hasError: boolean;
    };
    static getDerivedStateFromError(error: any): {
        hasError: boolean;
    };
    componentDidCatch(error: any, errorInfo: any): void;
    render(): string | number | boolean | Iterable<React.ReactNode> | React.JSX.Element;
}
export {};
