/**
 * antd风格input+级联组件
 */
declare class AntdInputCascaderComponent extends React.Component<any, any, any> {
    constructor(props: any);
    numVal: string;
    dayVal: any[];
    /**
     * @param {string[]} value
     * @param {object[]} selectedOptions
     */
    handleCascadeChange: (value: string[], selectedOptions: object[]) => void;
    handleTextInputChanged: (e: any) => void;
    filter: (inputValue: any, path: any) => any;
    render(): JSX.Element;
}
declare namespace AntdInputCascaderComponent {
    namespace defaultProps {
        const value: never[];
        const onChanged: null;
        const attributes: {};
        const dataSource: never[];
        const disabled: boolean;
        const operator: {};
        const field: {};
        const name: null;
        const isValid: boolean;
        const errors: never[];
        const runtimeAttributes: {};
    }
    namespace propTypes {
        const value_1: PropTypes.Requireable<NonNullable<string | (string | null | undefined)[] | (number | null | undefined)[] | null | undefined>>;
        export { value_1 as value };
        const onChanged_1: PropTypes.Requireable<(...args: any[]) => any>;
        export { onChanged_1 as onChanged };
        const dataSource_1: PropTypes.Requireable<(object | null | undefined)[]>;
        export { dataSource_1 as dataSource };
        const disabled_1: PropTypes.Requireable<boolean>;
        export { disabled_1 as disabled };
        const attributes_1: PropTypes.Requireable<PropTypes.InferProps<{
            placeholder: PropTypes.Requireable<string>;
            classNames: PropTypes.Requireable<string>;
            popupClassName: PropTypes.Requireable<string>;
            size: PropTypes.Requireable<string>;
            allowClear: PropTypes.Requireable<boolean>;
            changeOnSelect: PropTypes.Requireable<boolean>;
            fieldNames: PropTypes.Requireable<Required<PropTypes.InferProps<{
                label: PropTypes.Requireable<string>;
                value: PropTypes.Requireable<string>;
                children: PropTypes.Requireable<string>;
            }>>>;
        }>>;
        export { attributes_1 as attributes };
        const operator_1: PropTypes.Requireable<object>;
        export { operator_1 as operator };
        const field_1: PropTypes.Requireable<object>;
        export { field_1 as field };
        const name_1: PropTypes.Requireable<string>;
        export { name_1 as name };
        const isValid_1: PropTypes.Requireable<boolean>;
        export { isValid_1 as isValid };
        const errors_1: PropTypes.Requireable<any[]>;
        export { errors_1 as errors };
        const runtimeAttributes_1: PropTypes.Requireable<object>;
        export { runtimeAttributes_1 as runtimeAttributes };
    }
}
export default AntdInputCascaderComponent;
import React from "react";
import PropTypes from "prop-types";
