import { __assign, __rest, __spreadArray } from "tslib";
import React, { useMemo } from 'react';
var CustomSelect = function (_a) {
    var allowClear = _a.allowClear, _b = _a.options, options = _b === void 0 ? [] : _b, children = _a.children, props = __rest(_a, ["allowClear", "options", "children"]);
    var opts = useMemo(function () {
        var viewType = props.viewType;
        if (viewType !== 1 && allowClear) {
            return __spreadArray([
                {
                    title: '--',
                    value: '',
                }
            ], options, true);
        }
        return options;
    }, [allowClear, options]);
    var _children = useMemo(function () {
        return React.Children.map(children, function (child) {
            if (React.isValidElement(child)) {
                return React.cloneElement(child, __assign(__assign({}, props), { options: opts }));
            }
        });
    }, [children, opts, props]);
    return React.createElement(React.Fragment, null, _children);
};
CustomSelect.defaultProps = {
    allowClear: true,
};
export default CustomSelect;
