import UdeskError from './udesk-error';
export default class NotImplementedError extends UdeskError {
    constructor(methodName, options) {
        let { message } = options || {};
        let innerMessage = message;
        if (!innerMessage) {
            if (methodName) {
                innerMessage = `\`${methodName}\` is not implemented yet`;
            }
            else {
                innerMessage = 'The method is not implemented yet';
            }
        }
        super(innerMessage);
    }
}
//# sourceMappingURL=not-implemented-error.js.map