/// <reference types="react" />
import type { DndQuery } from './dnd';
export interface IDesignerContext<S = any> {
    /**
     * 沙箱查询实例
     */
    sandboxQuery: DndQuery;
    /**
     * 远程服务
     */
    remoteServices?: Record<string, S>;
}
declare const DesignerProvider: import("react").Provider<IDesignerContext<any>>;
export { DesignerProvider };
export declare const useSandboxQuery: () => DndQuery;
export declare const useRemoteServices: () => Record<string, any>;
