/// <reference types="react" />
import { IFormModel } from './form-model';
export declare const FormModelProvider: import("react").Provider<IFormModel>;
export declare const useFormModel: () => IFormModel;
export interface FormVariableContextType {
    /**
     * 是否允许表单项切换到表达式设置器
     */
    disableSwitchExpressionSetter?: boolean;
    /**
     * 是否展示表单项的副标题
     */
    showItemSubtitle?: boolean;
}
export declare const FormVariableProvider: import("react").Provider<FormVariableContextType>;
export declare const useFormVariable: () => FormVariableContextType;
