import { createContext, useContext } from 'react';
const FormModelContext = createContext(null);
FormModelContext.displayName = 'ModelContext';
export const FormModelProvider = FormModelContext.Provider;
export const useFormModel = () => {
    return useContext(FormModelContext);
};
const FormVariableContext = createContext(null);
FormVariableContext.displayName = 'FormVariableContext';
export const FormVariableProvider = FormVariableContext.Provider;
export const useFormVariable = () => useContext(FormVariableContext);
