import React from 'react';
import { MultiEditorProps } from '@music163/tango-ui';
export interface CodeEditorProps extends Partial<MultiEditorProps> {
    /**
     * 是否自动清楚未使用的导入
     */
    autoRemoveUnusedImports?: boolean;
}
export declare const CodeEditor: (({ autoRemoveUnusedImports, ...rest }: CodeEditorProps) => React.JSX.Element) & {
    displayName: string;
};
