import { isFunction } from './assert';
export function noop(...args) { }
export function runIfFn(valueOrFn, ...args) {
    return isFunction(valueOrFn) ? valueOrFn(...args) : valueOrFn;
}
export function callAll(...fns) {
    return function mergedFn(...args) {
        fns.forEach((fn) => {
            if (isFunction(fn)) {
                fn === null || fn === void 0 ? void 0 : fn(...args);
            }
        });
    };
}
