import { createBrowserHistory, createHashHistory } from 'history';
export const history = {
    current: null,
};
export function createHistory(routerType, routes) {
    history.current = routerType === 'hash' ? createBrowserHistory() : createHashHistory();
    history.current.configRoutes = routes.reduce((p, c) => {
        p[c.routeName] = c.path;
        return p;
    }, {});
    return history.current;
}
