import { __rest } from "tslib";
import React from 'react';
import { Tooltip } from 'antd';
import { Box, css } from 'coral-system';
const selectionActionStyle = css `
  &:hover {
    background-color: var(--tango-colors-primary-40);
  }
`;
export function SelectAction(_a) {
    var { tooltip, children } = _a, rest = __rest(_a, ["tooltip", "children"]);
    return (React.createElement(Tooltip, { title: tooltip },
        React.createElement(Box, Object.assign({ className: "SelectionAction", display: "inline-block", bg: "brand", color: "white", px: "s", fontSize: "subtitle", css: selectionActionStyle }, rest), children)));
}
