import React from 'react';
import { useWorkspace, observer } from '@music163/tango-context';
import { SelectAction } from '@music163/tango-ui';
import { DeleteOutlined } from '@ant-design/icons';
export const DeleteNodeAction = observer(() => {
    const workspace = useWorkspace();
    return (React.createElement(SelectAction, { tooltip: "\u5220\u9664\u8282\u70B9", onClick: () => {
            workspace.removeSelectedNode();
        } },
        React.createElement(DeleteOutlined, null)));
});
