import { uuid } from '@music163/tango-helpers';
import React from 'react';
import { ListSetter } from './list-setter';
const optionFormFields = [
    { label: '文案', name: 'label', required: true },
    { label: '值', name: 'value', required: true },
];
const getKey = (item) => item.value;
const renderItem = (item) => item.label;
/**
 * 列表项设置器
 */
export function OptionSetter(props) {
    return (React.createElement(ListSetter, Object.assign({ getListItemKey: getKey, renderItem: renderItem, listItemFormFields: optionFormFields, getNewItemDefaultValues: () => {
            const randomStr = uuid('_', 4);
            return {
                label: `选项${randomStr}`,
                value: randomStr,
            };
        } }, props)));
}
