import React from 'react';
import { FormItemComponentProps } from '@music163/tango-setting-form';
interface IRenderOption {
    label: string;
    value: string;
    render?: string;
    relatedImports?: string[];
}
export interface RenderSetterProps {
    text?: string;
    options?: IRenderOption[];
    fallbackOption?: IRenderOption;
}
/**
 * Render Props Setters
 */
export declare function RenderSetter({ value, onChange, text, options, fallbackOption, }: FormItemComponentProps & RenderSetterProps): React.JSX.Element;
export declare function TableCellSetter(props: FormItemComponentProps): React.JSX.Element;
export declare function TableExpandableSetter(props: FormItemComponentProps): React.JSX.Element;
export {};
