import { __rest } from "tslib";
import React from 'react';
import { Box } from 'coral-system';
import { CollapsePanel } from '@music163/tango-ui';
import { StateTree } from './state-tree';
import { ComponentsTree } from './components-tree';
export function OutlinePanel(_a) {
    var { showStateView = true } = _a, treeProps = __rest(_a, ["showStateView"]);
    return (React.createElement(Box, { height: "100%", position: "relative" },
        React.createElement(CollapsePanel, { title: "\u9875\u9762\u7ED3\u6784", maxHeight: showStateView ? '90%' : '100%', collapsed: !showStateView ? false : undefined, overflowY: "auto", showBottomBorder: showStateView },
            React.createElement(ComponentsTree, Object.assign({}, treeProps))),
        showStateView && React.createElement(StateTree, null)));
}
