import React from 'react';
import './index.module.scss';
export declare enum PositionEnum {
    Top = "top",
    Left = "left",
    Right = "right",
    Bottom = "bottom",
    TopLeft = "topLeft",
    TopRight = "topRight",
    BottomLeft = "bottomLeft",
    BottomRight = "bottomRight",
    LeftTop = "leftTop",
    LeftBottom = "leftBottom",
    RightTop = "rightTop",
    RightBottom = "rightBottom"
}
export declare interface CopyProps {
    text: string | undefined | null;
    left?: string;
    right?: string;
    top?: string;
    bottom?: string;
    buttonText?: string;
    zIndex?: number;
    switchFlag?: boolean;
    btnSize?: 'small' | 'middle' | 'large';
    type?: 'primary' | 'ghost' | 'dashed' | 'text' | 'default';
    icon?: React.ReactNode;
    placement?: PositionEnum;
    className?: string;
    style?: any;
}
declare const CopyText: React.FC<CopyProps>;
export default CopyText;
