"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var udesk_ui_1 = require("udesk-ui");
var copy_1 = tslib_1.__importDefault(require("../copy"));
// 自定义字段 单选
// FIXME: 因为单选有不选的情况，暂无法处理，所以利用多选替代单选模式，若不考虑此情况可以使用此组件
var FormRadio = function (props) {
    var _a = props.id, id = _a === void 0 ? '' : _a, onChange = props.onChange, onValueBlur = props.onValueBlur, options = props.options, value = props.value, readOnly = props.readOnly, copyProps = props.copyProps, restProps = tslib_1.__rest(props, ["id", "onChange", "onValueBlur", "options", "value", "readOnly", "copyProps"]);
    var _b = (0, react_1.useState)(value), checkValue = _b[0], setCheckValue = _b[1];
    (0, react_1.useEffect)(function () {
        setCheckValue(value);
    }, [value]);
    if (readOnly) {
        var checkObj = options.find(function (item) { return checkValue === item.value; }) || { label: '' };
        var showValueText = (checkObj === null || checkObj === void 0 ? void 0 : checkObj.label) || '';
        return (react_1.default.createElement(copy_1.default, tslib_1.__assign({}, copyProps, { text: showValueText }),
            react_1.default.createElement(react_1.default.Fragment, null, showValueText)));
    }
    var onValueChange = function (value) {
        setCheckValue(value);
        onChange === null || onChange === void 0 ? void 0 : onChange(value);
        onValueBlur === null || onValueBlur === void 0 ? void 0 : onValueBlur(id, value);
    };
    return (react_1.default.createElement(udesk_ui_1.Radio.Group, tslib_1.__assign({}, restProps, { className: "form-radio-group", value: checkValue, options: options, onChange: onValueChange }), options && options.length
        ? options.map(function (item, index) {
            return (react_1.default.createElement(udesk_ui_1.Radio, { key: index, value: item === null || item === void 0 ? void 0 : item.value, disabled: item === null || item === void 0 ? void 0 : item.disabled }, item === null || item === void 0 ? void 0 : item.label));
        })
        : null));
};
FormRadio.defaultProps = {
    value: '',
};
exports.default = FormRadio;
