import React, { ComponentProps } from 'react';
import { Input } from 'udesk-ui';
import './index.module.scss';
import { CopyProps } from '../copy';
declare type Props = {
    onChange?: (value: ComponentProps<typeof Input>['value']) => void;
    onValueBlur?: (id: string, value: any) => void;
    allowClear?: boolean;
    value?: string[];
    id?: string;
    suffix?: string;
    copyProps?: CopyProps;
};
declare const FormRange: React.FC<Props>;
export default FormRange;
