"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _input = _interopRequireDefault(require("../../input"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }

function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }

function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }

function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }

function _callSuper(t, o, e) { return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e)); }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { try { var t = !Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); } catch (t) {} return (_isNativeReflectConstruct = function _isNativeReflectConstruct() { return !!t; })(); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var ProxyPassword = /*#__PURE__*/function (_React$Component) {
  function ProxyPassword(props) {
    var _this;

    _classCallCheck(this, ProxyPassword);

    _this = _callSuper(this, ProxyPassword, [props]);
    _this.state = {
      value: '',
      realValue: ''
    };
    _this.handleChange = _this.handleChange.bind(_this);
    return _this;
  }

  _inherits(ProxyPassword, _React$Component);

  return _createClass(ProxyPassword, [{
    key: "handleChange",
    value: function handleChange(e) {
      var props = this.props;

      if (!('value' in props)) {
        this.setState({
          value: e.target.value
        });
      }

      if (props.onChange) {
        var _this$state$realValue = this.state.realValue,
            realValue = _this$state$realValue === void 0 ? '' : _this$state$realValue;
        var val = e.target.value;
        var reg = /[0-9a-zA-Z]/g; // 只允许输入字母和数字

        var nDot = /[^●]/g; // 非圆点字符

        var index = -1; // 新输入的字符位置

        var lastChar = ''; // 新输入的字符

        var realArr = realValue.split(''); // 真实密码数组

        var coverArr = val.split(''); // 文本框显示密码数组

        var coverLen = val.length; // 文本框字符串长度

        var realLen = realValue.length; // 真实密码长度
        // 找到新输入的字符及位置

        coverArr.some(function (el, idx) {
          index = idx;
          lastChar = val.replace(/[●]/g, '');
          return nDot.test(el);
        }); // 判断输入的字符是否符合规范，不符合的话去掉该字符

        if (lastChar && !reg.test(lastChar)) {
          coverArr.splice(index, 1);
          this.setState({
            pwdCover: coverArr.join('')
          });
          return;
        }

        if (realLen < coverLen) {
          // 新增字符
          realArr.splice(index, 0, lastChar);
        } else if (coverLen <= realLen && index !== -1) {
          // 替换字符（选取一个或多个字符直接替换）
          realArr.splice(index, realLen - (coverLen - 1), lastChar);
        } else {
          // 删除字符，因为 val 全是 ● ，没有办法匹配，不知道是从末尾还是中间删除的字符，删除了几个，不好对 password 处理，所以可以通过光标的位置和 val 的长度来判断
          var pos = e.target.selectionEnd; // 获取光标位置

          realArr.splice(pos, realLen - coverLen);
        } // 将 pwdCover 替换成 ●


        var pword = realArr.join('');
        props.onChange(pword);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var value = this.state.value;
      return /*#__PURE__*/_react["default"].createElement(_input["default"], _objectSpread(_objectSpread({}, this.props), {}, {
        value: value,
        onChange: this.handleChange
      }));
    }
  }], [{
    key: "getDerivedStateFromProps",
    value: function getDerivedStateFromProps(nextProps, prevState) {
      if ('value' in nextProps && nextProps.value !== prevState.value) {
        var _nextProps$value$repl, _nextProps$value, _nextProps$value2;

        return {
          value: (_nextProps$value$repl = (_nextProps$value = nextProps.value) === null || _nextProps$value === void 0 ? void 0 : _nextProps$value.replace(/\S/g, '●')) !== null && _nextProps$value$repl !== void 0 ? _nextProps$value$repl : '',
          realValue: (_nextProps$value2 = nextProps.value) !== null && _nextProps$value2 !== void 0 ? _nextProps$value2 : ''
        };
      }

      return null;
    }
  }]);
}(_react["default"].Component);

var _default = exports["default"] = ProxyPassword;
//# sourceMappingURL=proxy-password.js.map
