declare const _default: {
    Input: () => Promise<typeof import("../../input")>;
    TextArea: () => Promise<{
        default: import("react").ForwardRefExoticComponent<import("../../input").TextAreaProps & import("react").RefAttributes<import("antd/es/input/TextArea").TextAreaRef>>;
    }>;
    Select: () => any;
    InputNumber: () => Promise<typeof import("../../input-number")>;
    Radio: () => any;
    RadioGroup: () => Promise<{
        default: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<import("antd").RadioGroupProps & import("react").RefAttributes<HTMLDivElement>>>;
    }>;
    Checkbox: () => Promise<{
        default: import("react").FC<any>;
    }>;
    CheckboxGroup: () => Promise<{
        default: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<import("antd/lib/checkbox").CheckboxGroupProps & import("react").RefAttributes<HTMLDivElement>>>;
    }>;
    TimePicker: () => Promise<{
        default: ({ value: propsValue, onChange, format, ...args }: {
            [x: string]: any;
            value: any;
            onChange: any;
            format?: string | undefined;
        }) => JSX.Element;
    }>;
    Button: () => Promise<typeof import("../../button")>;
    Password: () => Promise<{
        default: import("react").ForwardRefExoticComponent<import("antd/lib/input").PasswordProps & import("react").RefAttributes<import("rc-input").InputRef>>;
    }>;
    ProxyPassword: () => Promise<{
        default: typeof import("../defalut-components/proxy-password").default;
    }>;
    Switch: () => Promise<{
        default: import("react").FC<any>;
    }>;
    DatePicker: () => Promise<{
        default: ({ value: propsValue, onChange, format, ...args }: {
            [x: string]: any;
            value: any;
            onChange: any;
            format: any;
        }) => JSX.Element;
    }>;
    RangePicker: () => Promise<{
        default: ({ value: propsValue, onChange, format, placeholder, ...args }: {
            [x: string]: any;
            value: any;
            onChange: any;
            format: any;
            placeholder: any;
        }) => JSX.Element;
    }>;
    TreeSelect: () => any;
    Cascader: () => Promise<typeof import("../../calendar")>;
    AutoComplete: () => Promise<typeof import("../../auto-complete")>;
};
export default _default;
