"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _button = _interopRequireDefault(require("../../button"));

var _input = _interopRequireDefault(require("../../input"));

var _inputNumber = _interopRequireDefault(require("../../input-number"));

var _radio = _interopRequireDefault(require("../../radio"));

var _select = _interopRequireDefault(require("../../select"));

var _checkbox = _interopRequireDefault(require("../../checkbox"));

var _treeSelect = _interopRequireDefault(require("../../tree-select"));

var _cascader = _interopRequireDefault(require("../../cascader"));

var _autoComplete = _interopRequireDefault(require("../../auto-complete"));

var _defalutComponents = require("../defalut-components");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// import { Input, Select, InputNumber, Radio, TimePicker, Button } from '../index';
var TextArea = _input["default"].TextArea,
    Password = _input["default"].Password;
var defaultFormConfigMap = {
  Input: _input["default"],
  TextArea: TextArea,
  Select: _select["default"],
  InputNumber: _inputNumber["default"],
  Radio: _radio["default"],
  RadioGroup: _radio["default"].Group,
  Checkbox: _defalutComponents.Checkbox,
  CheckboxGroup: _checkbox["default"].Group,
  TimePicker: _defalutComponents.TimePickerMoment,
  Button: _button["default"],
  Password: Password,
  ProxyPassword: _defalutComponents.ProxyPassword,
  Switch: _defalutComponents.Switch,
  DatePicker: _defalutComponents.DatePickerMoment,
  RangePicker: _defalutComponents.RangePickerMoment,
  TreeSelect: _treeSelect["default"],
  Cascader: _cascader["default"],
  AutoComplete: _autoComplete["default"]
};

var _default = exports["default"] = defaultFormConfigMap;
//# sourceMappingURL=component-map.js.map
