"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    cancel: 'İptal',
    uploader: {
        uploadImg: 'Resim yükle',
        uploadImgIng: 'Resim yükle',
        uploadImgFail: 'Yükleme başarısız oldu',
        insertImg: 'Resim ekle',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    "exceedsTotalSize": "Toplam dosya boyutu {0} sınır boyutunu aşıyor {1}",
                    "exceedsSize": "Dosya {0} sınır boyutunu aşıyor {1}",
                },
            },
        },
    },
    statusbar: { translate: 'Çeviri' },
    originalPlaceholder: 'Lütfen orijinal metni girin',
    language: {
        chinese: 'Çince',
        'zh-cn': 'Çince (Basitleştirilmiş)',
        'zh-tw': 'Çince (Geleneksel)',
        'en-us': 'İngilizce',
        fr: 'Fransızca',
        de: 'Almanca',
        fil: 'Filipinli (Tagala)',
        ja: 'Japonca',
        it: 'İtalyanca',
        ru: 'Rusça',
        ko: 'Korece',
        vi: 'Vietnamca',
        af: 'Afrikaans',
        sq: 'Arnavutça',
        am: 'Amharca',
        ar: 'Arapça',
        hy: 'Ermenice',
        as: 'Assam dili *',
        ay: 'Aymara dili *',
        az: 'Azerice',
        bm: 'Bambara dili *',
        eu: 'Baskça',
        be: 'Beyaz Rusça',
        bn: 'Bengalce',
        bho: 'Bojpur dili *',
        bs: 'Boşnakça',
        bg: 'Bulgarca',
        ca: 'Katalanca',
        ceb: 'Cebu dili',
        co: 'Korsikalı',
        hr: 'Hırvatça',
        cs: 'Çekçe',
        da: 'Danca',
        dv: 'Divich dili *',
        doi: 'Doglay dili *',
        nl: 'Hollandaca',
        eo: 'Esperanto',
        et: 'Estonca',
        ee: 'Evey dili *',
        fi: 'Fince',
        fy: 'Frizce',
        gl: 'Galiçyaca',
        ka: 'Gürcüce',
        el: 'Yunanca',
        gn: 'Guarani dili *',
        gu: 'Gujarat',
        ht: 'Haiti Creole',
        ha: 'Hausa dili',
        haw: 'Hawaii dili',
        he: 'İbranice',
        hi: 'Hintçe',
        hmn: 'Hmong dili',
        hu: 'Macarca',
        is: 'İzlandaca',
        ig: 'Ibo dili',
        ilo: 'Ilocano *',
        id: 'Endonezya dili',
        ga: 'İrlanda dili',
        jv: 'Cava dili',
        kn: 'Kanardavin',
        kk: 'Kazakça',
        km: 'Khmer dili',
        rw: 'Ruanda dili',
        gom: 'Güngen dili *',
        kri: 'Creole *',
        ku: 'Kürtçe',
        ckb: 'Kürtçe (Sorani) *',
        ky: 'Kırgızca',
        lo: 'Lao dili',
        la: 'Latince',
        lv: 'Letonca',
        ln: 'Lingra dili *',
        lt: 'Litvanca',
        lg: 'Luganda dili *',
        lb: 'Lüksemburgca',
        mk: 'Makedonca',
        mai: "Metilli'nin dili *",
        mg: 'Margaş dili',
        ms: 'Malay dili',
        ml: 'Malayalam',
        mt: 'Malta dili',
        mi: 'Maori dili',
        mr: 'Marathi dili',
        'mni-Mtei': 'Melek (Manipur) *',
        'mni-lus': 'Mizo dili *',
        mn: 'Moğolca',
        my: 'Burma dili',
        ne: 'Nepalce',
        no: 'Norveççe',
        ny: 'Niyanza (Zicheva)',
        or: 'Oriya (Oriya)',
        om: 'Oromo dili *',
        ps: 'Peştuca',
        fa: 'Farsça',
        pl: 'Lehçe',
        pt: 'Portekizce (Portekiz, Brezilya)',
        pa: 'Pencap dili',
        qu: 'Quechua dili *',
        ro: 'Romence',
        sm: 'Samoalı',
        sa: 'Sanskritçe *',
        gd: 'İskoç Gal Dili',
        nso: 'Sepeti dili *',
        sr: 'Sırpça',
        st: 'Sesotho dili',
        sn: 'Shuna',
        sd: 'Almanca mektup',
        si: 'Sinhalese',
        sk: 'Slovakça',
        sl: 'Slovence',
        so: 'Somali dili',
        es: 'İspanyolca',
        su: 'Sunda dili',
        sw: 'Svahili dili',
        sv: 'İsveççe',
        tl: 'Tagalu (Filipince)',
        tg: 'Tacik dili',
        ta: 'Tamilce',
        tt: 'Argo',
        te: 'Telugu dili',
        th: 'Tay dili',
        ti: 'Tegonya dili *',
        ts: 'Zongka *',
        tr: 'Türkçe',
        tk: 'Türkmence',
        ak: 'Chevy (Akan) *',
        uk: 'Ukraynaca',
        ur: 'Urduca',
        ug: 'Uygur dili',
        uz: 'Özbekçe',
        cy: 'Galce',
        xh: 'Bantu dili',
        yi: 'Yidiş',
        yo: 'Yoruba dili',
        zu: 'Zulu',
    },
};
