"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    'cancel': '取消',
    'uploader': {
        'uploadImg': '上传图片',
        'uploadImgIng': '上传图片中',
        'uploadImgFail': '上传失败',
        'insertImg': '插入图片'
    },
    'page': {
        'im': {
            'ticket': {
                'warning': {
                    'exceedsTotalSize': '文件总大小 {0} 超过限制大小 {1}',
                    'exceedsSize': '文件 {0} 超过限制大小 {1}'
                }
            },
        }
    },
    'statusbar': {
        'translate': '翻译'
    },
    'originalPlaceholder': '请输入原文',
    'language': {
        'chinese': '中文',
        'zh-cn': '中文（简体）',
        'zh-tw': '中文（繁体）',
        'en-us': '英语',
        'fr': '法语',
        'de': '德语',
        'fil': '菲律宾语（塔加拉语）',
        'ja': '日语',
        'it': '意大利语',
        'ru': '俄语',
        'ko': '韩语',
        'vi': '越南语',
        'af': '南非荷兰语',
        'sq': '阿尔巴尼亚语',
        'am': '阿姆哈拉语',
        'ar': '阿拉伯语',
        'hy': '亚美尼亚文',
        'as': '阿萨姆语*',
        'ay': '艾马拉语*',
        'az': '阿塞拜疆语',
        'bm': '班巴拉语*',
        'eu': '巴斯克语',
        'be': '白俄罗斯语',
        'bn': '孟加拉文',
        'bho': '博杰普尔语*',
        'bs': '波斯尼亚语',
        'bg': '保加利亚语',
        'ca': '加泰罗尼亚语',
        'ceb': '宿务语',
        'co': '科西嘉语',
        'hr': '克罗地亚语',
        'cs': '捷克语',
        'da': '丹麦语',
        'dv': '迪维希语*',
        'doi': '多格来语*',
        'nl': '荷兰语',
        'eo': '世界语',
        'et': '爱沙尼亚语',
        'ee': '埃维语*',
        'fi': '芬兰语',
        'fy': '弗里斯兰语',
        'gl': '加利西亚语',
        'ka': '格鲁吉亚语',
        'el': '希腊文',
        'gn': '瓜拉尼语*',
        'gu': '古吉拉特文',
        'ht': '海地克里奥尔语',
        'ha': '豪萨语',
        'haw': '夏威夷语',
        'he': '希伯来语',
        'hi': '印地语',
        'hmn': '苗语',
        'hu': '匈牙利语',
        'is': '冰岛语',
        'ig': '伊博语',
        'ilo': '伊洛卡诺语*',
        'id': '印度尼西亚语',
        'ga': '爱尔兰语',
        'jv': '爪哇语',
        'kn': '卡纳达文',
        'kk': '哈萨克语',
        'km': '高棉语',
        'rw': '卢旺达语',
        'gom': '贡根语*',
        'kri': '克里奥尔语*',
        'ku': '库尔德语',
        'ckb': '库尔德语（索拉尼）*',
        'ky': '吉尔吉斯语',
        'lo': '老挝语',
        'la': '拉丁文',
        'lv': '拉脱维亚语',
        'ln': '林格拉语*',
        'lt': '立陶宛语',
        'lg': '卢干达语*',
        'lb': '卢森堡语',
        'mk': '马其顿语',
        'mai': '迈蒂利语*',
        'mg': '马尔加什语',
        'ms': '马来语',
        'ml': '马拉雅拉姆文',
        'mt': '马耳他语',
        'mi': '毛利语',
        'mr': '马拉地语',
        'mni-Mtei': '梅泰语（曼尼普尔语）*',
        'mni-lus': '米佐语*',
        'mn': '蒙古文',
        'my': '缅甸语',
        'ne': '尼泊尔语',
        'no': '挪威语',
        'ny': '尼杨扎语（齐切瓦语）',
        'or': '奥里亚语（奥里亚）',
        'om': '奥罗莫语*',
        'ps': '普什图语',
        'fa': '波斯语',
        'pl': '波兰语',
        'pt': '葡萄牙语（葡萄牙、巴西）',
        'pa': '旁遮普语',
        'qu': '克丘亚语*',
        'ro': '罗马尼亚语',
        'sm': '萨摩亚语',
        'sa': '梵语*',
        'gd': '苏格兰盖尔语',
        'nso': '塞佩蒂语*',
        'sr': '塞尔维亚语',
        'st': '塞索托语',
        'sn': '修纳语',
        'sd': '信德语',
        'si': '僧伽罗语',
        'sk': '斯洛伐克语',
        'sl': '斯洛文尼亚语',
        'so': '索马里语',
        'es': '西班牙语',
        'su': '巽他语',
        'sw': '斯瓦希里语',
        'sv': '瑞典语',
        'tl': '塔加路语（菲律宾语）',
        'tg': '塔吉克语',
        'ta': '泰米尔语',
        'tt': '鞑靼语',
        'te': '泰卢固语',
        'th': '泰语',
        'ti': '蒂格尼亚语*',
        'ts': '宗加语*',
        'tr': '土耳其语',
        'tk': '土库曼语',
        'ak': '契维语（阿坎语）*',
        'uk': '乌克兰语',
        'ur': '乌尔都语',
        'ug': '维吾尔语',
        'uz': '乌兹别克语',
        'cy': '威尔士语',
        'xh': '班图语',
        'yi': '意第绪语',
        'yo': '约鲁巴语',
        'zu': '祖鲁语'
    }
};
