import React, { ComponentProps } from 'react';
import { DatePicker } from 'udesk-ui';
import FieldErrAndExplain from '@udesk-webapp/custom-field-error-explain';
import { useValid } from '@udesk-webapp/custom-field-input-base';
declare type IDate = Omit<ComponentProps<typeof DatePicker>, 'onChange' | 'onBlur' | 'value'> & Omit<ComponentProps<typeof FieldErrAndExplain>, 'errMsg'> & {
    trigger: 'onChange' | 'onBlur';
    value?: any;
    switchFlag?: boolean;
    language: string;
    blurToSave?: boolean;
    onChange?: (data: any) => void;
    onBlur?: (data: any) => void;
    customValidPromise?: Parameters<typeof useValid>[0]['customValidPromise'];
};
declare const Date: React.FC<IDate>;
export default Date;
