import React, { ComponentProps } from 'react';
import { DatePicker } from 'udesk-ui';
import FieldErrAndExplain from '@udesk-webapp/custom-field-error-explain';
import CopyComponent from '@udesk-webapp/copy-content';
declare type IDatetime = Omit<ComponentProps<typeof DatePicker>, 'onChange' | 'onBlur'> & Omit<ComponentProps<typeof FieldErrAndExplain>, 'errMsg'> & ComponentProps<typeof CopyComponent> & {
    trigger: 'onChange' | 'onBlur';
    customValidPromise?: (value: string) => Promise<any>;
    convertPropsFn?: any;
    onChange?: (data: any) => void;
    onBlur?: (data: any) => void;
    notUseDefault?: Boolean;
    value?: any;
    language: string;
    showTime: boolean | object;
    blurToSave?: boolean;
    needTransfer?: boolean;
};
declare const DateTime: React.FC<IDatetime>;
export default DateTime;
