import React, { ComponentProps } from 'react';
import { Select } from 'udesk-ui';
declare type Props = Omit<ComponentProps<typeof Select>, 'onChange' | 'filterOption' | 'defaultValue'> & {
    agentGroups: {
        id: number;
        name: string;
    }[];
    onChange?: (v: string) => void;
};
declare const AgentGroupsField: React.FC<Props>;
export default AgentGroupsField;
