import React from 'react';
import ClassNames from 'classnames';
import style from './index.module.scss';
var FieldCommon = function (props) { return (React.createElement(React.Fragment, null,
    props.children,
    props.errMsg && !props.isFormItem && (React.createElement("div", { className: ClassNames('err-text', style['err-text']) }, props.errMsg)),
    props.explain && props.explainShow && (React.createElement("div", { className: ClassNames('explain-rich', style['explain-rich']), dangerouslySetInnerHTML: { __html: props.explain } })))); };
export default FieldCommon;
