import { __assign, __rest } from "tslib";
// @ts-nocheck
import React from 'react';
import OldCascader from './old';
import NewCascader from './cascader';
/**
 * 级联组件
 * @param props
 * @param props.viewType   0 代表老级联  1 代表新级联(antd)
 */
var ChainedDroplist = function (_a) {
    var viewType = _a.viewType, props = __rest(_a, ["viewType"]);
    return viewType === 0 ? React.createElement(OldCascader, __assign({}, props)) : React.createElement(NewCascader, __assign({}, props));
};
export default ChainedDroplist;
