import React from 'react';
import type { FormInstance } from 'antd/es/form';
import type { ProTableTypes } from '../Table';
import type { SearchConfig } from './index';
export interface FormOptionProps {
    searchConfig: SearchConfig;
    type?: ProTableTypes;
    form: FormInstance;
    submit: () => void;
    collapse: boolean;
    setCollapse: (collapse: boolean) => void;
    showCollapseButton: boolean;
    onReset?: () => void;
}
/**
 * FormFooter 的组件，可以自动进行一些配置
 * @param props
 */
declare const FormOption: React.FC<FormOptionProps>;
export default FormOption;
