"use strict";

function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _toNumber = _interopRequireDefault(require("lodash-es/toNumber"));

var _util = require("./util");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }

function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }

var Percent = function Percent(_ref) {
  var value = _ref.value,
      prefix = _ref.prefix,
      precision = _ref.precision,
      showSymbol = _ref.showSymbol,
      _ref$suffix = _ref.suffix,
      suffix = _ref$suffix === void 0 ? '%' : _ref$suffix,
      _ref$showColor = _ref.showColor,
      showColor = _ref$showColor === void 0 ? false : _ref$showColor;
  var realValue = (0, _react.useMemo)(function () {
    return typeof value === 'string' && value.includes('%') ? (0, _toNumber["default"])(value.replace('%', '')) : (0, _toNumber["default"])(value);
  }, [value]);
  /** 颜色有待确定, 根据提供 colors: ['正', '负'] | boolean */

  var style = showColor ? {
    color: (0, _util.getColorByRealValue)(realValue)
  } : {};
  return /*#__PURE__*/_react["default"].createElement("span", {
    style: style
  }, prefix && /*#__PURE__*/_react["default"].createElement("span", null, prefix), showSymbol && /*#__PURE__*/_react["default"].createElement(_react.Fragment, null, (0, _util.getSymbolByRealValue)(realValue), "\xA0"), (0, _util.getRealTextWithPrecision)(realValue, precision), suffix && suffix);
};

var _default = exports["default"] = Percent;
//# sourceMappingURL=index.js.map
