export interface HandleValidInterface {
    value: any;
    isFormItem?: boolean;
    changeFunction?: (value: any) => void;
}
export interface OptionInterface {
    customValidPromise?: (value: any) => Promise<any>;
    onSuccess?: (result: any) => void;
    onError?: (error: Error) => void;
}
export default function useValid(options: OptionInterface): (options: HandleValidInterface) => void;
