import EventedClass from '../evented-class';
declare type Options = {
    versionPath: string;
    intervalSeconds?: number;
};
declare class VersionFileMonitorClass extends EventedClass {
    #private;
    options: Options;
    constructor(options: Options);
    start(): void;
    reset(): void;
    stop(): void;
    changeInterval(interval: number): void;
    destroy(): void;
    version(): string | undefined;
}
export default VersionFileMonitorClass;
