#!/usr/bin/env node

const fs = require('fs');
const path = require('path');
const shell = require('shelljs');

const basePath = path.join(path.dirname(require.resolve(`../package.json`)), "uni_modules");
const prefix = "udesk-";

let dirs = fs.readdirSync(basePath);
dirs.forEach((name) => {
    if (name.startsWith(prefix)) {
        shell.ln("-sf", `${basePath}/${name}`, path.join(basePath, "../../../", `uni_modules/${name}`));
        console.log(`uni_modules/${name} 安装成功`);
    }
});
