import LocalesManagerClass from 'udesk-web-toolkits/src/udesk/locales/locales-manager';
import reactUdeskLocales from '../../udesk/locales';
import toolkitUdeskLocales from 'udesk-web-toolkits/src/udesk/locales';
import Chinese from './zh-cn';

const localesStore = {
    "ZH-CN": Chinese,
};

class ReactLocalesManagerClass extends LocalesManagerClass {
    
}

let localesManager = new ReactLocalesManagerClass(localesStore, "ZH-CN");
localesManager.merge(reactUdeskLocales, toolkitUdeskLocales);

export default localesManager;