import React from 'react';
import Udesk from '../udesk';
import DemoLocalesLocales from '../locales';

Udesk.react.context.defaults.options.localesManager = DemoLocalesLocales;

class UdeskReactDemo extends React.Component {
    state = {
        context: Udesk.react.context.defaults,
    }

    componentDidMount() {
        this.state.context.on("changed", (context) => {
            this.setState({
                context: context
            });
        });
    }

    actions = {
        changeLanguage(e) {
            let language = e.target.value;
            this.state.context.updateProps({
                language: language
            });
        }
    }
}

UdeskReactDemo.propTypes = {
};

UdeskReactDemo.defaultProps = {
};

export default UdeskReactDemo;