import styled from 'styled-components';

interface PageContentProps {
  prefixCls: string;
  ghostPage?: boolean;
  padding: number;
}

const PageContent = styled.div<PageContentProps>`
  color: rgba(0, 0, 0, 0.85);
  padding: 16px;
  margin: 0 16px 0;
  flex: 1;
  ${(props) => `background-color: ${props.ghostPage ? 'transparent' : '#fff'};`}
  ${(props) => `padding: ${props.padding}px;`}
`;

export { PageContent };
