import React from 'react';
import OldCascader from './old';
import NewCascader from './cascader';


/**
 * 级联组件
 * @param props
 * props.view_type   1 代表老级联  2 代表新级联(antd)
 */
const ChainedRroplist: React.FC<any> = (props) => {
    return <React.Fragment>
        {
            props.viewType === 0 ? (
                <OldCascader switchFlag={props.switchFlag} {...props} />
            ) : (
                <NewCascader switchFlag={props.switchFlag}  {...props} />
            )
        }
    </React.Fragment>
}

export default ChainedRroplist;
