import React from 'react';
import PropTypes from 'prop-types';
import Udesk from '../../udesk/index';
import { BubbleLoader } from 'react-css-loaders';

const defaultOptions = {
    loadingColor: "#BEC2C1",
    loadingSize: 12,
    loadingDuration: 1.4,
};

class CustomBubbleLoader extends React.Component {
    privates = {

    }

    static computes = {
        _color: function ({ props, state, privates, locales }) {
            let {
                loadingColor
            } = props;
            return loadingColor || defaultOptions.loadingColor;
        },
        _duration: function ({ props, state, privates, locales }) {
            let {
                loadingDuration
            } = props;
            return loadingDuration || defaultOptions.loadingDuration;
        },
        _size: function ({ props, state, privates, locales }) {
            let {
                loadingSize
            } = props;
            return loadingSize || defaultOptions.loadingSize;
        },
    }

    render() {
        let {
            privates: { computes },
        } = this;

        return (
            <BubbleLoader color={computes._color} duration={computes._duration} size={computes._size} />
        );
    }
}

CustomBubbleLoader.propTypes = {
    loadingColor: PropTypes.string,
    loadingSize: PropTypes.number,
    loadingDuration: PropTypes.number,
};

CustomBubbleLoader.defaultProps = {
    loadingColor: "#BEC2C1",
    loadingSize: 12,
    loadingDuration: 1.4,
};

export default Udesk.react.udeskify(CustomBubbleLoader);