import React from 'react';

import wwdStlye from './style.module.scss'
import { QuestionCircleOutlined } from '@ant-design/icons';
interface WarningProps {
    warningText: string
}
function Field_warning(props: WarningProps) {

    const warning = (
        <div className={wwdStlye['warning-wrapper']}>
            <QuestionCircleOutlined />
            {props.warningText}
        </div>
    )
    return <>
        {props.warningText && warning}
    </>
}

export default Field_warning;