import React from 'react';
import * as fieldItemComponents from '../_fields/index';

interface FieldTypeComponentProps extends IAnyField {
    isFormItem: boolean
    switchFlag?:boolean
    agents?: IAgent[]
}
const FieldTypeComponent: React.FC<FieldTypeComponentProps> = (props) => {
    const Component = fieldItemComponents[props.type];
    // const Component = fieldItemComponents[props.type];
    return (
        <Component {...props} />
    )
}

export default FieldTypeComponent;
