let dataSources = {
    /*jshint camelcase:false*/
    provinces() {
        return [{ "id": 1, "name": "北京市" }, { "id": 20, "name": "天津市" }, { "id": 39, "name": "河北省" }, { "id": 233, "name": "山西省" }, { "id": 375, "name": "内蒙古自治区" }, { "id": 499, "name": "辽宁省" }, { "id": 628, "name": "吉林省" }, { "id": 706, "name": "黑龙江省" }, { "id": 860, "name": "上海市" }, { "id": 880, "name": "江苏省" }, { "id": 1006, "name": "浙江省" }, { "id": 1119, "name": "安徽省" }, { "id": 1257, "name": "福建省" }, { "id": 1361, "name": "江西省" }, { "id": 1484, "name": "山东省" }, { "id": 1656, "name": "河南省" }, { "id": 1851, "name": "湖北省" }, { "id": 1981, "name": "湖南省" }, { "id": 2131, "name": "广东省" }, { "id": 2292, "name": "广西壮族自治区" }, { "id": 2431, "name": "海南省" }, { "id": 2462, "name": "重庆市" }, { "id": 2503, "name": "四川省" }, { "id": 2726, "name": "贵州省" }, { "id": 2829, "name": "云南省" }, { "id": 2983, "name": "西藏自治区" }, { "id": 3066, "name": "陕西省" }, { "id": 3194, "name": "甘肃省" }, { "id": 3307, "name": "青海省" }, { "id": 3360, "name": "宁夏回族自治区" }, { "id": 3393, "name": "新疆维吾尔自治区" }, { "id": 3510, "name": "台湾省" }, { "id": 3511, "name": "香港特别行政区" }, { "id": 3512, "name": "澳门特别行政区" }];
    },
    departments() {
        return [{ "id": 5, "name": "udesk测试总公司", "intentName": "udesk测试总公司" }, { "id": 6, "name": "北京分公司", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;北京分公司" }, { "id": 130, "name": "销售A组", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;销售A组" }, { "id": 7, "name": "金融一组", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;金融一组" }, { "id": 183, "name": "济南分公司", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;济南分公司" }, { "id": 187, "name": "小分公司", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;小分公司" }, { "id": 203, "name": "南京分公司", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;南京分公司" }, { "id": 8, "name": "上海分公司", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;上海分公司" }, { "id": 51, "name": "销售二部", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;销售二部" }, { "id": 57, "name": "一组", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;一组" }, { "id": 205, "name": "孙尚香", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;孙尚香" }, { "id": 206, "name": "试试", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;试试" }, { "id": 184, "name": "销售小A", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;销售小A" }, { "id": 9, "name": "上海杭州分公司", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;上海杭州分公司" }, { "id": 207, "name": "东方明珠", "intentName": "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;东方明珠" }];
    },
    followStatus() {
        return [{ "id": 11, "name": "未跟进" }, { "id": 1, "name": "跟进中-未联系上" }, { "id": 2, "name": "跟进中-有需求" }, { "id": 3, "name": "不跟进-联系不上" }, { "id": 4, "name": "不跟进-完全无需求" }, { "id": 5, "name": "不跟进-价格不匹配" }, { "id": 6, "name": "不跟进-功能不匹配" }, { "id": 7, "name": "不跟进-重复线索" }, { "id": 8, "name": "不跟进-竞争" }, { "id": 9, "name": "不跟进-输单" }, { "id": 10, "name": "不跟进-内部测试" }];
    },
    leadHighSeaList() {
        return [{ "id": 71, "name": "线索默认公海" }, { "id": 72, "name": "上海线索公海" }, { "id": 73, "name": "北京线索公海" }, { "id": 74, "name": "济南线索公海" }, { "id": 75, "name": "广州线索公海" }, { "id": 83, "name": "测试冻结公海" }, { "id": 84, "name": "123" }, { "id": 85, "name": "共享数据公海" }, { "id": 86, "name": "公海已领取数据共享" }];
    },
    leadsHighSeaStatus() {
        return [{ "id": 1, "name": "未领取" }, { "id": 2, "name": "已领取" }, { "id": 3, "name": "已转化" }, { "id": 4, "name": "自建" }, { "id": 5, "name": "已签约" }, { "id": 6, "name": "已冻结" }, { "id": 7, "name": "已废弃" }];
    },
    persons() {
        return [{ "id": 1, "name": "张三" }, { "id": 2, "name": "李四" }, { "id": 3, "name": "王五" }];
    },
};

export default dataSources;
