import React from 'react';
import Udesk from "../../../../udesk/index";
import CustomUiGrid from '../custom-ui';
import WidgetTypeDragWrapper from "../widget-type-drag-wrapper";
import "./index.css";
import "../style/index.css";

class CustomUiGridDemo extends React.Component {


    static propTypes = {
        
    }

    static defaultProps = {
        
    }
    actions = {
        
    }

    render() {
        return (
            <div className="custom-ui-grid-demo">
                <div className="custom-ui-grid-demo-header">
                    <WidgetTypeDragWrapper widgetType="test">
                        test
                    </WidgetTypeDragWrapper>
                </div>
                <div className="custom-ui-grid-demo-content">
                    <CustomUiGrid
                        defaultAddWidgetWidth={3}
                        defaultAddWidgetMinWidth={3}
                        gridRowHeight={330}
                        gridMargin={[15, 15]}
                    />
                </div>
            </div>
        );
    }
}

export default Udesk.react.udeskify(CustomUiGridDemo);