import React from 'react';

class WidgetConfigBaseClass extends React.Component {

    validate() {
        return {
            isValid: true,
            messages: []
        };
    }

    "[actions]"() {
        return {
            onWidgetConfigChanged(config) {
                let widget = this.props.widget;
                let params = {
                    config: config,
                    id: widget ? widget.instance.id : null
                };
                if (this.props.onWidgetConfigChanged) {
                    this.props.onWidgetConfigChanged(params);
                }
            }
        };
    }
}

export default WidgetConfigBaseClass;