import React from 'react';
import Udesk from '../../udesk/index';
import DragTable from './index';

class DragTableDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            columns: [{
                name: "name",
                caption: "name"
            }, {
                name: "status",
                caption: "status",
                get(item, col) {
                    return "hhhh";
                }
            }],
            data: [{
                name: 11111,
                status: 0
            }, {
                name: 22222,
                status: 0
            }, {
                name: 333333,
                status: 0
            }],
            isDraggable: false
        };
    }

    actions = {
        onChanged(data) {
            this.setState({
                data
            });
        },
        toggleSsDraggable() { 
            this.setState({
                isDraggable: !this.state.isDraggable
            });
        }
    }

    render() {
        let {
            columns,
            data,
            isDraggable
        } = this.state;
        return (
            <div>
                <h4>drag-table</h4>
                <button onClick={this.actions.toggleSsDraggable}>sort</button>
                <DragTable columns={columns} items={data} onChanged={this.actions.onChanged} isDraggable={isDraggable} />
            </div>
        );
    }
}

DragTableDemo.propTypes = {
};

DragTableDemo.defaultProps = {
};

export default Udesk.react.udeskify(DragTableDemo);