/*
数据结构实例：
   "header": {
        "dimensions": [{
            "fieldKey": "type",
            "fieldTitle": "分组",
            "dataType": "string",
            "group": null,
            "expression": null
        }],
        "indicators": [{
            "fieldKey": "count",
            "fieldTitle": "数量",
            "dataType": "integer",
            "group": null,
            "expression": null
        }],
        "tooltips": []
    },
    "rows": [
        {
            "type": "B级（一般）",
            "count": "35",
            "type_original": "B级（一般）",
            "count_original": 35
        }
    ],
*/

//#region
const demoLineData = {
    "header": {
        "dimensions": [{
            "fieldKey": "crm_cc_monitor_call_trend_day__stat_at",
            "fieldTitle": "时间",
            "dataType": "date_hour",
            "group": "ignore",
            "expression": null
        }],
        "indicators": [{
            "fieldKey": "crm_cc_monitor_call_trend_day__call_total_count",
            "fieldTitle": "呼出数",
            "dataType": "integer",
            "group": null,
            "expression": null
        }, {
            "fieldKey": "crm_cc_monitor_call_trend_day__call_answered_count",
            "fieldTitle": "呼出接通数",
            "dataType": "integer",
            "group": null,
            "expression": null
        }],
        "tooltips": []
    },
    "rows": [{
        "crm_cc_monitor_call_trend_day__stat_at": "2019-01-27",
        "crm_cc_monitor_call_trend_day__call_answered_count": "6",
        "crm_cc_monitor_call_trend_day__call_total_count": "6",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-01-27",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 6,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 6
    }, {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-01-28",
        "crm_cc_monitor_call_trend_day__call_answered_count": "19",
        "crm_cc_monitor_call_trend_day__call_total_count": "19",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-01-28",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 19,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 19
    }, {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-01-29",
        "crm_cc_monitor_call_trend_day__call_answered_count": "11",
        "crm_cc_monitor_call_trend_day__call_total_count": "11",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-01-29",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 11,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 11
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-01-30",
        "crm_cc_monitor_call_trend_day__call_answered_count": "7",
        "crm_cc_monitor_call_trend_day__call_total_count": "7",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-01-30",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 7,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 7
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-01-31",
        "crm_cc_monitor_call_trend_day__call_answered_count": "1",
        "crm_cc_monitor_call_trend_day__call_total_count": "1",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-01-31",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 1,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 1
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-01",
        "crm_cc_monitor_call_trend_day__call_answered_count": "1",
        "crm_cc_monitor_call_trend_day__call_total_count": "3",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-01",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 3,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 1
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-02",
        "crm_cc_monitor_call_trend_day__call_answered_count": "10",
        "crm_cc_monitor_call_trend_day__call_total_count": "10",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-02",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 10,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 10
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-03",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-03",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-04",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-04",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-05",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-05",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-06",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-06",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-07",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-07",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-08",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-08",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-09",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-09",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-10",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-10",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-11",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-11",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-12",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-12",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-13",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-13",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-14",
        "crm_cc_monitor_call_trend_day__call_answered_count": "1",
        "crm_cc_monitor_call_trend_day__call_total_count": "1",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-14",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 1,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 1
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-15",
        "crm_cc_monitor_call_trend_day__call_answered_count": "5",
        "crm_cc_monitor_call_trend_day__call_total_count": "5",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-15",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 5,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 5
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-16",
        "crm_cc_monitor_call_trend_day__call_answered_count": "10",
        "crm_cc_monitor_call_trend_day__call_total_count": "10",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-16",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 10,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 10
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-17",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-17",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-18",
        "crm_cc_monitor_call_trend_day__call_answered_count": "5",
        "crm_cc_monitor_call_trend_day__call_total_count": "5",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-18",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 5,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 5
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-19",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-19",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-20",
        "crm_cc_monitor_call_trend_day__call_answered_count": "3",
        "crm_cc_monitor_call_trend_day__call_total_count": "4",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-20",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 4,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 3
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-21",
        "crm_cc_monitor_call_trend_day__call_answered_count": "11",
        "crm_cc_monitor_call_trend_day__call_total_count": "12",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-21",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 12,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 11
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-22",
        "crm_cc_monitor_call_trend_day__call_answered_count": "9",
        "crm_cc_monitor_call_trend_day__call_total_count": "10",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-22",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 10,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 9
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-23",
        "crm_cc_monitor_call_trend_day__call_answered_count": "1",
        "crm_cc_monitor_call_trend_day__call_total_count": "2",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-23",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 2,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 1
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-24",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-24",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-25",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-25",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-26",
        "crm_cc_monitor_call_trend_day__call_answered_count": "11",
        "crm_cc_monitor_call_trend_day__call_total_count": "12",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-26",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 12,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 11
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-27",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-27",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-02-28",
        "crm_cc_monitor_call_trend_day__call_answered_count": "1",
        "crm_cc_monitor_call_trend_day__call_total_count": "5",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-02-28",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 5,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 1
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-01",
        "crm_cc_monitor_call_trend_day__call_answered_count": "7",
        "crm_cc_monitor_call_trend_day__call_total_count": "7",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-01",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 7,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 7
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-02",
        "crm_cc_monitor_call_trend_day__call_answered_count": "3",
        "crm_cc_monitor_call_trend_day__call_total_count": "3",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-02",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 3,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 3
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-03",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-03",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-04",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-04",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-05",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-05",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-06",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-06",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-07",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-07",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-08",
        "crm_cc_monitor_call_trend_day__call_answered_count": "4",
        "crm_cc_monitor_call_trend_day__call_total_count": "4",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-08",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 4,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 4
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-09",
        "crm_cc_monitor_call_trend_day__call_answered_count": "1",
        "crm_cc_monitor_call_trend_day__call_total_count": "1",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-09",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 1,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 1
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-10",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-10",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-11",
        "crm_cc_monitor_call_trend_day__call_answered_count": "2",
        "crm_cc_monitor_call_trend_day__call_total_count": "3",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-11",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 3,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 2
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-12",
        "crm_cc_monitor_call_trend_day__call_answered_count": "2",
        "crm_cc_monitor_call_trend_day__call_total_count": "30",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-12",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 30,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 2
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-13",
        "crm_cc_monitor_call_trend_day__call_answered_count": "7",
        "crm_cc_monitor_call_trend_day__call_total_count": "58",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-13",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 58,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 7
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-14",
        "crm_cc_monitor_call_trend_day__call_answered_count": "17",
        "crm_cc_monitor_call_trend_day__call_total_count": "142",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-14",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 142,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 17
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-15",
        "crm_cc_monitor_call_trend_day__call_answered_count": "11",
        "crm_cc_monitor_call_trend_day__call_total_count": "37",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-15",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 37,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 11
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-16",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "19",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-16",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 19,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 0
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-17",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "6",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-17",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 6,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 0
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-18",
        "crm_cc_monitor_call_trend_day__call_answered_count": "13",
        "crm_cc_monitor_call_trend_day__call_total_count": "54",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-18",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 54,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 13
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-19",
        "crm_cc_monitor_call_trend_day__call_answered_count": "3",
        "crm_cc_monitor_call_trend_day__call_total_count": "18",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-19",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 18,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 3
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-20",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "3",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-20",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 3,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 0
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-21",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-21",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-22",
        "crm_cc_monitor_call_trend_day__call_answered_count": "6",
        "crm_cc_monitor_call_trend_day__call_total_count": "23",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-22",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 23,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 6
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-23",
        "crm_cc_monitor_call_trend_day__call_answered_count": "2",
        "crm_cc_monitor_call_trend_day__call_total_count": "2",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-23",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 2,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 2
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-24",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-24",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-25",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-25",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-26",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-26",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-27",
        "crm_cc_monitor_call_trend_day__call_answered_count": "8",
        "crm_cc_monitor_call_trend_day__call_total_count": "9",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-27",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 9,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 8
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-28",
        "crm_cc_monitor_call_trend_day__call_answered_count": "20",
        "crm_cc_monitor_call_trend_day__call_total_count": "22",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-28",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 22,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 20
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-29",
        "crm_cc_monitor_call_trend_day__call_answered_count": "3",
        "crm_cc_monitor_call_trend_day__call_total_count": "3",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-29",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 3,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 3
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-30",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-30",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-03-31",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-03-31",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-01",
        "crm_cc_monitor_call_trend_day__call_answered_count": "25",
        "crm_cc_monitor_call_trend_day__call_total_count": "35",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-01",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 35,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 25
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-02",
        "crm_cc_monitor_call_trend_day__call_answered_count": "11",
        "crm_cc_monitor_call_trend_day__call_total_count": "15",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-02",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 15,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 11
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-03",
        "crm_cc_monitor_call_trend_day__call_answered_count": "17",
        "crm_cc_monitor_call_trend_day__call_total_count": "17",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-03",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 17,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 17
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-04",
        "crm_cc_monitor_call_trend_day__call_answered_count": "3",
        "crm_cc_monitor_call_trend_day__call_total_count": "3",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-04",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 3,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 3
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-05",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-05",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-06",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-06",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-07",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-07",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-08",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-08",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-09",
        "crm_cc_monitor_call_trend_day__call_answered_count": "2",
        "crm_cc_monitor_call_trend_day__call_total_count": "2",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-09",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 2,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 2
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-10",
        "crm_cc_monitor_call_trend_day__call_answered_count": "17",
        "crm_cc_monitor_call_trend_day__call_total_count": "27",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-10",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 27,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 17
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-11",
        "crm_cc_monitor_call_trend_day__call_answered_count": "3",
        "crm_cc_monitor_call_trend_day__call_total_count": "33",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-11",
        "crm_cc_monitor_call_trend_day__call_total_count_original": 33,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": 3
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-12",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-12",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-13",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-13",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-14",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-14",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-15",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-15",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-16",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-16",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-17",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-17",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-18",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-18",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-19",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-19",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-20",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-20",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-21",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-21",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-22",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-22",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-23",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-23",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-24",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-24",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-25",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-25",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    },
    {
        "crm_cc_monitor_call_trend_day__stat_at": "2019-04-26",
        "crm_cc_monitor_call_trend_day__call_answered_count": "0",
        "crm_cc_monitor_call_trend_day__call_total_count": "0",
        "crm_cc_monitor_call_trend_day__stat_at_original": "2019-04-26",
        "crm_cc_monitor_call_trend_day__call_total_count_original": null,
        "crm_cc_monitor_call_trend_day__call_answered_count_original": null
    }
    ],
    "info": {
        "title": "趋势",
        "noConfig": false,
        "multilevelHeader": false
    }
};
const pieData = {
    "header": {
        "dimensions": [
            {
                "fieldKey": "type",
                "fieldTitle": "分组",
                "dataType": "string",
                "group": null,
                "expression": null
            }
        ],
        "indicators": [
            {
                "fieldKey": "count",
                "fieldTitle": "数量",
                "dataType": "integer",
                "group": null,
                "expression": null
            }
        ],
        "tooltips": [

        ]
    },
    "rows": [
        {
            "type": "B级（一般）",
            "count": "35",
            "type_original": "B级（一般）",
            "count_original": 35
        },
        {
            "type": "3",
            "count": "1",
            "type_original": "3",
            "count_original": 1
        },
        {
            "type": "A级（较强）",
            "count": "65",
            "type_original": "A级（较强）",
            "count_original": 65
        },
        {
            "type": "D级（无）",
            "count": "11",
            "type_original": "D级（无）",
            "count_original": 11
        },
        {
            "type": "无",
            "count": "64",
            "type_original": "无",
            "count_original": 64
        },
        {
            "type": "C级（较低）",
            "count": "3",
            "type_original": "C级（较低）",
            "count_original": 3
        },
        {
            "type": null,
            "count": "413",
            "type_original": null,
            "count_original": 413
        }
    ],
    "info": {
        "title": "客户意向等级",
        "noConfig": false,
        "multilevelHeader": false
    }
};
const gaugeData = {
    "header": {
        "dimensions": [{
            "fieldKey": "type",
            "fieldTitle": "分组",
            "dataType": "string",
            "group": null,
            "expression": null
        }],
        "indicators": [{
            "fieldKey": "count",
            "fieldTitle": "数量",
            "dataType": "integer",
            "group": null,
            "expression": null
        }],
        "tooltips": []
    },
    "rows": [
        {
            "type": "B级（一般）",
            "count": "35",
            "type_original": "B级（一般）",
            "count_original": 35
        }
    ],
    "info": {
        "title": "客户意向等级",
        "noConfig": false,
        "multilevelHeader": false
    }
};
const wordCloudData = {
    "header": {
        "dimensions": [
            {
                "fieldKey": "keyword",
                "fieldTitle": "关键词",
                "dataType": "string",
                "group": null,
                "expression": null
            }
        ],
        "indicators": [
            {
                "fieldKey": "keyword_freq",
                "fieldTitle": "关键词次数",
                "dataType": "integer",
                "group": null,
                "expression": null
            }
        ],
        "tooltips": [

        ]
    },
    "rows": [
        {
            "keyword": "消息",
            "keyword_freq": "199",
            "keyword_original": "消息",
            "keyword_freq_original": 199
        },
        {
            "keyword": "测试",
            "keyword_freq": "133",
            "keyword_original": "测试",
            "keyword_freq_original": 133
        },
        {
            "keyword": "客服",
            "keyword_freq": "118",
            "keyword_original": "客服",
            "keyword_freq_original": 118
        },
        {
            "keyword": "客户",
            "keyword_freq": "98",
            "keyword_original": "客户",
            "keyword_freq_original": 98
        },
        {
            "keyword": "手机",
            "keyword_freq": "81",
            "keyword_original": "手机",
            "keyword_freq_original": 81
        },
        {
            "keyword": "ces",
            "keyword_freq": "33",
            "keyword_original": "ces",
            "keyword_freq_original": 33
        },
        {
            "keyword": "电脑",
            "keyword_freq": "33",
            "keyword_original": "电脑",
            "keyword_freq_original": 33
        },
        {
            "keyword": "问题",
            "keyword_freq": "15",
            "keyword_original": "问题",
            "keyword_freq_original": 15
        },
        {
            "keyword": "垃圾",
            "keyword_freq": "14",
            "keyword_original": "垃圾",
            "keyword_freq_original": 14
        },
        {
            "keyword": "小号",
            "keyword_freq": "11",
            "keyword_original": "小号",
            "keyword_freq_original": 11
        },
        {
            "keyword": "ceshi",
            "keyword_freq": "11",
            "keyword_original": "ceshi",
            "keyword_freq_original": 11
        },
        {
            "keyword": "尼玛",
            "keyword_freq": "10",
            "keyword_original": "尼玛",
            "keyword_freq_original": 10
        },
        {
            "keyword": "qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",
            "keyword_freq": "9",
            "keyword_original": "qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",
            "keyword_freq_original": 9
        },
        {
            "keyword": "曹",
            "keyword_freq": "9",
            "keyword_original": "曹",
            "keyword_freq_original": 9
        },
        {
            "keyword": "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee",
            "keyword_freq": "8",
            "keyword_original": "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee",
            "keyword_freq_original": 8
        },
        {
            "keyword": "无",
            "keyword_freq": "8",
            "keyword_original": "无",
            "keyword_freq_original": 8
        },
        {
            "keyword": "对话",
            "keyword_freq": "8",
            "keyword_original": "对话",
            "keyword_freq_original": 8
        },
        {
            "keyword": "kefu",
            "keyword_freq": "8",
            "keyword_original": "kefu",
            "keyword_freq_original": 8
        },
        {
            "keyword": "邀请",
            "keyword_freq": "8",
            "keyword_original": "邀请",
            "keyword_freq_original": 8
        },
        {
            "keyword": "im",
            "keyword_freq": "7",
            "keyword_original": "im",
            "keyword_freq_original": 7
        },
        {
            "keyword": "fds",
            "keyword_freq": "7",
            "keyword_original": "fds",
            "keyword_freq_original": 7
        },
        {
            "keyword": "主号",
            "keyword_freq": "7",
            "keyword_original": "主号",
            "keyword_freq_original": 7
        },
        {
            "keyword": "client",
            "keyword_freq": "7",
            "keyword_original": "client",
            "keyword_freq_original": 7
        },
        {
            "keyword": "qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",
            "keyword_freq": "6",
            "keyword_original": "qqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqqq",
            "keyword_freq_original": 6
        },
        {
            "keyword": "Udesk",
            "keyword_freq": "6",
            "keyword_original": "Udesk",
            "keyword_freq_original": 6
        },
        {
            "keyword": "dsf",
            "keyword_freq": "6",
            "keyword_original": "dsf",
            "keyword_freq_original": 6
        },
        {
            "keyword": "好消息",
            "keyword_freq": "5",
            "keyword_original": "好消息",
            "keyword_freq_original": 5
        },
        {
            "keyword": "点",
            "keyword_freq": "5",
            "keyword_original": "点",
            "keyword_freq_original": 5
        },
        {
            "keyword": "f",
            "keyword_freq": "5",
            "keyword_original": "f",
            "keyword_freq_original": 5
        },
        {
            "keyword": "fsd",
            "keyword_freq": "5",
            "keyword_original": "fsd",
            "keyword_freq_original": 5
        },
        {
            "keyword": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
            "keyword_freq": "5",
            "keyword_original": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
            "keyword_freq_original": 5
        },
        {
            "keyword": "变态",
            "keyword_freq": "5",
            "keyword_original": "变态",
            "keyword_freq_original": 5
        },
        {
            "keyword": "brazil0326",
            "keyword_freq": "4",
            "keyword_original": "brazil0326",
            "keyword_freq_original": 4
        },
        {
            "keyword": "高兴",
            "keyword_freq": "4",
            "keyword_original": "高兴",
            "keyword_freq_original": 4
        },
        {
            "keyword": "shiwo",
            "keyword_freq": "4",
            "keyword_original": "shiwo",
            "keyword_freq_original": 4
        },
        {
            "keyword": "test",
            "keyword_freq": "4",
            "keyword_original": "test",
            "keyword_freq_original": 4
        },
        {
            "keyword": "不会",
            "keyword_freq": "4",
            "keyword_original": "不会",
            "keyword_freq_original": 4
        },
        {
            "keyword": "描述",
            "keyword_freq": "4",
            "keyword_original": "描述",
            "keyword_freq_original": 4
        },
        {
            "keyword": "发",
            "keyword_freq": "4",
            "keyword_original": "发",
            "keyword_freq_original": 4
        },
        {
            "keyword": "会不会",
            "keyword_freq": "4",
            "keyword_original": "会不会",
            "keyword_freq_original": 4
        },
        {
            "keyword": "违法",
            "keyword_freq": "4",
            "keyword_original": "违法",
            "keyword_freq_original": 4
        },
        {
            "keyword": "备注",
            "keyword_freq": "4",
            "keyword_original": "备注",
            "keyword_freq_original": 4
        },
        {
            "keyword": "udeskt1",
            "keyword_freq": "4",
            "keyword_original": "udeskt1",
            "keyword_freq_original": 4
        },
        {
            "keyword": "协助",
            "keyword_freq": "4",
            "keyword_original": "协助",
            "keyword_freq_original": 4
        },
        {
            "keyword": "udesk",
            "keyword_freq": "4",
            "keyword_original": "udesk",
            "keyword_freq_original": 4
        },
        {
            "keyword": "linapp",
            "keyword_freq": "4",
            "keyword_original": "linapp",
            "keyword_freq_original": 4
        },
        {
            "keyword": "转接",
            "keyword_freq": "4",
            "keyword_original": "转接",
            "keyword_freq_original": 4
        },
        {
            "keyword": "sfd",
            "keyword_freq": "4",
            "keyword_original": "sfd",
            "keyword_freq_original": 4
        },
        {
            "keyword": "xiaoxi",
            "keyword_freq": "4",
            "keyword_original": "xiaoxi",
            "keyword_freq_original": 4
        },
        {
            "keyword": "滚蛋",
            "keyword_freq": "4",
            "keyword_original": "滚蛋",
            "keyword_freq_original": 4
        },
        {
            "keyword": "小",
            "keyword_freq": "4",
            "keyword_original": "小",
            "keyword_freq_original": 4
        },
        {
            "keyword": "kehu",
            "keyword_freq": "3",
            "keyword_original": "kehu",
            "keyword_freq_original": 3
        },
        {
            "keyword": "df",
            "keyword_freq": "3",
            "keyword_original": "df",
            "keyword_freq_original": 3
        },
        {
            "keyword": "阿尔发",
            "keyword_freq": "3",
            "keyword_original": "阿尔发",
            "keyword_freq_original": 3
        },
        {
            "keyword": "滚",
            "keyword_freq": "3",
            "keyword_original": "滚",
            "keyword_freq_original": 3
        },
        {
            "keyword": "渣",
            "keyword_freq": "3",
            "keyword_original": "渣",
            "keyword_freq_original": 3
        },
        {
            "keyword": "u6d4bu8bd5",
            "keyword_freq": "3",
            "keyword_original": "u6d4bu8bd5",
            "keyword_freq_original": 3
        },
        {
            "keyword": "fd",
            "keyword_freq": "3",
            "keyword_original": "fd",
            "keyword_freq_original": 3
        },
        {
            "keyword": "死",
            "keyword_freq": "3",
            "keyword_original": "死",
            "keyword_freq_original": 3
        },
        {
            "keyword": "新",
            "keyword_freq": "3",
            "keyword_original": "新",
            "keyword_freq_original": 3
        },
        {
            "keyword": "无法",
            "keyword_freq": "3",
            "keyword_original": "无法",
            "keyword_freq_original": 3
        },
        {
            "keyword": "fdsf",
            "keyword_freq": "3",
            "keyword_original": "fdsf",
            "keyword_freq_original": 3
        },
        {
            "keyword": "yes",
            "keyword_freq": "3",
            "keyword_original": "yes",
            "keyword_freq_original": 3
        },
        {
            "keyword": "售卖机",
            "keyword_freq": "2",
            "keyword_original": "售卖机",
            "keyword_freq_original": 2
        },
        {
            "keyword": "关键词",
            "keyword_freq": "2",
            "keyword_original": "关键词",
            "keyword_freq_original": 2
        },
        {
            "keyword": "IE",
            "keyword_freq": "2",
            "keyword_original": "IE",
            "keyword_freq_original": 2
        },
        {
            "keyword": "发文",
            "keyword_freq": "2",
            "keyword_original": "发文",
            "keyword_freq_original": 2
        },
        {
            "keyword": "ID14992796",
            "keyword_freq": "2",
            "keyword_original": "ID14992796",
            "keyword_freq_original": 2
        },
        {
            "keyword": "OK",
            "keyword_freq": "2",
            "keyword_original": "OK",
            "keyword_freq_original": 2
        },
        {
            "keyword": "kef",
            "keyword_freq": "2",
            "keyword_original": "kef",
            "keyword_freq_original": 2
        },
        {
            "keyword": "范围",
            "keyword_freq": "2",
            "keyword_original": "范围",
            "keyword_freq_original": 2
        },
        {
            "keyword": "nihao",
            "keyword_freq": "2",
            "keyword_original": "nihao",
            "keyword_freq_original": 2
        },
        {
            "keyword": "d",
            "keyword_freq": "2",
            "keyword_original": "d",
            "keyword_freq_original": 2
        },
        {
            "keyword": "计划",
            "keyword_freq": "2",
            "keyword_original": "计划",
            "keyword_freq_original": 2
        },
        {
            "keyword": "aefwef",
            "keyword_freq": "2",
            "keyword_original": "aefwef",
            "keyword_freq_original": 2
        },
        {
            "keyword": "网上",
            "keyword_freq": "2",
            "keyword_original": "网上",
            "keyword_freq_original": 2
        },
        {
            "keyword": "web",
            "keyword_freq": "2",
            "keyword_original": "web",
            "keyword_freq_original": 2
        },
        {
            "keyword": "转机器人",
            "keyword_freq": "2",
            "keyword_original": "转机器人",
            "keyword_freq_original": 2
        },
        {
            "keyword": "询价",
            "keyword_freq": "2",
            "keyword_original": "询价",
            "keyword_freq_original": 2
        },
        {
            "keyword": "水浒传",
            "keyword_freq": "2",
            "keyword_original": "水浒传",
            "keyword_freq_original": 2
        },
        {
            "keyword": "aa",
            "keyword_freq": "2",
            "keyword_original": "aa",
            "keyword_freq_original": 2
        },
        {
            "keyword": "laji",
            "keyword_freq": "2",
            "keyword_original": "laji",
            "keyword_freq_original": 2
        },
        {
            "keyword": "来个",
            "keyword_freq": "2",
            "keyword_original": "来个",
            "keyword_freq_original": 2
        },
        {
            "keyword": "类型",
            "keyword_freq": "2",
            "keyword_original": "类型",
            "keyword_freq_original": 2
        },
        {
            "keyword": "转人工",
            "keyword_freq": "2",
            "keyword_original": "转人工",
            "keyword_freq_original": 2
        },
        {
            "keyword": "微博",
            "keyword_freq": "2",
            "keyword_original": "微博",
            "keyword_freq_original": 2
        },
        {
            "keyword": "微信",
            "keyword_freq": "2",
            "keyword_original": "微信",
            "keyword_freq_original": 2
        },
        {
            "keyword": "超时",
            "keyword_freq": "2",
            "keyword_original": "超时",
            "keyword_freq_original": 2
        },
        {
            "keyword": "语音",
            "keyword_freq": "2",
            "keyword_original": "语音",
            "keyword_freq_original": 2
        },
        {
            "keyword": "显示",
            "keyword_freq": "2",
            "keyword_original": "显示",
            "keyword_freq_original": 2
        },
        {
            "keyword": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
            "keyword_freq": "2",
            "keyword_original": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
            "keyword_freq_original": 2
        },
        {
            "keyword": "id",
            "keyword_freq": "2",
            "keyword_original": "id",
            "keyword_freq_original": 2
        },
        {
            "keyword": "家",
            "keyword_freq": "2",
            "keyword_original": "家",
            "keyword_freq_original": 2
        },
        {
            "keyword": "plugin",
            "keyword_freq": "2",
            "keyword_original": "plugin",
            "keyword_freq_original": 2
        },
        {
            "keyword": "qqqqqqqqqqqqqqqqqqqqqqqqqqqqq",
            "keyword_freq": "2",
            "keyword_original": "qqqqqqqqqqqqqqqqqqqqqqqqqqqqq",
            "keyword_freq_original": 2
        },
        {
            "keyword": "支持",
            "keyword_freq": "2",
            "keyword_original": "支持",
            "keyword_freq_original": 2
        },
        {
            "keyword": "我姐",
            "keyword_freq": "2",
            "keyword_original": "我姐",
            "keyword_freq_original": 2
        },
        {
            "keyword": "测",
            "keyword_freq": "2",
            "keyword_original": "测",
            "keyword_freq_original": 2
        },
        {
            "keyword": "阿瓦尔",
            "keyword_freq": "2",
            "keyword_original": "阿瓦尔",
            "keyword_freq_original": 2
        },
        {
            "keyword": "收到",
            "keyword_freq": "2",
            "keyword_original": "收到",
            "keyword_freq_original": 2
        }
    ],
    "info": {
        "title": null,
        "noConfig": false,
        "multilevelHeader": false
    }
};
const customScatterPieData = {
    "header": {
        "dimensions": [
            {
                "fieldKey": "keyword",
                "fieldTitle": "关键词",
                "dataType": "string",
                "group": null,
                "expression": null
            },
            {
                "fieldKey": "relative_keyword",
                "fieldTitle": "关联词",
                "dataType": "string",
                "group": null,
                "expression": null
            }
        ],
        "indicators": [
            {
                "fieldKey": "relative_keyword_freq",
                "fieldTitle": "提及量",
                "dataType": "integer",
                "group": null,
                "expression": null
            },
            {
                "fieldKey": "relative_keyword_score",
                "fieldTitle": "关联系数",
                "dataType": "float",
                "group": null,
                "expression": null
            }
        ],
        "tooltips": [

        ]
    },
    "rows": [
        {
            "keyword": "消息",
            "relative_keyword": null,
            "relative_keyword_freq": "199",
            "relative_keyword_score": null,
            "keyword_original": "消息",
            "relative_keyword_original": null,
            "relative_keyword_freq_original": 199,
            "relative_keyword_score_original": null
        },
        {
            "keyword": "消息",
            "relative_keyword": "客服",
            "relative_keyword_freq": "190",
            "relative_keyword_score": 0.77,
            "keyword_original": "消息",
            "relative_keyword_original": "客服",
            "relative_keyword_freq_original": 190,
            "relative_keyword_score_original": 0.77
        },
        {
            "keyword": "消息",
            "relative_keyword": "客户",
            "relative_keyword_freq": "161",
            "relative_keyword_score": 0.7,
            "keyword_original": "消息",
            "relative_keyword_original": "客户",
            "relative_keyword_freq_original": 161,
            "relative_keyword_score_original": 0.7
        },
        {
            "keyword": "消息",
            "relative_keyword": "测试",
            "relative_keyword_freq": "109",
            "relative_keyword_score": 0.51,
            "keyword_original": "消息",
            "relative_keyword_original": "测试",
            "relative_keyword_freq_original": 109,
            "relative_keyword_score_original": 0.51
        },
        {
            "keyword": "消息",
            "relative_keyword": "无",
            "relative_keyword_freq": "70",
            "relative_keyword_score": 0.31,
            "keyword_original": "消息",
            "relative_keyword_original": "无",
            "relative_keyword_freq_original": 70,
            "relative_keyword_score_original": 0.31
        },
        {
            "keyword": "消息",
            "relative_keyword": "kefu",
            "relative_keyword_freq": "61",
            "relative_keyword_score": 0.29,
            "keyword_original": "消息",
            "relative_keyword_original": "kefu",
            "relative_keyword_freq_original": 61,
            "relative_keyword_score_original": 0.29
        },
        {
            "keyword": "消息",
            "relative_keyword": "ces",
            "relative_keyword_freq": "34",
            "relative_keyword_score": 0.31,
            "keyword_original": "消息",
            "relative_keyword_original": "ces",
            "relative_keyword_freq_original": 34,
            "relative_keyword_score_original": 0.31
        },
        {
            "keyword": "消息",
            "relative_keyword": "新",
            "relative_keyword_freq": "24",
            "relative_keyword_score": 0.22,
            "keyword_original": "消息",
            "relative_keyword_original": "新",
            "relative_keyword_freq_original": 24,
            "relative_keyword_score_original": 0.22
        },
        {
            "keyword": "消息",
            "relative_keyword": "kehu",
            "relative_keyword_freq": "18",
            "relative_keyword_score": 0.22,
            "keyword_original": "消息",
            "relative_keyword_original": "kehu",
            "relative_keyword_freq_original": 18,
            "relative_keyword_score_original": 0.22
        },
        {
            "keyword": "消息",
            "relative_keyword": "邀请",
            "relative_keyword_freq": "18",
            "relative_keyword_score": 0.25,
            "keyword_original": "消息",
            "relative_keyword_original": "邀请",
            "relative_keyword_freq_original": 18,
            "relative_keyword_score_original": 0.25
        },
        {
            "keyword": "消息",
            "relative_keyword": "符",
            "relative_keyword_freq": "17",
            "relative_keyword_score": 0.17,
            "keyword_original": "消息",
            "relative_keyword_original": "符",
            "relative_keyword_freq_original": 17,
            "relative_keyword_score_original": 0.17
        },
        {
            "keyword": "消息",
            "relative_keyword": "kehux",
            "relative_keyword_freq": "16",
            "relative_keyword_score": 0.17,
            "keyword_original": "消息",
            "relative_keyword_original": "kehux",
            "relative_keyword_freq_original": 16,
            "relative_keyword_score_original": 0.17
        },
        {
            "keyword": "消息",
            "relative_keyword": "x",
            "relative_keyword_freq": "16",
            "relative_keyword_score": 0.17,
            "keyword_original": "消息",
            "relative_keyword_original": "x",
            "relative_keyword_freq_original": 16,
            "relative_keyword_score_original": 0.17
        },
        {
            "keyword": "消息",
            "relative_keyword": "转接",
            "relative_keyword_freq": "16",
            "relative_keyword_score": 0.17,
            "keyword_original": "消息",
            "relative_keyword_original": "转接",
            "relative_keyword_freq_original": 16,
            "relative_keyword_score_original": 0.17
        },
        {
            "keyword": "消息",
            "relative_keyword": "回复",
            "relative_keyword_freq": "10",
            "relative_keyword_score": 0.17,
            "keyword_original": "消息",
            "relative_keyword_original": "回复",
            "relative_keyword_freq_original": 10,
            "relative_keyword_score_original": 0.17
        },
        {
            "keyword": "消息",
            "relative_keyword": "小号",
            "relative_keyword_freq": "10",
            "relative_keyword_score": 0.31,
            "keyword_original": "消息",
            "relative_keyword_original": "小号",
            "relative_keyword_freq_original": 10,
            "relative_keyword_score_original": 0.31
        },
        {
            "keyword": "消息",
            "relative_keyword": "无法",
            "relative_keyword_freq": "9",
            "relative_keyword_score": 0.22,
            "keyword_original": "消息",
            "relative_keyword_original": "无法",
            "relative_keyword_freq_original": 9,
            "relative_keyword_score_original": 0.22
        },
        {
            "keyword": "消息",
            "relative_keyword": "支持",
            "relative_keyword_freq": "9",
            "relative_keyword_score": 0.22,
            "keyword_original": "消息",
            "relative_keyword_original": "支持",
            "relative_keyword_freq_original": 9,
            "relative_keyword_score_original": 0.22
        },
        {
            "keyword": "消息",
            "relative_keyword": "类型",
            "relative_keyword_freq": "9",
            "relative_keyword_score": 0.22,
            "keyword_original": "消息",
            "relative_keyword_original": "类型",
            "relative_keyword_freq_original": 9,
            "relative_keyword_score_original": 0.22
        },
        {
            "keyword": "消息",
            "relative_keyword": "显示",
            "relative_keyword_freq": "9",
            "relative_keyword_score": 0.22,
            "keyword_original": "消息",
            "relative_keyword_original": "显示",
            "relative_keyword_freq_original": 9,
            "relative_keyword_score_original": 0.22
        },
        {
            "keyword": "消息",
            "relative_keyword": "收到",
            "relative_keyword_freq": "9",
            "relative_keyword_score": 0.22,
            "keyword_original": "消息",
            "relative_keyword_original": "收到",
            "relative_keyword_freq_original": 9,
            "relative_keyword_score_original": 0.22
        }
    ],
    "info": {
        "title": null,
        "noConfig": false,
        "multilevelHeader": false
    }
};
const radarData = {
    "header": {
        "dimensions": null,
        "indicators": [
            {
                "fieldKey": "knowledge_cover_rate",
                "expression": null,
                "fieldTitle": "知识点覆盖率",
                "dataType": "percent",
                "layer": "",
                "group": "",
                "isTitle": null,
                "isShow": null
            },
            {
                "fieldKey": "knowledge_train_rate",
                "expression": null,
                "fieldTitle": "知识点训练率",
                "dataType": "percent",
                "layer": "",
                "group": "",
                "isTitle": null,
                "isShow": null
            },
            {
                "fieldKey": "bad_case_analysis",
                "expression": null,
                "fieldTitle": "BadCase分析",
                "dataType": "percent",
                "layer": "",
                "group": "",
                "isTitle": null,
                "isShow": null
            }
        ]
    },
    "rows": [
        {
            "knowledge_cover_rate_original": 1,
            "knowledge_cover_rate": "100.00%",
            "knowledge_train_rate_original": 0,
            "knowledge_train_rate": "0.00%",
            "bad_case_analysis_original": 1,
            "bad_case_analysis": "100.00%"
        }
    ]
};
const mapData = {
    "header": {
        "dimensions": [
            {
                "fieldKey": "cc_whole_analysis_area__area",
                "fieldTitle": "地域",
                "dataType": "string",
                "group": null,
                "expression": null
            }
        ],
        "indicators": [
            {
                "fieldKey": "cc_whole_analysis_area__count",
                "fieldTitle": "数量",
                "dataType": "integer",
                "group": null,
                "expression": null
            }
        ],
        "tooltips": [

        ]
    },
    "rows": [
        {
            "cc_whole_analysis_area__area": "西安",
            "cc_whole_analysis_area__count": "3",
            "cc_whole_analysis_area__area_original": "西安",
            "cc_whole_analysis_area__count_original": 3
        },
        {
            "cc_whole_analysis_area__area": "烟台",
            "cc_whole_analysis_area__count": "19",
            "cc_whole_analysis_area__area_original": "烟台",
            "cc_whole_analysis_area__count_original": 19
        },
        {
            "cc_whole_analysis_area__area": "北京",
            "cc_whole_analysis_area__count": "546",
            "cc_whole_analysis_area__area_original": "北京",
            "cc_whole_analysis_area__count_original": 546
        },
        {
            "cc_whole_analysis_area__area": "杭州",
            "cc_whole_analysis_area__count": "1",
            "cc_whole_analysis_area__area_original": "杭州",
            "cc_whole_analysis_area__count_original": 1
        },
        {
            "cc_whole_analysis_area__area": "珠海",
            "cc_whole_analysis_area__count": "2",
            "cc_whole_analysis_area__area_original": "珠海",
            "cc_whole_analysis_area__count_original": 2
        },
        {
            "cc_whole_analysis_area__area": "绥化",
            "cc_whole_analysis_area__count": "176",
            "cc_whole_analysis_area__area_original": "绥化",
            "cc_whole_analysis_area__count_original": 176
        },
        {
            "cc_whole_analysis_area__area": "齐齐哈尔",
            "cc_whole_analysis_area__count": "2",
            "cc_whole_analysis_area__area_original": "齐齐哈尔",
            "cc_whole_analysis_area__count_original": 2
        }
    ],
    "info": {
        "title": null,
        "noConfig": false,
        "multilevelHeader": false
    }
};

//#endregion

function getDemoData(type) {
    /* eslint-disable */
    switch (type) {
        case "column":
        case "line":
        case "bar":
        case "stackBar":
        case "doubleAxises":
            return demoLineData;
        case "pie":
        case "ring":
        case "funnel":
            return pieData;
        case "gauge":
            return gaugeData;
        case "map":
            return mapData;
        case "wordCloud":
            return wordCloudData;
        case "customScatterPie":
            return customScatterPieData;
        case "radar":
            return radarData;
        default:
            return demoLineData;
    }
    /* eslint-enable */
}

export { getDemoData };