import React from 'react';
import JeTimePickerDemoComponent from "../component";
import JeTimePicker from "../../index";

export default class JeTimePickerDemoTemplate extends JeTimePickerDemoComponent {
    constructor(props) {
        super(props);
        this.state = {
            value: null,
        };
    }

    actions = {
        onChanged(value) {
            this.setState({
                value
            });
        },
    }
    render() {
        let {
            value
        } = this.state;
        return (
            <JeTimePicker value={value} onChanged={this.actions.onChanged} />
        );
    }
}