import React from 'react';
import ClassNames from "classnames";
import LoadingButtonComponent from './component';

export default class LoadingButtonTemplate extends LoadingButtonComponent {
    render() {
        let {
            classNames,
            name
        } = this.props;
        let {
            buttonText,
            buttonClass,
            disabled
        } = this.state;

        return (
            <button className={ClassNames("loading-button", { [`${classNames}`]: classNames, [`${buttonClass}`]: buttonClass })} type="button" disabled={disabled} name={name} onClick={this.actions.onClicked}>
                {buttonText}
            </button>
        );
    }
}
