import React from 'react';
import Udesk from '../../udesk/index';
import RadioBtn from './index';

const RADIO_BTN_OPTIONS = [{
    id: 1,
    name: "test1"
}, {
    id: 2,
    name: "test2"
}];

class RadioBtnDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            value: 1,
        };
    }

    actions = {
        onChanged(value) {
            this.setState({
                value
            });
        },
    }

    render() {
        let {
            value,
        } = this.state;
        return (
            <div>
                <RadioBtn value={value} options={RADIO_BTN_OPTIONS} onChanged={this.actions.onChanged} />
            </div>
        );
    }
}

RadioBtnDemo.propTypes = {
};

RadioBtnDemo.defaultProps = {
};

export default Udesk.react.udeskify(RadioBtnDemo);