import React from 'react';
import Udesk from '../../udesk/index';
import ReactPager from './index';

class ReactPagerDemo extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            pageNum: Udesk.config.paging.defaultPageNumber,
            pageSize: Udesk.config.paging.defaultPageSize,
            total: 50,
        };
    }

    actions = {
        pageChanged(pageNum, pageSize) {
            this.setState({
                pageNum,
                pageSize
            });
        },
    }

    render() {
        let {
            pageNum,
            pageSize,
            total
        } = this.state;
        return (
            <div>
                <ReactPager pageNum={pageNum} pageSize={pageSize} total={total} pageChanged={this.actions.pageChanged} />
            </div>
        );
    }
}

ReactPagerDemo.propTypes = {
};

ReactPagerDemo.defaultProps = {
};

export default Udesk.react.udeskify(ReactPagerDemo);