import React from 'react';
import ReactPowerSelectComponent from "../component";
import Select from 'react-select';

export default class ReactPowerSelectTemplate extends ReactPowerSelectComponent {
    render() { 
        let {
            components,
            filterOption,
            disabled,
            placeholder,
            isMulti,
            isClearable,
            autoFocus,
            defaultMenuIsOpen
        } = this.props;
        let {
            privates: { computes },
        } = this;
        if (isMulti) {
            return (
                <Select components={components} value={computes.value} options={computes.dataSource} filterOption={filterOption} styles={computes.customStyle} className={computes.classNames} classNamePrefix="udesk-react-power-select" isClearable={isClearable} isDisabled={disabled} placeholder={placeholder} getOptionLabel={computes.getOptionLabel} getOptionValue={computes.getOptionValue} onChange={this.actions.onChanged} autoFocus={autoFocus} defaultMenuIsOpen={defaultMenuIsOpen} noOptionsMessage={computes.noOptionsMessageFunc} isMulti />
            );
        } else { 
            return (
                <Select components={components} value={computes.value} options={computes.dataSource} filterOption={filterOption} styles={computes.customStyle} className={computes.classNames} classNamePrefix="udesk-react-power-select" isClearable={isClearable} isDisabled={disabled} placeholder={placeholder} getOptionLabel={computes.getOptionLabel} getOptionValue={computes.getOptionValue} onChange={this.actions.onChanged} autoFocus={autoFocus} defaultMenuIsOpen={defaultMenuIsOpen} noOptionsMessage={computes.noOptionsMessageFunc} />
            );
        }
    }
}