Demo:

```tsx
import React from 'react';
import { ExportButton } from 'udesk_gm_ui';

export default () => {
  const onClick = () => {
    return new Promise((res, rej) => {
      setTimeout(() => {
        res();
      }, 2000);
    });
  };
  return <ExportButton onClick={onClick}></ExportButton>;
};
```

```tsx
import React from 'react';
import { ExportButton } from 'udesk_gm_ui';

export default () => {
  const onClick = (type) => {
    console.log('type', type);
    return new Promise((res, rej) => {
      setTimeout(() => {
        res();
      }, 2000);
    });
  };
  const dropdown = [
    {
      label: 'excel',
      type: 'excel',
    },
    {
      label: 'word',
      type: 'word',
      confirm: {
        title: '自定义导出弹窗文案',
      },
    },
  ];
  return <ExportButton onClick={onClick} dropdown={dropdown}></ExportButton>;
};
```
