export default {
    cancel: 'Ακύρωση',
    uploader: {
        uploadImg: 'Αποστολή εικόνας',
        uploadImgIng: 'Αποστολή εικόνων',
        uploadImgFail: 'Αποτυχία αποστολής',
        insertImg: 'Εισαγωγή εικόνας',
    },
    page: {
        im: {
            ticket: {
                warning: {
                    exceedsTotalSize:
                        'Συνολικό μέγεθος αρχείου {0} υπερβαίνει το μέγεθος ορίου {1}',
                    exceedsSize: 'Το αρχείο {0} υπερβαίνει το μέγεθος ορίου {1}',
                },
            },
        },
    },
    statusbar: { translate: 'Μετάφραση' },
    originalPlaceholder: 'Παρακαλώ εισάγετε το πρωτότυπο κείμενο',
    language: {
        chinese: 'Κινέζικα',
        'zh-cn': 'Κινέζικα (Απλούστευση)',
        'zh-tw': 'Κινέζικα (παραδοσιακό)',
        'en-us': 'Αγγλική',
        fr: 'Γαλλικά',
        de: 'Γερμανικός',
        fil: 'Φιλιππινέζος (Tagalog)',
        ja: 'Ιαπωνικά',
        it: 'Ιταλική',
        ru: 'Ρωσική',
        ko: 'Κορεάτικα',
        vi: 'Βιετναμέζικα',
        af: 'Αφρικανάν',
        sq: 'Αλβανικά',
        am: 'Αμχαρική',
        ar: 'Αραβικά',
        hy: 'Αρμενικά',
        as: 'Ασαμάζε!',
        ay: 'Αιμάρα',
        az: 'Αζερμπαϊτζάνα',
        bm: 'Μπαμπάρα!',
        eu: 'Μπασκ',
        be: 'Λευκορωσική',
        bn: 'Βενγκάλια',
        bho: 'Μπότζπορ *',
        bs: 'Βόσνικα',
        bg: 'Βουλγαρική',
        ca: 'Καταλανικά',
        ceb: 'Κεμπού.',
        co: 'Κορσική',
        hr: 'Κροατικά',
        cs: 'Τσέχικα',
        da: 'Δανικά',
        dv: 'Ντιβάι',
        doi: 'Ντογκλέζε',
        nl: 'Ολλανδικά',
        eo: 'Εσπεράντο',
        et: 'Εσθονικά',
        ee: 'Ήβη!',
        fi: 'Φινλανδικά',
        fy: 'Φρικές',
        gl: 'Γαλικίας',
        ka: 'Γεωργιανά',
        el: 'Ελληνική',
        gn: 'Γκουαράνι',
        gu: 'Γκουτζαράτη',
        ht: 'Αϊτινή Κρεολέα',
        ha: 'Χάουζα.',
        haw: 'Χαβανέζικα',
        he: 'Εβραϊκά',
        hi: 'Ινδία',
        hmn: 'Γλώσσα Miao',
        hu: 'Ουγγρικά',
        is: 'Ισλανδικά',
        ig: 'Ίγκμπο',
        ilo: 'Ιλόκανο',
        id: 'Ινδονησιακά',
        ga: 'Ιρλανδικά',
        jv: 'Ιάβανες',
        kn: 'Κανάντα',
        kk: 'Καζακικά',
        km: 'Χμερ.',
        rw: 'Ρουάντα',
        gom: 'Γκόγκεν!',
        kri: 'Κρεολές',
        ku: 'Κουρδικά',
        ckb: 'Κουρδικά (Solani) *',
        ky: 'Κιργιζέζικα',
        lo: 'Λάο',
        la: 'Λατινικά:',
        lv: 'Λετονικά',
        ln: 'Λινγκάλα',
        lt: 'Λιθουανικά',
        lg: 'Λουγκάντα',
        lb: 'Λουξεμβούργο',
        mk: 'Μακεδονικά',
        mai: 'Μαϊτίλι!',
        mg: 'Μάλγας',
        ms: 'Μαλαισία',
        ml: 'Μαλαγιαλάμ',
        mt: 'Μαλτέζικα',
        mi: 'Μαορί',
        mr: 'Μαραθί',
        'mni-Mtei': 'Μέται (Μανιπούρ) *',
        'mni-lus': 'Μίζο!',
        mn: 'Μογγολικά',
        my: 'Βιρμανικά',
        ne: 'Νεπάλα',
        no: 'Νορβηγικά',
        ny: 'Νιάνζα (Ττσισέβα)',
        or: 'Ορίγια (Oriya)',
        om: 'Ορόμο *',
        ps: 'Παστό',
        fa: 'Περσική',
        pl: 'Πολωνικά',
        pt: 'Πορτογαλικά (Πορτογαλία, Βραζιλία)',
        pa: 'Παντζάμπι',
        qu: 'Κέτσουα',
        ro: 'Ρουμάνικα',
        sm: 'Σαμόα',
        sa: 'Σανσκριτικά*',
        gd: 'Σκωτσέζικα γαελικά',
        nso: 'Σεπέτι *',
        sr: 'Σερβική',
        st: 'Σεσοθο',
        sn: 'Σόνα',
        sd: 'Σίντι γερμανικός',
        si: 'Σινπάλα',
        sk: 'Σλοβακικός',
        sl: 'Σλοβενικά',
        so: 'Σομαλία',
        es: 'Ισπανικά',
        su: 'Σάνταϊ',
        sw: 'Σουαχίλι',
        sv: 'Σουηδικά',
        tl: 'Ταγκαλόγκ (Φιλιπίνο)',
        tg: 'Τατζικά',
        ta: 'Ταμίλ.',
        tt: 'Τατάρ',
        te: 'Τελούγκο',
        th: 'Ταϊλάνδης',
        ti: 'Τινιάν *',
        ts: 'Ζόνγκκα!',
        tr: 'Τουρκικά',
        tk: 'Τουρκμένες',
        ak: 'Τσέβι (Ακάν) *',
        uk: 'Ουκρανικά',
        ur: 'Ουρντού',
        ug: 'Ουιγούρ',
        uz: 'Ουζμπεκίς',
        cy: 'Ουαλικά.',
        xh: 'Μπαντού.',
        yi: 'Γίντις',
        yo: 'Γιορούμπα',
        zu: 'Ζούλου',
    },
};
