export default {
    'cancel': 'キャンセル',
    'uploader': {
        'uploadImg': '画像をアップロードする',
        'uploadImgIng': '画像をアップロードします',
        'uploadImgFail': 'アップロードに失敗しました',
        'insertImg': '写真を挿入する'
    },
    'page': {
        'im': {
            'ticket': {
                'warning': {
                    'exceedsTotalSize': '合計ファイルサイズ{0}が制限サイズ{1}を超えています',
                    'exceedsSize': 'ファイル{0}は制限サイズ{1}を超えています'
                }
            },
        }
    },
    'statusbar': {
        'translate': '翻訳'
    },
    'originalPlaceholder': 'テキストを入力してください',
    'language': {
        'chinese': '中国語',
        'zh-cn': '中国語（簡体字）',
        'zh-tw': '中国語（繁体字）',
        'en-us': '英語',
        'fr': 'フランス語',
        'de': 'ドイツ語',
        'fil':'フィリピン語（タガラ語）',
        'ja': '日本語',
        'it': 'イタリア語',
        'ru': 'ロシア語',
        'ko': '韓国語',
        'vi': 'ベトナム語',
        'af': '南アフリカ・オランダ語',
        'sq': 'アルバニア語',
        'am': 'アムハラ語',
        'ar': 'アラビア語',
        'hy': 'アルメニア文字',
        'as': 'アッサム語*',
        'ay': 'エマラ語*',
        'az': 'アゼルバイジャン語',
        'bm': 'バンバラ語*',
        'eu': 'バスク語',
        'be': 'ベラルーシ語',
        'bn': 'ベンガル文字',
        'bho': 'ボゲップル語*',
        'bs': 'ボスニア語',
        'bg': 'ブルガリア語',
        'ca': 'カタルーニャ語',
        'ceb': 'セブ語',
        'co': 'コルシカ語',
        'hr': 'クロアチア語',
        'cs': 'チェコ語',
        'da': 'デンマーク語',
        'dv': 'ディヴィヒ語*',
        'doi': 'ドグレ語*',
        'nl': 'オランダ語',
        'eo': 'エスペラント語',
        'et': 'エストニア語',
        'ee': 'エビー語*',
        'fi': 'フィンランド語',
        'fy': 'フリスラン語',
        'gl': 'ガリシア語',
        'ka': 'グルジア語',
        'el': 'ギリシア語',
        'gn': 'グアラニ語*',
        'gu': 'グジャラート文字',
        'ht': 'ハイチ・クレオール語',
        'ha': 'ハウザー語',
        'haw': 'ハワイ語',
        'he': 'ヘブライ語',
        'hi': 'ヒンディー語',
        'hmn': '苗語',
        'hu': 'ハンガリー語',
        'is': 'アイスランド語',
        'ig': 'イボ語',
        'ilo': 'イロカノ語*',
        'id': 'インドネシア語',
        'ga': 'アイルランド語',
        'jv': 'ジャワ語',
        'kn': 'カナダビン',
        'kk': 'カザフ語',
        'km': 'クメール語',
        'rw': 'ルワンダ語',
        'gom': '貢根語*',
        'kri': 'クリオール語*',
        'ku': 'クルド語',
        'ckb': 'クルド語（ソラーニ）*',
        'ky': 'キルギス語',
        'lo': 'ラオス語',
        'la': 'ラテン語',
        'lv': 'ラトビア語',
        'ln': 'リングラ語*',
        'lt': 'リトアニア語',
        'lg': 'ルカンダ語*',
        'lb': 'ルクセンブルク語',
        'mk': 'マケドニア語',
        'mai': 'マイティリ語*',
        'mg': 'マルガシュ語',
        'ms': 'マレー語',
        'ml': 'マラヤラム文字',
        'mt': 'マルタ語',
        'mi': 'モーリー語',
        'mr': 'マラジー語',
        'mni-Mtei': 'メタイ語（マニプル語）*',
        'mni-lus': 'ミゾ語*',
        'mn': 'モンゴル語',
        'my': 'ビルマ語',
        'ne': 'ネパール語',
        'no': 'ノルウェー語',
        'ny': 'ニヤンザ語（チチェワ語）',
        'or': 'オーストリア語（オーストリア）',
        'om': 'オロモ語*',
        'ps': 'プシュト語',
        'fa': 'ペルシア語',
        'pl': 'ポーランド語',
        'pt': 'ポルトガル語（ポルトガル、ブラジル）',
        'pa': 'パンジャブ語',
        'qu': 'クチュア語*',
        'ro': 'ルーマニア語',
        'sm': 'サモア語',
        'sa': 'サンスクリット語*',
        'gd': 'スコットランドゲール語',
        'nso': 'セペティ語*',
        'sr': 'セルビア語',
        'st': 'セソト語',
        'sn': 'シュナー語',
        'sd': 'シンド語',
        'si': '僧伽羅語',
        'sk': 'スロバキア語',
        'sl': 'スロベニア語',
        'so': 'ソマリア語',
        'es': 'スペイン語',
        'su': '巽他語',
        'sw': 'スワヒリ語',
        'sv': 'スウェーデン語',
        'tl': 'タガログ語（フィリピン語）',
        'tg': 'タジク語',
        'ta': 'タミル語',
        'tt': 'タタール語',
        'te': 'テルグ語',
        'th': 'タイ語',
        'ti': 'ティグニア語*',
        'ts': '宗加語*',
        'tr': 'トルコ語',
        'tk': 'トルクメン語',
        'ak': 'チビ語（アーカン語）*',
        'uk': 'ウクライナ語',
        'ur': 'ウルドゥー語',
        'ug': 'ウイグル語',
        'uz': 'ウズベキスト語',
        'cy': 'ウェールズ語',
        'xh': 'バントゥ語',
        'yi': '意味第緒語',
        'yo': 'ヨルバ語',
        'zu': 'ズールー語'
    }
};
