export default {
  cancel: "取消",
  uploader: {
    uploadImg: "上傳圖片",
    uploadImgIng: "上傳圖片中",
    uploadImgFail: "上傳失敗",
    insertImg: "插入圖片",
  },
  page: {
    im: {
      ticket: {
        warning: {
          exceedsTotalSize: "文件总大小 {0} 超过限制大小 {1}",
          exceedsSize: "文件 {0} 超过限制大小 {1}",
        },
      },
    },
  },
  statusbar: { translate: "翻譯" },
  originalPlaceholder: "請輸入原文",
  language: {
    chinese: "中文",
    "zh-cn": "中文(簡體)",
    "zh-tw": "中文(繁體)",
    "en-us": "英語",
    fr: "法語",
    de: "德語",
    fil: "菲律賓語(塔加拉語)",
    ja: "日語",
    it: "意大利語",
    ru: "俄語",
    ko: "韓語",
    vi: "越南語",
    af: "南非荷蘭語",
    sq: "阿爾巴尼亞語",
    am: "阿姆哈拉語",
    ar: "阿拉伯語",
    hy: "亞美尼亞文",
    as: "阿薩姆語*",
    ay: "艾馬拉語*",
    az: "阿塞拜疆語",
    bm: "班巴拉語*",
    eu: "巴斯克語",
    be: "白俄羅斯語",
    bn: "孟加拉文",
    bho: "博傑普爾語*",
    bs: "波斯尼亞語",
    bg: "保加利亞語",
    ca: "加泰羅尼亞語",
    ceb: "宿務語",
    co: "科西嘉語",
    hr: "克羅地亞語",
    cs: "捷克語",
    da: "丹麥語",
    dv: "迪維希語*",
    doi: "多格來語*",
    nl: "荷蘭語",
    eo: "世界語",
    et: "愛沙尼亞語",
    ee: "埃維語*",
    fi: "芬蘭語",
    fy: "弗里斯蘭語",
    gl: "加利西亞語",
    ka: "格魯吉亞語",
    el: "希臘文",
    gn: "瓜拉尼語*",
    gu: "古吉拉特文",
    ht: "海地克里奧爾語",
    ha: "豪薩語",
    haw: "夏威夷語",
    he: "希伯來語",
    hi: "印地語",
    hmn: "苗語",
    hu: "匈牙利語",
    is: "冰島語",
    ig: "伊博語",
    ilo: "伊洛卡諾語*",
    id: "印度尼西亞語",
    ga: "愛爾蘭語",
    jv: "爪哇語",
    kn: "卡納達文",
    kk: "哈薩克語",
    km: "高棉語",
    rw: "盧旺達語",
    gom: "貢根語*",
    kri: "克里奧爾語*",
    ku: "庫爾德語",
    ckb: "庫爾德語(索拉尼)*",
    ky: "吉爾吉斯語",
    lo: "老撾語",
    la: "拉丁文",
    lv: "拉脫維亞語",
    ln: "林格拉語*",
    lt: "立陶宛語",
    lg: "盧干達語*",
    lb: "盧森堡語",
    mk: "馬其頓語",
    mai: "邁蒂利語*",
    mg: "馬爾加什語",
    ms: "馬來語",
    ml: "馬拉雅拉姆文",
    mt: "馬耳他語",
    mi: "毛利語",
    mr: "馬拉地語",
    "mni-Mtei": "梅泰語(曼尼普爾語)*",
    "mni-lus": "米佐語*",
    mn: "蒙古文",
    my: "緬甸語",
    ne: "尼泊爾語",
    no: "挪威語",
    ny: "尼楊扎語(齊切瓦語)",
    or: "奧里亞語(奧里亞)",
    om: "奧羅莫語*",
    ps: "普什圖語",
    fa: "波斯語",
    pl: "波蘭語",
    pt: "葡萄牙語(葡萄牙、巴西)",
    pa: "旁遮普語",
    qu: "克丘亞語*",
    ro: "羅馬尼亞語",
    sm: "薩摩亞語",
    sa: "梵語*",
    gd: "蘇格蘭蓋爾語",
    nso: "塞佩蒂語*",
    sr: "塞爾維亞語",
    st: "塞索托語",
    sn: "修納語",
    sd: "信德語",
    si: "僧伽羅語",
    sk: "斯洛伐克語",
    sl: "斯洛文尼亞語",
    so: "索馬利亞語",
    es: "西班牙語",
    su: "巽他語",
    sw: "斯瓦希里語",
    sv: "瑞典語",
    tl: "塔加路語(菲律賓語)",
    tg: "塔吉克語",
    ta: "泰米爾語",
    tt: "韃靼語",
    te: "泰盧固語",
    th: "泰語",
    ti: "蒂格尼亞語*",
    ts: "宗加語*",
    tr: "土耳其語",
    tk: "土庫曼語",
    ak: "契維語(阿坎語)*",
    uk: "烏克蘭語",
    ur: "烏爾都語",
    ug: "維吾爾語",
    uz: "烏茲別克語",
    cy: "威爾士語",
    xh: "班圖語",
    yi: "意第緒語",
    yo: "約魯巴語",
    zu: "祖魯語",
  },
};
