import React from "react";
import style from "./index.module.scss";
import { Link } from "../../../components/icon/icon";
//  msgItem={item}
const ImageType = (props: any) => {
  const { msgItem } = props;
  const contentObject = JSON.parse(msgItem.content);
  return (
    <div>
      <img
        className={style["image-show"]}
        src={contentObject.data.content || msgItem.origin_url}
        alt="img"
      />
      {!contentObject.data.content && msgItem.origin_url && (
        <a href={msgItem.origin_url} target="_blank" rel="noopener noreferrer">
          <Link />
        </a>
      )}
    </div>
  );
};
export default ImageType;
