// @ts-ignore
import Udesk from 'udesk-react/src/udesk';
import { inputTypes, getFieldOperators } from '../../../constant';

const exportObj = {
  convertInputType,
  convertOperators,
};

export default exportObj;

function convertInputType(value: any) {
  return enumConverter(value, inputTypes);
}

function convertOperators(locale: any, value: any) {
  return enumArrayConverter(value, getFieldOperators(locale));
}

function enumConverter(value: any, enumType: any) {
  if (value instanceof Udesk.enums.EnumItemClass) {
    return value;
  } else {
    let enumItem = enumType[value] || enumType.get(value);
    return enumItem;
  }
}

function enumArrayConverter(value: any, enumType: any) {
  if (value == null) {
    return value;
  }
  let newArray = [];
  for (let item of value) {
    newArray.push(enumConverter(item, enumType));
  }
  return newArray;
}
