import * as React from 'react';
import { useLocaleReceiver } from '../../../locale-provider/LocaleReceiver';

const PopContent = () => {
  const [contextLocale] = useLocaleReceiver('RulesConfig');
  return (
    <div>
      <p>{contextLocale.lang.judgeLogic.judgeStrategyInfo}</p>
      <p style={{ color: '#6cc788' }}>{contextLocale.lang.judgeLogic.validStrategyFormat}</p>
      <p>{contextLocale.lang.judgeLogic.invalidStrategyInfoOne}</p>
      <p style={{ color: '#f44455' }}>{contextLocale.lang.judgeLogic.invalidStrategyFormatOne}</p>
      <p>{contextLocale.lang.judgeLogic.invalidStrategyInfoTwo}</p>
      <p style={{ color: '#f44455' }}>{contextLocale.lang.judgeLogic.invalidStrategyFormatTwo}</p>
      <p>{contextLocale.lang.judgeLogic.invalidStrategyInfoThree}</p>
      <p style={{ color: '#f44455' }}>{contextLocale.lang.judgeLogic.invalidStrategyFormatThree}</p>
    </div>
  );
};
export default PopContent;
