const locale = {
  lang: {
    pleaseInput: '请输入',
    pleaseInputCustomLogic: '请输入自定义逻辑',
    pleaseSelect: '请选择',
    field: '选项',
    operator: '运算符',
    value: '值',
    judgmentLogicTypes: { meetAll: '满足所有条件', meetAny: '满足任意条件', custom: '自定义逻辑' },
    customFilters: {
      fieldOperators: {
        exist: '存在',
        not_exist: '不存在',
        equal: '等于',
        notEqual: '不等于',
        is: '是',
        not: '不是',
        contains: '包含',
        notContains: '不包含',
        containsAny: '包含任意',
        notContainsAny: '不包含任意',
        containsAll: '包含所有',
        notContainsAll: '不包含所有',
        isNull: '为空',
        isNotNull: '不为空',
        greaterThan: '大于',
        greaterThanEq: '大于或等于',
        lessThan: '小于',
        lessThanEq: '小于或等于',
        between: '介于',
        notBetween: '不介于',
        relative: '等于',
        set: '设置为',
        belongs: '属于',
        notBelongs: '不属于',
        customBelong: '属于',
        customNotBelong: '不属于',
        today: '今天',
        yesterday: '昨天',
        tomorrow: '明天',
        next_seven_day: '今后七天',
        last_seven_day: '最近七天',
        this_week: '本周',
        next_week: '下周',
        last_week: '上周',
        this_month: '本月',
        next_month: '下月',
        last_month: '上月',
        this_year: '今年',
        next_year: '明年',
        last_year: '去年',
        exact_match: '精确匹配',
        add_value: '新增值',
        remove_value: '删除值',
        set_null: '置空',
        is_any: '包含任意',
        not_any: '不包含任意',
        containsSensitive: '包含敏感词',
        isExpress: '等于表达式',
        any_equal: '任意等于',
        any_not_equal: '任意不等于',
        contain_any: '包含任意',
        not_contain_any: '不包含任意',
        contain_all: '包含所有',
        not_contain_all: '不包含所有',
        belong: '属于',
        not_belong: '不属于',
      },
    },
    configRuleTypes: {
      platform: '会话渠道',
      src: '会话来源',
      srcUrl: '来源URL',
      webPluginName: '来源插件',
      loginUrl: '访问着陆页',
      sessionUrl: ' 对话发起页',
      dialogueDesc: '对话描述',
      tags: '客户标签',
      currentTime: '当前时间',
      orderReply: '顺序回复',
      keyword: '搜索关键词',
      emotionCategory: '情绪类别',
      queryContent: '消息词汇',
    },
    emotionCategory: {
      positive: '正向',
      neutral: '中性',
      negative: '负向',
    },
    questionContent: '消息词汇',
    judgmentLogic: '判断逻辑',
    inputJudgmentLogicCustom: '请输入自定义逻辑',
    name: '名称',
    inputRuleName: '请输入规则名称',
    channelTypes: {
      testWindow: '测试窗口',
      web: 'web',
      WEChat: '微信',
      android: '安卓',
      ios: 'ios',
      weibo: '微博',
      api: 'api',
      mchat: '多商户',
      WeChatSmallProgram: '微信小程序',
      enterpriseWechat: '企业微信',
      baidu: '百度BCP',
      facebook: 'facebook',
      line: 'LINE(韩国聊天app)',
      whatsApp: 'WhatsApp',
      twitter: 'Twitter',
      tiktok: 'Tiktok',
      weChatService: '微信客服',
      meituan: '美团',
      eleme: '饿了么',
    },
    judgeLogic: {
      judgeStrategyInfo: '请按照如下规则编辑条件组合：',
      validStrategyFormat: '(1 and 2) or (3 and 4)',
      invalidStrategyInfoOne: '1.字符间加入空格',
      invalidStrategyFormatOne: '1and2or3and4',
      invalidStrategyInfoTwo: '2.不允许出现的编码',
      invalidStrategyFormatTwo: '1 and 2 and 3 and 4 and 5',
      invalidStrategyInfoThree: '3.括号都是成对出现的',
      invalidStrategyFormatThree: '(1 and 2 or 3 and 4',
    },
    validate: {
      inputName: '请输入名称',
      lengthError8: '长度不能超过8个',
      rulesConfigcanNotBeEmpty: '规则配置不能为空',
      inputCustomName: '请输入自定义逻辑',
      customTagDataError: '请按规则填写自定义逻辑!',
    },
  },
};

export default locale;
