import { createSlice } from '@reduxjs/toolkit';

const {actions, reducer} = createSlice({
    name: 'fields',
    initialState: {
        customerFieldsv2: [] as Field[],
        organizationFieldsv2: [] as Field[],
        noteFields: [] as Field[]
    } as any,
    reducers: {
        setFields(state, action) {
            return action.payload;
        }
    }
});

export const {setFields} = actions;
export default reducer;
