import { createSlice } from '@reduxjs/toolkit';

const {actions, reducer} = createSlice({
    name: 'groups',
    initialState: [] as IGroup[],
    reducers: {
        setGroups(state, action) {
            return action.payload;
        }
    }
});

export const {setGroups} = actions;
export default reducer;
