import { createSlice } from "@reduxjs/toolkit";

// interface ticketTemplatesConfig {
//   id: number;
//   name: string;
// }

const { actions, reducer } = createSlice({
  name: "initData",
  initialState: {} as ImContextProps,
  reducers: {
    setInitData(state, action) {
      return action.payload;
    },
  },
});

export const { setInitData } = actions;
export default reducer;
