import { createSlice } from '@reduxjs/toolkit';


const {actions, reducer} = createSlice({
    name: 'invitationQueues',
    initialState: [] as IMineChat[],
    reducers: {
        pushIvitationQueues(state, action) {
            state.push(action.payload);
        },
        spliceIvitationQueues(state, action) {
            state.splice(action.payload, 1)
        }
    }
});

export const {pushIvitationQueues, spliceIvitationQueues} = actions;
export default reducer;
