import { createSlice } from "@reduxjs/toolkit";

export interface noteTimplateConfig {
  noteTemplates: INoteTemplates;
  imAgentNoteTemplatesSort: number[];
}

const { actions, reducer } = createSlice({
  name: "noteTemplateConfig",
  initialState: {} as noteTimplateConfig,
  reducers: {
    setNoteTemplateConfig(state, action) {
      state.noteTemplates = action.payload.noteTemplates;
      state.imAgentNoteTemplatesSort = action.payload.imAgentNoteTemplatesSort;
    },
  },
});

export const { setNoteTemplateConfig } = actions;
export default reducer;
