import { createSlice } from "@reduxjs/toolkit";

export interface IPlatformHash {
  id: string;
  text: string;
}

const { actions, reducer } = createSlice({
  name: "platform",
  initialState: [] as IPlatformHash[],
  reducers: {
    setPlatform(state, action) {
      return action.payload;
    },
  },
});

export const { setPlatform } = actions;
export default reducer;
