import LocalesManagerClass from 'udesk-web-toolkits/src/udesk/locales/locales-manager';
import udeskWebToolkitsLocales from 'udesk-web-toolkits/src/udesk/locales/index';
import Chinese from './zh-cn';
import English from './en-us';
import Japanese from './ja';
import Incremental from "./incremental";

const localesStore = {
    "ZH-CN": Chinese,
    "EN-US": English,
    "JA": Japanese,
    "JA-JP": Japanese,
    "[INCREMENTAL]": Incremental
};

class ReactLocalesManagerClass extends LocalesManagerClass {
    setLanguage(languageCode) {
        super.setLanguage(languageCode);
        udeskWebToolkitsLocales.setLanguage(languageCode);
    }
}

export default new ReactLocalesManagerClass(localesStore, "ZH-CN");