// 动态获取字数长度限制的警告信息
export function r(template: string, ...args: any) {
    for (let i = 0; i < args.length; i++) {
        template = template.replace(/{[^}]+}/, args[i]);
    }
    return template;
}

export function randomString(wordCount: number) {
    if (!wordCount) {
        wordCount = Math.ceil(Math.random() * 10);
    }
    const words = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_';
    let res = '';
    for (let i = 0; i < wordCount; i++) {
        res = res + words.charAt(Math.floor(Math.random() * words.length));
    }
    return res;
}

export function removeHTMLTag(str: string) {
    if (!str) {
        return '';
    }
    str = str.replace(/<\/?[^>]*>/g, ''); //去除HTML tag
    // str = str.replace(/[ | ]*\n/g, '\n'); //去除行尾空白
    //str = str.replace(/\n[\s| | ]*\r/g,'\n'); //去除多余空行
    str = str.replace(/&nbsp;/ig, ' ');//去掉&nbsp;
    return str;
}